GNU bug report logs - #70914
29.3; Crashes often on Windows

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Simen Endsjø <simendsjo@HIDDEN>; dated Mon, 13 May 2024 08:49:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 23 May 2024 10:06:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 23 06:06:58 2024
Received: from localhost ([127.0.0.1]:58869 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1sA5Ld-0003iX-Ie
	for submit <at> debbugs.gnu.org; Thu, 23 May 2024 06:06:58 -0400
Received: from mail-lf1-f43.google.com ([209.85.167.43]:50418)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <simendsjo@HIDDEN>) id 1sA5La-0003iN-NJ
 for 70914 <at> debbugs.gnu.org; Thu, 23 May 2024 06:06:56 -0400
Received: by mail-lf1-f43.google.com with SMTP id
 2adb3069b0e04-5210684cee6so8039023e87.0
 for <70914 <at> debbugs.gnu.org>; Thu, 23 May 2024 03:06:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1716458742; x=1717063542; darn=debbugs.gnu.org;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:from:to:cc:subject:date
 :message-id:reply-to;
 bh=QGuoKro8jtr2Lv7PGmmCKhWnQ5iq5u8vaoBUwEN93EM=;
 b=dfwvXCwf6KcBSPDlBVga4PfHj1kECRSgnfARaudavLKAEZAe8eDFFrUPH02VjzFkw+
 V2qSPjvou/dD/xt4RZDnLk0Q5MhDqSw1+qW+aJQO3op6ZKYaxg/Mx5Yy6m4nuRWQFszX
 WuR+teMzd62i7YW9LKz13u/iclWJNyOY0J2ng80Qh6lsiyiz1+4m/wgyniuA7EoL5L9r
 q/HtJVBq91DZiuzJhCtzp18o6+Cd0fn48/dtR5qkNEapLe42Ig7Q5zegiTab8bS+ZT68
 WAwsINTT9afkaUMykdtoI91vwoTT7F0t3B+jFPc7Pyp0wWjlrivt5GJbnGIAGEFOXus6
 4nzw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1716458742; x=1717063542;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=QGuoKro8jtr2Lv7PGmmCKhWnQ5iq5u8vaoBUwEN93EM=;
 b=KwTZydr4eo8NbZrZASYoN4/1Ybp+JnaqJ0h68ZT1OLcus3kKeJuEigKzIYGAyPPZlH
 PMJwmFf7jGfD0d+0NkTur4ASJgUNXc3pZ51OOZJqNaraDlWrV+vvs/MozMY00vF4g0e1
 /JkNF8c/3J4cA4LfxxqmbDbELQY/lRmONFM9DNOjYvqxtx/YCDT1oyhoqH+lvm3Kd7ak
 YtaJaTn1Nyt2CRzhKF2qeorRyGyG8KY8EjR70hacBVGZDcjCx4a1zIc/62rQ6sV+TbJx
 2Qmj/uYplBcKdpXG6OiM/VpCdO32ioa+WUhAwyZtZoTjZfw03BJm8OqD3zSvUanmXQ4X
 Hz6w==
X-Forwarded-Encrypted: i=1;
 AJvYcCV78Rmv8wnUGhd7OxouXVF8VoeiorwxweQ7KmGENqe0qCTvV885KPW5saN6S4p0x7/SisrkKPsvr6gplZpx18EThkrOvew=
X-Gm-Message-State: AOJu0YwimQPeBj/viBdJQsLY5uVxKS1tZ9N12X4d0706M/9gsZQpys+T
 5PRfyBKaSJjvJ+FGzXdlI/f8AhUrPXRLpX3kv3yrrISjEgOIlGNPVSw+537E4BJO7/LnpQNHux/
 lLuIPSXabS1XLgvXSNQl/4nTNANM=
X-Google-Smtp-Source: AGHT+IE4cjufKlAU5lBLF32sCi2bBLn1x1sgcQ/us6+Seu8zB4v0Mi2I4K57cOVJ1tvVuf7PofU/cRb2oT9DnaFiUXE=
X-Received: by 2002:ac2:4473:0:b0:51e:f8ae:db35 with SMTP id
 2adb3069b0e04-526c078336amr2970448e87.43.1716458741993; Thu, 23 May 2024
 03:05:41 -0700 (PDT)
MIME-Version: 1.0
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 <86bk4z81cu.fsf@HIDDEN> <554078779.3957737.1716318331280@HIDDEN>
 <CAHkVV6E3_1VwY=iiBL6cxySw-oXF2R3VzxQjDuWKhMV4i2Jusw@HIDDEN>
 <984937837.4078826.1716352322860@HIDDEN>
 <CAHkVV6GY_s0BaPK7cA5y-5QUji9PK1AucZ7ApmMc06aLmqpzqQ@HIDDEN>
 <829659206.4083070.1716354489264@HIDDEN>
 <CAHkVV6H5WcfvA=Mb639Qdo+kQuzckUBb2WLOCfxcJTtRo0u=tw@HIDDEN>
 <582535681.1158538.1716358337102@HIDDEN> <86zfsi6qdx.fsf@HIDDEN>
 <CAHkVV6EDVEHL0cA0uALP-v515ueb_449Ndg5RqNt6czToL_Yuw@HIDDEN>
 <867cfm6j14.fsf@HIDDEN>
 <CAHkVV6EDEKofHLWYomzpcr=ZMcpeFVqQQ6XVhdJhQbCVhJqHPA@HIDDEN>
 <86v835676h.fsf@HIDDEN>
 <CAHkVV6HtRJwUBt3jwLhqRTs=WbKqRd4T85=QySRaAMfFKRVqiQ@HIDDEN>
 <CAHkVV6FTaVWOOVMkuthF5=XDd+On7aF63SPMU3VpH2+xctAY-Q@HIDDEN>
 <86le415cmz.fsf@HIDDEN>
 <CAHkVV6E6KibUPs6H0ti6fSX4xAV1+k51yzpTMA_L31E-z9V2_w@HIDDEN>
 <8634q954be.fsf@HIDDEN>
In-Reply-To: <8634q954be.fsf@HIDDEN>
From: =?UTF-8?Q?Simen_Endsj=C3=B8?= <simendsjo@HIDDEN>
Date: Thu, 23 May 2024 12:05:29 +0200
Message-ID: <CAHkVV6H8WygZG6pu07F2a11onwnXE0EWaJUgd58j-H4vTpcfUw@HIDDEN>
Subject: Re: bug#70914: 29.3; Crashes often on Windows
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 70914
Cc: 70914 <at> debbugs.gnu.org, yantar92@HIDDEN, corwin@HIDDEN, ssbssa@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> OK, thanks, I think we are close.  If I visit an Org file with one of
> the above in "emacs -Q", what should I type to get the crash?  I
> presume some optional features need to be turned on, because if I just
> visit such a file in "emacs -Q", I don't see any crashes and don't see
> "//" passed to the parse_root function.

That is the question. I need to use my configuration and org-fancy-prioriti=
es
(and maybe org-superstar) under gdb to reliably trigger the problem. If any=
 of
these conditions isn't met, I'm not able to reproduce it.

But as I'm getting crashes at odd times even if I don't get errors visiting=
 this
file, it might mean there is something else going on too. And maybe there i=
s
some strange timing issue (as org-superstar documents too).

On Thu, May 23, 2024 at 10:18=E2=80=AFAM Eli Zaretskii <eliz@HIDDEN> wrote=
:
>
> > From: Simen Endsj=C3=B8 <simendsjo@HIDDEN>
> > Date: Thu, 23 May 2024 09:31:22 +0200
> > Cc: Ihor Radchenko <yantar92@HIDDEN>, ssbssa@HIDDEN, corwin@HIDDEN=
t,
> >       70914 <at> debbugs.gnu.org
> >
> > I managed to narrow it down further. Org incorrectly finds file:// link=
s. I have
> > some string concatenation in an emacs-lisp source block line `(concat "=
file://"
> > "foo")`, and this breaks org.
> >
> > I used the following function to extract all links, added them to a sep=
arate
> > org file and went through them.
> >
> >     (defun emacs-bug-70914/print-org-links ()
> >       (interactive)
> >       (save-excursion
> >         (beginning-of-buffer)
> >         (while (re-search-forward org-link-any-re nil t)
> >           (message "link: %s" (match-string 0)))))
> >
> > The following crashes
> >     #+begin_src emacs-lisp
> >     "file://"
> >     #+end_src
> >
> > Other combinations also crashes
> >     #+begin_src emacs-lisp
> >     (message "src=3D\"file://")
> >     #+end_src
> >
> >     #+begin_src emacs-lisp
> >     "src=3D\"file://"
> >     #+end_src
>
> OK, thanks, I think we are close.  If I visit an Org file with one of
> the above in "emacs -Q", what should I type to get the crash?  I
> presume some optional features need to be turned on, because if I just
> visit such a file in "emacs -Q", I don't see any crashes and don't see
> "//" passed to the parse_root function.
>
> Ihor, can you point me to the code which processes these file:// links
> and as result calls file-exists-p on "//"?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 23 May 2024 08:19:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 23 04:19:06 2024
Received: from localhost ([127.0.0.1]:58736 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1sA3fG-0008Iz-1n
	for submit <at> debbugs.gnu.org; Thu, 23 May 2024 04:19:06 -0400
Received: from eggs.gnu.org ([209.51.188.92]:34468)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1sA3fB-0008Ic-DL
 for 70914 <at> debbugs.gnu.org; Thu, 23 May 2024 04:19:04 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1sA3ey-0001tl-Sd; Thu, 23 May 2024 04:18:48 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=V/MfUX4wxtS2lf9nnFLdq56Zv+cNv+1Fov928kqU7Kw=; b=IWg+9SgAC2+5Kgg0eM7n
 XtsY8pelJUjcSq3fs5u5G0zyahorzXy6gWnArSL+vmSRqg1oIuwCDzAcTNI03Cx0CBHW+lY51WYaP
 49didTka3dEPn3nofBdWsgl/TFQ0ts3NrPryOj3qGdcDLMs/aVdCnSMygCb4Nnn191fKXIzIwaYA3
 IPAI8R1+WjkMVeJIgghdj0AJNmUC0Ua8f8jdKJzIAdo16GtZIYlfuqLC3AVbOOjYvwRmftPndkDpv
 oglU32dU4k0OX6j8FYQzWEpFJDLLpQ6xyw1RwpJWaUqpyuOJxSNrQOFVtfvLFhf6VSak4S718/CUE
 94HlbvXcsbdBNA==;
Date: Thu, 23 May 2024 11:18:45 +0300
Message-Id: <8634q954be.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Simen =?utf-8?Q?Endsj=C3=B8?= <simendsjo@HIDDEN>
In-Reply-To: <CAHkVV6E6KibUPs6H0ti6fSX4xAV1+k51yzpTMA_L31E-z9V2_w@HIDDEN>
 (message from Simen =?utf-8?Q?Endsj=C3=B8?= on Thu, 23 May 2024 09:31:22
 +0200)
Subject: Re: bug#70914: 29.3; Crashes often on Windows
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 <86bk4z81cu.fsf@HIDDEN> <554078779.3957737.1716318331280@HIDDEN>
 <CAHkVV6E3_1VwY=iiBL6cxySw-oXF2R3VzxQjDuWKhMV4i2Jusw@HIDDEN>
 <984937837.4078826.1716352322860@HIDDEN>
 <CAHkVV6GY_s0BaPK7cA5y-5QUji9PK1AucZ7ApmMc06aLmqpzqQ@HIDDEN>
 <829659206.4083070.1716354489264@HIDDEN>
 <CAHkVV6H5WcfvA=Mb639Qdo+kQuzckUBb2WLOCfxcJTtRo0u=tw@HIDDEN>
 <582535681.1158538.1716358337102@HIDDEN> <86zfsi6qdx.fsf@HIDDEN>
 <CAHkVV6EDVEHL0cA0uALP-v515ueb_449Ndg5RqNt6czToL_Yuw@HIDDEN>
 <867cfm6j14.fsf@HIDDEN>
 <CAHkVV6EDEKofHLWYomzpcr=ZMcpeFVqQQ6XVhdJhQbCVhJqHPA@HIDDEN>
 <86v835676h.fsf@HIDDEN>
 <CAHkVV6HtRJwUBt3jwLhqRTs=WbKqRd4T85=QySRaAMfFKRVqiQ@HIDDEN>
 <CAHkVV6FTaVWOOVMkuthF5=XDd+On7aF63SPMU3VpH2+xctAY-Q@HIDDEN>
 <86le415cmz.fsf@HIDDEN>
 <CAHkVV6E6KibUPs6H0ti6fSX4xAV1+k51yzpTMA_L31E-z9V2_w@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 70914
Cc: 70914 <at> debbugs.gnu.org, yantar92@HIDDEN, corwin@HIDDEN, ssbssa@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Simen Endsjø <simendsjo@HIDDEN>
> Date: Thu, 23 May 2024 09:31:22 +0200
> Cc: Ihor Radchenko <yantar92@HIDDEN>, ssbssa@HIDDEN, corwin@HIDDEN, 
> 	70914 <at> debbugs.gnu.org
> 
> I managed to narrow it down further. Org incorrectly finds file:// links. I have
> some string concatenation in an emacs-lisp source block line `(concat "file://"
> "foo")`, and this breaks org.
> 
> I used the following function to extract all links, added them to a separate
> org file and went through them.
> 
>     (defun emacs-bug-70914/print-org-links ()
>       (interactive)
>       (save-excursion
>         (beginning-of-buffer)
>         (while (re-search-forward org-link-any-re nil t)
>           (message "link: %s" (match-string 0)))))
> 
> The following crashes
>     #+begin_src emacs-lisp
>     "file://"
>     #+end_src
> 
> Other combinations also crashes
>     #+begin_src emacs-lisp
>     (message "src=\"file://")
>     #+end_src
> 
>     #+begin_src emacs-lisp
>     "src=\"file://"
>     #+end_src

OK, thanks, I think we are close.  If I visit an Org file with one of
the above in "emacs -Q", what should I type to get the crash?  I
presume some optional features need to be turned on, because if I just
visit such a file in "emacs -Q", I don't see any crashes and don't see
"//" passed to the parse_root function.

Ihor, can you point me to the code which processes these file:// links
and as result calls file-exists-p on "//"?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 23 May 2024 07:32:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 23 03:32:51 2024
Received: from localhost ([127.0.0.1]:58698 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1sA2wV-0007vN-78
	for submit <at> debbugs.gnu.org; Thu, 23 May 2024 03:32:51 -0400
Received: from mail-lf1-f49.google.com ([209.85.167.49]:56540)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <simendsjo@HIDDEN>) id 1sA2wQ-0007vH-N9
 for 70914 <at> debbugs.gnu.org; Thu, 23 May 2024 03:32:50 -0400
Received: by mail-lf1-f49.google.com with SMTP id
 2adb3069b0e04-51fc01b6fe7so6347749e87.0
 for <70914 <at> debbugs.gnu.org>; Thu, 23 May 2024 00:32:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1716449494; x=1717054294; darn=debbugs.gnu.org;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:from:to:cc:subject:date
 :message-id:reply-to;
 bh=rWZwzn4bs8nKFBkXuFWc0JWMWrgdQwQhrdpxJmG9eQs=;
 b=aD/UZfp00q40GOdbn/t/vAwcb3fLSl7ijXeDos8O/yYgyY5i0wzmrZDzGKjpzghwLg
 AxY0pYU0gvaWOitlrf0X0covZbrd7MNyiQLLF+ZJvLwTK/uh8BkHewevPT4VClg3Y+f1
 J3HXhRssFemeAsWQxTyPbFKptS1V77MEF16K4GLLSA8YXSNWpQ65L/bHY5Elqdi7JoOf
 +vaUUJ7Mz/aAAvq1nkhijlRmplHmr3V94d5R0RqOXlPIrQrzjyTcPY/O3FWOxNmvXw6P
 BTJs7fOPcuGGhP+m/cxSj3WpevD3jn7TXJfsACFUCvl6ZN1zkJv/Pzvv62lNkInife1S
 dqOA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1716449494; x=1717054294;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=rWZwzn4bs8nKFBkXuFWc0JWMWrgdQwQhrdpxJmG9eQs=;
 b=HnIUhWTBrPwGjlm5EPqMHdn4E0rctA+4ZYHHioBG6FumSSH+SyPp6lPlA4inlECLsf
 pulxH3cUMiSnoIs9OdkOliyxd7VKy5m6/0sCU7Jim7F/OSg6f7yfVqBhTni2Qlt8RkFk
 PCpcGYvVxInTABhXSbxQjfvsMmtu47Yh85lLZSxj4Ay8i8IHPybaXlz0IiIxh5Q1ImUy
 4k1Apdq3KFhMGjOQOEkj5IfDRfXl6Vw8T59cRIwIVPwbU6+lEt1XXwxSxnsThL3QrLKo
 VPmJYCMtdeUwuyJ0re/aKbpOx7a/RMh/dYye5+O8JJmQurq16ihsIkTGLGYx/+OTnbfV
 Tonw==
X-Forwarded-Encrypted: i=1;
 AJvYcCWxO7NoCDYnYOrCFT7MUJsiXl95+xXAwK3YCkZyj453aSMX+cWqwKsQKwYLqlWjBppyDoGAXbBbhOIpLU+PjlVHmL2sCDk=
X-Gm-Message-State: AOJu0YwKLybTFyEzCqled6aygeDVJu9L7wIzfIbPLlohI0qx527khdYs
 F5+OiT3bd1f7kmi5qBtDLXyKTZ/OkWEFwa75CBLce9AwexQfPDW00xJR6eFJXf6zDj1UqLS1yMq
 dFan0VVE+kwUZ+F/kwlwoVQs9s30=
X-Google-Smtp-Source: AGHT+IGQuBf+8EwawRvY6e/CnLxpD/i2xIhqNArVtKSBxPi8KNIkSjuknw9ghulhtN37UnfJbXkK0420IS/1o7g89Ko=
X-Received: by 2002:a05:6512:110b:b0:51e:eca3:e02f with SMTP id
 2adb3069b0e04-526bf5461acmr3413393e87.67.1716449494101; Thu, 23 May 2024
 00:31:34 -0700 (PDT)
MIME-Version: 1.0
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 <86bk4z81cu.fsf@HIDDEN> <554078779.3957737.1716318331280@HIDDEN>
 <CAHkVV6E3_1VwY=iiBL6cxySw-oXF2R3VzxQjDuWKhMV4i2Jusw@HIDDEN>
 <984937837.4078826.1716352322860@HIDDEN>
 <CAHkVV6GY_s0BaPK7cA5y-5QUji9PK1AucZ7ApmMc06aLmqpzqQ@HIDDEN>
 <829659206.4083070.1716354489264@HIDDEN>
 <CAHkVV6H5WcfvA=Mb639Qdo+kQuzckUBb2WLOCfxcJTtRo0u=tw@HIDDEN>
 <582535681.1158538.1716358337102@HIDDEN> <86zfsi6qdx.fsf@HIDDEN>
 <CAHkVV6EDVEHL0cA0uALP-v515ueb_449Ndg5RqNt6czToL_Yuw@HIDDEN>
 <867cfm6j14.fsf@HIDDEN>
 <CAHkVV6EDEKofHLWYomzpcr=ZMcpeFVqQQ6XVhdJhQbCVhJqHPA@HIDDEN>
 <86v835676h.fsf@HIDDEN>
 <CAHkVV6HtRJwUBt3jwLhqRTs=WbKqRd4T85=QySRaAMfFKRVqiQ@HIDDEN>
 <CAHkVV6FTaVWOOVMkuthF5=XDd+On7aF63SPMU3VpH2+xctAY-Q@HIDDEN>
 <86le415cmz.fsf@HIDDEN>
In-Reply-To: <86le415cmz.fsf@HIDDEN>
From: =?UTF-8?Q?Simen_Endsj=C3=B8?= <simendsjo@HIDDEN>
Date: Thu, 23 May 2024 09:31:22 +0200
Message-ID: <CAHkVV6E6KibUPs6H0ti6fSX4xAV1+k51yzpTMA_L31E-z9V2_w@HIDDEN>
Subject: Re: bug#70914: 29.3; Crashes often on Windows
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 70914
Cc: 70914 <at> debbugs.gnu.org, Ihor Radchenko <yantar92@HIDDEN>, corwin@HIDDEN,
 ssbssa@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I managed to narrow it down further. Org incorrectly finds file:// links. I=
 have
some string concatenation in an emacs-lisp source block line `(concat "file=
://"
"foo")`, and this breaks org.

I used the following function to extract all links, added them to a separat=
e
org file and went through them.

    (defun emacs-bug-70914/print-org-links ()
      (interactive)
      (save-excursion
        (beginning-of-buffer)
        (while (re-search-forward org-link-any-re nil t)
          (message "link: %s" (match-string 0)))))

The following crashes
    #+begin_src emacs-lisp
    "file://"
    #+end_src

Other combinations also crashes
    #+begin_src emacs-lisp
    (message "src=3D\"file://")
    #+end_src

    #+begin_src emacs-lisp
    "src=3D\"file://"
    #+end_src

On Thu, May 23, 2024 at 7:19=E2=80=AFAM Eli Zaretskii <eliz@HIDDEN> wrote:
>
> > From: Simen Endsj=C3=B8 <simendsjo@HIDDEN>
> > Date: Wed, 22 May 2024 22:28:04 +0200
> > Cc: ssbssa@HIDDEN, corwin@HIDDEN, 70914 <at> debbugs.gnu.org
> >
> > Here's some output when printing filenames in get_volume_info. I've tri=
ed
> > searching around and reading code, but I haven't found out where
> > "d:/profiles/%s" or "//" comes from.
>
> I don't think "d:/profiles/%s" is the problem, but just in case: what
> is that directory?  Is it some place you keep your init or config
> files?  Does any Emacs variable or environment variable point to
> "d:/profiles"?
>
> > name=3D"d:/.emacs.d/.local/straight/build-29.3/org-fancy-priorities/org=
-fancy-priorities.elc"
> >     get_volume_info: name=3D"c:/Users/simend/.ssh/id_rsa"
> >     get_volume_info: name=3D"d:/profiles/%s"
> >     get_volume_info: name=3D"//"
>
> It sounds like the "//" file name comes from here:
>
> >     Lisp Backtrace:
> >     "file-exists-p" (0xbf6f20)
> >     "or" (0xbf7130)
> >     "if" (0xbf72e0)
> >     0xa9e7f40 Lisp type 3
> >     "org-activate-links--overlays" (0x4badb48)
> >     "org-activate-links" (0x4badac0)
> >     "font-lock-fontify-keywords-region" (0x4bada20)
>
> This seems to tell that font-lock calls org-activate-links, which
> calls org-activate-links--overlays, which somehow ends up calling
> file-exists-p with the "file name" that is "//".  I don't see how this
> can happen, but my guess is that this is somehow related to the Org
> file being visited and displayed, so the contents of that file might
> hold a part of the solution for this riddle.  Do you have a lot of
> links in that Org file?  If not, could you perhaps show them?
>
> Ihor, can you help?  How can org-activate-links--overlays end up
> calling file-exists-p, and what should we look for in the Org file to
> understand why it calls file-exists-p with "//"?  I'm guessing this
> might be related to the htmlize-link or help-echo properties of Org
> links?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 23 May 2024 05:19:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 23 01:19:20 2024
Received: from localhost ([127.0.0.1]:58359 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1sA0rI-0006RR-3i
	for submit <at> debbugs.gnu.org; Thu, 23 May 2024 01:19:20 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50344)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1sA0rE-0006RL-5U
 for 70914 <at> debbugs.gnu.org; Thu, 23 May 2024 01:19:18 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1sA0r1-0001YK-OR; Thu, 23 May 2024 01:19:03 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=8uYfZQTiFAOwHyKTTkS0flBfLF8/7MN6oEH4rsTjdOg=; b=oS0g/NkfQaayGTYT3N2C
 pZTRYwGZNozXFSKQu2Q+XYdiDhXv6M9xSaHjQ/SQacHr9Mwct+35OueG5dqJY08/K1Bwr8iTZWSnB
 elquYsSKZDuh7x0gI5LG96VkNzQacKJT2ban0xrHqHqU2ElUlbUi49aE6oLQaJgy1PFE/FEbB7VFV
 WZWQxfv8cepcIsUyJ4GWuqn8My3Eo+L6YZZzfmtJOaFdDhez2ZV0wkFMfNl+M5uZFq5GHhAXRrDYk
 tha0vYKzQROWO9iAV7uCBK48ZrQh5vUoy1OsuUPl+5JSYnSGDLIyoCYqudsJskHgD27fS68akjT4A
 p7ZE2GuwzHhXvg==;
Date: Thu, 23 May 2024 08:19:00 +0300
Message-Id: <86le415cmz.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Simen =?utf-8?Q?Endsj=C3=B8?= <simendsjo@HIDDEN>,
 Ihor Radchenko <yantar92@HIDDEN>
In-Reply-To: <CAHkVV6FTaVWOOVMkuthF5=XDd+On7aF63SPMU3VpH2+xctAY-Q@HIDDEN>
 (message from Simen =?utf-8?Q?Endsj=C3=B8?= on Wed, 22 May 2024 22:28:04
 +0200)
Subject: Re: bug#70914: 29.3; Crashes often on Windows
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 <86bk4z81cu.fsf@HIDDEN> <554078779.3957737.1716318331280@HIDDEN>
 <CAHkVV6E3_1VwY=iiBL6cxySw-oXF2R3VzxQjDuWKhMV4i2Jusw@HIDDEN>
 <984937837.4078826.1716352322860@HIDDEN>
 <CAHkVV6GY_s0BaPK7cA5y-5QUji9PK1AucZ7ApmMc06aLmqpzqQ@HIDDEN>
 <829659206.4083070.1716354489264@HIDDEN>
 <CAHkVV6H5WcfvA=Mb639Qdo+kQuzckUBb2WLOCfxcJTtRo0u=tw@HIDDEN>
 <582535681.1158538.1716358337102@HIDDEN> <86zfsi6qdx.fsf@HIDDEN>
 <CAHkVV6EDVEHL0cA0uALP-v515ueb_449Ndg5RqNt6czToL_Yuw@HIDDEN>
 <867cfm6j14.fsf@HIDDEN>
 <CAHkVV6EDEKofHLWYomzpcr=ZMcpeFVqQQ6XVhdJhQbCVhJqHPA@HIDDEN>
 <86v835676h.fsf@HIDDEN>
 <CAHkVV6HtRJwUBt3jwLhqRTs=WbKqRd4T85=QySRaAMfFKRVqiQ@HIDDEN>
 <CAHkVV6FTaVWOOVMkuthF5=XDd+On7aF63SPMU3VpH2+xctAY-Q@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 70914
Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN, ssbssa@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Simen Endsjø <simendsjo@HIDDEN>
> Date: Wed, 22 May 2024 22:28:04 +0200
> Cc: ssbssa@HIDDEN, corwin@HIDDEN, 70914 <at> debbugs.gnu.org
> 
> Here's some output when printing filenames in get_volume_info. I've tried
> searching around and reading code, but I haven't found out where
> "d:/profiles/%s" or "//" comes from.

I don't think "d:/profiles/%s" is the problem, but just in case: what
is that directory?  Is it some place you keep your init or config
files?  Does any Emacs variable or environment variable point to
"d:/profiles"?

> name="d:/.emacs.d/.local/straight/build-29.3/org-fancy-priorities/org-fancy-priorities.elc"
>     get_volume_info: name="c:/Users/simend/.ssh/id_rsa"
>     get_volume_info: name="d:/profiles/%s"
>     get_volume_info: name="//"

It sounds like the "//" file name comes from here:

>     Lisp Backtrace:
>     "file-exists-p" (0xbf6f20)
>     "or" (0xbf7130)
>     "if" (0xbf72e0)
>     0xa9e7f40 Lisp type 3
>     "org-activate-links--overlays" (0x4badb48)
>     "org-activate-links" (0x4badac0)
>     "font-lock-fontify-keywords-region" (0x4bada20)

This seems to tell that font-lock calls org-activate-links, which
calls org-activate-links--overlays, which somehow ends up calling
file-exists-p with the "file name" that is "//".  I don't see how this
can happen, but my guess is that this is somehow related to the Org
file being visited and displayed, so the contents of that file might
hold a part of the solution for this riddle.  Do you have a lot of
links in that Org file?  If not, could you perhaps show them?

Ihor, can you help?  How can org-activate-links--overlays end up
calling file-exists-p, and what should we look for in the Org file to
understand why it calls file-exists-p with "//"?  I'm guessing this
might be related to the htmlize-link or help-echo properties of Org
links?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 22 May 2024 20:29:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 22 16:29:35 2024
Received: from localhost ([127.0.0.1]:57976 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s9sab-0001W2-KP
	for submit <at> debbugs.gnu.org; Wed, 22 May 2024 16:29:35 -0400
Received: from mail-lf1-f48.google.com ([209.85.167.48]:48614)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <simendsjo@HIDDEN>) id 1s9saW-0001Vw-9Q
 for 70914 <at> debbugs.gnu.org; Wed, 22 May 2024 16:29:32 -0400
Received: by mail-lf1-f48.google.com with SMTP id
 2adb3069b0e04-51f1bf83f06so8368912e87.1
 for <70914 <at> debbugs.gnu.org>; Wed, 22 May 2024 13:29:22 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1716409696; x=1717014496; darn=debbugs.gnu.org;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:from:to:cc:subject:date
 :message-id:reply-to;
 bh=ym6m6EGnNmHaTrW3X5Xq2Xz9eOWCcQVk/MW4I41RO3A=;
 b=JmeJqVRDOcKIPSaoFoAKGp/Ru8JabBh7dCAZ0QkXnUxymXGY8hFmur94hojo8B03oS
 ulVCVz4f9h+JnWqdIO67Hfdf0cQF9WtlrSK5hKsRz6T2ECOGFcm4v7HWRBSXQeJ4dFGe
 +FjDGqUfsyxXemlUeTGrdseA3MO4zOtHFq0fk77ZpqWKruZPEocR+zmUJzV0PMZIic28
 Xdk9ba4x0MVNw+qGxsqx3hFRfKbwGxxD0Ja9To89CKVljoysg0n7pFAwHc+bTrTq6FK9
 TGCwSkCHlHQ3GAz/VbrNqCMBkX/bwt62l0bUOayTmSxFn9MjUTxMdSVEt5hqUKu+r1zP
 OC6g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1716409696; x=1717014496;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=ym6m6EGnNmHaTrW3X5Xq2Xz9eOWCcQVk/MW4I41RO3A=;
 b=sqTaxqE2sjPOjRA121M8tf4Swxkaswh7AbXJVzXqs8gKCHa9ED76yS+WJ4SzOcJg+f
 xE64u8LghC8dNMLWIEpDEfwrBTKh+JQ4Fcbf4OxnDdqLYB9md1jlogw7eJXy2U9E/5WQ
 eIDPtylymDO5sDQ2DdAWcr72ma083oyXgR29KmjkiBAq1bHTbCzXvwrui0XIrDzEPbqP
 +32YIOCHWNlk0wnyyDipWquaZjZXrJ5iMhfFF+UEnF0L7PGzsxvhFojod/lrNhEQvP/0
 4BaGuUONelZ3iVotqD3G32h4kJWfibM8eZuAnoS8uz8U+msp0YWAgLQ4x2YbpvqkFgM/
 1CSA==
X-Forwarded-Encrypted: i=1;
 AJvYcCWv31J65u+ekndM1H2379RVA+GqS2oGtXbeWS8Xiu0n56eOZ+OVXr0xZCBM+9R5CltOWkZO95ni3rDBefFA8nfUsGeEJdc=
X-Gm-Message-State: AOJu0YxIHWxFZPqLLll7eeeMhbmAtIxHHIvKPw9/lbiGu3xESEHIenDS
 ZpTKP8nJEfVwZ4UT1NJ+5QSAY9NxXo/QNV3wF5GSGbfVOcv3lPnuKT/i/VYE8HDLEwcJxyf9fo6
 MV9YcTP0cY6liCnMdbe0AsiSS4k4=
X-Google-Smtp-Source: AGHT+IHY4f6LBZM4S5t0F8AGzBq9cAxcpcxtw5V+Adg3p42+diE5ok1KdCehGpkMj/x6UsB+Lq8dXGbPBnTvE5r73qg=
X-Received: by 2002:ac2:4e0f:0:b0:523:8c79:147f with SMTP id
 2adb3069b0e04-526bf451cbbmr2417757e87.35.1716409695845; Wed, 22 May 2024
 13:28:15 -0700 (PDT)
MIME-Version: 1.0
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 <86bk4z81cu.fsf@HIDDEN> <554078779.3957737.1716318331280@HIDDEN>
 <CAHkVV6E3_1VwY=iiBL6cxySw-oXF2R3VzxQjDuWKhMV4i2Jusw@HIDDEN>
 <984937837.4078826.1716352322860@HIDDEN>
 <CAHkVV6GY_s0BaPK7cA5y-5QUji9PK1AucZ7ApmMc06aLmqpzqQ@HIDDEN>
 <829659206.4083070.1716354489264@HIDDEN>
 <CAHkVV6H5WcfvA=Mb639Qdo+kQuzckUBb2WLOCfxcJTtRo0u=tw@HIDDEN>
 <582535681.1158538.1716358337102@HIDDEN> <86zfsi6qdx.fsf@HIDDEN>
 <CAHkVV6EDVEHL0cA0uALP-v515ueb_449Ndg5RqNt6czToL_Yuw@HIDDEN>
 <867cfm6j14.fsf@HIDDEN>
 <CAHkVV6EDEKofHLWYomzpcr=ZMcpeFVqQQ6XVhdJhQbCVhJqHPA@HIDDEN>
 <86v835676h.fsf@HIDDEN>
 <CAHkVV6HtRJwUBt3jwLhqRTs=WbKqRd4T85=QySRaAMfFKRVqiQ@HIDDEN>
In-Reply-To: <CAHkVV6HtRJwUBt3jwLhqRTs=WbKqRd4T85=QySRaAMfFKRVqiQ@HIDDEN>
From: =?UTF-8?Q?Simen_Endsj=C3=B8?= <simendsjo@HIDDEN>
Date: Wed, 22 May 2024 22:28:04 +0200
Message-ID: <CAHkVV6FTaVWOOVMkuthF5=XDd+On7aF63SPMU3VpH2+xctAY-Q@HIDDEN>
Subject: Re: bug#70914: 29.3; Crashes often on Windows
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 70914
Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN, ssbssa@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Here's some output when printing filenames in get_volume_info. I've tried
searching around and reading code, but I haven't found out where
"d:/profiles/%s" or "//" comes from.

    get_volume_info:
name=3D"d:/.emacs.d/.local/straight/build-29.3/org-fancy-priorities/org-fan=
cy-priorities.dll"
    get_volume_info:
name=3D"d:/.emacs.d/.local/straight/build-29.3/org-fancy-priorities/org-fan=
cy-priorities.dll.gz"
    get_volume_info:
name=3D"d:/.emacs.d/.local/straight/build-29.3/org-fancy-priorities/org-fan=
cy-priorities.elc"
    get_volume_info:
name=3D"d:/.emacs.d/.local/straight/build-29.3/org-fancy-priorities/org-fan=
cy-priorities.elc"
    get_volume_info:
name=3D"d:/.emacs.d/.local/straight/build-29.3/org-fancy-priorities/org-fan=
cy-priorities.elc"
    get_volume_info:
name=3D"d:/.emacs.d/.local/straight/build-29.3/org-fancy-priorities/org-fan=
cy-priorities.el"
    get_volume_info:
name=3D"d:/.emacs.d/.local/straight/build-29.3/org-fancy-priorities/org-fan=
cy-priorities.elc"
    get_volume_info: name=3D"c:/Users/simend/.ssh/id_rsa"
    get_volume_info: name=3D"d:/profiles/%s"
    get_volume_info: name=3D"//"

    Thread 1 received signal SIGTRAP, Trace/breakpoint trap.
    [Switching to Thread 25828.0x6fd4]
    0x00007fffed1bd313 in KERNELBASE!DebugBreak () from
C:\WINDOWS\System32\KernelBase.dll
    (gdb)rsource d:/tmp/emacs-bug-70914/emacs-abort-on-empty-path/src/.gdbi=
nit
    warning: D:\tmp\emacs-bug-70914/../lwlib: No such file or directory
    SIGINT is used by the debugger.
    Are you sure you want to change it? (y or n) [answered Y; input
not from terminal]
    Environment variable "DISPLAY" not defined.
    TERM =3D xterm-256color
    Breakpoint 2 at 0x7ff71150bd35: file emacs.c, line 427.
    (gdb) thread 1
    [Switching to thread 1 (Thread 25828.0x6fd4)]
    #0  0x00007fffed1bd313 in KERNELBASE!DebugBreak () from
C:\WINDOWS\System32\KernelBase.dll
    (gdb) bt
    #0  0x00007fffed1bd313 in KERNELBASE!DebugBreak () from
C:\WINDOWS\System32\KernelBase.dll
    #1  0x00007ff7116f8f46 in emacs_abort () at w32fns.c:11136
    #2  0x00007ff71172a08e in parse_root (name=3D0x14299c20 "//",
pPath=3D0xbf6710) at w32.c:2561
    #3  0x00007ff71172bdf7 in get_volume_info (name=3D0x14299c20 "//",
pPath=3D0xbf6710) at w32.c:3483
    #4  0x00007ff71172bf06 in is_fat_volume (name=3D0x14299c20 "//",
pPath=3D0xbf6710) at w32.c:3513
    #5  0x00007ff71172bf9c in map_w32_filename (name=3D0x14299c20 "//",
pPath=3D0x0) at w32.c:3538
    #6  0x00007ff71172d149 in faccessat (dirfd=3D-3041965,
path=3D0x14299c20 "//", mode=3D8, flags=3D4) at w32.c:4134
    #7  0x00007ff711575ec1 in file_access_p (file=3D0x14299c20 "//",
amode=3D0) at fileio.c:162
    #8  0x00007ff71157bc91 in check_file_access (file=3DXIL(0x18106754),
operation=3DXIL(0x6ab0), amode=3D0) at fileio.c:2893
    #9  0x00007ff71157bcde in Ffile_exists_p
(filename=3DXIL(0x18106794)) at fileio.c:2905
    #10 0x00007ff711608335 in eval_sub (form=3DXIL(0x912be73)) at eval.c:25=
02
    #11 0x00007ff711600ef3 in For (args=3DXIL(0)) at eval.c:349
    #12 0x00007ff711607f63 in eval_sub (form=3DXIL(0x912bd73)) at eval.c:24=
53
    #13 0x00007ff711601087 in Fif (args=3DXIL(0x912bea3)) at eval.c:388
    #14 0x00007ff711607f63 in eval_sub (form=3DXIL(0x912bd63)) at eval.c:24=
53
    #15 0x00007ff7116013cd in Fprogn (body=3DXIL(0)) at eval.c:436
    #16 0x00007ff71160abfe in funcall_lambda (fun=3DXIL(0xa9e7f33),
nargs=3D1, arg_vector=3D0x0) at eval.c:3237
    #17 0x00007ff711609a11 in funcall_general (fun=3DXIL(0xa9e7f43),
numargs=3D1, args=3D0x4badbd0) at eval.c:2961
    #18 0x00007ff71166faf1 in exec_byte_code (fun=3DXIL(0xa1e2325),
args_template=3D514, nargs=3D2, args=3D0x4badbd8) at bytecode.c:811
    #19 0x00007ff71160a24a in fetch_and_exec_byte_code
(fun=3DXIL(0x11527775), args_template=3D0, nargs=3D0, args=3D0x0) at
eval.c:3085
    #20 0x00007ff71160ac89 in funcall_lambda (fun=3DXIL(0x11527775),
nargs=3D0, arg_vector=3D0x0) at eval.c:3246
    #21 0x00007ff7116098ef in funcall_general (fun=3DXIL(0x11527775),
numargs=3D0, args=3D0xbf7bb8) at eval.c:2949
    #22 0x00007ff711609c22 in Ffuncall (nargs=3D1, args=3D0xbf7bb0) at eval=
.c:2999
    #23 0x00007ff711608e1d in funcall_nil (nargs=3D1, args=3D0xbf7bb0) at
eval.c:2681
    #24 0x00007ff71160939c in run_hook_with_args (nargs=3D1,
args=3D0xbf7bb0, funcall=3D0x7ff711608dfd <funcall_nil>) at eval.c:2858
    #25 0x00007ff711608eab in Frun_hook_with_args (nargs=3D1,
args=3D0xbf7bb0) at eval.c:2723
    #26 0x00007ff71160943b in run_hook (hook=3DXIL(0xffff8008f59b6e40))
at eval.c:2871
    #27 0x00007ff711608e65 in Frun_hooks (nargs=3D4, args=3D0xbf7d88) at ev=
al.c:2705
    #28 0x00007ff71160a0c6 in funcall_subr (subr=3D0x7ff711d02e80
<Srun_hooks>, numargs=3D4, args=3D0xbf7d88) at eval.c:3063
    #29 0x00007ff7116098a3 in funcall_general
(fun=3DXIL(0x7ff711d02e85), numargs=3D4, args=3D0xbf7d88) at eval.c:2945
    #30 0x00007ff711609c22 in Ffuncall (nargs=3D5, args=3D0xbf7d80) at eval=
.c:2999
    #31 0x00007ff711608de2 in Fapply (nargs=3D2, args=3D0x4bad880) at eval.=
c:2670
    #32 0x00007ff71160a0c6 in funcall_subr (subr=3D0x7ff711d02e40
<Sapply>, numargs=3D2, args=3D0x4bad880) at eval.c:3063
    #33 0x00007ff71166fac8 in exec_byte_code (fun=3DXIL(0x3f67cf5),
args_template=3D128, nargs=3D1, args=3D0x4bad820) at bytecode.c:809
    #34 0x00007ff71160a24a in fetch_and_exec_byte_code
(fun=3DXIL(0x3fc5f45), args_template=3D256, nargs=3D0, args=3D0x4bad6a8) at
eval.c:3085
    #35 0x00007ff71160a6de in funcall_lambda (fun=3DXIL(0x3fc5f45),
nargs=3D0, arg_vector=3D0x4bad6a8) at eval.c:3157
    #36 0x00007ff7116098ef in funcall_general (fun=3DXIL(0x3fc5f45),
numargs=3D0, args=3D0x4bad6a8) at eval.c:2949
    #37 0x00007ff711609c22 in Ffuncall (nargs=3D1, args=3D0x4bad6a0) at eva=
l.c:2999
    --Type <RET> for more, q to quit, c to continue without paging--c
    #38 0x00007ff7116089b2 in Fapply (nargs=3D2, args=3D0x4bad6a0) at eval.=
c:2623
    #39 0x00007ff71160a0c6 in funcall_subr (subr=3D0x7ff711d02e40
<Sapply>, numargs=3D2, args=3D0x4bad6a0) at eval.c:3063
    #40 0x00007ff71166fac8 in exec_byte_code (fun=3DXIL(0x62eecb5),
args_template=3D128, nargs=3D0, args=3D0xbf8db8) at bytecode.c:809
    #41 0x00007ff71160a24a in fetch_and_exec_byte_code
(fun=3DXIL(0x62eecb5), args_template=3D128, nargs=3D0, args=3D0xbf8db8) at
eval.c:3085
    #42 0x00007ff71160a6de in funcall_lambda (fun=3DXIL(0x62eecb5),
nargs=3D0, arg_vector=3D0xbf8db8) at eval.c:3157
    #43 0x00007ff7116098ef in funcall_general (fun=3DXIL(0x62eecb5),
numargs=3D0, args=3D0xbf8db8) at eval.c:2949
    #44 0x00007ff711609c22 in Ffuncall (nargs=3D1, args=3D0xbf8db0) at eval=
.c:2999
    #45 0x00007ff7116089b2 in Fapply (nargs=3D2, args=3D0xbf8db0) at eval.c=
:2623
    #46 0x00007ff7116081b1 in eval_sub (form=3DXIL(0x8039783)) at eval.c:24=
74
    #47 0x00007ff7116013cd in Fprogn (body=3DXIL(0)) at eval.c:436
    #48 0x00007ff711607f63 in eval_sub (form=3DXIL(0x7da8883)) at eval.c:24=
53
    #49 0x00007ff7116044ce in Funwind_protect (args=3DXIL(0x7da8843)) at
eval.c:1301
    #50 0x00007ff711607f63 in eval_sub (form=3DXIL(0x7da8833)) at eval.c:24=
53
    #51 0x00007ff7116013cd in Fprogn (body=3DXIL(0)) at eval.c:436
    #52 0x00007ff711603ab5 in Flet (args=3DXIL(0x7da8803)) at eval.c:1026
    #53 0x00007ff711607f63 in eval_sub (form=3DXIL(0x7da83d3)) at eval.c:24=
53
    #54 0x00007ff71160882c in eval_sub (form=3DXIL(0x8039773)) at eval.c:25=
88
    #55 0x00007ff7116010f8 in Fif (args=3DXIL(0x8039763)) at eval.c:391
    #56 0x00007ff711607f63 in eval_sub (form=3DXIL(0x8039753)) at eval.c:24=
53
    #57 0x00007ff7116013cd in Fprogn (body=3DXIL(0)) at eval.c:436
    #58 0x00007ff71160abfe in funcall_lambda (fun=3DXIL(0x803f0f3),
nargs=3D1, arg_vector=3D0x0) at eval.c:3237
    #59 0x00007ff711609a11 in funcall_general (fun=3DXIL(0x803f103),
numargs=3D1, args=3D0x4bad660) at eval.c:2961
    #60 0x00007ff711609c22 in Ffuncall (nargs=3D2, args=3D0x4bad658) at eva=
l.c:2999
    #61 0x00007ff7116089b2 in Fapply (nargs=3D3, args=3D0x4bad658) at eval.=
c:2623
    #62 0x00007ff71160a0c6 in funcall_subr (subr=3D0x7ff711d02e40
<Sapply>, numargs=3D3, args=3D0x4bad658) at eval.c:3063
    #63 0x00007ff71166fac8 in exec_byte_code (fun=3DXIL(0x8037055),
args_template=3D128, nargs=3D0, args=3D0x4bad620) at bytecode.c:809
    #64 0x00007ff71160a24a in fetch_and_exec_byte_code
(fun=3DXIL(0x8037055), args_template=3D128, nargs=3D0, args=3D0x4bad620) at
eval.c:3085
    #65 0x00007ff71160a6de in funcall_lambda (fun=3DXIL(0x8037055),
nargs=3D0, arg_vector=3D0x4bad620) at eval.c:3157
    #66 0x00007ff7116098ef in funcall_general (fun=3DXIL(0x8037055),
numargs=3D0, args=3D0x4bad620) at eval.c:2949
    #67 0x00007ff711609c22 in Ffuncall (nargs=3D1, args=3D0x4bad618) at eva=
l.c:2999
    #68 0x00007ff7116089b2 in Fapply (nargs=3D2, args=3D0x4bad618) at eval.=
c:2623
    #69 0x00007ff71160a0c6 in funcall_subr (subr=3D0x7ff711d02e40
<Sapply>, numargs=3D2, args=3D0x4bad618) at eval.c:3063
    #70 0x00007ff71166fac8 in exec_byte_code (fun=3DXIL(0x3fbc45d),
args_template=3D513, nargs=3D1, args=3D0x4bad718) at bytecode.c:809
    #71 0x00007ff71160a24a in fetch_and_exec_byte_code
(fun=3DXIL(0x13e45635), args_template=3D385, nargs=3D1, args=3D0x4bad5d0) a=
t
eval.c:3085
    #72 0x00007ff71160a6de in funcall_lambda (fun=3DXIL(0x13e45635),
nargs=3D1, arg_vector=3D0x4bad5d0) at eval.c:3157
    #73 0x00007ff7116098ef in funcall_general (fun=3DXIL(0x13e45635),
numargs=3D1, args=3D0x4bad5d0) at eval.c:2949
    #74 0x00007ff711609c22 in Ffuncall (nargs=3D2, args=3D0x4bad5c8) at eva=
l.c:2999
    #75 0x00007ff7116089b2 in Fapply (nargs=3D3, args=3D0x4bad5c8) at eval.=
c:2623
    #76 0x00007ff71160a0c6 in funcall_subr (subr=3D0x7ff711d02e40
<Sapply>, numargs=3D3, args=3D0x4bad5c8) at eval.c:3063
    #77 0x00007ff71166fac8 in exec_byte_code (fun=3DXIL(0x14da6c25),
args_template=3D128, nargs=3D0, args=3D0x4bad580) at bytecode.c:809
    #78 0x00007ff71160a24a in fetch_and_exec_byte_code
(fun=3DXIL(0x3fb2065), args_template=3D1280, nargs=3D2, args=3D0xbfb058) at
eval.c:3085
    #79 0x00007ff71160a6de in funcall_lambda (fun=3DXIL(0x3fb2065),
nargs=3D2, arg_vector=3D0xbfb058) at eval.c:3157
    #80 0x00007ff7116098ef in funcall_general (fun=3DXIL(0x3fb2065),
numargs=3D2, args=3D0xbfb058) at eval.c:2949
    #81 0x00007ff711609c22 in Ffuncall (nargs=3D3, args=3D0xbfb050) at eval=
.c:2999
    #82 0x00007ff711608de2 in Fapply (nargs=3D2, args=3D0xbfb130) at eval.c=
:2670
    #83 0x00007ff7116081b1 in eval_sub (form=3DXIL(0x7da8973)) at eval.c:24=
74
    #84 0x00007ff7116013cd in Fprogn (body=3DXIL(0)) at eval.c:436
    #85 0x00007ff711607f63 in eval_sub (form=3DXIL(0x7da8133)) at eval.c:24=
53
    #86 0x00007ff7116044ce in Funwind_protect (args=3DXIL(0x7da8193)) at
eval.c:1301
    #87 0x00007ff711607f63 in eval_sub (form=3DXIL(0x7da81a3)) at eval.c:24=
53
    #88 0x00007ff7116013cd in Fprogn (body=3DXIL(0)) at eval.c:436
    #89 0x00007ff711603568 in FletX (args=3DXIL(0x7da81c3)) at eval.c:958
    #90 0x00007ff711607f63 in eval_sub (form=3DXIL(0x7da81d3)) at eval.c:24=
53
    #91 0x00007ff7116013cd in Fprogn (body=3DXIL(0)) at eval.c:436
    #92 0x00007ff71160abfe in funcall_lambda (fun=3DXIL(0x7da7c53),
nargs=3D3, arg_vector=3D0x0) at eval.c:3237
    #93 0x00007ff711609a11 in funcall_general (fun=3DXIL(0x7da7c63),
numargs=3D3, args=3D0xbfb998) at eval.c:2961
    #94 0x00007ff711609c22 in Ffuncall (nargs=3D4, args=3D0xbfb990) at eval=
.c:2999
    #95 0x00007ff711608de2 in Fapply (nargs=3D3, args=3D0x4bad4c8) at eval.=
c:2670
    #96 0x00007ff71160a0c6 in funcall_subr (subr=3D0x7ff711d02e40
<Sapply>, numargs=3D3, args=3D0x4bad4c8) at eval.c:3063
    #97 0x00007ff71166fac8 in exec_byte_code (fun=3DXIL(0x7d9eb85),
args_template=3D128, nargs=3D2, args=3D0xbfc158) at bytecode.c:809
    #98 0x00007ff71160a24a in fetch_and_exec_byte_code
(fun=3DXIL(0x7d9eb85), args_template=3D128, nargs=3D2, args=3D0xbfc158) at
eval.c:3085
    #99 0x00007ff71160a6de in funcall_lambda (fun=3DXIL(0x7d9eb85),
nargs=3D2, arg_vector=3D0xbfc158) at eval.c:3157
    #100 0x00007ff7116098ef in funcall_general (fun=3DXIL(0x7d9eb85),
numargs=3D2, args=3D0xbfc158) at eval.c:2949
    #101 0x00007ff711609c22 in Ffuncall (nargs=3D3, args=3D0xbfc150) at eva=
l.c:2999
    #102 0x00007ff711608de2 in Fapply (nargs=3D2, args=3D0x4bad488) at eval=
.c:2670
    #103 0x00007ff71160a0c6 in funcall_subr (subr=3D0x7ff711d02e40
<Sapply>, numargs=3D2, args=3D0x4bad488) at eval.c:3063
    #104 0x00007ff71166fac8 in exec_byte_code (fun=3DXIL(0x7d9ebe5),
args_template=3D128, nargs=3D2, args=3D0xbfc918) at bytecode.c:809
    #105 0x00007ff71160a24a in fetch_and_exec_byte_code
(fun=3DXIL(0x7d9ebe5), args_template=3D128, nargs=3D2, args=3D0xbfc918) at
eval.c:3085
    #106 0x00007ff71160a6de in funcall_lambda (fun=3DXIL(0x7d9ebe5),
nargs=3D2, arg_vector=3D0xbfc918) at eval.c:3157
    #107 0x00007ff7116098ef in funcall_general (fun=3DXIL(0x7d9ebe5),
numargs=3D2, args=3D0xbfc918) at eval.c:2949
    #108 0x00007ff711609c22 in Ffuncall (nargs=3D3, args=3D0xbfc910) at eva=
l.c:2999
    #109 0x00007ff711608de2 in Fapply (nargs=3D2, args=3D0x4bad448) at eval=
.c:2670
    #110 0x00007ff71160a0c6 in funcall_subr (subr=3D0x7ff711d02e40
<Sapply>, numargs=3D2, args=3D0x4bad448) at eval.c:3063
    #111 0x00007ff71166fac8 in exec_byte_code (fun=3DXIL(0x7d9ec45),
args_template=3D128, nargs=3D2, args=3D0x4bad400) at bytecode.c:809
    #112 0x00007ff71160a24a in fetch_and_exec_byte_code
(fun=3DXIL(0x3f864f5), args_template=3D1025, nargs=3D4, args=3D0xbfd0d8) at
eval.c:3085
    #113 0x00007ff71160a6de in funcall_lambda (fun=3DXIL(0x3f864f5),
nargs=3D4, arg_vector=3D0xbfd0d8) at eval.c:3157
    #114 0x00007ff7116098ef in funcall_general (fun=3DXIL(0x3f864f5),
numargs=3D4, args=3D0xbfd0d8) at eval.c:2949
    #115 0x00007ff711609c22 in Ffuncall (nargs=3D5, args=3D0xbfd0d0) at eva=
l.c:2999
    #116 0x00007ff711608de2 in Fapply (nargs=3D3, args=3D0x4bad2d0) at eval=
.c:2670
    #117 0x00007ff71160a0c6 in funcall_subr (subr=3D0x7ff711d02e40
<Sapply>, numargs=3D3, args=3D0x4bad2d0) at eval.c:3063
    #118 0x00007ff71166fac8 in exec_byte_code (fun=3DXIL(0x3fe0fe5),
args_template=3D514, nargs=3D2, args=3D0x4bad3f8) at bytecode.c:809
    #119 0x00007ff71160a24a in fetch_and_exec_byte_code
(fun=3DXIL(0x1a82d075), args_template=3D642, nargs=3D5, args=3D0xbfd8a8) at
eval.c:3085
    #120 0x00007ff71160a6de in funcall_lambda (fun=3DXIL(0x1a82d075),
nargs=3D5, arg_vector=3D0xbfd8a8) at eval.c:3157
    #121 0x00007ff7116098ef in funcall_general (fun=3DXIL(0x1a82d075),
numargs=3D5, args=3D0xbfd8a8) at eval.c:2949
    #122 0x00007ff711609c22 in Ffuncall (nargs=3D6, args=3D0xbfd8a0) at eva=
l.c:2999
    #123 0x00007ff711608de2 in Fapply (nargs=3D3, args=3D0x4bad260) at eval=
.c:2670
    #124 0x00007ff71160a0c6 in funcall_subr (subr=3D0x7ff711d02e40
<Sapply>, numargs=3D3, args=3D0x4bad260) at eval.c:3063
    #125 0x00007ff71166fac8 in exec_byte_code (fun=3DXIL(0x1a88ede5),
args_template=3D128, nargs=3D4, args=3D0x4bad210) at bytecode.c:809
    #126 0x00007ff71160a24a in fetch_and_exec_byte_code
(fun=3DXIL(0x1a4d0875), args_template=3D0, nargs=3D0, args=3D0x4bad138) at
eval.c:3085
    #127 0x00007ff71160a6de in funcall_lambda (fun=3DXIL(0x1a4d0875),
nargs=3D0, arg_vector=3D0x4bad138) at eval.c:3157
    #128 0x00007ff7116098ef in funcall_general (fun=3DXIL(0x1a4d0875),
numargs=3D0, args=3D0x4bad138) at eval.c:2949
    #129 0x00007ff711609c22 in Ffuncall (nargs=3D1, args=3D0x4bad130) at ev=
al.c:2999
    #130 0x00007ff7116089b2 in Fapply (nargs=3D2, args=3D0x4bad130) at eval=
.c:2623
    #131 0x00007ff71160a0c6 in funcall_subr (subr=3D0x7ff711d02e40
<Sapply>, numargs=3D2, args=3D0x4bad130) at eval.c:3063
    #132 0x00007ff71166fac8 in exec_byte_code (fun=3DXIL(0x1a4e9515),
args_template=3D128, nargs=3D0, args=3D0xbfeae0) at bytecode.c:809
    #133 0x00007ff71160a24a in fetch_and_exec_byte_code
(fun=3DXIL(0x1a4e9515), args_template=3D128, nargs=3D0, args=3D0xbfeae0) at
eval.c:3085
    #134 0x00007ff71160a6de in funcall_lambda (fun=3DXIL(0x1a4e9515),
nargs=3D0, arg_vector=3D0xbfeae0) at eval.c:3157
    #135 0x00007ff7116098ef in funcall_general (fun=3DXIL(0x1a4e9515),
numargs=3D0, args=3D0xbfeae0) at eval.c:2949
    #136 0x00007ff711609c22 in Ffuncall (nargs=3D1, args=3D0xbfead8) at eva=
l.c:2999
    #137 0x00007ff7115fba35 in Ffuncall_interactively (nargs=3D1,
args=3D0xbfead8) at callint.c:250
    #138 0x00007ff71160a0c6 in funcall_subr (subr=3D0x7ff711d02580
<Sfuncall_interactively>, numargs=3D1, args=3D0xbfead8) at eval.c:3063
    #139 0x00007ff7116098a3 in funcall_general
(fun=3DXIL(0x7ff711d02585), numargs=3D1, args=3D0xbfead8) at eval.c:2945
    #140 0x00007ff711609c22 in Ffuncall (nargs=3D2, args=3D0xbfead0) at eva=
l.c:2999
    #141 0x00007ff7116089b2 in Fapply (nargs=3D3, args=3D0xbfead0) at eval.=
c:2623
    #142 0x00007ff7115fbf05 in Fcall_interactively
(function=3DXIL(0xffff8008f57e3220), record_flag=3DXIL(0),
keys=3DXIL(0x46b2345)) at callint.c:342
    #143 0x00007ff711609eae in funcall_subr (subr=3D0x7ff711d025c0
<Scall_interactively>, numargs=3D3, args=3D0x4bad0a0) at eval.c:3042
    #144 0x00007ff71166fac8 in exec_byte_code (fun=3DXIL(0x402c4d5),
args_template=3D1025, nargs=3D1, args=3D0xbff410) at bytecode.c:809
    #145 0x00007ff71160a24a in fetch_and_exec_byte_code
(fun=3DXIL(0x402c4d5), args_template=3D1025, nargs=3D1, args=3D0xbff408) at
eval.c:3085
    #146 0x00007ff71160a6de in funcall_lambda (fun=3DXIL(0x402c4d5),
nargs=3D1, arg_vector=3D0xbff408) at eval.c:3157
    #147 0x00007ff7116098ef in funcall_general (fun=3DXIL(0x402c4d5),
numargs=3D1, args=3D0xbff408) at eval.c:2949
    #148 0x00007ff711609c22 in Ffuncall (nargs=3D2, args=3D0xbff400) at eva=
l.c:2999
    #149 0x00007ff711511956 in call1 (fn=3DXIL(0x4590),
arg1=3DXIL(0xffff8008f57e3220)) at lisp.h:3248
    #150 0x00007ff711515605 in command_loop_1 () at keyboard.c:1503
    #151 0x00007ff711604fc2 in internal_condition_case
(bfun=3D0x7ff711514c50 <command_loop_1>, handlers=3DXIL(0x90),
hfun=3D0x7ff711513e80 <cmd_error>)
        at eval.c:1474
    #152 0x00007ff71151479e in command_loop_2 (handlers=3DXIL(0x90)) at
keyboard.c:1133
    #153 0x00007ff7116040ff in internal_catch (tag=3DXIL(0x103b0),
func=3D0x7ff711514772 <command_loop_2>, arg=3DXIL(0x90)) at eval.c:1197
    #154 0x00007ff7115146db in command_loop () at keyboard.c:1111
    #155 0x0000000000000000 in ?? ()

    Lisp Backtrace:
    "file-exists-p" (0xbf6f20)
    "or" (0xbf7130)
    "if" (0xbf72e0)
    0xa9e7f40 Lisp type 3
    "org-activate-links--overlays" (0x4badb48)
    "org-activate-links" (0x4badac0)
    "font-lock-fontify-keywords-region" (0x4bada20)
    "font-lock-default-fontify-region" (0x4bad9b0)
    "font-lock-fontify-region" (0x4bad958)
    "font-lock-default-fontify-buffer" (0x4bad910)
    "font-lock-fontify-buffer" (0x4bad8c0)
    "org-fancy-priorities-mode" (0xbf7bb8)
    "run-hooks" (0xbf7d88)
    "apply" (0x4bad880)
    "run-mode-hooks" (0x4bad820)
    "org-mode" (0x4bad7e0)
    "set-auto-mode-0" (0x4bad790)
    "set-auto-mode--apply-alist" (0x4bad710)
    0x3fc5f40 PVEC_COMPILED
    "apply" (0x4bad6a0)
    0x62eecb0 PVEC_COMPILED
    "apply" (0xbf8db0)
    "progn" (0xbf9010)
    "unwind-protect" (0xbf91b0)
    "let" (0xbf9440)
    "evil-save-state" (0xbf95a0)
    "if" (0xbf9750)
    "+evil--persist-state-a" (0x4bad660)
    "apply" (0x4bad658)
    0x8037050 PVEC_COMPILED
    "apply" (0x4bad618)
    "so-long--set-auto-mode" (0x4bad5d0)
    "apply" (0x4bad5c8)
    "set-auto-mode" (0x4bad580)
    "normal-mode" (0x4bad530)
    0x3fb2060 PVEC_COMPILED
    "apply" (0xbfb130)
    "progn" (0xbfb390)
    "unwind-protect" (0xbfb530)
    "let*" (0xbfb770)
    "doom--shut-up-autosave-a" (0xbfb998)
    "apply" (0x4bad4c8)
    0x7d9eb80 PVEC_COMPILED
    "apply" (0x4bad488)
    0x7d9ebe0 PVEC_COMPILED
    "apply" (0x4bad448)
    "after-find-file" (0x4bad400)
    "find-file-noselect-1" (0x4bad368)
    0x3f864f0 PVEC_COMPILED
    "apply" (0x4bad2d0)
    "editorconfig--advice-find-file-noselect" (0xbfd8a8)
    "apply" (0x4bad260)
    "find-file-noselect" (0x4bad210)
    "find-file" (0x4bad168)
    0x1a4d0870 PVEC_COMPILED
    "apply" (0x4bad130)
    "consult-recent-file" (0xbfeae0)
    "funcall-interactively" (0xbfead8)
    "call-interactively" (0x4bad0a0)
    "command-execute" (0xbff408)

On Wed, May 22, 2024 at 9:21=E2=80=AFPM Simen Endsj=C3=B8 <simendsjo@gmail.=
com> wrote:
>
> > But note how many unknowns are involved in your find-file example:
> >
> >    doom--shut-up-autosave-a
> >    so-long--set-auto-mode
> >    +evil--persist-state-a
> >    evil-save-state
> >    org-mode
> >    org-fancy-priorities-mode
> >    org-activate-links
> >    org-activate-links--overlays
> >
> > If you can somehow spot what causes this "//" name to appear in this
> > case, do tell.  E.g., if it's the fault of Org, then we'd want to fix
> > that.
>
> I reduced it a bit earlier and tried again now. If I remove org-fancy-pri=
orities
> (and org-superstar) the problem goes away. So it might be related. The
> org-superstar package states there is some "intricate timing issues". I r=
eported
> an issue pointing to this thread Thursday, but haven't heard anything yet=
, ref
> https://github.com/integral-dw/org-superstar-mode/issues/55.
>
> I tried adding only org-fancy-priorities and org-superstar to a clean ema=
cs, but
> couldn't reproduce the issue, so more stars have to align to trigger this=
.
>
> On Wed, May 22, 2024 at 8:19=E2=80=AFPM Eli Zaretskii <eliz@HIDDEN> wrot=
e:
> >
> > > From: Simen Endsj=C3=B8 <simendsjo@HIDDEN>
> > > Date: Wed, 22 May 2024 18:54:06 +0200
> > > Cc: ssbssa@HIDDEN, corwin@HIDDEN, 70914 <at> debbugs.gnu.org
> > >
> > > > You can now remove the added condition and the call to emacs_abort
> > > > from the code.  Please run for a while and see if there are any oth=
er
> > > > crashes like that one, which yield a zero code address.
> > >
> > > Yes, I'll use this version for a while and see if things get better.
> >
> > Thanks.
> >
> > > > Thanks.  Too much is involved here, but my money is on consult: I s=
ee
> > > > in its code several places where it matches file names in a way tha=
t
> > > > can only work on Posix systems (i.e., assuming absolute file names
> > > > begin with a slash, not with a drive letter).  Since
> > > > consult-recent-file is in the Lisp backtrace, it's a definite
> > > > possibility.
> > >
> > > I can reproduce it calling just find-file too:
> >
> > Yes, I know.  It reproduces the problem even in "emacs -Q".  I used
> > that to test the fix.  But if the user manually types such an invalid
> > file name, it is on him/her.  What I wanted to try to find is whether
> > some of our Lisp packages _generates_ such a "file name", which would
> > be a bug we'd need to fix.
> >
> > But note how many unknowns are involved in your find-file example:
> >
> >    doom--shut-up-autosave-a
> >    so-long--set-auto-mode
> >    +evil--persist-state-a
> >    evil-save-state
> >    org-mode
> >    org-fancy-priorities-mode
> >    org-activate-links
> >    org-activate-links--overlays
> >
> > If you can somehow spot what causes this "//" name to appear in this
> > case, do tell.  E.g., if it's the fault of Org, then we'd want to fix
> > that.
> >
> > It is important to understand that "//" is an invalid file name on
> > Windows, as far as Emacs is concerned, and using it will basically
> > produce results which are not useful.  E.g., try
> >
> >   M-: (file-attributes "//") RET
> >
> > (in the fixed Emacs, of course, and after removing the call to
> > emacs_abort in parse_root).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 22 May 2024 19:22:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 22 15:22:56 2024
Received: from localhost ([127.0.0.1]:57849 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s9rY8-0000wH-1V
	for submit <at> debbugs.gnu.org; Wed, 22 May 2024 15:22:56 -0400
Received: from mail-lf1-f52.google.com ([209.85.167.52]:49353)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <simendsjo@HIDDEN>) id 1s9rY5-0000wB-GR
 for 70914 <at> debbugs.gnu.org; Wed, 22 May 2024 15:22:54 -0400
Received: by mail-lf1-f52.google.com with SMTP id
 2adb3069b0e04-51ff65b1e14so7947165e87.2
 for <70914 <at> debbugs.gnu.org>; Wed, 22 May 2024 12:22:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1716405701; x=1717010501; darn=debbugs.gnu.org;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:from:to:cc:subject:date
 :message-id:reply-to;
 bh=/fPFgHAvq1YwVC64H+sp+7mpPRNUHbMsQqKYwWaWHKk=;
 b=YmoGXFqMwJvosVqulB6H7yKiLEnVoyLYPWdzB2q5KqQnqkZPLzBEvU3H7f3uSmvGlB
 nFrH7D3fle0KquM6+gsDxOI8uYgepIVnYUlJ3kmx7Hct+xcpVf90/RjleTOvnpqv6vDu
 it29oq7hdPeRi6yLL9oV/wbdmdgyejlRpe0qoQ5znaRzbAAsLkt4BUBKxmMw3yTDOakR
 4l4Y0ZTw4rzBz16uh0KMP5GjCGSVWdul6ZXprYcQJN0rGjlt1y4+6Fr/aoQ/UEiGeC2h
 TU6h0fIaSiPvg2wFpFVjOloY84uQZRQV/YDlsiejDP7UyFKeEBUnlMjWfMCdlYHao6jN
 sbEw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1716405701; x=1717010501;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=/fPFgHAvq1YwVC64H+sp+7mpPRNUHbMsQqKYwWaWHKk=;
 b=alnvPIcGhDhENKUFd6AkEXSebblaGp711kKkZd9vo/0vCiwoWziYb+2TF+W33VqTAm
 NC5ZjyxQ7gvIws+YBhUnVlLG5/zUbCb7suYH1Zi2H+t1kTH0M5ayQ1f6laVXsmy+H2++
 SunUHMveUYqUcnfOZzNVJEqXfyifjCsVBq9CBAcKsgu3/tvNuyWCrCdoVFJ0DG53ocRN
 xj8w+mKCVjExg9PTTQQxBaIh/67iqVQbelDW4V1lSEmnbtFRmtaufBqe5qCX/jrhIj6K
 8ppMSGXQxkmpzYNvNspQ2ON8x86NaW9dgYSYIUlS8RLsgF0NPb6TeXITsmW9IuVxV/4E
 8jJw==
X-Forwarded-Encrypted: i=1;
 AJvYcCX+yEitS5gJZDWk8QoiOsdZoWrxilMS8/tA3w5zE5HsAB/UQ6qk3ucsTK/MgD0unnNNhb6L7Mzyh2CHDiu+zyv4zzrSSPI=
X-Gm-Message-State: AOJu0YxiAizOA/6/m3Dg62+hScjA7kbLVdx+wXvhY9mc64TuGg0QBfcC
 nmDDuLwg1nB+dU7vpM2C0ZbkF55y9nS8G+xuAtR7vEgKVv0RzHb+1vDF/1x/hbpwQaMVllMU+mV
 HQ8yiwWxFjn6lo1MVthDVU2JOhPk=
X-Google-Smtp-Source: AGHT+IGUGdzp+4M5BTTbI5NrpvLrgf5amrGQ9U+XUdxULx/rA0TiFvt2R8mlLb/ozBGgPJ1ZPEUIFFihAo2/VdUQes8=
X-Received: by 2002:a05:6512:3d04:b0:51d:97e8:b780 with SMTP id
 2adb3069b0e04-526c0879d8emr2365942e87.44.1716405700850; Wed, 22 May 2024
 12:21:40 -0700 (PDT)
MIME-Version: 1.0
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 <86bk4z81cu.fsf@HIDDEN> <554078779.3957737.1716318331280@HIDDEN>
 <CAHkVV6E3_1VwY=iiBL6cxySw-oXF2R3VzxQjDuWKhMV4i2Jusw@HIDDEN>
 <984937837.4078826.1716352322860@HIDDEN>
 <CAHkVV6GY_s0BaPK7cA5y-5QUji9PK1AucZ7ApmMc06aLmqpzqQ@HIDDEN>
 <829659206.4083070.1716354489264@HIDDEN>
 <CAHkVV6H5WcfvA=Mb639Qdo+kQuzckUBb2WLOCfxcJTtRo0u=tw@HIDDEN>
 <582535681.1158538.1716358337102@HIDDEN> <86zfsi6qdx.fsf@HIDDEN>
 <CAHkVV6EDVEHL0cA0uALP-v515ueb_449Ndg5RqNt6czToL_Yuw@HIDDEN>
 <867cfm6j14.fsf@HIDDEN>
 <CAHkVV6EDEKofHLWYomzpcr=ZMcpeFVqQQ6XVhdJhQbCVhJqHPA@HIDDEN>
 <86v835676h.fsf@HIDDEN>
In-Reply-To: <86v835676h.fsf@HIDDEN>
From: =?UTF-8?Q?Simen_Endsj=C3=B8?= <simendsjo@HIDDEN>
Date: Wed, 22 May 2024 21:21:29 +0200
Message-ID: <CAHkVV6HtRJwUBt3jwLhqRTs=WbKqRd4T85=QySRaAMfFKRVqiQ@HIDDEN>
Subject: Re: bug#70914: 29.3; Crashes often on Windows
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 70914
Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN, ssbssa@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> But note how many unknowns are involved in your find-file example:
>
>    doom--shut-up-autosave-a
>    so-long--set-auto-mode
>    +evil--persist-state-a
>    evil-save-state
>    org-mode
>    org-fancy-priorities-mode
>    org-activate-links
>    org-activate-links--overlays
>
> If you can somehow spot what causes this "//" name to appear in this
> case, do tell.  E.g., if it's the fault of Org, then we'd want to fix
> that.

I reduced it a bit earlier and tried again now. If I remove org-fancy-prior=
ities
(and org-superstar) the problem goes away. So it might be related. The
org-superstar package states there is some "intricate timing issues". I rep=
orted
an issue pointing to this thread Thursday, but haven't heard anything yet, =
ref
https://github.com/integral-dw/org-superstar-mode/issues/55.

I tried adding only org-fancy-priorities and org-superstar to a clean emacs=
, but
couldn't reproduce the issue, so more stars have to align to trigger this.

On Wed, May 22, 2024 at 8:19=E2=80=AFPM Eli Zaretskii <eliz@HIDDEN> wrote:
>
> > From: Simen Endsj=C3=B8 <simendsjo@HIDDEN>
> > Date: Wed, 22 May 2024 18:54:06 +0200
> > Cc: ssbssa@HIDDEN, corwin@HIDDEN, 70914 <at> debbugs.gnu.org
> >
> > > You can now remove the added condition and the call to emacs_abort
> > > from the code.  Please run for a while and see if there are any other
> > > crashes like that one, which yield a zero code address.
> >
> > Yes, I'll use this version for a while and see if things get better.
>
> Thanks.
>
> > > Thanks.  Too much is involved here, but my money is on consult: I see
> > > in its code several places where it matches file names in a way that
> > > can only work on Posix systems (i.e., assuming absolute file names
> > > begin with a slash, not with a drive letter).  Since
> > > consult-recent-file is in the Lisp backtrace, it's a definite
> > > possibility.
> >
> > I can reproduce it calling just find-file too:
>
> Yes, I know.  It reproduces the problem even in "emacs -Q".  I used
> that to test the fix.  But if the user manually types such an invalid
> file name, it is on him/her.  What I wanted to try to find is whether
> some of our Lisp packages _generates_ such a "file name", which would
> be a bug we'd need to fix.
>
> But note how many unknowns are involved in your find-file example:
>
>    doom--shut-up-autosave-a
>    so-long--set-auto-mode
>    +evil--persist-state-a
>    evil-save-state
>    org-mode
>    org-fancy-priorities-mode
>    org-activate-links
>    org-activate-links--overlays
>
> If you can somehow spot what causes this "//" name to appear in this
> case, do tell.  E.g., if it's the fault of Org, then we'd want to fix
> that.
>
> It is important to understand that "//" is an invalid file name on
> Windows, as far as Emacs is concerned, and using it will basically
> produce results which are not useful.  E.g., try
>
>   M-: (file-attributes "//") RET
>
> (in the fixed Emacs, of course, and after removing the call to
> emacs_abort in parse_root).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 22 May 2024 18:32:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 22 14:32:50 2024
Received: from localhost ([127.0.0.1]:57515 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s9qld-0000RC-VB
	for submit <at> debbugs.gnu.org; Wed, 22 May 2024 14:32:50 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49158)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1s9qlb-0000R4-Gk
 for 70914 <at> debbugs.gnu.org; Wed, 22 May 2024 14:32:48 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1s9qlP-0004la-DT; Wed, 22 May 2024 14:32:36 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:References:Subject:In-Reply-To:To:From:
 Date; bh=XkAJFos1S1kxQrZNDSUbCL09mN+p7BPziL+lC10knZw=; b=X1ZghWqOkasKpFNC/WKv
 RUyQIXE8km7RMo1cVlSJ9uB+zQTqk0F/FMNPycuRHrN1/j/U2x1p4kXRv4X2aPwo91gCmZQ5d1MRZ
 dPu4qp7JRWKWQXskrUsfHlMd8zJ5GOwClH/QcCv13mu8MkBnpMUAXy5QngpzcQSG7xJWUK3daH0Qs
 AxgJYORhyGA86eVuRnhbqHcN05g3zbNPDZL7iNJf8c7J0AVh1Ugj36ZltI9PEMxxka6z2333URwlQ
 YOQ6nCoOK/cRIU/IoYlNHeuOyUdtdwTAxEbgA6KvggWqyQxoIvWsxDAONk6zF3IZrJ5KMA1NDkxIZ
 pZ1OQok3CuhPiA==;
Date: Wed, 22 May 2024 21:32:29 +0300
Message-Id: <86pltd66ki.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Hannes Domani <ssbssa@HIDDEN>
In-Reply-To: <1317578176.4751401.1716401579791@HIDDEN> (message from
 Hannes Domani on Wed, 22 May 2024 18:12:59 +0000 (UTC))
Subject: Re: bug#70914: 29.3; Crashes often on Windows
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 <86bk4z81cu.fsf@HIDDEN> <554078779.3957737.1716318331280@HIDDEN>
 <CAHkVV6E3_1VwY=iiBL6cxySw-oXF2R3VzxQjDuWKhMV4i2Jusw@HIDDEN>
 <86msoi6nij.fsf@HIDDEN>
 <CAHkVV6FA0ST+OpN5f4RCCzFzJ09HLt4+1Fo6P1JxsgKWCJchvA@HIDDEN>
 <865xv66iwr.fsf@HIDDEN> <2117845224.4577549.1716388100111@HIDDEN>
 <86y1816ghy.fsf@HIDDEN> <1317578176.4751401.1716401579791@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 70914
Cc: simendsjo@HIDDEN, corwin@HIDDEN, 70914 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Wed, 22 May 2024 18:12:59 +0000 (UTC)
> From: Hannes Domani <ssbssa@HIDDEN>
> Cc: "simendsjo@HIDDEN" <simendsjo@HIDDEN>,=20
> 	"70914 <at> debbugs.gnu.org" <70914 <at> debbugs.gnu.org>,=20
> 	"corwin@HIDDEN" <corwin@HIDDEN>
>=20
> > I think it's a Windows setting.=A0 It's an experimental feature which
> > you can activate from Settings.=A0 This page explains how:
> >
> >=A0=A0 https://exploratory.io/note/exploratory/Enabling-UTF-8-on-Windows=
-hYc3yWL0
>=20
> Thanks, I could reproduce the issue like this.
>=20
> But it took me too long to figure out that I needed to patch iconv so
> that it understand CP65001:
>=20
> https://github.com/msys2/MINGW-packages/blob/master/mingw-w64-libiconv/00=
03-add-cp65001-as-utf8-alias.patch
>=20
> But with this now I don't get these encoding warnings any more.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 22 May 2024 18:21:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 22 14:21:56 2024
Received: from localhost ([127.0.0.1]:57455 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s9qb6-0005xj-I6
	for submit <at> debbugs.gnu.org; Wed, 22 May 2024 14:21:56 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52666)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1s9qb2-0005xd-T2
 for 70914 <at> debbugs.gnu.org; Wed, 22 May 2024 14:21:55 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1s9qYg-0002Ly-QN; Wed, 22 May 2024 14:19:27 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=5L9aM+T16T3V8pHo4ikbUUJj4qZWuBY86OO3EVMI47g=; b=RbX/7U2oML9fT1F6bwXr
 GWn+MT2o7s3XXUQyl+av9kX6zXwygGfGaxr+OQADc1w7aPc+GLMWT9QHG5l7sOmx6xkdWQMyujIS6
 stdOYUbXbhixPMR6Y/Jd59FMrVc1J5i8rNn21GQMch4BHZ5R5cL0VqAvb7d+kHAYX7RNyZyKLbVn2
 lKpvptJ/+aWdnuxARnAfeXDdHb3q9U+KRlqvHkaFqUTbrx3TVMEGcdQ5iDopaSgwYz6MFQE6hEcTf
 +NsEaVMPu/kEXqR69rPbD0MkLG/J2PK/B3yVotTt4mkGaibhD+7omIyAGKNmpHGePK0CY7QaeBCoO
 zjBGCvFhtxf8MA==;
Date: Wed, 22 May 2024 21:19:18 +0300
Message-Id: <86v835676h.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Simen =?utf-8?Q?Endsj=C3=B8?= <simendsjo@HIDDEN>
In-Reply-To: <CAHkVV6EDEKofHLWYomzpcr=ZMcpeFVqQQ6XVhdJhQbCVhJqHPA@HIDDEN>
 (message from Simen =?utf-8?Q?Endsj=C3=B8?= on Wed, 22 May 2024 18:54:06
 +0200)
Subject: Re: bug#70914: 29.3; Crashes often on Windows
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 <86bk4z81cu.fsf@HIDDEN> <554078779.3957737.1716318331280@HIDDEN>
 <CAHkVV6E3_1VwY=iiBL6cxySw-oXF2R3VzxQjDuWKhMV4i2Jusw@HIDDEN>
 <984937837.4078826.1716352322860@HIDDEN>
 <CAHkVV6GY_s0BaPK7cA5y-5QUji9PK1AucZ7ApmMc06aLmqpzqQ@HIDDEN>
 <829659206.4083070.1716354489264@HIDDEN>
 <CAHkVV6H5WcfvA=Mb639Qdo+kQuzckUBb2WLOCfxcJTtRo0u=tw@HIDDEN>
 <582535681.1158538.1716358337102@HIDDEN> <86zfsi6qdx.fsf@HIDDEN>
 <CAHkVV6EDVEHL0cA0uALP-v515ueb_449Ndg5RqNt6czToL_Yuw@HIDDEN>
 <867cfm6j14.fsf@HIDDEN>
 <CAHkVV6EDEKofHLWYomzpcr=ZMcpeFVqQQ6XVhdJhQbCVhJqHPA@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 70914
Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN, ssbssa@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Simen Endsjø <simendsjo@HIDDEN>
> Date: Wed, 22 May 2024 18:54:06 +0200
> Cc: ssbssa@HIDDEN, corwin@HIDDEN, 70914 <at> debbugs.gnu.org
> 
> > You can now remove the added condition and the call to emacs_abort
> > from the code.  Please run for a while and see if there are any other
> > crashes like that one, which yield a zero code address.
> 
> Yes, I'll use this version for a while and see if things get better.

Thanks.

> > Thanks.  Too much is involved here, but my money is on consult: I see
> > in its code several places where it matches file names in a way that
> > can only work on Posix systems (i.e., assuming absolute file names
> > begin with a slash, not with a drive letter).  Since
> > consult-recent-file is in the Lisp backtrace, it's a definite
> > possibility.
> 
> I can reproduce it calling just find-file too:

Yes, I know.  It reproduces the problem even in "emacs -Q".  I used
that to test the fix.  But if the user manually types such an invalid
file name, it is on him/her.  What I wanted to try to find is whether
some of our Lisp packages _generates_ such a "file name", which would
be a bug we'd need to fix.

But note how many unknowns are involved in your find-file example:

   doom--shut-up-autosave-a
   so-long--set-auto-mode
   +evil--persist-state-a
   evil-save-state
   org-mode
   org-fancy-priorities-mode
   org-activate-links
   org-activate-links--overlays

If you can somehow spot what causes this "//" name to appear in this
case, do tell.  E.g., if it's the fault of Org, then we'd want to fix
that.

It is important to understand that "//" is an invalid file name on
Windows, as far as Emacs is concerned, and using it will basically
produce results which are not useful.  E.g., try

  M-: (file-attributes "//") RET

(in the fixed Emacs, of course, and after removing the call to
emacs_abort in parse_root).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 22 May 2024 18:13:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 22 14:13:20 2024
Received: from localhost ([127.0.0.1]:57406 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s9qSl-0005so-Sx
	for submit <at> debbugs.gnu.org; Wed, 22 May 2024 14:13:20 -0400
Received: from sonic306-20.consmr.mail.ir2.yahoo.com ([77.238.176.206]:45476)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ssbssa@HIDDEN>) id 1s9qSh-0005si-FE
 for 70914 <at> debbugs.gnu.org; Wed, 22 May 2024 14:13:19 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.de; s=s2048;
 t=1716401583; bh=xDLbeAddR8MfplUAz7HL0okZrRJopwPUg5wu0uyMbOc=;
 h=Date:From:To:Cc:In-Reply-To:References:Subject:From:Subject:Reply-To;
 b=iSTiTEZXLmr7bCl9/NiTDECpUV2drP5zv8JA1J+8f7Oo41dQB2aMBwDPe2W0t5/is8leKnrIAnOqB6pYYbce6fXb8/7B2qa/vy5OHOO9MKoKptYqjVo04uZUoJ1Z+XiJdhwnt/TR8lwAVGtGj0kHoikUh2VVZI8JFaKQdKbrxkxJevfMECY+K0BheV3KvhKDEJ+jCKEw2+g5OnPzmgNDP62kB/vw04r2CQgj+6209GN9feY4QmMhbO1MdHBFOSq5K9wTAlwwbwrqLP9aPXGgpOZf8kdeXe085tZmG3eCUb1Y590egC6hM7eXi6EKE08QfznRVGu2cD1UjqXrsEvQ6w==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1716401583; bh=H5cmYQBM048PPQ33igSw5Q00znT5XIiXU3djAG1g/Id=;
 h=X-Sonic-MF:Date:From:To:Subject:From:Subject;
 b=obxsdhOPBIi1BZSclRm+hndIOWCLR1s1npLLRhMv9Q6zIiDBjq7eU1Ve4uUzF5AHwrWJXGjqOrPoBQbLj49zFnhzx5YizgC4PlDdzKEEIczVMhN90Qk1jMtoVEzPMGwZKNuauXDLhEykw+vwTYQQSaja67rlSl2DpyQs61/iTrAY9d3bg8Dsvm18ea1pnA0MXYOyqz+Fux+aFCyiCBdKiB5lImj1XphAjs+LRWRva0BtU5LG3azqKcRoYEj8e6N/PcgjrQYnbA8YZq3j7odC5K3EvvbNSlGfNnTfBwCsmjYMg3VTwSNVmq0OpO+aAC9SArLr6i3EyCJ5LgnKDoJqyA==
X-YMail-OSG: mFZ0tuIVM1ksOJ0dE1WLYZj09tTp.2rLYqNvc7YwYhHz0Al5o1qeIR1pYMxo5Y5
 epMKlKD2b4SzDZmY6aj9VUdy3ooyhg8Ev2qdgfBATXC9oPeq4Q84xidflmD5lRFuFJ_YYgNj_15m
 tGqnxqSHpwRZfXEh9vy24lfdgeMTo6PsI9t_EP4zm46fOSnp0YcdEDuTaY4EGwyFeGq6e7HOjIM8
 4s3CP2TxPF2rwXeFkQHlUWP4yeikXGBkgvq6X9EK5gKwiZR1FSwlLkZEIuSGSzXeudJsXzOoAzt8
 NKiWiirwGXROuegMeFogizVkl4D6CUsWuXjZhR.eU_iChNQFhuFHCWRy4.2s8JjENaumdnHmkcRM
 mKZ4FAl1ZtvfxAoQFJT6COwx0YlQ9E3Y1FQ3Lj5rY9_.l0nj4_j8B64xqEvKtEmfdXT8RU_Og4QJ
 XYHWt7Bh4AsETzvT.tceW8oCUvGUTy7wpfLjjlVxdsJFpdmxAiM3sEt_MR5LgPfbdP6qvyM1V2WX
 n0yioz80Dzf7PcNVr6DQB9Quen0gOGAOYlPBQjxBBvmUupFo6uVHWivhLD9RCiIeEIK6Lh9Ii1NW
 v.gZr_tnGT2WIltmrD2StDf3gpdSCdL1_aowf_wCzrkLxA7On_RJM7JBSvevNVKJY8vsYQsE91nr
 5kRstzxLf71jfKQWAzLBVaf_iVSZrLhzG8v3eMiZ3yTXRa7gf6NbmwUpDeuhBRDgm7APWTkP1RMs
 l8op6z5fYywuosyG0ajT_9qQL5L1XbYe3034rXMVgM343wSm3j7KzQQndgdiqaGdrFrfizaqNDiV
 s9Wj2EoRWoEwCYCkleFAeXNzedfR5xcl7wGo6MVbSfFVehTllVH0Jd2ajVB2xyqVBOWmqeXQU3hR
 e1luacLQ7LxuqlpEJTG2CGfEfWKIi0wuoeLoI1FbNPSXFvqRyWJCYjecC179_wwoxpnBSHW5lorW
 _3Vl6_JfJjsWPWSf3oajNKqY86OhvCOQ60CAsvzQi6mMyP129UkYwCC9WE88Ob8oInOX_pSPq7M0
 c62OkWX5MavDAG1kZ6o5W4yM8QNtKl2Iz15kPrcrA4JGN5rT3iXGvBEjv.FkJHqxsjTa0mg5ZA9e
 WClIcXjw6WJSglD8AGvakh2YB_t.JWpBymXww4v8GoStqhrOgop36mjkCj2uXNJ3_CDfjj6G0hcc
 8cEryvid0ycQ_QHIUFopv0ZZyIEgCtFRSQ2wd8Nu5apO4yt3kkC6lksfGTZN_c4I.I_NauSPoMxT
 jsJGZ_S2o0yo4kjqFV6vRdSQ8YZtOx40ciFjAwXJ4lkVNsRX1Lg7QLlAqj6xxAvSE6OyMsNUv4Y5
 K7KSdbLFP7dH2qrMatG3qACB.AvoMHC_kWzq7fdaZI.bQosS_Y9h.RethyMr6a.7hNU1Ix01Ju1.
 YHxrP5ZP43F7H72bLs9FdrO_AQBGWoYyBrxrk6H31HFkJxdHehEHLosFPmBFm7Xu0lavRteDYg0g
 lCveQo8wuVg2JDkX2kg9O9X769KRpJAJgaEOd1dVzRSN2IvcRsj_sMlQBiXwwbX4hDkox9iVXGc4
 7zN4UMPqhOsIPh_49nnwY66dY1guv4zxwfcg4_G4yuQBi3cBIaUyOQbwACXP_IG4_tIKDEDaIMVz
 mXuHf0eWSg7TYHD_b_KKxEzfLJmE_rq5h9_PD89ZEqqh.GQ5sFzlnpaBX_qn8440_cDspOFWRbsJ
 ZlCcR25HWCRtMSpnxzqSWUqNDfDzZPr5JPJY5j8PfAlNwVfYAQJRd1VLPka8EAKa2zQvzWS2rQxH
 uQIahtZOnjKPhVneOzERz4bHut46dgnIhcGKf_1E_331wvKX2OdI2Bbke_hZDecDaHt_SjB9Ojph
 z8W8eis8hoM433tt1BjlBrV3VWsWYI5CnJgR2ynjCIyYuPoXADp_LqOxqxDnxcKYF_BKSdVsJRvo
 yNWLmx8ivS18Y3qxqTW.kOlJJQke8pmiVC5QXGhMdH3bFzxk4avKDThDHjkYLa3wCQ5J48jzPFjn
 wDtDnFM5yyJZDVQE5umOfE6Hh5DCSco0wxt5otzKun_iYzbIJQC2dKlv2XKSI9BvLS6nHlt0kljc
 Z6VjRBgy3LUNlOcZI.KeTEhMLNHx_DOWK5RmpAoCz.lZqN96rdsCJ_LMFXyTmbNqolkpfERNGkBv
 HrbwVZz0BruRUElN03NLODco8s0txZvs1PWLnadF..myBnfJy0eNLdcsYRegdnGGM2aEfmZhO5eN
 Yz5ypXxK.Wc64F2p5LA--
X-Sonic-MF: <ssbssa@HIDDEN>
X-Sonic-ID: d2cd9195-b72e-4a87-a1d5-d0dadeef8967
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic306.consmr.mail.ir2.yahoo.com with HTTP; Wed, 22 May 2024 18:13:03 +0000
Date: Wed, 22 May 2024 18:12:59 +0000 (UTC)
From: Hannes Domani <ssbssa@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Message-ID: <1317578176.4751401.1716401579791@HIDDEN>
In-Reply-To: <86y1816ghy.fsf@HIDDEN>
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 <86bk4z81cu.fsf@HIDDEN> <554078779.3957737.1716318331280@HIDDEN>
 <CAHkVV6E3_1VwY=iiBL6cxySw-oXF2R3VzxQjDuWKhMV4i2Jusw@HIDDEN>
 <86msoi6nij.fsf@HIDDEN>
 <CAHkVV6FA0ST+OpN5f4RCCzFzJ09HLt4+1Fo6P1JxsgKWCJchvA@HIDDEN>
 <865xv66iwr.fsf@HIDDEN> <2117845224.4577549.1716388100111@HIDDEN>
 <86y1816ghy.fsf@HIDDEN>
Subject: Re: bug#70914: 29.3; Crashes often on Windows
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Mailer: WebService/1.1.22356 YMailNorrin
Content-Length: 1197
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70914
Cc: "simendsjo@HIDDEN" <simendsjo@HIDDEN>,
 "corwin@HIDDEN" <corwin@HIDDEN>,
 "70914 <at> debbugs.gnu.org" <70914 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 Am Mittwoch, 22. Mai 2024 um 16:58:12 MESZ hat Eli Zaretskii <eliz@HIDDEN=
> Folgendes geschrieben:

> > Date: Wed, 22 May 2024 14:28:20 +0000 (UTC)
> > From: Hannes Domani <ssbssa@HIDDEN>
> > Cc: "70914 <at> debbugs.gnu.org" <70914 <at> debbugs.gnu.org>,
>
> >=C2=A0=C2=A0=C2=A0=C2=A0 "corwin@HIDDEN" <corwin@HIDDEN>
> >
> > > OK, then Hannes should look into it.=C2=A0 My guess is that GDB doesn=
't
> > > realize that CP65001 is just a funny name for UTF-8...
> >
> > I would, but I can't even figure out how to set CP65001:
> >
> > (gdb) set charset CP65001
> > Undefined item: "CP65001".
> >
> > Or do I need a different setting?
>
>
> I think it's a Windows setting.=C2=A0 It's an experimental feature which
> you can activate from Settings.=C2=A0 This page explains how:
>
>=C2=A0=C2=A0 https://exploratory.io/note/exploratory/Enabling-UTF-8-on-Win=
dows-hYc3yWL0

Thanks, I could reproduce the issue like this.

But it took me too long to figure out that I needed to patch iconv so
that it understand CP65001:

https://github.com/msys2/MINGW-packages/blob/master/mingw-w64-libiconv/0003=
-add-cp65001-as-utf8-alias.patch

But with this now I don't get these encoding warnings any more.


Hannes




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 22 May 2024 16:55:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 22 12:55:37 2024
Received: from localhost ([127.0.0.1]:57034 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s9pFY-0005A5-1g
	for submit <at> debbugs.gnu.org; Wed, 22 May 2024 12:55:37 -0400
Received: from mail-lj1-f181.google.com ([209.85.208.181]:58643)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <simendsjo@HIDDEN>) id 1s9pFS-00059z-G8
 for 70914 <at> debbugs.gnu.org; Wed, 22 May 2024 12:55:34 -0400
Received: by mail-lj1-f181.google.com with SMTP id
 38308e7fff4ca-2e538a264e0so93191121fa.1
 for <70914 <at> debbugs.gnu.org>; Wed, 22 May 2024 09:55:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1716396858; x=1717001658; darn=debbugs.gnu.org;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:from:to:cc:subject:date
 :message-id:reply-to;
 bh=cp79WZwpfueE/5nOzNFK3ZcMNT0nbV/3TBRVT2+UdXU=;
 b=grOt2lkt+UsaOoEH1gcpxP/wykCXpuSdY9PcEJ/oF+vJAAuVQITY/yV+tWjh9uEcdk
 DE+luGmIIxasOqLFAAMJgoeg70XXeOEX3cQtPp40OycLjNb21NIzCQz3Y9F7gfMj4MAg
 wI2joNf1k9Z40FPm8bYluuEzaxhauB8a00xtJJd1vbRPbqkj3mtxrBRxjHI3Nmd6xnyC
 CY1BoFbjcpRJgLZftqzSztzn5Iiy+3Ffnk4T4PXB6oJFU2bBaCop/XZUxHbZ/g+HR92s
 eK5eMNJcnBURhle+PR+eXl1c5eepCMBh1mfwXKLTgcxJJ/umwgXsjVNsBPK9XdFSU0dg
 vqYA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1716396858; x=1717001658;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=cp79WZwpfueE/5nOzNFK3ZcMNT0nbV/3TBRVT2+UdXU=;
 b=BSHHLIqpsCtgZd5Uly3LU+4mqHB7wYCfeU7iclXuoLrdPTPNp4gkuuXREXaceYjanr
 kVX5J1AkmULkwRIdY0mzmLTkZdjSlj2QdL6FE/2zFhsd0dGMgX/p+RKK/MbkRo7ZaIV1
 Ip4GMreD7/ocaGSf7PGHzbnNZ3MGld2xBYREvgZg5919KH1JAb8U9Pi7W0syIKG+gRzp
 aVEwg/uigT2sWhS6Fk/RgwOxSwSJXlbIDNFjEqUsNnNuBULQRnwGWlqyEcRiQvz8gbje
 FcLEHrHGkWXMXBLonHXBJeYC2gDX3UILQoI5ypVly/SX5zwf0gwCyMjmhMqud1F2ykBn
 NrSQ==
X-Forwarded-Encrypted: i=1;
 AJvYcCXsllg7YMDIC3PVAKz91iXMthX79JMiQmeAI77oSm0f0OMe2UaZvvHBLOVXbOo7SQLJt7tUw/wpodUOKw/VXVnZED+/42U=
X-Gm-Message-State: AOJu0Yze7dZKGPElOu6Ca7ka67EWHImrugFSlzX3vgwNWcyGp8V5TqGe
 wUN7ZnhuMyhM9y7fRGex69JvHCNM70J/f/VFKaj2JZ+MEteDF3FaJdNxpartyvjbyQXHjsCQcv1
 eEgMzS11wlQO/3r/mDjlkQNs1S0R4RuLbUVA=
X-Google-Smtp-Source: AGHT+IHzqSpIV1VHfpCdiG9FLVfznbyKf7+yj56eeeEeVeKOeJvzdMhYRSsQGIx24ZPwK5nteEUocybQ8bS/q0qPwVk=
X-Received: by 2002:a2e:bc1b:0:b0:2e6:e46c:a24e with SMTP id
 38308e7fff4ca-2e9495bad30mr24327971fa.52.1716396858148; Wed, 22 May 2024
 09:54:18 -0700 (PDT)
MIME-Version: 1.0
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 <86bk4z81cu.fsf@HIDDEN> <554078779.3957737.1716318331280@HIDDEN>
 <CAHkVV6E3_1VwY=iiBL6cxySw-oXF2R3VzxQjDuWKhMV4i2Jusw@HIDDEN>
 <984937837.4078826.1716352322860@HIDDEN>
 <CAHkVV6GY_s0BaPK7cA5y-5QUji9PK1AucZ7ApmMc06aLmqpzqQ@HIDDEN>
 <829659206.4083070.1716354489264@HIDDEN>
 <CAHkVV6H5WcfvA=Mb639Qdo+kQuzckUBb2WLOCfxcJTtRo0u=tw@HIDDEN>
 <582535681.1158538.1716358337102@HIDDEN> <86zfsi6qdx.fsf@HIDDEN>
 <CAHkVV6EDVEHL0cA0uALP-v515ueb_449Ndg5RqNt6czToL_Yuw@HIDDEN>
 <867cfm6j14.fsf@HIDDEN>
In-Reply-To: <867cfm6j14.fsf@HIDDEN>
From: =?UTF-8?Q?Simen_Endsj=C3=B8?= <simendsjo@HIDDEN>
Date: Wed, 22 May 2024 18:54:06 +0200
Message-ID: <CAHkVV6EDEKofHLWYomzpcr=ZMcpeFVqQQ6XVhdJhQbCVhJqHPA@HIDDEN>
Subject: Re: bug#70914: 29.3; Crashes often on Windows
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70914
Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN, ssbssa@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> You can now remove the added condition and the call to emacs_abort
> from the code.  Please run for a while and see if there are any other
> crashes like that one, which yield a zero code address.

Yes, I'll use this version for a while and see if things get better.


> Thanks.  Too much is involved here, but my money is on consult: I see
> in its code several places where it matches file names in a way that
> can only work on Posix systems (i.e., assuming absolute file names
> begin with a slash, not with a drive letter).  Since
> consult-recent-file is in the Lisp backtrace, it's a definite
> possibility.

I can reproduce it calling just find-file too:

    #0  0x00007fffed1bd313 in KERNELBASE!DebugBreak () from
C:\WINDOWS\System32\KernelBase.dll
    #1  0x00007ff6675c8f46 in emacs_abort () at w32fns.c:11136
    #2  0x00007ff6675fa08e in parse_root (name=3D0x1cc0f570 "//",
pPath=3D0xbf75a0) at w32.c:2561
    #3  0x00007ff6675fbdf7 in get_volume_info (name=3D0x1cc0f570 "//",
pPath=3D0xbf75a0) at w32.c:3483
    #4  0x00007ff6675fbf06 in is_fat_volume (name=3D0x1cc0f570 "//",
pPath=3D0xbf75a0) at w32.c:3513
    #5  0x00007ff6675fbf9c in map_w32_filename (name=3D0x1cc0f570 "//",
pPath=3D0x0) at w32.c:3538
    #6  0x00007ff6675fd149 in faccessat (dirfd=3D-3041965,
path=3D0x1cc0f570 "//", mode=3D8, flags=3D4) at w32.c:4134
    #7  0x00007ff667445ec1 in file_access_p (file=3D0x1cc0f570 "//",
amode=3D0) at fileio.c:162
    #8  0x00007ff66744bc91 in check_file_access (file=3DXIL(0xa33bb64),
operation=3DXIL(0x6ab0), amode=3D0) at fileio.c:2893
    #9  0x00007ff66744bcde in Ffile_exists_p (filename=3DXIL(0xa33bba4))
at fileio.c:2905
    #10 0x00007ff6674d8335 in eval_sub (form=3DXIL(0x8f42673)) at eval.c:25=
02
    #11 0x00007ff6674d0ef3 in For (args=3DXIL(0)) at eval.c:349
    #12 0x00007ff6674d7f63 in eval_sub (form=3DXIL(0x8f42573)) at eval.c:24=
53
    #13 0x00007ff6674d1087 in Fif (args=3DXIL(0x8f426a3)) at eval.c:388
    #14 0x00007ff6674d7f63 in eval_sub (form=3DXIL(0x8f42563)) at eval.c:24=
53
    #15 0x00007ff6674d13cd in Fprogn (body=3DXIL(0)) at eval.c:436
    #16 0x00007ff6674dabfe in funcall_lambda (fun=3DXIL(0xa827f33),
nargs=3D1, arg_vector=3D0x0) at eval.c:3237
    #17 0x00007ff6674d9a11 in funcall_general (fun=3DXIL(0xa827f43),
numargs=3D1, args=3D0x4985aa8) at eval.c:2961
    #18 0x00007ff66753faf1 in exec_byte_code (fun=3DXIL(0xa0263b5),
args_template=3D514, nargs=3D2, args=3D0x4985ab0) at bytecode.c:811
    #19 0x00007ff6674da24a in fetch_and_exec_byte_code
(fun=3DXIL(0x96205a5), args_template=3D0, nargs=3D0, args=3D0x0) at
eval.c:3085
    #20 0x00007ff6674dac89 in funcall_lambda (fun=3DXIL(0x96205a5),
nargs=3D0, arg_vector=3D0x0) at eval.c:3246
    #21 0x00007ff6674d98ef in funcall_general (fun=3DXIL(0x96205a5),
numargs=3D0, args=3D0xbf8a48) at eval.c:2949
    #22 0x00007ff6674d9c22 in Ffuncall (nargs=3D1, args=3D0xbf8a40) at eval=
.c:2999
    #23 0x00007ff6674d8e1d in funcall_nil (nargs=3D1, args=3D0xbf8a40) at
eval.c:2681
    #24 0x00007ff6674d939c in run_hook_with_args (nargs=3D1,
args=3D0xbf8a40, funcall=3D0x7ff6674d8dfd <funcall_nil>) at eval.c:2858
    #25 0x00007ff6674d8eab in Frun_hook_with_args (nargs=3D1,
args=3D0xbf8a40) at eval.c:2723
    #26 0x00007ff6674d943b in run_hook (hook=3DXIL(0xffff80099f8c6d90))
at eval.c:2871
    #27 0x00007ff6674d8e65 in Frun_hooks (nargs=3D4, args=3D0xbf8c18) at ev=
al.c:2705
    #28 0x00007ff6674da0c6 in funcall_subr (subr=3D0x7ff667bd2e80
<Srun_hooks>, numargs=3D4, args=3D0xbf8c18) at eval.c:3063
    #29 0x00007ff6674d98a3 in funcall_general
(fun=3DXIL(0x7ff667bd2e85), numargs=3D4, args=3D0xbf8c18) at eval.c:2945
    #30 0x00007ff6674d9c22 in Ffuncall (nargs=3D5, args=3D0xbf8c10) at eval=
.c:2999
    #31 0x00007ff6674d8de2 in Fapply (nargs=3D2, args=3D0x4985758) at eval.=
c:2670
    #32 0x00007ff6674da0c6 in funcall_subr (subr=3D0x7ff667bd2e40
<Sapply>, numargs=3D2, args=3D0x4985758) at eval.c:3063
    #33 0x00007ff66753fac8 in exec_byte_code (fun=3DXIL(0x3d47cf5),
args_template=3D128, nargs=3D1, args=3D0x49856f8) at bytecode.c:809
    #34 0x00007ff6674da24a in fetch_and_exec_byte_code
(fun=3DXIL(0x3da5f45), args_template=3D256, nargs=3D0, args=3D0x4985580) at
eval.c:3085
    #35 0x00007ff6674da6de in funcall_lambda (fun=3DXIL(0x3da5f45),
nargs=3D0, arg_vector=3D0x4985580) at eval.c:3157
    #36 0x00007ff6674d98ef in funcall_general (fun=3DXIL(0x3da5f45),
numargs=3D0, args=3D0x4985580) at eval.c:2949
    #37 0x00007ff6674d9c22 in Ffuncall (nargs=3D1, args=3D0x4985578) at eva=
l.c:2999
    --Type <RET> for more, q to quit, c to continue without paging--c
    #38 0x00007ff6674d89b2 in Fapply (nargs=3D2, args=3D0x4985578) at eval.=
c:2623
    #39 0x00007ff6674da0c6 in funcall_subr (subr=3D0x7ff667bd2e40
<Sapply>, numargs=3D2, args=3D0x4985578) at eval.c:3063
    #40 0x00007ff66753fac8 in exec_byte_code (fun=3DXIL(0x60cebd5),
args_template=3D128, nargs=3D0, args=3D0xbf9c48) at bytecode.c:809
    #41 0x00007ff6674da24a in fetch_and_exec_byte_code
(fun=3DXIL(0x60cebd5), args_template=3D128, nargs=3D0, args=3D0xbf9c48) at
eval.c:3085
    #42 0x00007ff6674da6de in funcall_lambda (fun=3DXIL(0x60cebd5),
nargs=3D0, arg_vector=3D0xbf9c48) at eval.c:3157
    #43 0x00007ff6674d98ef in funcall_general (fun=3DXIL(0x60cebd5),
numargs=3D0, args=3D0xbf9c48) at eval.c:2949
    #44 0x00007ff6674d9c22 in Ffuncall (nargs=3D1, args=3D0xbf9c40) at eval=
.c:2999
    #45 0x00007ff6674d89b2 in Fapply (nargs=3D2, args=3D0xbf9c40) at eval.c=
:2623
    #46 0x00007ff6674d81b1 in eval_sub (form=3DXIL(0x7e4ab83)) at eval.c:24=
74
    #47 0x00007ff6674d13cd in Fprogn (body=3DXIL(0)) at eval.c:436
    #48 0x00007ff6674d7f63 in eval_sub (form=3DXIL(0x53127c3)) at eval.c:24=
53
    #49 0x00007ff6674d44ce in Funwind_protect (args=3DXIL(0x5312713)) at
eval.c:1301
    #50 0x00007ff6674d7f63 in eval_sub (form=3DXIL(0x5312703)) at eval.c:24=
53
    #51 0x00007ff6674d13cd in Fprogn (body=3DXIL(0)) at eval.c:436
    #52 0x00007ff6674d3ab5 in Flet (args=3DXIL(0x53126e3)) at eval.c:1026
    #53 0x00007ff6674d7f63 in eval_sub (form=3DXIL(0x53126d3)) at eval.c:24=
53
    #54 0x00007ff6674d882c in eval_sub (form=3DXIL(0x7e4ab73)) at eval.c:25=
88
    #55 0x00007ff6674d10f8 in Fif (args=3DXIL(0x7e4ab63)) at eval.c:391
    #56 0x00007ff6674d7f63 in eval_sub (form=3DXIL(0x7e4ab53)) at eval.c:24=
53
    #57 0x00007ff6674d13cd in Fprogn (body=3DXIL(0)) at eval.c:436
    #58 0x00007ff6674dabfe in funcall_lambda (fun=3DXIL(0x7e530f3),
nargs=3D1, arg_vector=3D0x0) at eval.c:3237
    #59 0x00007ff6674d9a11 in funcall_general (fun=3DXIL(0x7e53103),
numargs=3D1, args=3D0x4985538) at eval.c:2961
    #60 0x00007ff6674d9c22 in Ffuncall (nargs=3D2, args=3D0x4985530) at eva=
l.c:2999
    #61 0x00007ff6674d89b2 in Fapply (nargs=3D3, args=3D0x4985530) at eval.=
c:2623
    #62 0x00007ff6674da0c6 in funcall_subr (subr=3D0x7ff667bd2e40
<Sapply>, numargs=3D3, args=3D0x4985530) at eval.c:3063
    #63 0x00007ff66753fac8 in exec_byte_code (fun=3DXIL(0x7e43005),
args_template=3D128, nargs=3D0, args=3D0x49854f8) at bytecode.c:809
    #64 0x00007ff6674da24a in fetch_and_exec_byte_code
(fun=3DXIL(0x7e43005), args_template=3D128, nargs=3D0, args=3D0x49854f8) at
eval.c:3085
    #65 0x00007ff6674da6de in funcall_lambda (fun=3DXIL(0x7e43005),
nargs=3D0, arg_vector=3D0x49854f8) at eval.c:3157
    #66 0x00007ff6674d98ef in funcall_general (fun=3DXIL(0x7e43005),
numargs=3D0, args=3D0x49854f8) at eval.c:2949
    #67 0x00007ff6674d9c22 in Ffuncall (nargs=3D1, args=3D0x49854f0) at eva=
l.c:2999
    #68 0x00007ff6674d89b2 in Fapply (nargs=3D2, args=3D0x49854f0) at eval.=
c:2623
    #69 0x00007ff6674da0c6 in funcall_subr (subr=3D0x7ff667bd2e40
<Sapply>, numargs=3D2, args=3D0x49854f0) at eval.c:3063
    #70 0x00007ff66753fac8 in exec_byte_code (fun=3DXIL(0x3d9c45d),
args_template=3D513, nargs=3D1, args=3D0x49855f0) at bytecode.c:809
    #71 0x00007ff6674da24a in fetch_and_exec_byte_code
(fun=3DXIL(0x1dea90f5), args_template=3D385, nargs=3D1, args=3D0x49854a8) a=
t
eval.c:3085
    #72 0x00007ff6674da6de in funcall_lambda (fun=3DXIL(0x1dea90f5),
nargs=3D1, arg_vector=3D0x49854a8) at eval.c:3157
    #73 0x00007ff6674d98ef in funcall_general (fun=3DXIL(0x1dea90f5),
numargs=3D1, args=3D0x49854a8) at eval.c:2949
    #74 0x00007ff6674d9c22 in Ffuncall (nargs=3D2, args=3D0x49854a0) at eva=
l.c:2999
    #75 0x00007ff6674d89b2 in Fapply (nargs=3D3, args=3D0x49854a0) at eval.=
c:2623
    #76 0x00007ff6674da0c6 in funcall_subr (subr=3D0x7ff667bd2e40
<Sapply>, numargs=3D3, args=3D0x49854a0) at eval.c:3063
    #77 0x00007ff66753fac8 in exec_byte_code (fun=3DXIL(0x1debd4b5),
args_template=3D128, nargs=3D0, args=3D0x4985458) at bytecode.c:809
    #78 0x00007ff6674da24a in fetch_and_exec_byte_code
(fun=3DXIL(0x3d92065), args_template=3D1280, nargs=3D2, args=3D0xbfbee8) at
eval.c:3085
    #79 0x00007ff6674da6de in funcall_lambda (fun=3DXIL(0x3d92065),
nargs=3D2, arg_vector=3D0xbfbee8) at eval.c:3157
    #80 0x00007ff6674d98ef in funcall_general (fun=3DXIL(0x3d92065),
numargs=3D2, args=3D0xbfbee8) at eval.c:2949
    #81 0x00007ff6674d9c22 in Ffuncall (nargs=3D3, args=3D0xbfbee0) at eval=
.c:2999
    #82 0x00007ff6674d8de2 in Fapply (nargs=3D2, args=3D0xbfbfc0) at eval.c=
:2670
    #83 0x00007ff6674d81b1 in eval_sub (form=3DXIL(0x7bb1973)) at eval.c:24=
74
    #84 0x00007ff6674d13cd in Fprogn (body=3DXIL(0)) at eval.c:436
    #85 0x00007ff6674d7f63 in eval_sub (form=3DXIL(0x7bb1133)) at eval.c:24=
53
    #86 0x00007ff6674d44ce in Funwind_protect (args=3DXIL(0x7bb1193)) at
eval.c:1301
    #87 0x00007ff6674d7f63 in eval_sub (form=3DXIL(0x7bb11a3)) at eval.c:24=
53
    #88 0x00007ff6674d13cd in Fprogn (body=3DXIL(0)) at eval.c:436
    #89 0x00007ff6674d3568 in FletX (args=3DXIL(0x7bb11c3)) at eval.c:958
    #90 0x00007ff6674d7f63 in eval_sub (form=3DXIL(0x7bb11d3)) at eval.c:24=
53
    #91 0x00007ff6674d13cd in Fprogn (body=3DXIL(0)) at eval.c:436
    #92 0x00007ff6674dabfe in funcall_lambda (fun=3DXIL(0x7bb0c53),
nargs=3D3, arg_vector=3D0x0) at eval.c:3237
    #93 0x00007ff6674d9a11 in funcall_general (fun=3DXIL(0x7bb0c63),
numargs=3D3, args=3D0xbfc828) at eval.c:2961
    #94 0x00007ff6674d9c22 in Ffuncall (nargs=3D4, args=3D0xbfc820) at eval=
.c:2999
    #95 0x00007ff6674d8de2 in Fapply (nargs=3D3, args=3D0x49853a0) at eval.=
c:2670
    #96 0x00007ff6674da0c6 in funcall_subr (subr=3D0x7ff667bd2e40
<Sapply>, numargs=3D3, args=3D0x49853a0) at eval.c:3063
    #97 0x00007ff66753fac8 in exec_byte_code (fun=3DXIL(0x7baaab5),
args_template=3D128, nargs=3D2, args=3D0xbfcfe8) at bytecode.c:809
    #98 0x00007ff6674da24a in fetch_and_exec_byte_code
(fun=3DXIL(0x7baaab5), args_template=3D128, nargs=3D2, args=3D0xbfcfe8) at
eval.c:3085
    #99 0x00007ff6674da6de in funcall_lambda (fun=3DXIL(0x7baaab5),
nargs=3D2, arg_vector=3D0xbfcfe8) at eval.c:3157
    #100 0x00007ff6674d98ef in funcall_general (fun=3DXIL(0x7baaab5),
numargs=3D2, args=3D0xbfcfe8) at eval.c:2949
    #101 0x00007ff6674d9c22 in Ffuncall (nargs=3D3, args=3D0xbfcfe0) at eva=
l.c:2999
    #102 0x00007ff6674d8de2 in Fapply (nargs=3D2, args=3D0x4985360) at eval=
.c:2670
    #103 0x00007ff6674da0c6 in funcall_subr (subr=3D0x7ff667bd2e40
<Sapply>, numargs=3D2, args=3D0x4985360) at eval.c:3063
    #104 0x00007ff66753fac8 in exec_byte_code (fun=3DXIL(0x7baab15),
args_template=3D128, nargs=3D2, args=3D0xbfd7a8) at bytecode.c:809
    #105 0x00007ff6674da24a in fetch_and_exec_byte_code
(fun=3DXIL(0x7baab15), args_template=3D128, nargs=3D2, args=3D0xbfd7a8) at
eval.c:3085
    #106 0x00007ff6674da6de in funcall_lambda (fun=3DXIL(0x7baab15),
nargs=3D2, arg_vector=3D0xbfd7a8) at eval.c:3157
    #107 0x00007ff6674d98ef in funcall_general (fun=3DXIL(0x7baab15),
numargs=3D2, args=3D0xbfd7a8) at eval.c:2949
    #108 0x00007ff6674d9c22 in Ffuncall (nargs=3D3, args=3D0xbfd7a0) at eva=
l.c:2999
    #109 0x00007ff6674d8de2 in Fapply (nargs=3D2, args=3D0x4985320) at eval=
.c:2670
    #110 0x00007ff6674da0c6 in funcall_subr (subr=3D0x7ff667bd2e40
<Sapply>, numargs=3D2, args=3D0x4985320) at eval.c:3063
    #111 0x00007ff66753fac8 in exec_byte_code (fun=3DXIL(0x7baab75),
args_template=3D128, nargs=3D2, args=3D0x49852d8) at bytecode.c:809
    #112 0x00007ff6674da24a in fetch_and_exec_byte_code
(fun=3DXIL(0x3d5a0e5), args_template=3D513, nargs=3D1, args=3D0xbfdeb0) at
eval.c:3085
    #113 0x00007ff6674da6de in funcall_lambda (fun=3DXIL(0x3d5a0e5),
nargs=3D1, arg_vector=3D0xbfdeb0) at eval.c:3157
    #114 0x00007ff6674da3cb in apply_lambda (fun=3DXIL(0x3d5a0e5),
args=3DXIL(0x1d9a3633), count=3D...) at eval.c:3107
    #115 0x00007ff6674d8529 in eval_sub (form=3DXIL(0x1d9a3623)) at eval.c:=
2549
    #116 0x00007ff6674d78f3 in Feval (form=3DXIL(0x1d9a3623),
lexical=3DXIL(0x30)) at eval.c:2365
    #117 0x00007ff6674d9e7b in funcall_subr (subr=3D0x7ff667bd2e00
<Seval>, numargs=3D2, args=3D0x4985168) at eval.c:3040
    #118 0x00007ff66753fac8 in exec_byte_code (fun=3DXIL(0x3dd19ed),
args_template=3D514, nargs=3D2, args=3D0x49853d0) at bytecode.c:809
    #119 0x00007ff6674da24a in fetch_and_exec_byte_code
(fun=3DXIL(0x41749ed), args_template=3D1025, nargs=3D4, args=3D0xbfe9a0) at
eval.c:3085
    #120 0x00007ff6674da6de in funcall_lambda (fun=3DXIL(0x41749ed),
nargs=3D4, arg_vector=3D0xbfe9a0) at eval.c:3157
    #121 0x00007ff6674d98ef in funcall_general (fun=3DXIL(0x41749ed),
numargs=3D4, args=3D0xbfe9a0) at eval.c:2949
    #122 0x00007ff6674d9c22 in Ffuncall (nargs=3D5, args=3D0xbfe998) at eva=
l.c:2999
    #123 0x00007ff6674cba35 in Ffuncall_interactively (nargs=3D5,
args=3D0xbfe998) at callint.c:250
    #124 0x00007ff6674da0c6 in funcall_subr (subr=3D0x7ff667bd2580
<Sfuncall_interactively>, numargs=3D5, args=3D0xbfe998) at eval.c:3063
    #125 0x00007ff6674d98a3 in funcall_general
(fun=3DXIL(0x7ff667bd2585), numargs=3D5, args=3D0xbfe998) at eval.c:2945
    #126 0x00007ff6674d9c22 in Ffuncall (nargs=3D6, args=3D0xbfe990) at eva=
l.c:2999
    #127 0x00007ff6674d8de2 in Fapply (nargs=3D3, args=3D0xbfead0) at eval.=
c:2670
    #128 0x00007ff6674cbf05 in Fcall_interactively
(function=3DXIL(0xffff80099c45ddf8), record_flag=3DXIL(0),
keys=3DXIL(0x4492345)) at callint.c:342
    #129 0x00007ff6674d9eae in funcall_subr (subr=3D0x7ff667bd25c0
<Scall_interactively>, numargs=3D3, args=3D0x49850a0) at eval.c:3042
    #130 0x00007ff66753fac8 in exec_byte_code (fun=3DXIL(0x3e0c4d5),
args_template=3D1025, nargs=3D1, args=3D0xbff410) at bytecode.c:809
    #131 0x00007ff6674da24a in fetch_and_exec_byte_code
(fun=3DXIL(0x3e0c4d5), args_template=3D1025, nargs=3D1, args=3D0xbff408) at
eval.c:3085
    #132 0x00007ff6674da6de in funcall_lambda (fun=3DXIL(0x3e0c4d5),
nargs=3D1, arg_vector=3D0xbff408) at eval.c:3157
    #133 0x00007ff6674d98ef in funcall_general (fun=3DXIL(0x3e0c4d5),
numargs=3D1, args=3D0xbff408) at eval.c:2949
    #134 0x00007ff6674d9c22 in Ffuncall (nargs=3D2, args=3D0xbff400) at eva=
l.c:2999
    #135 0x00007ff6673e1956 in call1 (fn=3DXIL(0x4590),
arg1=3DXIL(0xffff80099c45ddf8)) at lisp.h:3248
    #136 0x00007ff6673e5605 in command_loop_1 () at keyboard.c:1503
    #137 0x00007ff6674d4fc2 in internal_condition_case
(bfun=3D0x7ff6673e4c50 <command_loop_1>, handlers=3DXIL(0x90),
hfun=3D0x7ff6673e3e80 <cmd_error>)
        at eval.c:1474
    #138 0x00007ff6673e479e in command_loop_2 (handlers=3DXIL(0x90)) at
keyboard.c:1133
    #139 0x00007ff6674d40ff in internal_catch (tag=3DXIL(0x103b0),
func=3D0x7ff6673e4772 <command_loop_2>, arg=3DXIL(0x90)) at eval.c:1197
    #140 0x00007ff6673e46db in command_loop () at keyboard.c:1111
    #141 0x0000000000000000 in ?? ()

    Lisp Backtrace:
    "file-exists-p" (0xbf7db0)
    "or" (0xbf7fc0)
    "if" (0xbf8170)
    0xa827f40 Lisp type 3
    "org-activate-links--overlays" (0x4985a20)
    "org-activate-links" (0x4985998)
    "font-lock-fontify-keywords-region" (0x49858f8)
    "font-lock-default-fontify-region" (0x4985888)
    "font-lock-fontify-region" (0x4985830)
    "font-lock-default-fontify-buffer" (0x49857e8)
    "font-lock-fontify-buffer" (0x4985798)
    "org-fancy-priorities-mode" (0xbf8a48)
    "run-hooks" (0xbf8c18)
    "apply" (0x4985758)
    "run-mode-hooks" (0x49856f8)
    "org-mode" (0x49856b8)
    "set-auto-mode-0" (0x4985668)
    "set-auto-mode--apply-alist" (0x49855e8)
    0x3da5f40 PVEC_COMPILED
    "apply" (0x4985578)
    0x60cebd0 PVEC_COMPILED
    "apply" (0xbf9c40)
    "progn" (0xbf9ea0)
    "unwind-protect" (0xbfa040)
    "let" (0xbfa2d0)
    "evil-save-state" (0xbfa430)
    "if" (0xbfa5e0)
    "+evil--persist-state-a" (0x4985538)
    "apply" (0x4985530)
    0x7e43000 PVEC_COMPILED
    "apply" (0x49854f0)
    "so-long--set-auto-mode" (0x49854a8)
    "apply" (0x49854a0)
    "set-auto-mode" (0x4985458)
    "normal-mode" (0x4985408)
    0x3d92060 PVEC_COMPILED
    "apply" (0xbfbfc0)
    "progn" (0xbfc220)
    "unwind-protect" (0xbfc3c0)
    "let*" (0xbfc600)
    "doom--shut-up-autosave-a" (0xbfc828)
    "apply" (0x49853a0)
    0x7baaab0 PVEC_COMPILED
    "apply" (0x4985360)
    0x7baab10 PVEC_COMPILED
    "apply" (0x4985320)
    "after-find-file" (0x49852d8)
    "find-file-noselect-1" (0x4985240)
    "find-file-noselect" (0x49851b0)
    "find-file" (0xbfdeb0)
    "eval" (0x4985168)
    "eval-expression" (0xbfe9a0)
    "funcall-interactively" (0xbfe998)
    "call-interactively" (0x49850a0)
    "command-execute" (0xbff408)

On Wed, May 22, 2024 at 4:03=E2=80=AFPM Eli Zaretskii <eliz@HIDDEN> wrote:
>
> > From: Simen Endsj=C3=B8 <simendsjo@HIDDEN>
> > Date: Wed, 22 May 2024 15:14:33 +0200
> > Cc: Hannes Domani <ssbssa@HIDDEN>, corwin@HIDDEN, 70914@HIDDEN=
rg
> >
> > Lisp Backtrace:
> > "file-exists-p" (0xbf7ec0)
> > "or" (0xbf80d0)
> > "if" (0xbf8280)
> > 0xd337f40 Lisp type 3
> > "org-activate-links--overlays" (0x4a15a80)
> > "org-activate-links" (0x4a159f8)
> > "font-lock-fontify-keywords-region" (0x4a15958)
> > "font-lock-default-fontify-region" (0x4a158e8)
> > "font-lock-fontify-region" (0x4a15890)
> > "font-lock-default-fontify-buffer" (0x4a15848)
> > "font-lock-fontify-buffer" (0x4a157f8)
> > "org-fancy-priorities-mode" (0xbf8b58)
> > "run-hooks" (0xbf8d28)
> > "apply" (0x4a157b8)
> > "run-mode-hooks" (0x4a15758)
> > "org-mode" (0x4a15718)
> > "set-auto-mode-0" (0x4a156c8)
> > "set-auto-mode--apply-alist" (0x4a15648)
> > 0x3f35f40 PVEC_COMPILED
> > "apply" (0x4a155d8)
> > 0x615ebd0 PVEC_COMPILED
> > "apply" (0xbf9d50)
> > "progn" (0xbf9fb0)
> > "unwind-protect" (0xbfa150)
> > "let" (0xbfa3e0)
> > "evil-save-state" (0xbfa540)
> > "if" (0xbfa6f0)
> > "+evil--persist-state-a" (0x4a15598)
> > "apply" (0x4a15590)
> > 0xa983000 PVEC_COMPILED
> > "apply" (0x4a15550)
> > "so-long--set-auto-mode" (0x4a15508)
> > "apply" (0x4a15500)
> > "set-auto-mode" (0x4a154b8)
> > "normal-mode" (0x4a15468)
> > 0x3f22060 PVEC_COMPILED
> > "apply" (0xbfc0d0)
> > "progn" (0xbfc330)
> > "unwind-protect" (0xbfc4d0)
> > "let*" (0xbfc710)
> > "doom--shut-up-autosave-a" (0xbfc938)
> > "apply" (0x4a15400)
> > 0xa6eaab0 PVEC_COMPILED
> > "apply" (0x4a153c0)
> > 0xa6eab10 PVEC_COMPILED
> > "apply" (0x4a15380)
> > "after-find-file" (0x4a15338)
> > "find-file-noselect-1" (0x4a152a0)
> > "find-file-noselect" (0x4a15210)
> > "find-file" (0x4a15168)
> > 0x1d009250 PVEC_COMPILED
> > "apply" (0x4a15130)
> > "consult-recent-file" (0xbfeae0)
> > "funcall-interactively" (0xbfead8)
> > "call-interactively" (0x4a150a0)
> > "command-execute" (0xbff408)
>
> Thanks.  Too much is involved here, but my money is on consult: I see
> in its code several places where it matches file names in a way that
> can only work on Posix systems (i.e., assuming absolute file names
> begin with a slash, not with a drive letter).  Since
> consult-recent-file is in the Lisp backtrace, it's a definite
> possibility.
>
> Another possibility is that some of your customizations includes such
> a file name.
>
> Anyway, now at least that crash shouldn't happen anymore.
>
> You can now remove the added condition and the call to emacs_abort
> from the code.  Please run for a while and see if there are any other
> crashes like that one, which yield a zero code address.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 22 May 2024 14:58:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 22 10:58:23 2024
Received: from localhost ([127.0.0.1]:56458 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s9nQ7-0003xZ-Hl
	for submit <at> debbugs.gnu.org; Wed, 22 May 2024 10:58:23 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42172)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1s9nQ6-0003xP-0F
 for 70914 <at> debbugs.gnu.org; Wed, 22 May 2024 10:58:23 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1s9nPs-0008Hf-On; Wed, 22 May 2024 10:58:08 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:References:Subject:In-Reply-To:To:From:
 Date; bh=RVDFviSX4ghcOvKRrn4kZZNlsDtXyVoArnyoWN7LFng=; b=Tmb4IqJ6u/24froorkS1
 8jJ88WbLN0QfhWmifWW/bOegXF0gs5hOV0fgki2J2kaFz9Zj4E341nKR4fUHrlswNsp3qF2pdY9eP
 iwnT7qNfDdfy1y6r+vV9pRASwsA4oDjBcWi3LdFu+DAF9YXxsVLeUA5H32HvWUrNVgsAUUjbid4zJ
 BH5WzlHEZTd2hRmA1bCGjWvR6+kopMz12vZ49pHOs9FpfMFAaTBJp8h6faJb4hu4/ck29HGVTETuo
 Z9g/Ni/H76+J60Nfbyuvkv+zuDQN0cb1fPhc43YOa8XFI+mZ69LRSrtnq2cI8/Rr+xHRgkSbz9kvb
 d6zjh1UbPgxjXQ==;
Date: Wed, 22 May 2024 17:58:01 +0300
Message-Id: <86y1816ghy.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Hannes Domani <ssbssa@HIDDEN>
In-Reply-To: <2117845224.4577549.1716388100111@HIDDEN> (message from
 Hannes Domani on Wed, 22 May 2024 14:28:20 +0000 (UTC))
Subject: Re: bug#70914: 29.3; Crashes often on Windows
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 <86bk4z81cu.fsf@HIDDEN> <554078779.3957737.1716318331280@HIDDEN>
 <CAHkVV6E3_1VwY=iiBL6cxySw-oXF2R3VzxQjDuWKhMV4i2Jusw@HIDDEN>
 <86msoi6nij.fsf@HIDDEN>
 <CAHkVV6FA0ST+OpN5f4RCCzFzJ09HLt4+1Fo6P1JxsgKWCJchvA@HIDDEN>
 <865xv66iwr.fsf@HIDDEN> <2117845224.4577549.1716388100111@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 70914
Cc: simendsjo@HIDDEN, corwin@HIDDEN, 70914 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Wed, 22 May 2024 14:28:20 +0000 (UTC)
> From: Hannes Domani <ssbssa@HIDDEN>
> Cc: "70914 <at> debbugs.gnu.org" <70914 <at> debbugs.gnu.org>,=20
> 	"corwin@HIDDEN" <corwin@HIDDEN>
>=20
> > OK, then Hannes should look into it.=A0 My guess is that GDB doesn't
> > realize that CP65001 is just a funny name for UTF-8...
>=20
> I would, but I can't even figure out how to set CP65001:
>=20
> (gdb) set charset CP65001
> Undefined item: "CP65001".
>=20
> Or do I need a different setting?

I think it's a Windows setting.  It's an experimental feature which
you can activate from Settings.  This page explains how:

  https://exploratory.io/note/exploratory/Enabling-UTF-8-on-Windows-hYc3yWL0




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 22 May 2024 14:29:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 22 10:29:34 2024
Received: from localhost ([127.0.0.1]:56281 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s9my4-0003aF-Ps
	for submit <at> debbugs.gnu.org; Wed, 22 May 2024 10:29:34 -0400
Received: from sonic313-20.consmr.mail.ir2.yahoo.com ([77.238.179.187]:37545)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ssbssa@HIDDEN>) id 1s9my2-0003a9-Ms
 for 70914 <at> debbugs.gnu.org; Wed, 22 May 2024 10:29:23 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.de; s=s2048;
 t=1716388151; bh=QTpKJhL+JSYoqrRXj1xDdyeO2I5Uj26oxaRXQoNArFk=;
 h=Date:From:To:Cc:In-Reply-To:References:Subject:From:Subject:Reply-To;
 b=VVODAM69+tWXDGrqou0Se7rcCmouHxqqUDtQv8J4NjXq9Bdrlg+7ew92LNczs4Gvfh2/c2WsbCmWdHUz2rOli50Mf99g8nvFdMCL5fTj97PhfkHAX7hxjqQhiR0EnzJzQ+uD4X5w12k2T6Mhyqsv2TMOEJB05iESCgqVTqPWoKL2JFZdMPGU41OfYzAwS/FawTSDsXKqhE0CuqfX2/ghXkcitOTWHrsx0q9VvYmNeYYDbqMDDoMZNrahWgMPW4Y3nM2tO7DKV34F1tHETa+JXpwHuczXVDlLN606n8KUMVDPrjCaIp9HGUDDCtACiGNKyyJoBLzTboZjguaKvA+yeQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1716388151; bh=vOd+N8Yq4sSH65tUGrT7jCq6JMzPYCHOk/G1frUIbN8=;
 h=X-Sonic-MF:Date:From:To:Subject:From:Subject;
 b=EQZ4SdIOvsULHNpOYGszEcXGXa1wEXZ3CQB80tSMB509Uicb+eGMleCRtqoWHZNNUQfnD0zGiUha4+Tf7GmwaJOCmOWGXfIvzl823L0EFyN2Nk9vsBaC/rt46y3KMrRf89i7jcIr6tEEUJwuANuyW+z88T626CIjSLN/cEFmd/9kHiyT3RXS2NBwhCvnspWGSPK9UvTSCu8Grzp16VNBoNaN6RvuGP/bm6lAVr8WjuNnlXRlWvh2fZEZjK4s3QrEAP+is99ka5TP9jxT58ODIqC5m7kEReKB79SA1ggM7kTj7bJvP2TRJztfWtTVaHUYKQnyEU1Ck/QUt4pwHT3NaA==
X-YMail-OSG: ulCFa5gVM1nYvn84.ORp.ZSOL8dgIp3h1Euu7eWHBTvDRwXZzrGMARfPEH8g9G5
 r3XBZXu_2xUZX6YfwHbbXGSyW6yfP4IwBxcx3L2KhGkKh81sLEWNHCVn3J04oHvBNt_KjGXOulxY
 ZpIAsfwcqe9RDxSQM2ifdYkIIgw9cd12kkngg.2WCZAs97Im0DLHcjAquVcOBPd4TljTCfH_OPQM
 rl_e31Nk7FQZCb4Yi5QRErtwGe5Y3OWKorB2y5xmfjxFamn.3L9x3McCk_guQ2aCPqpk6tVxj_ew
 N813JrVHLJ5C_3ZAiHWsadrS0nAyEuRYS8u5PHbZXv2vOfGWxf73Az_HIG4OWK0OJwc75R1ACggi
 TZP06ZN.g_1p6J6LKPRd1wjhQvUecv4vJRuFj6meU2EY2ARTVtZVE5Ltz6gzjrCcU2_nuy87zyZq
 pe.Dsv_yJyYLeLmUMbHPMkfMhab3nCvUlAGyplcFPj3VVXnDJELhwNuKYfzSuocMl0NkiavnSmdG
 12bwCCzfRIs08iVj6.8uOPWK2bvebLnIO0ueX.fx_nSrPwS_S19cqREzkl1aUFr1mUWfbW2cwJ27
 Gyyj6YKY6PRqnqJVUlilLrPHStCfV9_SU_hMg1iLVIKcgB2F3JBiq.PRMLzgYiLAIl.ykuzOWWN5
 U6vQMYQtUTBfqrPJcwUxN8efZ2RQ95zm06Fe7_TBfinxvhR_LOaaXLnFAwjrZ2RANC7aM3op2N_d
 v8sdbgH_GIt75u2h3dQwy6ybhYOFufePrPppL_qlWiJlYoNW0GBmiV0Jimk66.0RWti6bjArapTN
 UBq5GjFtPHtuH4U1jJnMcqfC1k.BYCQTV8B.hNZFO4eGJchO54y.oTEVKeFEgXjgTnDwGIuySY5G
 CfbOxRR5hPc3xVOk0ctCAUipisTcmbt8KL8XOescFfLGRzlTnSpAn9mfQ.Bkx3TJip_SDFL0mT32
 q80UmxaFuhITLjXdnWcFfSPgqPHvbSTvyjCP5FUyAB5bxTXUHRpSfgP8hGrc3NwwxuB3OUZa1EHQ
 vFEnX6nIRqgkY01JXlAFWS7MLsuo.t6AN9NL163Np1UQaxJVjy6yqeD0h2Vjv7KtzAmNqC2ZxsdP
 C7T_ZBtCeQuuuUOc8yVqdtqueH2llMahd2yIPDh6ZgRlwVvAN1xaOssdWu72qJlZ67HxB_TJ7kkz
 oGJLkN874EjevBm9zNDdmEviqYxk4faMODngEH2wOMVqu.uO46h8CuLNbTMUjSZwKXmfdTvE99zb
 QGJNHmPrMZfdKV4A9E1BRS0PPdjIzfmOzjpMrWnKcU25scotHtxqw2D7SeUsb7i3FkgVQ2G0ybNZ
 U00x3NfWsp817dWJpifxNUppAMqUYVyY_46ENkHMU05A4hqlK.dauyjjVtIAYqJGOr3SSET7d3Qt
 EDntvbmFf8.sxmS6KkaPe1.dfA0HTyt2pscIySmkuVKqLw.bkWJZmSlX2AUkPlve8PnyNipeqIvg
 Z6FyrUQXDbg8NHODYU_CquiTEFoHLzrhcZuKHu..DoYbH3yG5iAZlApKiBUEZEUVfgQbtpn4w9A6
 XPJAso_ptQb1F_bYub3geusHRFzO0_YgOHfkbG5eFH.SeZorMqLWbV9lNxNSkclUFi0RNtrtLetE
 GvO824GGHMWkko.npWnUzdUCVQ0wzb8csm0Lluzi6uZvVBVAYJ6IpJDyVnhf.f6tmj26K97yMHd_
 .7Qo6ViGxEa9.Xg2I13s0ytbfjr1YHzJTKlcvgrVoXZMjj_AurfzXlchBAYD6qPo6bpENFUPckVu
 BeMzKi97vKm4HyN5Bx2B23yTF3Uia.E_xPHcSiXGqMbwaPtxDB9ncOz1_SOWUcWQqx_GvwosAQ3T
 _FEj7xbwsPdU1c6MZAjXCsnlQN3mP0LVwb1Elmlm1ExTY_EwOtx.uZ6kvQoKPvwJDEXt_G7GrBoj
 YrCQKfgF0jnEofH0c3KNLkWgUj6MOPSNtdEYX0417kYTU1tj9ZuWTGYfO3fR51.L742Q6QpkyCMy
 khHEmfc3hspaaGqhBJAa.jJY0Tk9KkUJp0KANdl_rRT4jfTecMm6GV5wNyer4PHHE6Zwhgo4ZKGr
 5s8zwJ8OB_qvWAEOxVL8jEedO7qZ77OfGv48R3QtP7Kx3g2w3qzTkMiX8BFeivFOID51cVipyNXm
 2WyXcAW45OLx1GCLtkgqVUPzetEJ0dC3cUwsbcf42_r9xYFtjJGyX_wSO0ICZCNlQ.hY4qTsn.9e
 38ksBfzIr29WNV8TYnoHBLxLK
X-Sonic-MF: <ssbssa@HIDDEN>
X-Sonic-ID: 6760ac18-213a-4414-9d37-6899db62fb58
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic313.consmr.mail.ir2.yahoo.com with HTTP; Wed, 22 May 2024 14:29:11 +0000
Date: Wed, 22 May 2024 14:28:20 +0000 (UTC)
From: Hannes Domani <ssbssa@HIDDEN>
To: =?UTF-8?Q?Simen_Endsj=C3=B8?= <simendsjo@HIDDEN>, 
 Eli Zaretskii <eliz@HIDDEN>
Message-ID: <2117845224.4577549.1716388100111@HIDDEN>
In-Reply-To: <865xv66iwr.fsf@HIDDEN>
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 <86bk4z81cu.fsf@HIDDEN> <554078779.3957737.1716318331280@HIDDEN>
 <CAHkVV6E3_1VwY=iiBL6cxySw-oXF2R3VzxQjDuWKhMV4i2Jusw@HIDDEN>
 <86msoi6nij.fsf@HIDDEN>
 <CAHkVV6FA0ST+OpN5f4RCCzFzJ09HLt4+1Fo6P1JxsgKWCJchvA@HIDDEN>
 <865xv66iwr.fsf@HIDDEN>
Subject: Re: bug#70914: 29.3; Crashes often on Windows
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Mailer: WebService/1.1.22356 YMailNorrin
Content-Length: 1153
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70914
Cc: "70914 <at> debbugs.gnu.org" <70914 <at> debbugs.gnu.org>,
 "corwin@HIDDEN" <corwin@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 Am Mittwoch, 22. Mai 2024 um 16:05:59 MESZ hat Eli Zaretskii <eliz@HIDDEN=
> Folgendes geschrieben:

> > From: Simen Endsj=C3=B8 <simendsjo@HIDDEN>
>
> > Date: Wed, 22 May 2024 15:34:44 +0200
> > Cc: ssbssa@HIDDEN, 70914 <at> debbugs.gnu.org, corwin@HIDDEN
> >
> > >>=C2=A0=C2=A0=C2=A0 (gdb) start --init-directory=3Dd:/.emacs.d
> > >>=C2=A0=C2=A0=C2=A0 warning: could not convert 'main' from the host en=
coding (CP65001)
> > >> to UTF-32.
> > >>=C2=A0=C2=A0=C2=A0 This normally should not happen, please file a bug=
 report.
> > >
> > > That message comes from GDB, and AFAIU is a GDB bug.=C2=A0 It should =
be
> > > reported, I think.
> >
> > I have only seen this on Hannes' gdb, not the one from mingw.
>
>
> OK, then Hannes should look into it.=C2=A0 My guess is that GDB doesn't
> realize that CP65001 is just a funny name for UTF-8...

I would, but I can't even figure out how to set CP65001:

(gdb) set charset CP65001
Undefined item: "CP65001".

Or do I need a different setting?


> Why does gdc crash with 0202 when using a conditional format?

And I can't reproduce this problem either, not even with the strcmp()
function call.


Hannes




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 22 May 2024 14:08:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 22 10:08:04 2024
Received: from localhost ([127.0.0.1]:56170 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s9mdQ-0003Ma-62
	for submit <at> debbugs.gnu.org; Wed, 22 May 2024 10:08:04 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53660)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1s9mdO-0003MD-2J
 for 70914 <at> debbugs.gnu.org; Wed, 22 May 2024 10:08:02 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1s9mdC-0007Uv-Ug; Wed, 22 May 2024 10:07:50 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=HzBxP/q+DXLaBEm7k1+V5LiWjLN/krBaVYtZCtSajS0=; b=DCw7g5HjCD6TX/SGUkrZ
 vcRNrjVrgxnmnvrK3ezfaG1fvpEszEmdcsVkwh3tHI1OnJRhbmPhbqCAnoQfel5J7CNx8IYSThvy8
 rQ1V2Lvrx32cd60mkbo5IFXBx0aBTZ2UM3Gsim9MDdwiZzx2xVY7tFc/hGwEqkllcDOzUzUSSbZdf
 IMTb4wBWJXy48LWAGZlIG/iWj7haUnYwcUehnBxaHdFve5qM+Qvj9BstUmgqdaDapNd0PI1LI95ga
 520y5Duh3nP/O7TGq2fBA2o6do5FptWNb7n1YwUvY8MnfP7tcrHKs9Akey2HiE32i4U2j/EXgSe8I
 N4zpr1EvbPvybA==;
Date: Wed, 22 May 2024 17:07:47 +0300
Message-Id: <864jaq6ito.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Simen =?utf-8?Q?Endsj=C3=B8?= <simendsjo@HIDDEN>
In-Reply-To: <CAHkVV6GNyWKVzNREtTmfCWCofOjgxGtjhfts9S=m7TS0L2SYLw@HIDDEN>
 (message from Simen =?utf-8?Q?Endsj=C3=B8?= on Wed, 22 May 2024 15:35:41
 +0200)
Subject: Re: bug#70914: 29.3; Crashes often on Windows
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 <86bk4z81cu.fsf@HIDDEN> <554078779.3957737.1716318331280@HIDDEN>
 <CAHkVV6E3_1VwY=iiBL6cxySw-oXF2R3VzxQjDuWKhMV4i2Jusw@HIDDEN>
 <984937837.4078826.1716352322860@HIDDEN>
 <CAHkVV6GY_s0BaPK7cA5y-5QUji9PK1AucZ7ApmMc06aLmqpzqQ@HIDDEN>
 <829659206.4083070.1716354489264@HIDDEN>
 <CAHkVV6H5WcfvA=Mb639Qdo+kQuzckUBb2WLOCfxcJTtRo0u=tw@HIDDEN>
 <582535681.1158538.1716358337102@HIDDEN>
 <CAHkVV6HFFAGHXy9RP1GvUr7C7XuTmPKxVtp1aigZTsp0WqZmgA@HIDDEN>
 <433213011.4171485.1716366220719@HIDDEN>
 <CAHkVV6Ermt_Yv4px4D70OR9YJnSLM43Xtc0wVL-s-G4ScDPUxw@HIDDEN>
 <504687570.4208226.1716367848968@HIDDEN>
 <CAHkVV6EhcrYyf9kpjh2Bbyjr2fhqfeW907qvFYat=WFH-5et7w@HIDDEN>
 <CAHkVV6HsPE3_NA-XaqRdQTwdjuzFzapEhcHWZHsFeNTQfdJqyw@HIDDEN>
 <86bk4y6kpt.fsf@HIDDEN>
 <CAHkVV6GNyWKVzNREtTmfCWCofOjgxGtjhfts9S=m7TS0L2SYLw@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 70914
Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN, ssbssa@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Simen Endsjø <simendsjo@HIDDEN>
> Date: Wed, 22 May 2024 15:35:41 +0200
> Cc: ssbssa@HIDDEN, corwin@HIDDEN, 70914 <at> debbugs.gnu.org
> 
> gcc.exe (Rev3, Built by MSYS2 project) 14.1.0

I think you need to disable -foptimize-sibling-calls.  So configure with

  CFLAGS='-O2 -fno-optimize-sibling-calls -gdwarf-4 -g3' ./configure...




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 22 May 2024 14:06:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 22 10:06:12 2024
Received: from localhost ([127.0.0.1]:56159 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s9mbb-0003LV-LW
	for submit <at> debbugs.gnu.org; Wed, 22 May 2024 10:06:11 -0400
Received: from eggs.gnu.org ([209.51.188.92]:35350)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1s9mbZ-0003LP-UP
 for 70914 <at> debbugs.gnu.org; Wed, 22 May 2024 10:06:10 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1s9mbO-0007E2-QS; Wed, 22 May 2024 10:05:58 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=fs1gx+wkMlef+gS60gYj7rTwz5oKb1lrHvUzCQk2znU=; b=FTeg6fM7zlJFqUZF2yz/
 KILnwNIrUIO2LWSjT5V6bit+y2I29DRdWGoo9rIwzgb58+CdM/o+mMd9iSVVGl27jIcckPlhZQ5m6
 ZpdM/+gnpTgx4ThrWzV+e2cEUj6f6T0Jrd6Sw8AU81nu/eTpuEnQ3uflUtFlQDsB/5QJohNbl12cm
 NvTWCy+ntxlYM71ja8Qkp9Dvs8hYqdUzjJ2objlSNq2B+H5F6L0yHU0iXp2OIcovWNcKW8qK2Yhzo
 Hjc30zUG3SWtflmHj6ovjeB/WEW1nk5QCOTB3izOWM4yfRtNkknZp0486piLGwo7k65bXz61LK0Q3
 ezoVyPpNIMmHRg==;
Date: Wed, 22 May 2024 17:05:56 +0300
Message-Id: <865xv66iwr.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Simen =?utf-8?Q?Endsj=C3=B8?= <simendsjo@HIDDEN>
In-Reply-To: <CAHkVV6FA0ST+OpN5f4RCCzFzJ09HLt4+1Fo6P1JxsgKWCJchvA@HIDDEN>
 (message from Simen =?utf-8?Q?Endsj=C3=B8?= on Wed, 22 May 2024 15:34:44
 +0200)
Subject: Re: bug#70914: 29.3; Crashes often on Windows
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 <86bk4z81cu.fsf@HIDDEN> <554078779.3957737.1716318331280@HIDDEN>
 <CAHkVV6E3_1VwY=iiBL6cxySw-oXF2R3VzxQjDuWKhMV4i2Jusw@HIDDEN>
 <86msoi6nij.fsf@HIDDEN>
 <CAHkVV6FA0ST+OpN5f4RCCzFzJ09HLt4+1Fo6P1JxsgKWCJchvA@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 70914
Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN, ssbssa@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Simen Endsjø <simendsjo@HIDDEN>
> Date: Wed, 22 May 2024 15:34:44 +0200
> Cc: ssbssa@HIDDEN, 70914 <at> debbugs.gnu.org, corwin@HIDDEN
> 
> >>     (gdb) start --init-directory=d:/.emacs.d
> >>     warning: could not convert 'main' from the host encoding (CP65001)
> >> to UTF-32.
> >>     This normally should not happen, please file a bug report.
> >
> > That message comes from GDB, and AFAIU is a GDB bug.  It should be
> > reported, I think.
> 
> I have only seen this on Hannes' gdb, not the one from mingw.

OK, then Hannes should look into it.  My guess is that GDB doesn't
realize that CP65001 is just a funny name for UTF-8...




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 22 May 2024 14:03:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 22 10:03:40 2024
Received: from localhost ([127.0.0.1]:56139 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s9mZ9-0003JO-PP
	for submit <at> debbugs.gnu.org; Wed, 22 May 2024 10:03:40 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53736)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1s9mZ4-0003JE-Vk
 for 70914 <at> debbugs.gnu.org; Wed, 22 May 2024 10:03:38 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1s9mYt-0006Yu-GY; Wed, 22 May 2024 10:03:23 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=1gkOlSMTGNswGFkBHPNOfiD794ctuJyZbkX12J+k094=; b=Dm1JP7eboCGHNV+S7kj9
 5XVEukUIas4PCKxq1caXHCpsTfoQbuWiV2jMs4arpxhDg0MDsVCApLgrr4/CbOvT/Nf9URA0ivxzw
 /D5uIZZF77LhH/lEWFlG9KpnM2mS9Jhd04WdCQh0EfU64Fw1AJ6DYoBby7g1LN35Y4iqkJ+N5wCiW
 hAeip1mM67aYAhinpTFl3kfhWpiG6Emva2mf5SZaAKF47RG2DvtBLNSEo5zh2yd7Nu4UbEW+sry7V
 MaIccfAq36GO6sNIcxviexYWESqHyEB6hOoOpIjdSU+PSXDx/b1Sc6qG7fvc7xTVgITUAnfUbbpcx
 bMhNImkpxN38+w==;
Date: Wed, 22 May 2024 17:03:19 +0300
Message-Id: <867cfm6j14.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Simen =?utf-8?Q?Endsj=C3=B8?= <simendsjo@HIDDEN>
In-Reply-To: <CAHkVV6EDVEHL0cA0uALP-v515ueb_449Ndg5RqNt6czToL_Yuw@HIDDEN>
 (message from Simen =?utf-8?Q?Endsj=C3=B8?= on Wed, 22 May 2024 15:14:33
 +0200)
Subject: Re: bug#70914: 29.3; Crashes often on Windows
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 <86bk4z81cu.fsf@HIDDEN> <554078779.3957737.1716318331280@HIDDEN>
 <CAHkVV6E3_1VwY=iiBL6cxySw-oXF2R3VzxQjDuWKhMV4i2Jusw@HIDDEN>
 <984937837.4078826.1716352322860@HIDDEN>
 <CAHkVV6GY_s0BaPK7cA5y-5QUji9PK1AucZ7ApmMc06aLmqpzqQ@HIDDEN>
 <829659206.4083070.1716354489264@HIDDEN>
 <CAHkVV6H5WcfvA=Mb639Qdo+kQuzckUBb2WLOCfxcJTtRo0u=tw@HIDDEN>
 <582535681.1158538.1716358337102@HIDDEN> <86zfsi6qdx.fsf@HIDDEN>
 <CAHkVV6EDVEHL0cA0uALP-v515ueb_449Ndg5RqNt6czToL_Yuw@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 70914
Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN, ssbssa@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Simen Endsjø <simendsjo@HIDDEN>
> Date: Wed, 22 May 2024 15:14:33 +0200
> Cc: Hannes Domani <ssbssa@HIDDEN>, corwin@HIDDEN, 70914 <at> debbugs.gnu.org
> 
> Lisp Backtrace:
> "file-exists-p" (0xbf7ec0)
> "or" (0xbf80d0)
> "if" (0xbf8280)
> 0xd337f40 Lisp type 3
> "org-activate-links--overlays" (0x4a15a80)
> "org-activate-links" (0x4a159f8)
> "font-lock-fontify-keywords-region" (0x4a15958)
> "font-lock-default-fontify-region" (0x4a158e8)
> "font-lock-fontify-region" (0x4a15890)
> "font-lock-default-fontify-buffer" (0x4a15848)
> "font-lock-fontify-buffer" (0x4a157f8)
> "org-fancy-priorities-mode" (0xbf8b58)
> "run-hooks" (0xbf8d28)
> "apply" (0x4a157b8)
> "run-mode-hooks" (0x4a15758)
> "org-mode" (0x4a15718)
> "set-auto-mode-0" (0x4a156c8)
> "set-auto-mode--apply-alist" (0x4a15648)
> 0x3f35f40 PVEC_COMPILED
> "apply" (0x4a155d8)
> 0x615ebd0 PVEC_COMPILED
> "apply" (0xbf9d50)
> "progn" (0xbf9fb0)
> "unwind-protect" (0xbfa150)
> "let" (0xbfa3e0)
> "evil-save-state" (0xbfa540)
> "if" (0xbfa6f0)
> "+evil--persist-state-a" (0x4a15598)
> "apply" (0x4a15590)
> 0xa983000 PVEC_COMPILED
> "apply" (0x4a15550)
> "so-long--set-auto-mode" (0x4a15508)
> "apply" (0x4a15500)
> "set-auto-mode" (0x4a154b8)
> "normal-mode" (0x4a15468)
> 0x3f22060 PVEC_COMPILED
> "apply" (0xbfc0d0)
> "progn" (0xbfc330)
> "unwind-protect" (0xbfc4d0)
> "let*" (0xbfc710)
> "doom--shut-up-autosave-a" (0xbfc938)
> "apply" (0x4a15400)
> 0xa6eaab0 PVEC_COMPILED
> "apply" (0x4a153c0)
> 0xa6eab10 PVEC_COMPILED
> "apply" (0x4a15380)
> "after-find-file" (0x4a15338)
> "find-file-noselect-1" (0x4a152a0)
> "find-file-noselect" (0x4a15210)
> "find-file" (0x4a15168)
> 0x1d009250 PVEC_COMPILED
> "apply" (0x4a15130)
> "consult-recent-file" (0xbfeae0)
> "funcall-interactively" (0xbfead8)
> "call-interactively" (0x4a150a0)
> "command-execute" (0xbff408)

Thanks.  Too much is involved here, but my money is on consult: I see
in its code several places where it matches file names in a way that
can only work on Posix systems (i.e., assuming absolute file names
begin with a slash, not with a drive letter).  Since
consult-recent-file is in the Lisp backtrace, it's a definite
possibility.

Another possibility is that some of your customizations includes such
a file name.

Anyway, now at least that crash shouldn't happen anymore.

You can now remove the added condition and the call to emacs_abort
from the code.  Please run for a while and see if there are any other
crashes like that one, which yield a zero code address.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 22 May 2024 13:37:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 22 09:37:07 2024
Received: from localhost ([127.0.0.1]:56017 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s9m9S-0002zM-RE
	for submit <at> debbugs.gnu.org; Wed, 22 May 2024 09:37:07 -0400
Received: from mail-lf1-f50.google.com ([209.85.167.50]:57806)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <simendsjo@HIDDEN>) id 1s9m9P-0002yh-SA
 for 70914 <at> debbugs.gnu.org; Wed, 22 May 2024 09:37:05 -0400
Received: by mail-lf1-f50.google.com with SMTP id
 2adb3069b0e04-51f72a29f13so6846567e87.3
 for <70914 <at> debbugs.gnu.org>; Wed, 22 May 2024 06:36:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1716384952; x=1716989752; darn=debbugs.gnu.org;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:from:to:cc:subject:date
 :message-id:reply-to;
 bh=hPOhh1zkQYw1vNuGYTQXlYfZcz+wZDUh08+NxIdrWN8=;
 b=FCogXGCShCLF97MCEqiekKMx3eSHg0egICl2VGRpDmGn3FhaXtvpSpFENRxKIdCznv
 Qg8OROhEQ4JBKrvVnK//2vthH5+JOeg0iebJQqOjHhcrN0isWUUbvXbGeg5/AB8vqtWe
 z4sLvF///mpGQC5+BFq6onZz8i2MqHvCcEfbZGCs9mI6Ko6/ytnq1Utp4YnROGuBe8Dw
 piceUFmjv7hmAiRgRew/d+UH72eSiIoGQmYnVXhGIHTdDJXU9PJ8BtMFBNgna8MEpQ0/
 9Hoan/72RcFuXkH8o5AI+iVyPlBGCPBVINSMJdm3McCtEvoLyUzeFA3VCkPjRdetvjFp
 z21Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1716384952; x=1716989752;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=hPOhh1zkQYw1vNuGYTQXlYfZcz+wZDUh08+NxIdrWN8=;
 b=WFOQaioZUa+dTEcoMFQ8k+W8fPNFa9PhOfMIrebvelQeCFy+sbZ3ZGC2DS2UNVPapt
 KnPdgejmE9WBC8KhuwnQmzRhKuw2KLVkVTUOl9ocaBv2Mq7cK+OldrwLNPGy52Ql4rVQ
 IuAYux4lODT8BQeAPRChu1FCzsdM+/8HMNI7Zj+Gg+GFk2DuxXGpkr45dhw1JYGHzptR
 XhSyAXNYPzfKLQ/yna62nx+AjtNPXWRYjQ9X5ctPytaBVOVu333IazIK3b4qsK4mNIZw
 UiVH/zYo5loKfNms//lEHzkdC3l/edKshHetyihzhZeg9AEMyhonxlUGJ4N0KtkPuuDf
 ax4A==
X-Forwarded-Encrypted: i=1;
 AJvYcCXrgqTvYUwxQvqvrScri1U7YjXq+ggFHRcilel+Vbjg/6LKd+kN+Wv9MakrPIeyvphdUw4WXQZCqNFkBb7Es6c5b28PptU=
X-Gm-Message-State: AOJu0YwOqIR505M3fFWs7XVarmeTGLJFyAKSOFxd1aVsq0RYdjAEAhvS
 6egDFmtf221EoWAHtRjbshDbFXpL5aFzlUGsbBenybGQh62Xx2awxt7b1VCuy74jqiibnWyf3SC
 de8bfSLUaTkbBanrlcPjNvNguk6c=
X-Google-Smtp-Source: AGHT+IFkO0qMLsuKfEMUTDRwcO4pWtTjHhKSXQo/xiJKO2Ci90TP9+wJb2zcxbKvqj2+mlzA0J/64ruqFfjGNJtwj7c=
X-Received: by 2002:ac2:43d3:0:b0:51d:1c86:a274 with SMTP id
 2adb3069b0e04-526bdc52136mr1493349e87.34.1716384952041; Wed, 22 May 2024
 06:35:52 -0700 (PDT)
MIME-Version: 1.0
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 <86bk4z81cu.fsf@HIDDEN> <554078779.3957737.1716318331280@HIDDEN>
 <CAHkVV6E3_1VwY=iiBL6cxySw-oXF2R3VzxQjDuWKhMV4i2Jusw@HIDDEN>
 <984937837.4078826.1716352322860@HIDDEN>
 <CAHkVV6GY_s0BaPK7cA5y-5QUji9PK1AucZ7ApmMc06aLmqpzqQ@HIDDEN>
 <829659206.4083070.1716354489264@HIDDEN>
 <CAHkVV6H5WcfvA=Mb639Qdo+kQuzckUBb2WLOCfxcJTtRo0u=tw@HIDDEN>
 <582535681.1158538.1716358337102@HIDDEN>
 <CAHkVV6HFFAGHXy9RP1GvUr7C7XuTmPKxVtp1aigZTsp0WqZmgA@HIDDEN>
 <433213011.4171485.1716366220719@HIDDEN>
 <CAHkVV6Ermt_Yv4px4D70OR9YJnSLM43Xtc0wVL-s-G4ScDPUxw@HIDDEN>
 <504687570.4208226.1716367848968@HIDDEN>
 <CAHkVV6EhcrYyf9kpjh2Bbyjr2fhqfeW907qvFYat=WFH-5et7w@HIDDEN>
 <CAHkVV6HsPE3_NA-XaqRdQTwdjuzFzapEhcHWZHsFeNTQfdJqyw@HIDDEN>
 <86bk4y6kpt.fsf@HIDDEN>
In-Reply-To: <86bk4y6kpt.fsf@HIDDEN>
From: =?UTF-8?Q?Simen_Endsj=C3=B8?= <simendsjo@HIDDEN>
Date: Wed, 22 May 2024 15:35:41 +0200
Message-ID: <CAHkVV6GNyWKVzNREtTmfCWCofOjgxGtjhfts9S=m7TS0L2SYLw@HIDDEN>
Subject: Re: bug#70914: 29.3; Crashes often on Windows
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70914
Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN, ssbssa@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

gcc.exe (Rev3, Built by MSYS2 project) 14.1.0

On Wed, May 22, 2024 at 3:26=E2=80=AFPM Eli Zaretskii <eliz@HIDDEN> wrote:
>
> > From: Simen Endsj=C3=B8 <simendsjo@HIDDEN>
> > Date: Wed, 22 May 2024 13:21:57 +0200
> > Cc: Eli Zaretskii <eliz@HIDDEN>, Corwin Brust <corwin@HIDDEN>,
> >       "70914 <at> debbugs.gnu.org" <70914 <at> debbugs.gnu.org>
> >
> > Tried building native-compilation with this patch, but that still fails=
:
> >
> > make[3]: Entering directory
> > '/d/tmp/emacs-bug-70914/emacs-empty-path-bug-workaround-regular-build/l=
isp'
> >   ELC+ELN  international/titdic-cnv.elc
> >   ELC+ELN  ../lisp/abbrev.elc
> >   ELC+ELN  ../lisp/bindings.elc
> >   ELC+ELN  ../lisp/buff-menu.elc
> >   ELC+ELN  ../lisp/button.elc
> >   ELC+ELN  ../lisp/composite.elc
> >   ELC+ELN  ../lisp/case-table.elc
> >   ELC+ELN  ../lisp/cus-face.elc
> >   ELC+ELN  ../lisp/cus-start.elc
> >   ELC+ELN  ../lisp/custom.elc
> >   ELC+ELN  ../lisp/disp-table.elc
> >   ELC+ELN  ../lisp/dnd.elc
> >
> > Backtrace:
> > 00007ff7a5f20f4e
>
> You are using GCC 13 or newer, right?  They have known problems with
> native compilation, so I think these are unrelated.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 22 May 2024 13:36:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 22 09:36:14 2024
Received: from localhost ([127.0.0.1]:56009 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s9m8c-0002yK-7X
	for submit <at> debbugs.gnu.org; Wed, 22 May 2024 09:36:14 -0400
Received: from mail-lf1-f49.google.com ([209.85.167.49]:48348)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <simendsjo@HIDDEN>) id 1s9m8X-0002yE-1i
 for 70914 <at> debbugs.gnu.org; Wed, 22 May 2024 09:36:12 -0400
Received: by mail-lf1-f49.google.com with SMTP id
 2adb3069b0e04-5241b49c0daso4512948e87.0
 for <70914 <at> debbugs.gnu.org>; Wed, 22 May 2024 06:36:03 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1716384897; x=1716989697; darn=debbugs.gnu.org;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:from:to:cc:subject:date
 :message-id:reply-to;
 bh=YPjNs14KKOhR95c68l7sFcmcldk4RuFwVNyA/VHSLJs=;
 b=Qe8d7ORectuT9vSU1Bp4NLZPC7xr7X9OlGaDTrjTDkoAuMBv91fQpBKFp9NzDp77g7
 QN6xvDS1HaEH8VE/lIIR3F1Nzkd/Ztd9VC0CxZjQ8aeOx5M8HvDXCwzE2WH4MEK/Qz5q
 njRtjhiKl3FR4akJnZwUZ+3lkCVAEmPJZXXVj6grhcAyCs4iR+OtjRNVmWMf/PaTXm9v
 GDSk3DH/SU53j/H/OZdE0N14TkUbMowevM2/uZPSBpElR40WzRgJ1w9jvST+YWTKu1tx
 ZkNH5yPm5Nb2hyN3evhX7aMEQB/LgwGqoJacyI69DF/NhekLjCFIlr/cOP7rC2l++ZBs
 0Z6g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1716384897; x=1716989697;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=YPjNs14KKOhR95c68l7sFcmcldk4RuFwVNyA/VHSLJs=;
 b=L68x0e1qgUN+1IKxrJfH49Fenf0BPoVA5fPIVY22KS1e8Jw4YmCVHeBDE/6puor9kq
 L9P0vID5y9czQLKC7z8Gm4+gDafIH2KAywqRn+TUVeTKad2f1PKDvPQPvrwvuCGIzkoY
 lyw9Na91qOO019BytOprKmtEV/YzBFewoTuCqgrjTqWn43b9u/qCIDMBZNA20GWc3hcf
 uuC0V9X1XiwaXfT44bGfMXxTusbemMvDrRSNcB763nR9/5cE8RGWq9Ec2UdcjuoVoqfE
 FpElemQqJIyY46IYEkeVkq+9sjPgelcUbBpmfp0csBh+wZlgl3nTMrC+I/Ta7OIcrfRI
 3VQA==
X-Forwarded-Encrypted: i=1;
 AJvYcCWDnHhKqOMYBHRivAW6aGiqHWpD7NUdOkhuidpUN4Te2GOX3mTzlJHJEuLRmb4ObFI6qOtO1ehVwvaN2BodCkTbEt+Vedk=
X-Gm-Message-State: AOJu0YyO/rexy1mZkN4Ho3MTtt1Uk8I2ERurwq9YuDwrOhE8sa6EqKRt
 M0f3AQ6Ck+F4/TvdXhBlPA9qHI6xwbIkFtk/UJLdk1undmR7dKzpdAbfJ/qgVQRYlyyzUhAu8mx
 /6HC6426Zxob9as8gtUcOT5SHKvY=
X-Google-Smtp-Source: AGHT+IEuFdisSAsozW3f+TFUuWVCK1oUloc9IVm04fuHhOqv0XtVbwFPeZfrXXuqZUJmw3HEPQH8Ssz8M2coe1tcSRI=
X-Received: by 2002:ac2:5deb:0:b0:527:a952:44c with SMTP id
 2adb3069b0e04-527a9520961mr47720e87.55.1716384897162; Wed, 22 May 2024
 06:34:57 -0700 (PDT)
MIME-Version: 1.0
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 <86bk4z81cu.fsf@HIDDEN> <554078779.3957737.1716318331280@HIDDEN>
 <CAHkVV6E3_1VwY=iiBL6cxySw-oXF2R3VzxQjDuWKhMV4i2Jusw@HIDDEN>
 <86msoi6nij.fsf@HIDDEN>
In-Reply-To: <86msoi6nij.fsf@HIDDEN>
From: =?UTF-8?Q?Simen_Endsj=C3=B8?= <simendsjo@HIDDEN>
Date: Wed, 22 May 2024 15:34:44 +0200
Message-ID: <CAHkVV6FA0ST+OpN5f4RCCzFzJ09HLt4+1Fo6P1JxsgKWCJchvA@HIDDEN>
Subject: Re: bug#70914: 29.3; Crashes often on Windows
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70914
Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN, ssbssa@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>> I have some symlinked folders further down the tree too. And Developer M=
ode
>> enabled which allows me to register symlinks without admin rights.
>>
>> I have LongPathsEnabled, ref
>> https://learn.microsoft.com/en-us/windows/win32/fileio/maximum-file-path=
-limitation?tabs=3Dregistry
>
> My reading of the MS docs is that enabling that capability in the
> Registry is not enough, you also need to have the longPathAware
> element in the application manifest.  And Emacs doesn't have that
> (because we don't support it).  So Emacs should not get file names
> longer than 260 characters, AFAIU.  Maybe you could try this and see,
> for example Dired on some directory with a file with a longer name and
> see what happens.

Hmm, doesn't look my setting is working. Pretty sure it worked by just twea=
king
this registry value on our servers, but if I check the group policy, it's s=
tates
as "enabled: no", and if I try to create a long path in PowerShell or Explo=
rer,
it fails. So it doesn't seem like I have long paths enabled after all even
though the registry value is set. And as you state, the documentation also =
says
the application needs to register it.

>>     Reading symbols from
>> D:\tmp\emacs-bug-70914\emacs-extra-checks-no-ucrt\simendsjo-build\bin\em=
acs.exe...
>>     (gdb) start --init-directory=3Dd:/.emacs.d
>>     warning: could not convert 'main' from the host encoding (CP65001)
>> to UTF-32.
>>     This normally should not happen, please file a bug report.
>
> That message comes from GDB, and AFAIU is a GDB bug.  It should be
> reported, I think.

I have only seen this on Hannes' gdb, not the one from mingw.

On Wed, May 22, 2024 at 2:26=E2=80=AFPM Eli Zaretskii <eliz@HIDDEN> wrote:
>
> > From: Simen Endsj=C3=B8 <simendsjo@HIDDEN>
> > Date: Tue, 21 May 2024 22:31:52 +0200
> > Cc: Eli Zaretskii <eliz@HIDDEN>, "70914 <at> debbugs.gnu.org" <70914@debbug=
s.gnu.org>, "corwin@HIDDEN" <corwin@HIDDEN>
> >
> > I have some symlinked folders further down the tree too. And Developer =
Mode
> > enabled which allows me to register symlinks without admin rights.
> >
> > I have LongPathsEnabled, ref
> > https://learn.microsoft.com/en-us/windows/win32/fileio/maximum-file-pat=
h-limitation?tabs=3Dregistry
>
> My reading of the MS docs is that enabling that capability in the
> Registry is not enough, you also need to have the longPathAware
> element in the application manifest.  And Emacs doesn't have that
> (because we don't support it).  So Emacs should not get file names
> longer than 260 characters, AFAIU.  Maybe you could try this and see,
> for example Dired on some directory with a file with a longer name and
> see what happens.
>
> >     Reading symbols from
> > D:\tmp\emacs-bug-70914\emacs-extra-checks-no-ucrt\simendsjo-build\bin\e=
macs.exe...
> >     (gdb) start --init-directory=3Dd:/.emacs.d
> >     warning: could not convert 'main' from the host encoding (CP65001)
> > to UTF-32.
> >     This normally should not happen, please file a bug report.
>
> That message comes from GDB, and AFAIU is a GDB bug.  It should be
> reported, I think.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 22 May 2024 13:27:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 22 09:27:11 2024
Received: from localhost ([127.0.0.1]:55957 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s9lzq-0002sT-M9
	for submit <at> debbugs.gnu.org; Wed, 22 May 2024 09:27:11 -0400
Received: from eggs.gnu.org ([209.51.188.92]:46112)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1s9lzp-0002sM-9t
 for 70914 <at> debbugs.gnu.org; Wed, 22 May 2024 09:27:09 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1s9lzd-0008QU-Tc; Wed, 22 May 2024 09:26:57 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=+WCy+Ye4JRl8fAbqxdGNYJ7OEwI3YBkIGzZAKX8nN+o=; b=bAhLEg/5do/x5yVgGzsi
 OnHdMLagxsZHy7ymKUH2W12ikWABa3kBzEqncST8RAWNNrrV31DmKb1Ec6W/+HgVzf+P2L52rgAat
 gbHYiRz5HV/eHHKIPhMwhZLJm9rdz/7wC9DgAh0yyTtvfY5s3t3/pWEFVWf0FyPkpPCldOHYppAMP
 IznqtSgN0l5oYygjXGyPYi9aMKl3yRZTwHDBOK/TODUnoZtJlngJ1n2w8tNk3oUaklQwhJuH/nLA6
 B6Ch1c9+CxOPkunvs+6FixjA/pllsYi9nFFIO2Ky01oLVVJ4Dubgi4u9mGKaTYTMPdcyaIUQZtUrT
 jzg3OPvka6pEsQ==;
Date: Wed, 22 May 2024 16:26:54 +0300
Message-Id: <86bk4y6kpt.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Simen =?utf-8?Q?Endsj=C3=B8?= <simendsjo@HIDDEN>
In-Reply-To: <CAHkVV6HsPE3_NA-XaqRdQTwdjuzFzapEhcHWZHsFeNTQfdJqyw@HIDDEN>
 (message from Simen =?utf-8?Q?Endsj=C3=B8?= on Wed, 22 May 2024 13:21:57
 +0200)
Subject: Re: bug#70914: 29.3; Crashes often on Windows
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 <86bk4z81cu.fsf@HIDDEN> <554078779.3957737.1716318331280@HIDDEN>
 <CAHkVV6E3_1VwY=iiBL6cxySw-oXF2R3VzxQjDuWKhMV4i2Jusw@HIDDEN>
 <984937837.4078826.1716352322860@HIDDEN>
 <CAHkVV6GY_s0BaPK7cA5y-5QUji9PK1AucZ7ApmMc06aLmqpzqQ@HIDDEN>
 <829659206.4083070.1716354489264@HIDDEN>
 <CAHkVV6H5WcfvA=Mb639Qdo+kQuzckUBb2WLOCfxcJTtRo0u=tw@HIDDEN>
 <582535681.1158538.1716358337102@HIDDEN>
 <CAHkVV6HFFAGHXy9RP1GvUr7C7XuTmPKxVtp1aigZTsp0WqZmgA@HIDDEN>
 <433213011.4171485.1716366220719@HIDDEN>
 <CAHkVV6Ermt_Yv4px4D70OR9YJnSLM43Xtc0wVL-s-G4ScDPUxw@HIDDEN>
 <504687570.4208226.1716367848968@HIDDEN>
 <CAHkVV6EhcrYyf9kpjh2Bbyjr2fhqfeW907qvFYat=WFH-5et7w@HIDDEN>
 <CAHkVV6HsPE3_NA-XaqRdQTwdjuzFzapEhcHWZHsFeNTQfdJqyw@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 70914
Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN, ssbssa@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Simen Endsjø <simendsjo@HIDDEN>
> Date: Wed, 22 May 2024 13:21:57 +0200
> Cc: Eli Zaretskii <eliz@HIDDEN>, Corwin Brust <corwin@HIDDEN>, 
> 	"70914 <at> debbugs.gnu.org" <70914 <at> debbugs.gnu.org>
> 
> Tried building native-compilation with this patch, but that still fails:
> 
> make[3]: Entering directory
> '/d/tmp/emacs-bug-70914/emacs-empty-path-bug-workaround-regular-build/lisp'
>   ELC+ELN  international/titdic-cnv.elc
>   ELC+ELN  ../lisp/abbrev.elc
>   ELC+ELN  ../lisp/bindings.elc
>   ELC+ELN  ../lisp/buff-menu.elc
>   ELC+ELN  ../lisp/button.elc
>   ELC+ELN  ../lisp/composite.elc
>   ELC+ELN  ../lisp/case-table.elc
>   ELC+ELN  ../lisp/cus-face.elc
>   ELC+ELN  ../lisp/cus-start.elc
>   ELC+ELN  ../lisp/custom.elc
>   ELC+ELN  ../lisp/disp-table.elc
>   ELC+ELN  ../lisp/dnd.elc
> 
> Backtrace:
> 00007ff7a5f20f4e

You are using GCC 13 or newer, right?  They have known problems with
native compilation, so I think these are unrelated.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 22 May 2024 13:16:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 22 09:16:03 2024
Received: from localhost ([127.0.0.1]:55896 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s9lp4-0002c7-KE
	for submit <at> debbugs.gnu.org; Wed, 22 May 2024 09:16:03 -0400
Received: from mail-lj1-f172.google.com ([209.85.208.172]:61889)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <simendsjo@HIDDEN>) id 1s9loz-0002bi-DG
 for 70914 <at> debbugs.gnu.org; Wed, 22 May 2024 09:16:01 -0400
Received: by mail-lj1-f172.google.com with SMTP id
 38308e7fff4ca-2e72224c395so38128361fa.3
 for <70914 <at> debbugs.gnu.org>; Wed, 22 May 2024 06:15:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1716383686; x=1716988486; darn=debbugs.gnu.org;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:from:to:cc:subject:date
 :message-id:reply-to;
 bh=GAwOM/RPdUZWTYBtaydeiS5PdKKyVNHfNqtF88basBQ=;
 b=JbOV3DMIQFPIkEVpab+RQAxFGI8ihHtHhsGjZaKV6BPd5RF4MM3N8TJV0bWpSQfVCv
 qfiT7PspqXzPXqnuPs8RZNhscE44ah641WS9JIPgC5wwnQ7oMlBfpyV9nJHbOTsHJUbN
 LSQt7sBkx6XIMsHelPeUXttbfSvBooBzi1bZsl9n8BDAP25ZjnOTC51b6TKM1YnuDMG5
 +Uar+G7uTMgw3fcBfrcHYA3jHPpn0pItlRH4Vjoc2T/pvm7/qp3+4GS8KYsMVWgvLYlO
 qn0d7ZL8ocPRSPVz2+C2F0lzhzeP1Y32t0MDS5rTCPNqHT5rvyouJYltwalu0PnorSwG
 gteg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1716383686; x=1716988486;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=GAwOM/RPdUZWTYBtaydeiS5PdKKyVNHfNqtF88basBQ=;
 b=lkozxfz0ChKa77ZgL5Vq4r2jD/tLTByEg0qvPxeCHgnD7bS0W2FRIuytZm0Ucavksb
 kBqVK6LtvMekwx29Oy9041RfokLvs+GPNJOsc+08zQR3TWPAPDQdIJ8pinZCRNu8Ohg2
 zvbx1NKUuYXnJrwTy6Df1jC6x4ZN8ltWYhyVa9Rd7/h2kPpQM7jnZgzZB1BdrMwLJDGZ
 kmNRMGZzLU7I0k3M9G6cNqNxQg5vciivs77FBlkUvrO1UZSOXwqetL9NoG88TKQKUa6o
 jJUe1fKmj5uncD/eL3BVAVBWSkx4DvMKJ82fQTKK0gexqJH+G4lJiMGAC7blkOgnxP1v
 n1kg==
X-Forwarded-Encrypted: i=1;
 AJvYcCW8LZIt+pMGssjpzpXREnYITx1/jcYhH2tRLkXxVOXtZh9RbwsdZzU8LP8UBTX1Q6IBDvf0SZxi7Xrnuznok/E95mnNHLo=
X-Gm-Message-State: AOJu0YwVOThpsAXQTP+mDLOFlUACuqRGHbL+4ntUfIBUPndfEQNJ3JPQ
 cNCszGjlsSM3ncqGnG91TH9rkdf543Wqv3LBj49UHGtq0as49/Oeezx7PKtc8dZY1GnaknWaid4
 K3laJlyzHn6x1Da8404QKyENlHF4=
X-Google-Smtp-Source: AGHT+IHDKNqWOp9m+j+IB1uuuyUsbFyMoB+bj0d5nfA3ydnqYTXdDxSXLfeqDsq5zngem3MQ523jEKZ+Tu5g5clm9FI=
X-Received: by 2002:a05:6512:2391:b0:51d:4260:4bf8 with SMTP id
 2adb3069b0e04-526bf922955mr1336761e87.35.1716383685267; Wed, 22 May 2024
 06:14:45 -0700 (PDT)
MIME-Version: 1.0
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 <86bk4z81cu.fsf@HIDDEN> <554078779.3957737.1716318331280@HIDDEN>
 <CAHkVV6E3_1VwY=iiBL6cxySw-oXF2R3VzxQjDuWKhMV4i2Jusw@HIDDEN>
 <984937837.4078826.1716352322860@HIDDEN>
 <CAHkVV6GY_s0BaPK7cA5y-5QUji9PK1AucZ7ApmMc06aLmqpzqQ@HIDDEN>
 <829659206.4083070.1716354489264@HIDDEN>
 <CAHkVV6H5WcfvA=Mb639Qdo+kQuzckUBb2WLOCfxcJTtRo0u=tw@HIDDEN>
 <582535681.1158538.1716358337102@HIDDEN> <86zfsi6qdx.fsf@HIDDEN>
In-Reply-To: <86zfsi6qdx.fsf@HIDDEN>
From: =?UTF-8?Q?Simen_Endsj=C3=B8?= <simendsjo@HIDDEN>
Date: Wed, 22 May 2024 15:14:33 +0200
Message-ID: <CAHkVV6EDVEHL0cA0uALP-v515ueb_449Ndg5RqNt6czToL_Yuw@HIDDEN>
Subject: Re: bug#70914: 29.3; Crashes often on Windows
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70914
Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN, Hannes Domani <ssbssa@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Reading symbols from
D:\tmp\emacs-bug-70914\emacs-abort-on-empty-path\simendsjo-build\bin\emacs.=
exe...
(gdb) run --init-directory=3Dd:/.emacs.d
Starting program:
D:\tmp\emacs-bug-70914\emacs-abort-on-empty-path\simendsjo-build\bin\emacs.=
exe
--init-directory=3Dd:/.emacs.d
[New Thread 12416.0x3eb0]
[New Thread 12416.0x4854]
[New Thread 12416.0x7420]
[New Thread 12416.0x4b90]
[New Thread 12416.0x1f68]
[New Thread 12416.0xc4c]
[Thread 12416.0xc4c exited with code 1]
[New Thread 12416.0x37d0]
[Thread 12416.0x37d0 exited with code 1]
[New Thread 12416.0x1be8]
[Thread 12416.0x1be8 exited with code 1]
[New Thread 12416.0x7a4c]
[Thread 12416.0x7a4c exited with code 1]
[New Thread 12416.0x3df0]
[Thread 12416.0x3df0 exited with code 1]
[New Thread 12416.0x2134]
[New Thread 12416.0x2c64]
[Thread 12416.0x2c64 exited with code 1]
[New Thread 12416.0x3144]
[Thread 12416.0x3144 exited with code 1]
[New Thread 12416.0x2664]
[Thread 12416.0x2664 exited with code 1]
[New Thread 12416.0x33c0]
[Thread 12416.0x33c0 exited with code 1]
[New Thread 12416.0x760c]
[New Thread 12416.0x57b8]
[New Thread 12416.0x76a0]
[New Thread 12416.0x314]
[New Thread 12416.0x5910]
[New Thread 12416.0x6098]
[Thread 12416.0x6098 exited with code 1]
[New Thread 12416.0x50a8]
[Thread 12416.0x50a8 exited with code 1]
[New Thread 12416.0x92c]
[Thread 12416.0x92c exited with code 1]
[New Thread 12416.0x4f74]
[Thread 12416.0x4f74 exited with code 1]

Thread 1 received signal SIGTRAP, Trace/breakpoint trap.
0x00007fffed1bd313 in KERNELBASE!DebugBreak () from
C:\WINDOWS\System32\KernelBase.dll
(gdb) thread 1
[Switching to thread 1 (Thread 12416.0xb70)]
#0  0x00007fffed1bd313 in KERNELBASE!DebugBreak () from
C:\WINDOWS\System32\KernelBase.dll
(gdb) source d:/tmp/emacs-bug-70914/emacs-abort-on-empty-path/src/.gdbinit
warning: D:\tmp\emacs-bug-70914/../lwlib: No such file or directory
SIGINT is used by the debugger.
Are you sure you want to change it? (y or n) [answered Y; input not
from terminal]
Environment variable "DISPLAY" not defined.
TERM =3D xterm-256color
Breakpoint 1 at 0x7ff6673dbd35: file emacs.c, line 427.
(gdb) bt
#0  0x00007fffed1bd313 in KERNELBASE!DebugBreak () from
C:\WINDOWS\System32\KernelBase.dll
#1  0x00007ff6675c8f46 in emacs_abort () at w32fns.c:11136
#2  0x00007ff6675fa08e in parse_root (name=3D0x1d0e39b8 "//",
pPath=3D0xbf76b0) at w32.c:2561
#3  0x00007ff6675fbdf7 in get_volume_info (name=3D0x1d0e39b8 "//",
pPath=3D0xbf76b0) at w32.c:3483
#4  0x00007ff6675fbf06 in is_fat_volume (name=3D0x1d0e39b8 "//",
pPath=3D0xbf76b0) at w32.c:3513
#5  0x00007ff6675fbf9c in map_w32_filename (name=3D0x1d0e39b8 "//",
pPath=3D0x0) at w32.c:3538
#6  0x00007ff6675fd149 in faccessat (dirfd=3D-3041965, path=3D0x1d0e39b8
"//", mode=3D8, flags=3D4) at w32.c:4134
#7  0x00007ff667445ec1 in file_access_p (file=3D0x1d0e39b8 "//",
amode=3D0) at fileio.c:162
#8  0x00007ff66744bc91 in check_file_access (file=3DXIL(0xce53ba4),
operation=3DXIL(0x6ab0), amode=3D0) at fileio.c:2893
#9  0x00007ff66744bcde in Ffile_exists_p (filename=3DXIL(0xce53be4)) at
fileio.c:2905
#10 0x00007ff6674d8335 in eval_sub (form=3DXIL(0xba82673)) at eval.c:2502
#11 0x00007ff6674d0ef3 in For (args=3DXIL(0)) at eval.c:349
#12 0x00007ff6674d7f63 in eval_sub (form=3DXIL(0xba82573)) at eval.c:2453
#13 0x00007ff6674d1087 in Fif (args=3DXIL(0xba826a3)) at eval.c:388
#14 0x00007ff6674d7f63 in eval_sub (form=3DXIL(0xba82563)) at eval.c:2453
#15 0x00007ff6674d13cd in Fprogn (body=3DXIL(0)) at eval.c:436
#16 0x00007ff6674dabfe in funcall_lambda (fun=3DXIL(0xd337f33), nargs=3D1,
arg_vector=3D0x0) at eval.c:3237
#17 0x00007ff6674d9a11 in funcall_general (fun=3DXIL(0xd337f43),
numargs=3D1, args=3D0x4a15b08) at eval.c:2961
#18 0x00007ff66753faf1 in exec_byte_code (fun=3DXIL(0xcb363b5),
args_template=3D514, nargs=3D2, args=3D0x4a15b10) at bytecode.c:811
#19 0x00007ff6674da24a in fetch_and_exec_byte_code
(fun=3DXIL(0xc160185), args_template=3D0, nargs=3D0, args=3D0x0) at
eval.c:3085
#20 0x00007ff6674dac89 in funcall_lambda (fun=3DXIL(0xc160185), nargs=3D0,
arg_vector=3D0x0) at eval.c:3246
#21 0x00007ff6674d98ef in funcall_general (fun=3DXIL(0xc160185),
numargs=3D0, args=3D0xbf8b58) at eval.c:2949
#22 0x00007ff6674d9c22 in Ffuncall (nargs=3D1, args=3D0xbf8b50) at eval.c:2=
999
#23 0x00007ff6674d8e1d in funcall_nil (nargs=3D1, args=3D0xbf8b50) at eval.=
c:2681
#24 0x00007ff6674d939c in run_hook_with_args (nargs=3D1, args=3D0xbf8b50,
funcall=3D0x7ff6674d8dfd <funcall_nil>) at eval.c:2858
#25 0x00007ff6674d8eab in Frun_hook_with_args (nargs=3D1, args=3D0xbf8b50)
at eval.c:2723
#26 0x00007ff6674d943b in run_hook (hook=3DXIL(0xffff8009a2436d90)) at eval=
.c:2871
#27 0x00007ff6674d8e65 in Frun_hooks (nargs=3D4, args=3D0xbf8d28) at eval.c=
:2705
#28 0x00007ff6674da0c6 in funcall_subr (subr=3D0x7ff667bd2e80
<Srun_hooks>, numargs=3D4, args=3D0xbf8d28) at eval.c:3063
#29 0x00007ff6674d98a3 in funcall_general (fun=3DXIL(0x7ff667bd2e85),
numargs=3D4, args=3D0xbf8d28) at eval.c:2945
#30 0x00007ff6674d9c22 in Ffuncall (nargs=3D5, args=3D0xbf8d20) at eval.c:2=
999
#31 0x00007ff6674d8de2 in Fapply (nargs=3D2, args=3D0x4a157b8) at eval.c:26=
70
#32 0x00007ff6674da0c6 in funcall_subr (subr=3D0x7ff667bd2e40 <Sapply>,
numargs=3D2, args=3D0x4a157b8) at eval.c:3063
#33 0x00007ff66753fac8 in exec_byte_code (fun=3DXIL(0x3ed7cf5),
args_template=3D128, nargs=3D1, args=3D0x4a15758) at bytecode.c:809
#34 0x00007ff6674da24a in fetch_and_exec_byte_code
(fun=3DXIL(0x3f35f45), args_template=3D256, nargs=3D0, args=3D0x4a155e0) at
eval.c:3085
#35 0x00007ff6674da6de in funcall_lambda (fun=3DXIL(0x3f35f45), nargs=3D0,
arg_vector=3D0x4a155e0) at eval.c:3157
#36 0x00007ff6674d98ef in funcall_general (fun=3DXIL(0x3f35f45),
numargs=3D0, args=3D0x4a155e0) at eval.c:2949
#37 0x00007ff6674d9c22 in Ffuncall (nargs=3D1, args=3D0x4a155d8) at eval.c:=
2999
--Type <RET> for more, q to quit, c to continue without paging--c
#38 0x00007ff6674d89b2 in Fapply (nargs=3D2, args=3D0x4a155d8) at eval.c:26=
23
#39 0x00007ff6674da0c6 in funcall_subr (subr=3D0x7ff667bd2e40 <Sapply>,
numargs=3D2, args=3D0x4a155d8) at eval.c:3063
#40 0x00007ff66753fac8 in exec_byte_code (fun=3DXIL(0x615ebd5),
args_template=3D128, nargs=3D0, args=3D0xbf9d58) at bytecode.c:809
#41 0x00007ff6674da24a in fetch_and_exec_byte_code
(fun=3DXIL(0x615ebd5), args_template=3D128, nargs=3D0, args=3D0xbf9d58) at
eval.c:3085
#42 0x00007ff6674da6de in funcall_lambda (fun=3DXIL(0x615ebd5), nargs=3D0,
arg_vector=3D0xbf9d58) at eval.c:3157
#43 0x00007ff6674d98ef in funcall_general (fun=3DXIL(0x615ebd5),
numargs=3D0, args=3D0xbf9d58) at eval.c:2949
#44 0x00007ff6674d9c22 in Ffuncall (nargs=3D1, args=3D0xbf9d50) at eval.c:2=
999
#45 0x00007ff6674d89b2 in Fapply (nargs=3D2, args=3D0xbf9d50) at eval.c:262=
3
#46 0x00007ff6674d81b1 in eval_sub (form=3DXIL(0xa98ab83)) at eval.c:2474
#47 0x00007ff6674d13cd in Fprogn (body=3DXIL(0)) at eval.c:436
#48 0x00007ff6674d7f63 in eval_sub (form=3DXIL(0x53a3153)) at eval.c:2453
#49 0x00007ff6674d44ce in Funwind_protect (args=3DXIL(0x53a3143)) at eval.c=
:1301
#50 0x00007ff6674d7f63 in eval_sub (form=3DXIL(0x53a3133)) at eval.c:2453
#51 0x00007ff6674d13cd in Fprogn (body=3DXIL(0)) at eval.c:436
#52 0x00007ff6674d3ab5 in Flet (args=3DXIL(0x53a3113)) at eval.c:1026
#53 0x00007ff6674d7f63 in eval_sub (form=3DXIL(0x53a3103)) at eval.c:2453
#54 0x00007ff6674d882c in eval_sub (form=3DXIL(0xa98ab73)) at eval.c:2588
#55 0x00007ff6674d10f8 in Fif (args=3DXIL(0xa98ab63)) at eval.c:391
#56 0x00007ff6674d7f63 in eval_sub (form=3DXIL(0xa98ab53)) at eval.c:2453
#57 0x00007ff6674d13cd in Fprogn (body=3DXIL(0)) at eval.c:436
#58 0x00007ff6674dabfe in funcall_lambda (fun=3DXIL(0xa9930f3), nargs=3D1,
arg_vector=3D0x0) at eval.c:3237
#59 0x00007ff6674d9a11 in funcall_general (fun=3DXIL(0xa993103),
numargs=3D1, args=3D0x4a15598) at eval.c:2961
#60 0x00007ff6674d9c22 in Ffuncall (nargs=3D2, args=3D0x4a15590) at eval.c:=
2999
#61 0x00007ff6674d89b2 in Fapply (nargs=3D3, args=3D0x4a15590) at eval.c:26=
23
#62 0x00007ff6674da0c6 in funcall_subr (subr=3D0x7ff667bd2e40 <Sapply>,
numargs=3D3, args=3D0x4a15590) at eval.c:3063
#63 0x00007ff66753fac8 in exec_byte_code (fun=3DXIL(0xa983005),
args_template=3D128, nargs=3D0, args=3D0x4a15558) at bytecode.c:809
#64 0x00007ff6674da24a in fetch_and_exec_byte_code
(fun=3DXIL(0xa983005), args_template=3D128, nargs=3D0, args=3D0x4a15558) at
eval.c:3085
#65 0x00007ff6674da6de in funcall_lambda (fun=3DXIL(0xa983005), nargs=3D0,
arg_vector=3D0x4a15558) at eval.c:3157
#66 0x00007ff6674d98ef in funcall_general (fun=3DXIL(0xa983005),
numargs=3D0, args=3D0x4a15558) at eval.c:2949
#67 0x00007ff6674d9c22 in Ffuncall (nargs=3D1, args=3D0x4a15550) at eval.c:=
2999
#68 0x00007ff6674d89b2 in Fapply (nargs=3D2, args=3D0x4a15550) at eval.c:26=
23
#69 0x00007ff6674da0c6 in funcall_subr (subr=3D0x7ff667bd2e40 <Sapply>,
numargs=3D2, args=3D0x4a15550) at eval.c:3063
#70 0x00007ff66753fac8 in exec_byte_code (fun=3DXIL(0x3f2c45d),
args_template=3D513, nargs=3D1, args=3D0x4a15650) at bytecode.c:809
#71 0x00007ff6674da24a in fetch_and_exec_byte_code
(fun=3DXIL(0x1d74a395), args_template=3D385, nargs=3D1, args=3D0x4a15508) a=
t
eval.c:3085
#72 0x00007ff6674da6de in funcall_lambda (fun=3DXIL(0x1d74a395),
nargs=3D1, arg_vector=3D0x4a15508) at eval.c:3157
#73 0x00007ff6674d98ef in funcall_general (fun=3DXIL(0x1d74a395),
numargs=3D1, args=3D0x4a15508) at eval.c:2949
#74 0x00007ff6674d9c22 in Ffuncall (nargs=3D2, args=3D0x4a15500) at eval.c:=
2999
#75 0x00007ff6674d89b2 in Fapply (nargs=3D3, args=3D0x4a15500) at eval.c:26=
23
#76 0x00007ff6674da0c6 in funcall_subr (subr=3D0x7ff667bd2e40 <Sapply>,
numargs=3D3, args=3D0x4a15500) at eval.c:3063
#77 0x00007ff66753fac8 in exec_byte_code (fun=3DXIL(0x1d757085),
args_template=3D128, nargs=3D0, args=3D0x4a154b8) at bytecode.c:809
#78 0x00007ff6674da24a in fetch_and_exec_byte_code
(fun=3DXIL(0x3f22065), args_template=3D1280, nargs=3D2, args=3D0xbfbff8) at
eval.c:3085
#79 0x00007ff6674da6de in funcall_lambda (fun=3DXIL(0x3f22065), nargs=3D2,
arg_vector=3D0xbfbff8) at eval.c:3157
#80 0x00007ff6674d98ef in funcall_general (fun=3DXIL(0x3f22065),
numargs=3D2, args=3D0xbfbff8) at eval.c:2949
#81 0x00007ff6674d9c22 in Ffuncall (nargs=3D3, args=3D0xbfbff0) at eval.c:2=
999
#82 0x00007ff6674d8de2 in Fapply (nargs=3D2, args=3D0xbfc0d0) at eval.c:267=
0
#83 0x00007ff6674d81b1 in eval_sub (form=3DXIL(0xa6f1973)) at eval.c:2474
#84 0x00007ff6674d13cd in Fprogn (body=3DXIL(0)) at eval.c:436
#85 0x00007ff6674d7f63 in eval_sub (form=3DXIL(0xa6f1133)) at eval.c:2453
#86 0x00007ff6674d44ce in Funwind_protect (args=3DXIL(0xa6f1193)) at eval.c=
:1301
#87 0x00007ff6674d7f63 in eval_sub (form=3DXIL(0xa6f11a3)) at eval.c:2453
#88 0x00007ff6674d13cd in Fprogn (body=3DXIL(0)) at eval.c:436
#89 0x00007ff6674d3568 in FletX (args=3DXIL(0xa6f11c3)) at eval.c:958
#90 0x00007ff6674d7f63 in eval_sub (form=3DXIL(0xa6f11d3)) at eval.c:2453
#91 0x00007ff6674d13cd in Fprogn (body=3DXIL(0)) at eval.c:436
#92 0x00007ff6674dabfe in funcall_lambda (fun=3DXIL(0xa6f0c53), nargs=3D3,
arg_vector=3D0x0) at eval.c:3237
#93 0x00007ff6674d9a11 in funcall_general (fun=3DXIL(0xa6f0c63),
numargs=3D3, args=3D0xbfc938) at eval.c:2961
#94 0x00007ff6674d9c22 in Ffuncall (nargs=3D4, args=3D0xbfc930) at eval.c:2=
999
#95 0x00007ff6674d8de2 in Fapply (nargs=3D3, args=3D0x4a15400) at eval.c:26=
70
#96 0x00007ff6674da0c6 in funcall_subr (subr=3D0x7ff667bd2e40 <Sapply>,
numargs=3D3, args=3D0x4a15400) at eval.c:3063
#97 0x00007ff66753fac8 in exec_byte_code (fun=3DXIL(0xa6eaab5),
args_template=3D128, nargs=3D2, args=3D0xbfd0f8) at bytecode.c:809
#98 0x00007ff6674da24a in fetch_and_exec_byte_code
(fun=3DXIL(0xa6eaab5), args_template=3D128, nargs=3D2, args=3D0xbfd0f8) at
eval.c:3085
#99 0x00007ff6674da6de in funcall_lambda (fun=3DXIL(0xa6eaab5), nargs=3D2,
arg_vector=3D0xbfd0f8) at eval.c:3157
#100 0x00007ff6674d98ef in funcall_general (fun=3DXIL(0xa6eaab5),
numargs=3D2, args=3D0xbfd0f8) at eval.c:2949
#101 0x00007ff6674d9c22 in Ffuncall (nargs=3D3, args=3D0xbfd0f0) at eval.c:=
2999
#102 0x00007ff6674d8de2 in Fapply (nargs=3D2, args=3D0x4a153c0) at eval.c:2=
670
#103 0x00007ff6674da0c6 in funcall_subr (subr=3D0x7ff667bd2e40 <Sapply>,
numargs=3D2, args=3D0x4a153c0) at eval.c:3063
#104 0x00007ff66753fac8 in exec_byte_code (fun=3DXIL(0xa6eab15),
args_template=3D128, nargs=3D2, args=3D0xbfd8b8) at bytecode.c:809
#105 0x00007ff6674da24a in fetch_and_exec_byte_code
(fun=3DXIL(0xa6eab15), args_template=3D128, nargs=3D2, args=3D0xbfd8b8) at
eval.c:3085
#106 0x00007ff6674da6de in funcall_lambda (fun=3DXIL(0xa6eab15),
nargs=3D2, arg_vector=3D0xbfd8b8) at eval.c:3157
#107 0x00007ff6674d98ef in funcall_general (fun=3DXIL(0xa6eab15),
numargs=3D2, args=3D0xbfd8b8) at eval.c:2949
#108 0x00007ff6674d9c22 in Ffuncall (nargs=3D3, args=3D0xbfd8b0) at eval.c:=
2999
#109 0x00007ff6674d8de2 in Fapply (nargs=3D2, args=3D0x4a15380) at eval.c:2=
670
#110 0x00007ff6674da0c6 in funcall_subr (subr=3D0x7ff667bd2e40 <Sapply>,
numargs=3D2, args=3D0x4a15380) at eval.c:3063
#111 0x00007ff66753fac8 in exec_byte_code (fun=3DXIL(0xa6eab75),
args_template=3D128, nargs=3D2, args=3D0x4a15338) at bytecode.c:809
#112 0x00007ff6674da24a in fetch_and_exec_byte_code
(fun=3DXIL(0x1d009255), args_template=3D0, nargs=3D0, args=3D0x4a15138) at
eval.c:3085
#113 0x00007ff6674da6de in funcall_lambda (fun=3DXIL(0x1d009255),
nargs=3D0, arg_vector=3D0x4a15138) at eval.c:3157
#114 0x00007ff6674d98ef in funcall_general (fun=3DXIL(0x1d009255),
numargs=3D0, args=3D0x4a15138) at eval.c:2949
#115 0x00007ff6674d9c22 in Ffuncall (nargs=3D1, args=3D0x4a15130) at eval.c=
:2999
#116 0x00007ff6674d89b2 in Fapply (nargs=3D2, args=3D0x4a15130) at eval.c:2=
623
#117 0x00007ff6674da0c6 in funcall_subr (subr=3D0x7ff667bd2e40 <Sapply>,
numargs=3D2, args=3D0x4a15130) at eval.c:3063
#118 0x00007ff66753fac8 in exec_byte_code (fun=3DXIL(0x1d01eac5),
args_template=3D128, nargs=3D0, args=3D0xbfeae0) at bytecode.c:809
#119 0x00007ff6674da24a in fetch_and_exec_byte_code
(fun=3DXIL(0x1d01eac5), args_template=3D128, nargs=3D0, args=3D0xbfeae0) at
eval.c:3085
#120 0x00007ff6674da6de in funcall_lambda (fun=3DXIL(0x1d01eac5),
nargs=3D0, arg_vector=3D0xbfeae0) at eval.c:3157
#121 0x00007ff6674d98ef in funcall_general (fun=3DXIL(0x1d01eac5),
numargs=3D0, args=3D0xbfeae0) at eval.c:2949
#122 0x00007ff6674d9c22 in Ffuncall (nargs=3D1, args=3D0xbfead8) at eval.c:=
2999
#123 0x00007ff6674cba35 in Ffuncall_interactively (nargs=3D1,
args=3D0xbfead8) at callint.c:250
#124 0x00007ff6674da0c6 in funcall_subr (subr=3D0x7ff667bd2580
<Sfuncall_interactively>, numargs=3D1, args=3D0xbfead8) at eval.c:3063
#125 0x00007ff6674d98a3 in funcall_general (fun=3DXIL(0x7ff667bd2585),
numargs=3D1, args=3D0xbfead8) at eval.c:2945
#126 0x00007ff6674d9c22 in Ffuncall (nargs=3D2, args=3D0xbfead0) at eval.c:=
2999
#127 0x00007ff6674d89b2 in Fapply (nargs=3D3, args=3D0xbfead0) at eval.c:26=
23
#128 0x00007ff6674cbf05 in Fcall_interactively
(function=3DXIL(0xffff8009a2263170), record_flag=3DXIL(0),
keys=3DXIL(0x4622345)) at callint.c:342
#129 0x00007ff6674d9eae in funcall_subr (subr=3D0x7ff667bd25c0
<Scall_interactively>, numargs=3D3, args=3D0x4a150a0) at eval.c:3042
#130 0x00007ff66753fac8 in exec_byte_code (fun=3DXIL(0x3f9c4d5),
args_template=3D1025, nargs=3D1, args=3D0xbff410) at bytecode.c:809
#131 0x00007ff6674da24a in fetch_and_exec_byte_code
(fun=3DXIL(0x3f9c4d5), args_template=3D1025, nargs=3D1, args=3D0xbff408) at
eval.c:3085
#132 0x00007ff6674da6de in funcall_lambda (fun=3DXIL(0x3f9c4d5),
nargs=3D1, arg_vector=3D0xbff408) at eval.c:3157
#133 0x00007ff6674d98ef in funcall_general (fun=3DXIL(0x3f9c4d5),
numargs=3D1, args=3D0xbff408) at eval.c:2949
#134 0x00007ff6674d9c22 in Ffuncall (nargs=3D2, args=3D0xbff400) at eval.c:=
2999
#135 0x00007ff6673e1956 in call1 (fn=3DXIL(0x4590),
arg1=3DXIL(0xffff8009a2263170)) at lisp.h:3248
#136 0x00007ff6673e5605 in command_loop_1 () at keyboard.c:1503
#137 0x00007ff6674d4fc2 in internal_condition_case
(bfun=3D0x7ff6673e4c50 <command_loop_1>, handlers=3DXIL(0x90),
hfun=3D0x7ff6673e3e80 <cmd_error>)
    at eval.c:1474
#138 0x00007ff6673e479e in command_loop_2 (handlers=3DXIL(0x90)) at
keyboard.c:1133
#139 0x00007ff6674d40ff in internal_catch (tag=3DXIL(0x103b0),
func=3D0x7ff6673e4772 <command_loop_2>, arg=3DXIL(0x90)) at eval.c:1197
#140 0x00007ff6673e46db in command_loop () at keyboard.c:1111
#141 0x0000000000000000 in ?? ()

Lisp Backtrace:
"file-exists-p" (0xbf7ec0)
"or" (0xbf80d0)
"if" (0xbf8280)
0xd337f40 Lisp type 3
"org-activate-links--overlays" (0x4a15a80)
"org-activate-links" (0x4a159f8)
"font-lock-fontify-keywords-region" (0x4a15958)
"font-lock-default-fontify-region" (0x4a158e8)
"font-lock-fontify-region" (0x4a15890)
"font-lock-default-fontify-buffer" (0x4a15848)
"font-lock-fontify-buffer" (0x4a157f8)
"org-fancy-priorities-mode" (0xbf8b58)
"run-hooks" (0xbf8d28)
"apply" (0x4a157b8)
"run-mode-hooks" (0x4a15758)
"org-mode" (0x4a15718)
"set-auto-mode-0" (0x4a156c8)
"set-auto-mode--apply-alist" (0x4a15648)
0x3f35f40 PVEC_COMPILED
"apply" (0x4a155d8)
0x615ebd0 PVEC_COMPILED
"apply" (0xbf9d50)
"progn" (0xbf9fb0)
"unwind-protect" (0xbfa150)
"let" (0xbfa3e0)
"evil-save-state" (0xbfa540)
"if" (0xbfa6f0)
"+evil--persist-state-a" (0x4a15598)
"apply" (0x4a15590)
0xa983000 PVEC_COMPILED
"apply" (0x4a15550)
"so-long--set-auto-mode" (0x4a15508)
"apply" (0x4a15500)
"set-auto-mode" (0x4a154b8)
"normal-mode" (0x4a15468)
0x3f22060 PVEC_COMPILED
"apply" (0xbfc0d0)
"progn" (0xbfc330)
"unwind-protect" (0xbfc4d0)
"let*" (0xbfc710)
"doom--shut-up-autosave-a" (0xbfc938)
"apply" (0x4a15400)
0xa6eaab0 PVEC_COMPILED
"apply" (0x4a153c0)
0xa6eab10 PVEC_COMPILED
"apply" (0x4a15380)
"after-find-file" (0x4a15338)
"find-file-noselect-1" (0x4a152a0)
"find-file-noselect" (0x4a15210)
"find-file" (0x4a15168)
0x1d009250 PVEC_COMPILED
"apply" (0x4a15130)
"consult-recent-file" (0xbfeae0)
"funcall-interactively" (0xbfead8)
"call-interactively" (0x4a150a0)
"command-execute" (0xbff408)

On Wed, May 22, 2024 at 1:24=E2=80=AFPM Eli Zaretskii <eliz@HIDDEN> wrote:
>
> > Date: Wed, 22 May 2024 06:12:17 +0000 (UTC)
> > From: Hannes Domani <ssbssa@HIDDEN>
> > Cc: Eli Zaretskii <eliz@HIDDEN>, Corwin Brust <corwin@HIDDEN>,
> >       "70914 <at> debbugs.gnu.org" <70914 <at> debbugs.gnu.org>
> >
> > >     get_volume_info: name=3D"d:/profiles/%s"
> > >     get_volume_info: name=3D"//"
> > >
> > >     Thread 1 received signal SIGSEGV, Segmentation fault.
> > >     [Switching to Thread 27916.0x5a7c]
> > >     0x0000000000000000 in ?? ()
> >
> > Whoa, the result is very different from what I expected, but we found t=
he
> > culprit.
> >
> > @Eli
> >
> > Not sure where this "//" path is coming from, but parse_root() does
> > not handle it correctly, it will look for 2 additional slashes after
> > them for some reason (?)
>
> It wants to find the UNC \\server\share part of the file name, because
> otherwise we get an invalid root of a filesystem.  For example, the
> call to GetVolumeInformationW with a name like "\\" (or anything that
> doesn't include a valid server and share after the 2 leading
> backslashes) will fail, and we will not be able to know what
> filesystem features the corresponding volume supports.
>
> > buf first ignore the null-delimiter with 'name++',
> > before the 'while ( *name )' check:
>
> Right.  I guess no one ever called us with such invalid file names, or
> at least they didn't complain here.
>
> > The 'root_len' it returns to get_volume_info() then likely overflows
> > 'temp' in the following strncpy() call:
> >
> >       strncpy (temp, name, root_len);
> >
> > As a quick fix I suggest changing the if() to something like:
> >
> >       if (!*name || (IS_DIRECTORY_SEP (*name) && --slashes =3D=3D 0))
>
> Right, done.
>
> However, I would still like to figure out how come such a name winds
> up here.  So Simen, please edit w32.c to add
>
>   if (IS_DIRECTORY_SEP (name[0]) && IS_DIRECTORY_SEP (name[1])
>       && name[2] =3D=3D '\0')
>     emacs_abort ();
>
> at the very beginning of parse_root, rebuild Emacs, then run Emacs
> under GDB with a breakpoint in emacs_abort, and when the breakpoint
> breaks, please show the full backtrace, including the Lisp backtrace,
> like this:
>
>   (gdb) thread 1
>   (gdb) source /path/to/emacs/src/.gdbinit
>   (gdb) bt
>
> where "/path/to/emacs/src/" is the full absolute file name of the
> Emacs src directory, in the tree from which you build Emacs.  It
> should show the C backtrace and also the Lisp backtrace (because
> the .gdbinit file includes some magic to make that happen).
>
> My guess is that some package you are using does something
> inappropriate for Windows which yields this "//" file name.  But I
> prefer not to guess.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 22 May 2024 12:26:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 22 08:26:45 2024
Received: from localhost ([127.0.0.1]:55633 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s9l3N-00026j-4X
	for submit <at> debbugs.gnu.org; Wed, 22 May 2024 08:26:45 -0400
Received: from eggs.gnu.org ([209.51.188.92]:37938)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1s9l3L-00026d-6w
 for 70914 <at> debbugs.gnu.org; Wed, 22 May 2024 08:26:44 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1s9l39-0004yT-PA; Wed, 22 May 2024 08:26:31 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=8ha+kuJy/egTaVSlHHTl3Oi6PmlRP3fGRyg8ml0sKm8=; b=W5z4xGy/cEkf7PViS65O
 Bf5U7U+9rfFC36fg+OzaZKezmNrgfRgY8oacdloCXj8W5FoMKAF2qIS/0nnCbGOGHEAd318NyE6un
 wf6gbofAMOmYO4J0qRd6AGm3/iTAVoeuk5Es5f5/DFXSWa55TR2CUdpg+p5sXeQ8Z8+v6VL0icXTD
 1mHAAHvHRYxht98NQ1HoqSud8Jj4qnHZ14TgMciGoN8JciUpYt4v5dO+3Ru//b0BE0pBFFaBZpuxs
 tuyvdQP4twaXH/AnM8QnLuZ/yf/LYRMN3dTwAAUX+zUcAe5aNvGuKvLAGGP0qiJA1yZcILpeiiMTK
 u58Ih9SCG8ZkLw==;
Date: Wed, 22 May 2024 15:26:28 +0300
Message-Id: <86msoi6nij.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Simen =?utf-8?Q?Endsj=C3=B8?= <simendsjo@HIDDEN>
In-Reply-To: <CAHkVV6E3_1VwY=iiBL6cxySw-oXF2R3VzxQjDuWKhMV4i2Jusw@HIDDEN>
 (message from Simen =?utf-8?Q?Endsj=C3=B8?= on Tue, 21 May 2024 22:31:52
 +0200)
Subject: Re: bug#70914: 29.3; Crashes often on Windows
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 <86bk4z81cu.fsf@HIDDEN> <554078779.3957737.1716318331280@HIDDEN>
 <CAHkVV6E3_1VwY=iiBL6cxySw-oXF2R3VzxQjDuWKhMV4i2Jusw@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 70914
Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN, ssbssa@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Simen Endsjø <simendsjo@HIDDEN>
> Date: Tue, 21 May 2024 22:31:52 +0200
> Cc: Eli Zaretskii <eliz@HIDDEN>, "70914 <at> debbugs.gnu.org" <70914 <at> debbugs.gnu.org>, "corwin@HIDDEN" <corwin@HIDDEN>
> 
> I have some symlinked folders further down the tree too. And Developer Mode
> enabled which allows me to register symlinks without admin rights.
> 
> I have LongPathsEnabled, ref
> https://learn.microsoft.com/en-us/windows/win32/fileio/maximum-file-path-limitation?tabs=registry

My reading of the MS docs is that enabling that capability in the
Registry is not enough, you also need to have the longPathAware
element in the application manifest.  And Emacs doesn't have that
(because we don't support it).  So Emacs should not get file names
longer than 260 characters, AFAIU.  Maybe you could try this and see,
for example Dired on some directory with a file with a longer name and
see what happens.

>     Reading symbols from
> D:\tmp\emacs-bug-70914\emacs-extra-checks-no-ucrt\simendsjo-build\bin\emacs.exe...
>     (gdb) start --init-directory=d:/.emacs.d
>     warning: could not convert 'main' from the host encoding (CP65001)
> to UTF-32.
>     This normally should not happen, please file a bug report.

That message comes from GDB, and AFAIU is a GDB bug.  It should be
reported, I think.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 22 May 2024 11:40:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 22 07:40:46 2024
Received: from localhost ([127.0.0.1]:55424 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s9kKr-0001cz-VE
	for submit <at> debbugs.gnu.org; Wed, 22 May 2024 07:40:46 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36194)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1s9kKf-0001cr-Le
 for 70914 <at> debbugs.gnu.org; Wed, 22 May 2024 07:40:45 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1s9kKU-0004En-HC; Wed, 22 May 2024 07:40:22 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:References:Subject:In-Reply-To:To:From:
 Date; bh=JZ2ixw746lxGUxO19KHeAUc7NoFG7ZBPTihMZnNfTJM=; b=E282yw4HxGZZTd37LEFx
 mNsVM9WEnSa+FBGNYc/FoSOQTxJtL6+UHQK5WQD4J5t9lAJM9D+woA0/kuzxpvt2A/47LQ7FTHMfL
 6bjCiocBCtesC4t8XT1OspRFX996iNzPltOttdW0yv56SY6korHDxkBUVwcoGzn+8KyOvtbEDl8k1
 chfAJUogMiikB8kec92t9j//PuYGnKgU8I7FeB2OXY7OOX099Otd0BSxlUjAzCNNfm7RzEEgxUNx8
 pxCNt8/6i8MYfPWlswAi5x4y1gOAAfCZUQJUaAYshtVZGKqZPygZcPUYD3V5D/ZZV+lWo5YytjE5Q
 5UauTRPD2lrdUQ==;
Date: Wed, 22 May 2024 14:40:19 +0300
Message-Id: <86v8366png.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Hannes Domani <ssbssa@HIDDEN>
In-Reply-To: <504687570.4208226.1716367848968@HIDDEN> (message from
 Hannes Domani on Wed, 22 May 2024 08:50:48 +0000 (UTC))
Subject: Re: bug#70914: 29.3; Crashes often on Windows
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 <86bk4z81cu.fsf@HIDDEN> <554078779.3957737.1716318331280@HIDDEN>
 <CAHkVV6E3_1VwY=iiBL6cxySw-oXF2R3VzxQjDuWKhMV4i2Jusw@HIDDEN>
 <984937837.4078826.1716352322860@HIDDEN>
 <CAHkVV6GY_s0BaPK7cA5y-5QUji9PK1AucZ7ApmMc06aLmqpzqQ@HIDDEN>
 <829659206.4083070.1716354489264@HIDDEN>
 <CAHkVV6H5WcfvA=Mb639Qdo+kQuzckUBb2WLOCfxcJTtRo0u=tw@HIDDEN>
 <582535681.1158538.1716358337102@HIDDEN>
 <CAHkVV6HFFAGHXy9RP1GvUr7C7XuTmPKxVtp1aigZTsp0WqZmgA@HIDDEN>
 <433213011.4171485.1716366220719@HIDDEN>
 <CAHkVV6Ermt_Yv4px4D70OR9YJnSLM43Xtc0wVL-s-G4ScDPUxw@HIDDEN>
 <504687570.4208226.1716367848968@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70914
Cc: simendsjo@HIDDEN, corwin@HIDDEN, 70914 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Wed, 22 May 2024 08:50:48 +0000 (UTC)
> From: Hannes Domani <ssbssa@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>, Corwin Brust <corwin@HIDDEN>, 
> 	"70914 <at> debbugs.gnu.org" <70914 <at> debbugs.gnu.org>
> 
> > I do a C-c in gdb to add a breakpoint, and when continuing, the process exists
> > with code 0202. If I add the conditional breakpoint at start, this doesn't
> > happen though, but it seems like it gets stuck without progressing further.
> > `print name != NULL` and `print (int)strcmp(name, "//") == 0` doesn't trigger an
> > error.
> 
> I tend to avoid inferior function calls as much as possible, even more
> so in optimized code, exactly for this kind of problem.

Right.

> Instead I use something like:
> 
> (gdb) condition 1 name && $_streq(name,"//")

As I explained, conditional breakpoints are not the best idea for such
a frequently-called code.

> >From what I saw while I had the dprintf command from earlier active, emacs
> calls this function even if you maybe don't expect it, so I wouldn't rule
> it out.

Basically, we call map_w32_filename, and through it parse_root, for
every file we need to access.  So yes, very frequently indeed.

Thanks for your great help, Hannes.  I surely hope to see your
recording patch in GDB 15 or thereabouts.  It's a very useful feature
that is sometimes sorely missed on Windows.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 22 May 2024 11:36:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 22 07:36:58 2024
Received: from localhost ([127.0.0.1]:55398 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s9kHB-0001aG-US
	for submit <at> debbugs.gnu.org; Wed, 22 May 2024 07:36:58 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41630)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1s9kH5-0001Zy-74
 for 70914 <at> debbugs.gnu.org; Wed, 22 May 2024 07:36:53 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1s9kGt-0003hu-AU; Wed, 22 May 2024 07:36:39 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=lmyYfaf+Fa0pDxUv7qZhicsgdEAxlNWHAT667QluB6g=; b=Q12Lo3/yh/8fVPPpEVok
 iFFgfq8nQ3dvnNJsUzXuysj0U0F0ffM5H8RhQ2tFhlFs4vYDSGXX8YhNeNDPWyNxQh8MTOCaAVGBk
 +hwweeOSg+IqG/cnSfswe6Sw1aCOxWSrTNYTr1XO7Wzkl+XPDfoaMMT/H+cMksYjJAt+H9CBsRHLs
 nBm13rMrOx+xeMYjnKJLmS8HAJbZ/y0gegBh4GzIllsGwqWzE/vMeI0yXH9wCqn2tDlo31UPfywVO
 Y4xmfCaMOuFDg0v6XyXSjFdokz9KS0qtnrhiCp54NhpEjSKteC8MuAlXSWAKdsCeDA3gs2oq0n/Pl
 IUYYWVitBz9Rdg==;
Date: Wed, 22 May 2024 14:36:33 +0300
Message-Id: <86y1826ptq.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Simen =?utf-8?Q?Endsj=C3=B8?= <simendsjo@HIDDEN>
In-Reply-To: <CAHkVV6Ermt_Yv4px4D70OR9YJnSLM43Xtc0wVL-s-G4ScDPUxw@HIDDEN>
 (message from Simen =?utf-8?Q?Endsj=C3=B8?= on Wed, 22 May 2024 10:41:16
 +0200)
Subject: Re: bug#70914: 29.3; Crashes often on Windows
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 <86bk4z81cu.fsf@HIDDEN> <554078779.3957737.1716318331280@HIDDEN>
 <CAHkVV6E3_1VwY=iiBL6cxySw-oXF2R3VzxQjDuWKhMV4i2Jusw@HIDDEN>
 <984937837.4078826.1716352322860@HIDDEN>
 <CAHkVV6GY_s0BaPK7cA5y-5QUji9PK1AucZ7ApmMc06aLmqpzqQ@HIDDEN>
 <829659206.4083070.1716354489264@HIDDEN>
 <CAHkVV6H5WcfvA=Mb639Qdo+kQuzckUBb2WLOCfxcJTtRo0u=tw@HIDDEN>
 <582535681.1158538.1716358337102@HIDDEN>
 <CAHkVV6HFFAGHXy9RP1GvUr7C7XuTmPKxVtp1aigZTsp0WqZmgA@HIDDEN>
 <433213011.4171485.1716366220719@HIDDEN>
 <CAHkVV6Ermt_Yv4px4D70OR9YJnSLM43Xtc0wVL-s-G4ScDPUxw@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 70914
Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN, ssbssa@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Simen Endsjø <simendsjo@HIDDEN>
> Date: Wed, 22 May 2024 10:41:16 +0200
> Cc: Eli Zaretskii <eliz@HIDDEN>, Corwin Brust <corwin@HIDDEN>, 
> 	"70914 <at> debbugs.gnu.org" <70914 <at> debbugs.gnu.org>
> 
> > That doesn't sound good.
> > Maybe you could show me how you set the conditional breakpoint, and
> > how it crashed, so I can take a look at this on gdb side.
> 
> I do a C-c in gdb to add a breakpoint, and when continuing, the process exists
> with code 0202.

0202 is 130 decimal.  I don't ATM see any calls to exit with such an
exit code in Emacs, but you can find out who causes us to exit with
this status like this:

  gdb ./emacs.exe
  ...
  (gdb) break exit
  (gdb) break _exit
  (gdb) break abort
  (gdb) run

Then do whatever you need to cause these exits, and produce a
backtrace when one of the 3 breakpoints above breaks.

> If I add the conditional breakpoint at start, this doesn't
> happen though, but it seems like it gets stuck without progressing further.
> `print name != NULL` and `print (int)strcmp(name, "//") == 0` doesn't trigger an
> error.

Conditional breakpoints in code that gets called a lot is not a very
good idea, as it will slow down Emacs significantly, even if the
condition is correct (which it isn't in your case).  That's why I
suggest the emacs_abort method, see my other message.

> No, not yet. I'm afraid this isn't the root cause of my problems though. I
> experienced a crash yesterday running `evil-fill-and-move` (format paragraph),
> which probably shouldn't use any disk operations like this.

You cannot know that, not for sure.  That function is called all over
the place in Emacs.  But I still wonder where did that "//" file name
come from, it shouldn't happen.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 22 May 2024 11:25:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 22 07:25:46 2024
Received: from localhost ([127.0.0.1]:55348 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s9k6M-00078i-8X
	for submit <at> debbugs.gnu.org; Wed, 22 May 2024 07:25:46 -0400
Received: from mail-lf1-f51.google.com ([209.85.167.51]:56791)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <simendsjo@HIDDEN>) id 1s9k6I-00078a-SL
 for 70914 <at> debbugs.gnu.org; Wed, 22 May 2024 07:25:44 -0400
Received: by mail-lf1-f51.google.com with SMTP id
 2adb3069b0e04-51f12ccff5eso8105552e87.1
 for <70914 <at> debbugs.gnu.org>; Wed, 22 May 2024 04:25:36 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1716377071; x=1716981871; darn=debbugs.gnu.org;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:from:to:cc:subject:date
 :message-id:reply-to;
 bh=rNwTfPskFCb3daoAx2ZliBmYv2Fg3iupxLnuEC1IPUA=;
 b=nDNWkkB7XXvyQADXOf12tL7ERqjYZaPFzDMk5ITUXEVJIRDqrjIIMpbqNoDqz7DFQE
 oogJWY+ngHN50PXmDJTbo+REeuVVQDU+GUBIqvFzRMEK5Z9aNVNGfRyIGOk8RtC8CcfY
 pMMmUUfOmCG7XEPqbd0gmTCfiaCT0D1rUnUzzu2m8oAdGhyR0BaVT+TzrKpbmTB2Q1lR
 UBbHpWaqt+JG1J06UZNz2P6evUPJW/VBRoctd/B3Qo9jmYUnQCYLc0T6he9PReWy0Ga9
 dXW64eWg5/iImQti1ApQ1lgsXBmQ7o6sb81k3cduh1oSqrqcLKMIsAbltZwjPSuHITbf
 s1Zg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1716377071; x=1716981871;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=rNwTfPskFCb3daoAx2ZliBmYv2Fg3iupxLnuEC1IPUA=;
 b=Qlqd+G4/2sAKoOac4C38TARdR/w4fJ0Wpa/v259+Y6pQWFgxvagzviiGLleepzR0h/
 TRf8sIQnGpfRuk5AxnZvcbTcOwpowoQ2nALbkYyElhNAEh9S5i0bGZ7wOgogRR+GVpvG
 hh31mEvYwnDdH+ePYREkk1Lw/Sb31YY65e3M81JLVeoKUEsGVU2HEBiwIAEotfdtrfQn
 xkk4o8Kvb4nbxhVupGYIGfJruvTewRxFlUfWViMCWbod69hGLkmIpcTzuZp7fHqJJNdl
 zy5LxG8RIbPqYJeTRQ3CdhFcVe5ASOeg82S5BjACZ2XrTkhV5MAwrchR4E7PTRO2Ln17
 PCWw==
X-Forwarded-Encrypted: i=1;
 AJvYcCU0vecBjrDSU2OtteZ2XC0HbTpCHYO5O7uA7FB5hqCmaSs4J0PG9nS3GaGVU4vyAaCdMhyP3WdJ7pFUzViPMGRp7SLJTBw=
X-Gm-Message-State: AOJu0Yz6eDSHkWIgdCmarmzZoXntBK0tW/L1Q+R9shMqYZKshZV//lDY
 vgpbApY7bye6TAeLWIJuTLUY+G/rhQO8ubwO30KUYKiJt4GzqBwoDJc7/T5C11Kcsu2oloQVOJH
 UHejiM3d9MahanLvl9oNQ3L4YKzY=
X-Google-Smtp-Source: AGHT+IFIh4PDb99GmejeE+X0EIscol4kJAzuGG/8suyExKy77MAwPm+peqlXjL1l/1FbXSKx6+3bat2Qx1jOFwfV/T4=
X-Received: by 2002:ac2:5484:0:b0:51c:a0e1:2a44 with SMTP id
 2adb3069b0e04-526bd693d11mr1151643e87.26.1716377070989; Wed, 22 May 2024
 04:24:30 -0700 (PDT)
MIME-Version: 1.0
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 <86bk4z81cu.fsf@HIDDEN> <554078779.3957737.1716318331280@HIDDEN>
 <CAHkVV6E3_1VwY=iiBL6cxySw-oXF2R3VzxQjDuWKhMV4i2Jusw@HIDDEN>
 <984937837.4078826.1716352322860@HIDDEN>
 <CAHkVV6GY_s0BaPK7cA5y-5QUji9PK1AucZ7ApmMc06aLmqpzqQ@HIDDEN>
 <829659206.4083070.1716354489264@HIDDEN>
 <CAHkVV6H5WcfvA=Mb639Qdo+kQuzckUBb2WLOCfxcJTtRo0u=tw@HIDDEN>
 <582535681.1158538.1716358337102@HIDDEN>
 <CAHkVV6HFFAGHXy9RP1GvUr7C7XuTmPKxVtp1aigZTsp0WqZmgA@HIDDEN>
 <433213011.4171485.1716366220719@HIDDEN>
 <CAHkVV6Ermt_Yv4px4D70OR9YJnSLM43Xtc0wVL-s-G4ScDPUxw@HIDDEN>
 <504687570.4208226.1716367848968@HIDDEN>
 <CAHkVV6EhcrYyf9kpjh2Bbyjr2fhqfeW907qvFYat=WFH-5et7w@HIDDEN>
 <CAHkVV6HsPE3_NA-XaqRdQTwdjuzFzapEhcHWZHsFeNTQfdJqyw@HIDDEN>
In-Reply-To: <CAHkVV6HsPE3_NA-XaqRdQTwdjuzFzapEhcHWZHsFeNTQfdJqyw@HIDDEN>
From: =?UTF-8?Q?Simen_Endsj=C3=B8?= <simendsjo@HIDDEN>
Date: Wed, 22 May 2024 13:24:19 +0200
Message-ID: <CAHkVV6Fn8r6gU7ku67YWX5OM+dPwPDBvB3k8vfT3MQMHJnSibA@HIDDEN>
Subject: Re: bug#70914: 29.3; Crashes often on Windows
To: Hannes Domani <ssbssa@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70914
Cc: Eli Zaretskii <eliz@HIDDEN>, Corwin Brust <corwin@HIDDEN>,
 "70914 <at> debbugs.gnu.org" <70914 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

These errors are transient. I can try again, and it succeeds.

On Wed, May 22, 2024 at 1:21=E2=80=AFPM Simen Endsj=C3=B8 <simendsjo@gmail.=
com> wrote:
>
> Tried building native-compilation with this patch, but that still fails:
>
> make[3]: Entering directory
> '/d/tmp/emacs-bug-70914/emacs-empty-path-bug-workaround-regular-build/lis=
p'
>   ELC+ELN  international/titdic-cnv.elc
>   ELC+ELN  ../lisp/abbrev.elc
>   ELC+ELN  ../lisp/bindings.elc
>   ELC+ELN  ../lisp/buff-menu.elc
>   ELC+ELN  ../lisp/button.elc
>   ELC+ELN  ../lisp/composite.elc
>   ELC+ELN  ../lisp/case-table.elc
>   ELC+ELN  ../lisp/cus-face.elc
>   ELC+ELN  ../lisp/cus-start.elc
>   ELC+ELN  ../lisp/custom.elc
>   ELC+ELN  ../lisp/disp-table.elc
>   ELC+ELN  ../lisp/dnd.elc
>
> Backtrace:
> 00007ff7a5f20f4e
> 00007ff7a5dea381
> 00007ff7a5e0b241
> 00007ff7a5f8666a
> 00007fffedd7b240
> 00007fffef7d49f7
> 00007fffef74e45e
> 00007fffef7d39e6
> 00007ff7a5e874b8
> 00007ff7a5e8747f
> 00007ff7a5e87563
> 00007ff7a5e8747f
> 00007ff7a5e87813
> 00007ff7a5e8f866
> 00007ff7a5e91a1b
> 00007fff6f15cf3d
> 00007ff7a5e8002a
> 00007ff7a5e802d0
> 00007fff6f1652b8
> 00007ff7a5e8002a
> 00007ff7a5e802d0
> 00007fff554212d5
> 00007ff7a5eca388
> 00007ff7a5e8002a
> 00007ff7a5e88294
> 00007ff7a5e8002a
> 00007fff55422f6e
> 00007ff7a5e8002a
> 00007fff55423334
> 00007ff7a5e8002a
> 00007ff7a5e88294
> 00007fff554235d5
> 00007ff7a5e8002a
> 00007fff5542ce33
> 00007ff7a5e8002a
> 00007fff5542e2d7
> 00007ff7a5e8002a
> 00007fff5542e6a4
> 00007ff7a5e8002a
> 00007ff7a5e7ea3b
> 00007ff7a5e7f4f5
> 00007ff7a5e7eb4e
> 00007ff7a5e7f585
> 00007ff7a5e7eb4e
> 00007ff7a5e825b5
> 00007ff7a5e7eb4e
> 00007ff7a5e7f3a5
> 00007ff7a5e7eb4e
> 00007ff7a5e825b5
> 00007ff7a5e7eb4e
> 00007ff7a5e7ee25
> 00007ff7a5e7eb4e
> 00007ff7a5e7eb4e
> 00007ff7a5e820cd
> 00007ff7a5e7eb4e
> 00007ff7a5e820cd
> 00007ff7a5e7eb4e
> 00007ff7a5e7fa75
> 00007ff7a5e817c6
> 00007ff7a5e7e543
> 00007ff7a5e820cd
> 00007ff7a5e7eb4e
> ...
>
> On Wed, May 22, 2024 at 1:09=E2=80=AFPM Simen Endsj=C3=B8 <simendsjo@gmai=
l.com> wrote:
> >
> > > I tend to avoid inferior function calls as much as possible, even mor=
e
> > > so in optimized code, exactly for this kind of problem.
> > >
> > > Instead I use something like:
> > >
> > > (gdb) condition 1 name && $_streq(name,"//")
> > >
> > > It needs the python build of gdb, in case you used the non-python one=
.
> >
> > This resulted in the exact same problem.
> >
> >
> >  > And did you try my suggested quick fix, just to see if it fixes the =
crash?
> >
> >  Thanks! That workaround fixed this crashbug at least!
> >
> >  Unsure about the way forward:
> >  - Add a new issue to fix this bug? Is it a correct fix or should the v=
alue
> >    never be able to exist at all?
> >  - Find out where value originates from. I see it is extracted from a l=
isp
> >    object.
> >  - Why is the stack garbled?
> >  - Why does gdc crash with 0202 when using a conditional format?
> >
> > On Wed, May 22, 2024 at 10:50=E2=80=AFAM Hannes Domani <ssbssa@HIDDEN=
> wrote:
> > >
> > >  Am Mittwoch, 22. Mai 2024 um 10:41:28 MESZ hat Simen Endsj=C3=B8 <si=
mendsjo@HIDDEN> Folgendes geschrieben:
> > >
> > > > > That doesn't sound good.
> > > > > Maybe you could show me how you set the conditional breakpoint, a=
nd
> > > > > how it crashed, so I can take a look at this on gdb side.
> > > >
> > > > I do a C-c in gdb to add a breakpoint, and when continuing, the pro=
cess exists
> > > > with code 0202. If I add the conditional breakpoint at start, this =
doesn't
> > > > happen though, but it seems like it gets stuck without progressing =
further.
> > > > `print name !=3D NULL` and `print (int)strcmp(name, "//") =3D=3D 0`=
 doesn't trigger an
> > > > error.
> > >
> > > I tend to avoid inferior function calls as much as possible, even mor=
e
> > > so in optimized code, exactly for this kind of problem.
> > >
> > > Instead I use something like:
> > >
> > > (gdb) condition 1 name && $_streq(name,"//")
> > >
> > > It needs the python build of gdb, in case you used the non-python one=
.
> > >
> > >
> > > > > And did you try my suggested quick fix, just to see if it fixes t=
he crash?
> > > >
> > > > No, not yet. I'm afraid this isn't the root cause of my problems th=
ough. I
> > > > experienced a crash yesterday running `evil-fill-and-move` (format =
paragraph),
> > > > which probably shouldn't use any disk operations like this.
> > >
> > > From what I saw while I had the dprintf command from earlier active, =
emacs
> > > calls this function even if you maybe don't expect it, so I wouldn't =
rule
> > > it out.
> > >
> > >
> > > Hannes




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 22 May 2024 11:24:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 22 07:24:45 2024
Received: from localhost ([127.0.0.1]:55340 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s9k5M-00077t-OU
	for submit <at> debbugs.gnu.org; Wed, 22 May 2024 07:24:45 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50676)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1s9k5K-00077n-Lv
 for 70914 <at> debbugs.gnu.org; Wed, 22 May 2024 07:24:43 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1s9k59-0000fv-4t; Wed, 22 May 2024 07:24:31 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:References:Subject:In-Reply-To:To:From:
 Date; bh=gUPM7HTd/whS5z5hwMzVE6FeBLBmsFzXYMzgP8R1XSg=; b=SlL/+Ixkev+rCi2YUoM6
 gHkxTG69KlWnc0M+C1FkW0xwI5VO0J5OEHR5+MJDpeikhCIB5jJeB7IyndqQI8hLmJnCe7yOvefwm
 eRr07aEL2Wz2Stjp2W+khFBIxo8ECiZi2gexH8WlYxXB9lVeMOMebVrMZhPd+Ricx5qpkYmoRSYMG
 9Ln8+u9MjWOZt37yIg6vF15ZaT07wtKpsJZaIVfKX2cW2zWY2xP69GjQQmTqk2MfIetQVxhGBnk49
 84mfK6cBJ8NfXryrlL+vrCqljmySTIAT9JQRJf5gV1CP/L10MlWKqQMNtX0UDrOXPufWe2+ysXwZS
 vRAy2ODUEdBqiA==;
Date: Wed, 22 May 2024 14:24:26 +0300
Message-Id: <86zfsi6qdx.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Hannes Domani <ssbssa@HIDDEN>
In-Reply-To: <582535681.1158538.1716358337102@HIDDEN> (message from
 Hannes Domani on Wed, 22 May 2024 06:12:17 +0000 (UTC))
Subject: Re: bug#70914: 29.3; Crashes often on Windows
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 <86bk4z81cu.fsf@HIDDEN> <554078779.3957737.1716318331280@HIDDEN>
 <CAHkVV6E3_1VwY=iiBL6cxySw-oXF2R3VzxQjDuWKhMV4i2Jusw@HIDDEN>
 <984937837.4078826.1716352322860@HIDDEN>
 <CAHkVV6GY_s0BaPK7cA5y-5QUji9PK1AucZ7ApmMc06aLmqpzqQ@HIDDEN>
 <829659206.4083070.1716354489264@HIDDEN>
 <CAHkVV6H5WcfvA=Mb639Qdo+kQuzckUBb2WLOCfxcJTtRo0u=tw@HIDDEN>
 <582535681.1158538.1716358337102@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 70914
Cc: simendsjo@HIDDEN, corwin@HIDDEN, 70914 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Wed, 22 May 2024 06:12:17 +0000 (UTC)
> From: Hannes Domani <ssbssa@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>, Corwin Brust <corwin@HIDDEN>,=20
> 	"70914 <at> debbugs.gnu.org" <70914 <at> debbugs.gnu.org>
>=20
> >=A0=A0=A0=A0 get_volume_info: name=3D"d:/profiles/%s"
> >=A0=A0=A0=A0 get_volume_info: name=3D"//"
> >
> >=A0=A0=A0=A0 Thread 1 received signal SIGSEGV, Segmentation fault.
> >=A0=A0=A0=A0 [Switching to Thread 27916.0x5a7c]
> >=A0=A0=A0=A0 0x0000000000000000 in ?? ()
>=20
> Whoa, the result is very different from what I expected, but we found the
> culprit.
>=20
> @Eli
>=20
> Not sure where this "//" path is coming from, but parse_root() does
> not handle it correctly, it will look for 2 additional slashes after
> them for some reason (?)

It wants to find the UNC \\server\share part of the file name, because
otherwise we get an invalid root of a filesystem.  For example, the
call to GetVolumeInformationW with a name like "\\" (or anything that
doesn't include a valid server and share after the 2 leading
backslashes) will fail, and we will not be able to know what
filesystem features the corresponding volume supports.

> buf first ignore the null-delimiter with 'name++',
> before the 'while ( *name )' check:

Right.  I guess no one ever called us with such invalid file names, or
at least they didn't complain here.

> The 'root_len' it returns to get_volume_info() then likely overflows
> 'temp' in the following strncpy() call:
>=20
> =A0=A0=A0=A0=A0 strncpy (temp, name, root_len);
>=20
> As a quick fix I suggest changing the if() to something like:
>=20
> =A0=A0 =A0=A0 if (!*name || (IS_DIRECTORY_SEP (*name) && --slashes =3D=3D=
 0))

Right, done.

However, I would still like to figure out how come such a name winds
up here.  So Simen, please edit w32.c to add

  if (IS_DIRECTORY_SEP (name[0]) && IS_DIRECTORY_SEP (name[1])
      && name[2] =3D=3D '\0')
    emacs_abort ();

at the very beginning of parse_root, rebuild Emacs, then run Emacs
under GDB with a breakpoint in emacs_abort, and when the breakpoint
breaks, please show the full backtrace, including the Lisp backtrace,
like this:

  (gdb) thread 1
  (gdb) source /path/to/emacs/src/.gdbinit
  (gdb) bt

where "/path/to/emacs/src/" is the full absolute file name of the
Emacs src directory, in the tree from which you build Emacs.  It
should show the C backtrace and also the Lisp backtrace (because
the .gdbinit file includes some magic to make that happen).

My guess is that some package you are using does something
inappropriate for Windows which yields this "//" file name.  But I
prefer not to guess.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 22 May 2024 11:23:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 22 07:23:24 2024
Received: from localhost ([127.0.0.1]:55331 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s9k44-000776-4I
	for submit <at> debbugs.gnu.org; Wed, 22 May 2024 07:23:24 -0400
Received: from mail-lf1-f49.google.com ([209.85.167.49]:49438)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <simendsjo@HIDDEN>) id 1s9k41-00076w-1v
 for 70914 <at> debbugs.gnu.org; Wed, 22 May 2024 07:23:22 -0400
Received: by mail-lf1-f49.google.com with SMTP id
 2adb3069b0e04-52449b7aa2bso3710344e87.3
 for <70914 <at> debbugs.gnu.org>; Wed, 22 May 2024 04:23:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1716376929; x=1716981729; darn=debbugs.gnu.org;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:from:to:cc:subject:date
 :message-id:reply-to;
 bh=vAhuTCMc7SAeMtccoV4LuyUHoRhqVu5+ULjnD8BxnNs=;
 b=QKIE2uIiM8GvnjzniCouN5105sKfKUQ7lUCfPhF36Fir9Rn3WeSkRM6fcnL1Ho1v6v
 qDNVaT6j3+oeQrNX6iANVIWoRgGSCxmrdJqlMzZ06NizJPoHMQ7wEcbC7YSoXt+fXJ6T
 3J0jajaE7XeEAezxLvvKtMp9lMmeQKWELdX8nXZ50d0YheRaCs/rBp/g7fopSlQvdNjx
 qaBObSgj6CxLylOG1rR7XEeOt5eT/auYUxFFEtCgf0jcWT82JtJ4xDrm7IIepbFjM6Ec
 ovgYw+FiVLDeH60sRGPnUkuWrFtpolHEeUBMvK9olp2t7vA1gq3LxSTVnZW42m5j+xYM
 J2aQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1716376929; x=1716981729;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=vAhuTCMc7SAeMtccoV4LuyUHoRhqVu5+ULjnD8BxnNs=;
 b=ZifeHqzQwPyC12M4kIXKiH89xg50Kd+Zmjuoqp7Wlh05Jb6PNw0bt9Ux5EsUAp89my
 F4KAAvNanTpUyPRSfRJT8kL8g9/rGYJZ4SL+lhSziR/fYHZycxR5lm3ivOCfmWDHEfOq
 KT6F/bCH+Oj+IfJF1m5XJ2mT3n4NvC/gl+lqN7bXndt0JqA820pvTebYWiw1fm2wjqNi
 eSnAqDaj2gIkp98GVgVPx0XxFZ2LTpXdTUBUjU1S06AemOHOhqRI5XU8WKXZupITvSns
 CDZE1HEyRGXDrNXL8HcrTM+KTjTGN7bJJG+cvi/uJTADzhx8RBuYy4rWZwn7CLUNDgzO
 SdvA==
X-Forwarded-Encrypted: i=1;
 AJvYcCUS7bL9UFK6LB0nk4Ypb+8fa4ZEx8N1+JCrje7jqGr6pFuk/iZCeWYuTecewsXN2/TdmUWrQ78sScwgvVRENcz4o/08K6E=
X-Gm-Message-State: AOJu0YzBcDq0FtlQlclMajePlXkIbpZafrfMgNvlyAoxC92np0cY6Xv0
 z9KqKqqmyZR5oOKuTprqs37J9UZyLGtizrcHBbRYYax9TMMcSXEVG0K9qZNqTIUBAz4XhUmHEHg
 8vSl3wsAi71g1EuNJh52OzjxVG0c=
X-Google-Smtp-Source: AGHT+IEfUtrXUxP7X47wgQrSnYQA1BIsbMGWMkqhikZLkgRstEbgAyNzbSZla2mJaGZTioJWJifd5Qe5iR4vOADjzMg=
X-Received: by 2002:a05:6512:2090:b0:526:d18c:6361 with SMTP id
 2adb3069b0e04-526d18c661dmr926769e87.21.1716376928889; Wed, 22 May 2024
 04:22:08 -0700 (PDT)
MIME-Version: 1.0
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 <86bk4z81cu.fsf@HIDDEN> <554078779.3957737.1716318331280@HIDDEN>
 <CAHkVV6E3_1VwY=iiBL6cxySw-oXF2R3VzxQjDuWKhMV4i2Jusw@HIDDEN>
 <984937837.4078826.1716352322860@HIDDEN>
 <CAHkVV6GY_s0BaPK7cA5y-5QUji9PK1AucZ7ApmMc06aLmqpzqQ@HIDDEN>
 <829659206.4083070.1716354489264@HIDDEN>
 <CAHkVV6H5WcfvA=Mb639Qdo+kQuzckUBb2WLOCfxcJTtRo0u=tw@HIDDEN>
 <582535681.1158538.1716358337102@HIDDEN>
 <CAHkVV6HFFAGHXy9RP1GvUr7C7XuTmPKxVtp1aigZTsp0WqZmgA@HIDDEN>
 <433213011.4171485.1716366220719@HIDDEN>
 <CAHkVV6Ermt_Yv4px4D70OR9YJnSLM43Xtc0wVL-s-G4ScDPUxw@HIDDEN>
 <504687570.4208226.1716367848968@HIDDEN>
 <CAHkVV6EhcrYyf9kpjh2Bbyjr2fhqfeW907qvFYat=WFH-5et7w@HIDDEN>
In-Reply-To: <CAHkVV6EhcrYyf9kpjh2Bbyjr2fhqfeW907qvFYat=WFH-5et7w@HIDDEN>
From: =?UTF-8?Q?Simen_Endsj=C3=B8?= <simendsjo@HIDDEN>
Date: Wed, 22 May 2024 13:21:57 +0200
Message-ID: <CAHkVV6HsPE3_NA-XaqRdQTwdjuzFzapEhcHWZHsFeNTQfdJqyw@HIDDEN>
Subject: Re: bug#70914: 29.3; Crashes often on Windows
To: Hannes Domani <ssbssa@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70914
Cc: Eli Zaretskii <eliz@HIDDEN>, Corwin Brust <corwin@HIDDEN>,
 "70914 <at> debbugs.gnu.org" <70914 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Tried building native-compilation with this patch, but that still fails:

make[3]: Entering directory
'/d/tmp/emacs-bug-70914/emacs-empty-path-bug-workaround-regular-build/lisp'
  ELC+ELN  international/titdic-cnv.elc
  ELC+ELN  ../lisp/abbrev.elc
  ELC+ELN  ../lisp/bindings.elc
  ELC+ELN  ../lisp/buff-menu.elc
  ELC+ELN  ../lisp/button.elc
  ELC+ELN  ../lisp/composite.elc
  ELC+ELN  ../lisp/case-table.elc
  ELC+ELN  ../lisp/cus-face.elc
  ELC+ELN  ../lisp/cus-start.elc
  ELC+ELN  ../lisp/custom.elc
  ELC+ELN  ../lisp/disp-table.elc
  ELC+ELN  ../lisp/dnd.elc

Backtrace:
00007ff7a5f20f4e
00007ff7a5dea381
00007ff7a5e0b241
00007ff7a5f8666a
00007fffedd7b240
00007fffef7d49f7
00007fffef74e45e
00007fffef7d39e6
00007ff7a5e874b8
00007ff7a5e8747f
00007ff7a5e87563
00007ff7a5e8747f
00007ff7a5e87813
00007ff7a5e8f866
00007ff7a5e91a1b
00007fff6f15cf3d
00007ff7a5e8002a
00007ff7a5e802d0
00007fff6f1652b8
00007ff7a5e8002a
00007ff7a5e802d0
00007fff554212d5
00007ff7a5eca388
00007ff7a5e8002a
00007ff7a5e88294
00007ff7a5e8002a
00007fff55422f6e
00007ff7a5e8002a
00007fff55423334
00007ff7a5e8002a
00007ff7a5e88294
00007fff554235d5
00007ff7a5e8002a
00007fff5542ce33
00007ff7a5e8002a
00007fff5542e2d7
00007ff7a5e8002a
00007fff5542e6a4
00007ff7a5e8002a
00007ff7a5e7ea3b
00007ff7a5e7f4f5
00007ff7a5e7eb4e
00007ff7a5e7f585
00007ff7a5e7eb4e
00007ff7a5e825b5
00007ff7a5e7eb4e
00007ff7a5e7f3a5
00007ff7a5e7eb4e
00007ff7a5e825b5
00007ff7a5e7eb4e
00007ff7a5e7ee25
00007ff7a5e7eb4e
00007ff7a5e7eb4e
00007ff7a5e820cd
00007ff7a5e7eb4e
00007ff7a5e820cd
00007ff7a5e7eb4e
00007ff7a5e7fa75
00007ff7a5e817c6
00007ff7a5e7e543
00007ff7a5e820cd
00007ff7a5e7eb4e
...

On Wed, May 22, 2024 at 1:09=E2=80=AFPM Simen Endsj=C3=B8 <simendsjo@gmail.=
com> wrote:
>
> > I tend to avoid inferior function calls as much as possible, even more
> > so in optimized code, exactly for this kind of problem.
> >
> > Instead I use something like:
> >
> > (gdb) condition 1 name && $_streq(name,"//")
> >
> > It needs the python build of gdb, in case you used the non-python one.
>
> This resulted in the exact same problem.
>
>
>  > And did you try my suggested quick fix, just to see if it fixes the cr=
ash?
>
>  Thanks! That workaround fixed this crashbug at least!
>
>  Unsure about the way forward:
>  - Add a new issue to fix this bug? Is it a correct fix or should the val=
ue
>    never be able to exist at all?
>  - Find out where value originates from. I see it is extracted from a lis=
p
>    object.
>  - Why is the stack garbled?
>  - Why does gdc crash with 0202 when using a conditional format?
>
> On Wed, May 22, 2024 at 10:50=E2=80=AFAM Hannes Domani <ssbssa@HIDDEN> =
wrote:
> >
> >  Am Mittwoch, 22. Mai 2024 um 10:41:28 MESZ hat Simen Endsj=C3=B8 <sime=
ndsjo@HIDDEN> Folgendes geschrieben:
> >
> > > > That doesn't sound good.
> > > > Maybe you could show me how you set the conditional breakpoint, and
> > > > how it crashed, so I can take a look at this on gdb side.
> > >
> > > I do a C-c in gdb to add a breakpoint, and when continuing, the proce=
ss exists
> > > with code 0202. If I add the conditional breakpoint at start, this do=
esn't
> > > happen though, but it seems like it gets stuck without progressing fu=
rther.
> > > `print name !=3D NULL` and `print (int)strcmp(name, "//") =3D=3D 0` d=
oesn't trigger an
> > > error.
> >
> > I tend to avoid inferior function calls as much as possible, even more
> > so in optimized code, exactly for this kind of problem.
> >
> > Instead I use something like:
> >
> > (gdb) condition 1 name && $_streq(name,"//")
> >
> > It needs the python build of gdb, in case you used the non-python one.
> >
> >
> > > > And did you try my suggested quick fix, just to see if it fixes the=
 crash?
> > >
> > > No, not yet. I'm afraid this isn't the root cause of my problems thou=
gh. I
> > > experienced a crash yesterday running `evil-fill-and-move` (format pa=
ragraph),
> > > which probably shouldn't use any disk operations like this.
> >
> > From what I saw while I had the dprintf command from earlier active, em=
acs
> > calls this function even if you maybe don't expect it, so I wouldn't ru=
le
> > it out.
> >
> >
> > Hannes




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 22 May 2024 11:10:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 22 07:10:47 2024
Received: from localhost ([127.0.0.1]:55241 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s9jrr-0004Bx-GV
	for submit <at> debbugs.gnu.org; Wed, 22 May 2024 07:10:47 -0400
Received: from mail-lj1-f170.google.com ([209.85.208.170]:42001)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <simendsjo@HIDDEN>) id 1s9jrp-0004Br-BY
 for 70914 <at> debbugs.gnu.org; Wed, 22 May 2024 07:10:46 -0400
Received: by mail-lj1-f170.google.com with SMTP id
 38308e7fff4ca-2e3efa18e6aso7441451fa.0
 for <70914 <at> debbugs.gnu.org>; Wed, 22 May 2024 04:10:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1716376173; x=1716980973; darn=debbugs.gnu.org;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:from:to:cc:subject:date
 :message-id:reply-to;
 bh=C1VifdxQNIsuta/K/8W2RXLH+a4O694PccoPA2sFRwQ=;
 b=VwvdccGAGZz6tLfumhx27epl3uXBsmjEDv9Cz+Wd9Zt420b7u5UWw1Ih+yqjgVUeRF
 IyhQOtEQ29ImPiG+VVjQsJmz2aDujNCIZyFaMjcpJaL0qqa0DNoNBU4newz72CylGLI8
 M08JBV0tKGmFFyODYor0r/S2Bi81Ksh3vj4r5SRUWq9J5uYvSdR4lcJHbCtGj1KIyM0d
 vLhwrTui3WrEoWMe/+5LHjfD9ctIToJg0Mae9+vGMrPEjhhK1CRP7FI7XYVaNiSJOKhx
 A92+5GtlQP4MmGp0Jv2YKRmrAAE6KtHZoEVXf9sc9hUkYdzbYBR3UbJpjA5bN4AiRIU6
 Fl5Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1716376173; x=1716980973;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=C1VifdxQNIsuta/K/8W2RXLH+a4O694PccoPA2sFRwQ=;
 b=nm+bJtgFp7Tid1ixWbOJf51F/2IzM6U23zEi6F091FHtP5BB1waUmr2Bz8WqFUjfFg
 2zWxU0UZOAFD8rD7XUtDrbi30tIVb0p0BhUnt9b3uNCslpUQ7t/9fqRxJfshd67Lu849
 xR60iHVXa4SUJDkygjKMkLmF89CYW7+4DBCq1LQ5oAFdc6GQiiFnNfWsMVzuq26gpQqv
 C9n1tmbqg0QXkaGw5os9HywItfqsqj9Dm6O478O+leGXYIrf3xSoEoSC0zMLe8ytrwja
 S2SkPl/KUo2XhnLHkTzOkJq5caRkhkvSePcTOPvmOeRUpPwTi6cOj7cEOtyWcGl5uAnr
 f89Q==
X-Forwarded-Encrypted: i=1;
 AJvYcCVA1jmkBcq/xR0s4sjvEOaKS42jd+rOc1+zcLOVXut+xeppK9Q5Cjqnh7ujlPQKRjrgnSNBgj5OvQs6LepoeJGjppo202o=
X-Gm-Message-State: AOJu0YwtLATuD8obA9iHrAWt9wro/TVJiAWNLzyWthsdGzI/Okr4Shi5
 oRU9HUh4nYcklMZmBhO5Mhr2X1eMK2k0prFcSDPmoJgVSlX4SheW4tHjNm1n9tlPM3Eu77GJyfQ
 GCV6lv9PtunkB/FI1DsdbeVfpxi0=
X-Google-Smtp-Source: AGHT+IFevRTHCq5p/L2iLP7waN5OItr1H3nsFZ4swpKlnEQELYP9MBIuImv/1G87uE6vs2oUdZS/tuXvxoUx07n/Bbg=
X-Received: by 2002:a2e:9199:0:b0:2df:8ce6:96cb with SMTP id
 38308e7fff4ca-2e9481bf20bmr5203701fa.8.1716376173210; Wed, 22 May 2024
 04:09:33 -0700 (PDT)
MIME-Version: 1.0
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 <86bk4z81cu.fsf@HIDDEN> <554078779.3957737.1716318331280@HIDDEN>
 <CAHkVV6E3_1VwY=iiBL6cxySw-oXF2R3VzxQjDuWKhMV4i2Jusw@HIDDEN>
 <984937837.4078826.1716352322860@HIDDEN>
 <CAHkVV6GY_s0BaPK7cA5y-5QUji9PK1AucZ7ApmMc06aLmqpzqQ@HIDDEN>
 <829659206.4083070.1716354489264@HIDDEN>
 <CAHkVV6H5WcfvA=Mb639Qdo+kQuzckUBb2WLOCfxcJTtRo0u=tw@HIDDEN>
 <582535681.1158538.1716358337102@HIDDEN>
 <CAHkVV6HFFAGHXy9RP1GvUr7C7XuTmPKxVtp1aigZTsp0WqZmgA@HIDDEN>
 <433213011.4171485.1716366220719@HIDDEN>
 <CAHkVV6Ermt_Yv4px4D70OR9YJnSLM43Xtc0wVL-s-G4ScDPUxw@HIDDEN>
 <504687570.4208226.1716367848968@HIDDEN>
In-Reply-To: <504687570.4208226.1716367848968@HIDDEN>
From: =?UTF-8?Q?Simen_Endsj=C3=B8?= <simendsjo@HIDDEN>
Date: Wed, 22 May 2024 13:09:21 +0200
Message-ID: <CAHkVV6EhcrYyf9kpjh2Bbyjr2fhqfeW907qvFYat=WFH-5et7w@HIDDEN>
Subject: Re: bug#70914: 29.3; Crashes often on Windows
To: Hannes Domani <ssbssa@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70914
Cc: Eli Zaretskii <eliz@HIDDEN>, Corwin Brust <corwin@HIDDEN>,
 "70914 <at> debbugs.gnu.org" <70914 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> I tend to avoid inferior function calls as much as possible, even more
> so in optimized code, exactly for this kind of problem.
>
> Instead I use something like:
>
> (gdb) condition 1 name && $_streq(name,"//")
>
> It needs the python build of gdb, in case you used the non-python one.

This resulted in the exact same problem.


 > And did you try my suggested quick fix, just to see if it fixes the cras=
h?

 Thanks! That workaround fixed this crashbug at least!

 Unsure about the way forward:
 - Add a new issue to fix this bug? Is it a correct fix or should the value
   never be able to exist at all?
 - Find out where value originates from. I see it is extracted from a lisp
   object.
 - Why is the stack garbled?
 - Why does gdc crash with 0202 when using a conditional format?

On Wed, May 22, 2024 at 10:50=E2=80=AFAM Hannes Domani <ssbssa@HIDDEN> wr=
ote:
>
>  Am Mittwoch, 22. Mai 2024 um 10:41:28 MESZ hat Simen Endsj=C3=B8 <simend=
sjo@HIDDEN> Folgendes geschrieben:
>
> > > That doesn't sound good.
> > > Maybe you could show me how you set the conditional breakpoint, and
> > > how it crashed, so I can take a look at this on gdb side.
> >
> > I do a C-c in gdb to add a breakpoint, and when continuing, the process=
 exists
> > with code 0202. If I add the conditional breakpoint at start, this does=
n't
> > happen though, but it seems like it gets stuck without progressing furt=
her.
> > `print name !=3D NULL` and `print (int)strcmp(name, "//") =3D=3D 0` doe=
sn't trigger an
> > error.
>
> I tend to avoid inferior function calls as much as possible, even more
> so in optimized code, exactly for this kind of problem.
>
> Instead I use something like:
>
> (gdb) condition 1 name && $_streq(name,"//")
>
> It needs the python build of gdb, in case you used the non-python one.
>
>
> > > And did you try my suggested quick fix, just to see if it fixes the c=
rash?
> >
> > No, not yet. I'm afraid this isn't the root cause of my problems though=
. I
> > experienced a crash yesterday running `evil-fill-and-move` (format para=
graph),
> > which probably shouldn't use any disk operations like this.
>
> From what I saw while I had the dprintf command from earlier active, emac=
s
> calls this function even if you maybe don't expect it, so I wouldn't rule
> it out.
>
>
> Hannes




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 22 May 2024 08:51:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 22 04:51:05 2024
Received: from localhost ([127.0.0.1]:54477 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s9hgf-0008Lb-1G
	for submit <at> debbugs.gnu.org; Wed, 22 May 2024 04:51:05 -0400
Received: from sonic309-24.consmr.mail.ir2.yahoo.com ([77.238.179.82]:37539)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ssbssa@HIDDEN>) id 1s9hgb-0008LE-7x
 for 70914 <at> debbugs.gnu.org; Wed, 22 May 2024 04:51:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.de; s=s2048;
 t=1716367849; bh=LTOGQC1k6mbhWWEq/ZnZPl5dvMpRZwaKU5+HC+iecgU=;
 h=Date:From:To:Cc:In-Reply-To:References:Subject:From:Subject:Reply-To;
 b=WXhJna0KlJC8CH0FgJbqbmZvVKKJTdAnEh4xtbQK9gM9P60WgdSCzg15wSx8fLhCjSJVA5hAua6RZ3djXu5DDCMWv80Kb+jGvAASGK3aJjqsXG2VwTxm9K+fAdjaPg9SV+JomAAMuq7v2Vdc5UcWx5RadpJpRmZPI2K8g5MKXsSS+MsEbmjHIoMnRfcRzZ2vCc8BodyvnFvdQBYaGlKp9W5XrarPuHjUv6Fb++UVGe8vJMBc3eF/n5X32F0CLST6nValDnECp6bD7Umia7+FDb9fLleybjwx1lHtyycc5FdbAVpUNHO9M3SnxIUL+tp7eyh67ZZgfkROg5ZjZRjv8Q==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1716367849; bh=eZ1x0XUHm6MM647DFzMTIBjD/P6jIka6PqDjS12UHJe=;
 h=X-Sonic-MF:Date:From:To:Subject:From:Subject;
 b=F2yyqaZLJGxm6mI2RoVJtwErRNTSMp3lB68bfNLvg4CSseK20VxNWGFPZgQ+WeJvd+TjF3xWzzdUb9JL7kseqnoay2HI5P1NyGqGejndBKR/wIi2t+sG+DQ6IiABhdzKESitcqTcp7ZM+6Y3nJ4Zl+jFQ3XgTkcy1z9vovfAlkRdA9T6hVpW9U+VCQBrIDW3xpLJNGvMraoLJSPqEc4Q8KpwMu/HnZR3bgmUELMLkKR7YOyYooJBa0EFMofKX1BoL/O1FaVwZXISAbDPqoYyvX7wdsPLcvuSxuPGWZdIVxwLwf2hWRHLbiLNVa/9XepXLTCgB3cUYzQHSamDU3Oqzw==
X-YMail-OSG: aVCqRVMVM1mHPiJUcpYoT_qqbXFoD6fkRu35LMetSfaUjticEX6WxroTBn5lHCq
 eud.B5uy_637UBUQ.0KOg77aINjDFeygvQql7khvScGtgEwmaCOdo1BNEbqkZTa.RR.Y1_xeI1Yc
 JpA1pJtPhbUQcYmj41aoRP84vbMWOd7BeFqXJo_1o0wwSQjsh3OsqDImvrAPqdrNW2Fubd3zwS12
 iEXyhfkButTF1fEZmfFmzIyXhKJgGXxDuqxswmi0hyQ0ZidWTBU_JaLPgo9jHehy9pFiozM1CKkY
 2fUdARxlpqxtunI5_mTXz2d.oe_4pzY5Wxlfgqaut7Z603szyeImc.r7JbZ6uYBpxSyR90pt48Gl
 SSgSE8Nm2Zc2hTXi0tTlek8zDZtrdQ._87XomOdhvJrCHjtM8an91pQYz0bFyZcZ63Y5DXUl_ICQ
 7.q.I5i2n0wKhtc4_coroODLj96vHbiMLZaIo2kj16neMWm.4ec6.2ufxN3AAbEi6ERNecMrrQTH
 POmCHhrDhnEINf2T43_vXo4QLIQXzvdHyGkml1c8EOpfY2ZOBt9SfcXxOlG1ciN.DbdGe35oSe1I
 iYndT3h25j5pTr4lDT6DOHPZZCbreqw2YWVaikWv7RKnHAJmk1XPTgJax3W2zYGMFRGK_IfAvYLF
 bSJN_xdo6.BxAL8elyoQbexfUeKJp3sSI.4d_c9hcqFVPVSfGubZuMkLtpZbKgrAYaDrbUInm0nR
 .DnE7A1KFlMHj4A_2VcKRkMwOYbYZmpWwu55LtfBR2YncTLohB0PqkCsQr0lnsWA31hbNM86Sxlm
 foGVMTby1O.kKbwfkgLSU0nUTaLZfUvj0VmpZEwUSW3cGn2b328jF2hOBqp3zEIYpK8Yd0WTLsS7
 hk42urbYQ_6mtPjc1Zo4BmsHe_aN6D2jK1TdljWu0ot4ZOFu89lnVlqyWI.XT4jRf78e_zbO5OvF
 PEcZB7GJjEbiYltV2wQV0cpuWGTyfJiMe_aXrGwfEIovl4wXB6HFPCZH.qweTxefvOBUDbFO83FD
 WfYP390vc6VeoeHQn0427E3nnTpLv6Oh3kl0Ybdpajxd4pOPU7h.Kn6XQFU83vN4rs8qxY6Vyzmf
 m9PqNtwEk2MM7KEIJIDdabt4FpG5.hvidKU0TlS9Y_MC7jO_0ytrwYtoY7cfuXC8e1PYulx.hzPa
 F59._z8t4.z4eGewT1FCEc2Fe4pFoCf18VJgIqv6jMLK2BXwRG1alh4Pf2CJ.dIIU2qbJcbQRadK
 ey11EmKBapXAuYukZByF2uVyy5ZS01YHhem8YPqLDE.CPnrkwfeaaOQEDuY2788oNTX_Vfz.THye
 ohK..lkDFA1rgg4RGOOy3XiE46_dnDspwHPIJ1csuI1rVxPIqLQxGvfrJpWq0_WXbPQokIJ794gZ
 Kd9..x39hGD2C42qz_z3eb3mpgQgcunnjBvYpL8c8YoeBhdPtbcmzDJjWcEnFiQxJzMUlRsEd3b6
 PJAnpv75iQVxoBC.BZNB988OsTY5_OziyyG85bp75BxLFoc2_Qw_4AJDj9IVBU4vn4ajsNaM2cAU
 hDS3UgzVIImeBs.qhy6KRfe3KJB4wZmyRExXaOJeAvzwMu.9KCPJmzyQQ1USctxSPs4WTUgqfgO.
 NXrdg3grD.CeH7hX1pdNOHZO660BqY4nIzipJsxnCUxfXuO.g4GaKwsREeialWc32duXeg9FkgsI
 urEWgqjwMhAGMJ_st3BQoVawfNxp7ElgAsUdjHtmrCYB3l9SKk4lNB2abeSabLz8PCc5KelU3057
 9q3IYiu8FlMOLhvjDMWLOD5dVDQB5WJad9tno5IMvwzka7J_MMFnzXr7lYkQM3FeDeLokxOjcF6m
 I.oKads96LTK3UBhkXby9dxCyZqlql8ODRQbzoe8Pp790tYqZYK1e0ntkg_5MQxu_pAaQdF3wGz2
 4OUFYQ_p5OjEhp.ZAkUN2K61XWRIiFcT8tZXqmy0nhgXZIpUpZrlRB6szzpbuVOcPeRALYtL86Lc
 LioAIsdkLHNCPIkoWQdV5_eKwMNazgPgqpddjPcSINIwvsDGW3W_RgYRmietlCmSMCnLNGBgo.Tt
 2XQ81daoputA_iiJwrM4D4K9r78jWxS0OrfdupQpGgLjM4AgdmbOe.M2J4v_ngKQJaIdS0IlVmYl
 vUkzLHuAfMirqIGkJ.oTEtq7dmQKTPBDgYUv3TSqUSIdmeH.JqIHk8t1KpmW.Gsyqf8IQ2gpnHsg
 hhkPoEvE-
X-Sonic-MF: <ssbssa@HIDDEN>
X-Sonic-ID: aa1131eb-79d0-4ea8-ae32-7b1b3fc09236
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic309.consmr.mail.ir2.yahoo.com with HTTP; Wed, 22 May 2024 08:50:49 +0000
Date: Wed, 22 May 2024 08:50:48 +0000 (UTC)
From: Hannes Domani <ssbssa@HIDDEN>
To: =?UTF-8?Q?Simen_Endsj=C3=B8?= <simendsjo@HIDDEN>
Message-ID: <504687570.4208226.1716367848968@HIDDEN>
In-Reply-To: <CAHkVV6Ermt_Yv4px4D70OR9YJnSLM43Xtc0wVL-s-G4ScDPUxw@HIDDEN>
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 <86bk4z81cu.fsf@HIDDEN> <554078779.3957737.1716318331280@HIDDEN>
 <CAHkVV6E3_1VwY=iiBL6cxySw-oXF2R3VzxQjDuWKhMV4i2Jusw@HIDDEN>
 <984937837.4078826.1716352322860@HIDDEN>
 <CAHkVV6GY_s0BaPK7cA5y-5QUji9PK1AucZ7ApmMc06aLmqpzqQ@HIDDEN>
 <829659206.4083070.1716354489264@HIDDEN>
 <CAHkVV6H5WcfvA=Mb639Qdo+kQuzckUBb2WLOCfxcJTtRo0u=tw@HIDDEN>
 <582535681.1158538.1716358337102@HIDDEN>
 <CAHkVV6HFFAGHXy9RP1GvUr7C7XuTmPKxVtp1aigZTsp0WqZmgA@HIDDEN>
 <433213011.4171485.1716366220719@HIDDEN>
 <CAHkVV6Ermt_Yv4px4D70OR9YJnSLM43Xtc0wVL-s-G4ScDPUxw@HIDDEN>
Subject: Re: bug#70914: 29.3; Crashes often on Windows
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Mailer: WebService/1.1.22356 YMailNorrin
Content-Length: 1374
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70914
Cc: Eli Zaretskii <eliz@HIDDEN>, Corwin Brust <corwin@HIDDEN>,
 "70914 <at> debbugs.gnu.org" <70914 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 Am Mittwoch, 22. Mai 2024 um 10:41:28 MESZ hat Simen Endsj=C3=B8 <simendsj=
o@HIDDEN> Folgendes geschrieben:

> > That doesn't sound good.
> > Maybe you could show me how you set the conditional breakpoint, and
> > how it crashed, so I can take a look at this on gdb side.
>
> I do a C-c in gdb to add a breakpoint, and when continuing, the process e=
xists
> with code 0202. If I add the conditional breakpoint at start, this doesn'=
t
> happen though, but it seems like it gets stuck without progressing furthe=
r.
> `print name !=3D NULL` and `print (int)strcmp(name, "//") =3D=3D 0` doesn=
't trigger an
> error.

I tend to avoid inferior function calls as much as possible, even more
so in optimized code, exactly for this kind of problem.

Instead I use something like:

(gdb) condition 1 name && $_streq(name,"//")

It needs the python build of gdb, in case you used the non-python one.


> > And did you try my suggested quick fix, just to see if it fixes the cra=
sh?
>
> No, not yet. I'm afraid this isn't the root cause of my problems though. =
I
> experienced a crash yesterday running `evil-fill-and-move` (format paragr=
aph),
> which probably shouldn't use any disk operations like this.

From what I saw while I had the dprintf command from earlier active, emacs
calls this function even if you maybe don't expect it, so I wouldn't rule
it out.


Hannes




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 22 May 2024 08:42:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 22 04:42:45 2024
Received: from localhost ([127.0.0.1]:54425 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s9hYa-0008AF-R0
	for submit <at> debbugs.gnu.org; Wed, 22 May 2024 04:42:45 -0400
Received: from mail-lj1-f169.google.com ([209.85.208.169]:48529)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <simendsjo@HIDDEN>) id 1s9hYV-0008A0-PM
 for 70914 <at> debbugs.gnu.org; Wed, 22 May 2024 04:42:43 -0400
Received: by mail-lj1-f169.google.com with SMTP id
 38308e7fff4ca-2e3e18c24c1so69609421fa.1
 for <70914 <at> debbugs.gnu.org>; Wed, 22 May 2024 01:42:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1716367288; x=1716972088; darn=debbugs.gnu.org;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:from:to:cc:subject:date
 :message-id:reply-to;
 bh=HtSo4R6M8KLZwAX13jGVH/UHd38vkXzuS4ttsH9IC2U=;
 b=gekUe92SlvfhBqe4X+KfUK+upHjsMLNaNloPJ9+QXkKRNIOnHFUwJyRUSGH/39Cvqz
 HyAbkFNgEXRuqK8kjmJHkxQT4hTeOsUGD0x2hD2LNN4vTeUnnD2+DlqiVtHu6/M7Oy1u
 qDBeXSQcTAHyxYhS5+6TfinS9tsn0V87Hyp+5cIdamDL29CYuWqKZGJgrfFABFd2El12
 MOeKSMbuoLkT4Bk+f9yaVDMnF6v8kpeQWABLEp+vgZbmWAqahJm+V6YXRY2veNhWRMqo
 G0zntWgytKmCJdgWV0pGm3Mpc6iQne+Y2sQgdbJO8KJ/DzCjjwMm7RYKK5pv/iRkzF3r
 s/OQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1716367288; x=1716972088;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=HtSo4R6M8KLZwAX13jGVH/UHd38vkXzuS4ttsH9IC2U=;
 b=nWuTiPJJq6W9UxaZa6gpKMg8p0OZVLibl6bPB4kng3OYaH+5RjmP1mWgf80OJ5m62r
 yywfNKbrbS90bw0B3IzdcEuAfQ1BGzeMJplsEdIHi+sa5Sx9Idviq5HRE5Fk84WochEY
 i9MC580mebffemtupGRiQVEK6ncJQR7MXLz4faH7MJ4+a0JNM1f2aIEn+u+6g7yGzc6i
 CmEn0CLsGEbka3n45CQUmJ828zQHeCYRfrZDTpys1+QmvB92B5sLkaRp5MtHtwDIGtY2
 UoSNU/BCFMwY5s7N2tJ7lG4CWa5QWnDz2V7EZ9FvkTODLTrKinUBTrUUz5YVNItB0JLH
 DQFA==
X-Forwarded-Encrypted: i=1;
 AJvYcCW3bARk7ViCLNrVdQF2gCymu7MxWLgsDxDE48lyB7hQRnZXsx0dXjuzzrQZAMOGrNI4cn3EedXOifn20AzYlCiS43zxLtY=
X-Gm-Message-State: AOJu0YxOeOHs5xOurczMs77g7PbrZBYOx9uuyUhkpD0V6A+PXa94PAM6
 ih2XR4DzQdsd/ui8XW2AuNB4w2GV++ljhw2E8Il8GBM2W5Wjghw7BHpDTj/sPPfn/ph9MRxpsD7
 9Sobuco0YLEi3SLXJXJHy6SF4C7oMfi4rV6IsdQ==
X-Google-Smtp-Source: AGHT+IH+A9etA82FnSM4TZHFf9EQMZy7b6z10HUSQ4keO4HOA+UdU2F+/KZBd+sC2y6kfJSYE6/23ERoDop/J/BbXeE=
X-Received: by 2002:a2e:850a:0:b0:2d6:c43e:f0b3 with SMTP id
 38308e7fff4ca-2e9496ba782mr7448191fa.50.1716367287744; Wed, 22 May 2024
 01:41:27 -0700 (PDT)
MIME-Version: 1.0
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 <86bk4z81cu.fsf@HIDDEN> <554078779.3957737.1716318331280@HIDDEN>
 <CAHkVV6E3_1VwY=iiBL6cxySw-oXF2R3VzxQjDuWKhMV4i2Jusw@HIDDEN>
 <984937837.4078826.1716352322860@HIDDEN>
 <CAHkVV6GY_s0BaPK7cA5y-5QUji9PK1AucZ7ApmMc06aLmqpzqQ@HIDDEN>
 <829659206.4083070.1716354489264@HIDDEN>
 <CAHkVV6H5WcfvA=Mb639Qdo+kQuzckUBb2WLOCfxcJTtRo0u=tw@HIDDEN>
 <582535681.1158538.1716358337102@HIDDEN>
 <CAHkVV6HFFAGHXy9RP1GvUr7C7XuTmPKxVtp1aigZTsp0WqZmgA@HIDDEN>
 <433213011.4171485.1716366220719@HIDDEN>
In-Reply-To: <433213011.4171485.1716366220719@HIDDEN>
From: =?UTF-8?Q?Simen_Endsj=C3=B8?= <simendsjo@HIDDEN>
Date: Wed, 22 May 2024 10:41:16 +0200
Message-ID: <CAHkVV6Ermt_Yv4px4D70OR9YJnSLM43Xtc0wVL-s-G4ScDPUxw@HIDDEN>
Subject: Re: bug#70914: 29.3; Crashes often on Windows
To: Hannes Domani <ssbssa@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70914
Cc: Eli Zaretskii <eliz@HIDDEN>, Corwin Brust <corwin@HIDDEN>,
 "70914 <at> debbugs.gnu.org" <70914 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> That doesn't sound good.
> Maybe you could show me how you set the conditional breakpoint, and
> how it crashed, so I can take a look at this on gdb side.

I do a C-c in gdb to add a breakpoint, and when continuing, the process exi=
sts
with code 0202. If I add the conditional breakpoint at start, this doesn't
happen though, but it seems like it gets stuck without progressing further.
`print name !=3D NULL` and `print (int)strcmp(name, "//") =3D=3D 0` doesn't=
 trigger an
error.

    Thread 29 received signal SIGINT, Interrupt.
    [Switching to Thread 25196.0x3160]
    0x00007fffed1f7dae in KERNELBASE!CtrlRoutine () from
C:\WINDOWS\System32\KernelBase.dll
    (gdb) break parse_root
    Breakpoint 1 at 0x7ff64737a02d: file w32.c, line 2555.
    (gdb) condition 1 name !=3D NULL && (int)strcmp(name, "//") =3D=3D 0
    (gdb) c
    Continuing.
    [New Thread 25196.0x5180]
    [Thread 25196.0x3160 exited with code 0]
    [Thread 25196.0x1cf0 exited with code 130]
    [Thread 25196.0x6270 exited with code 130]
    [Thread 25196.0x8e8 exited with code 130]
    [Thread 25196.0x1d4c exited with code 130]
    [Thread 25196.0x3ba0 exited with code 130]
    [Thread 25196.0x3318 exited with code 130]
    [Thread 25196.0x4018 exited with code 130]
    [Thread 25196.0xaf8 exited with code 130]
    [Thread 25196.0x7408 exited with code 130]
    [Thread 25196.0x5bf0 exited with code 130]
    [Thread 25196.0x4af4 exited with code 130]
    [Inferior 1 (process 25196) exited with code 0202]
    (gdb)

> And did you try my suggested quick fix, just to see if it fixes the crash=
?

No, not yet. I'm afraid this isn't the root cause of my problems though. I
experienced a crash yesterday running `evil-fill-and-move` (format paragrap=
h),
which probably shouldn't use any disk operations like this.

On Wed, May 22, 2024 at 10:23=E2=80=AFAM Hannes Domani <ssbssa@HIDDEN> wr=
ote:
>
>  Am Mittwoch, 22. Mai 2024 um 10:16:49 MESZ hat Simen Endsj=C3=B8 <simend=
sjo@HIDDEN> Folgendes geschrieben:
>
> > Seems like conditional breakpoints crashes somehow, but I modified the
> > source to put a breakpoint when we get this path.
>
> That doesn't sound good.
> Maybe you could show me how you set the conditional breakpoint, and
> how it crashed, so I can take a look at this on gdb side.
>
> And did you try my suggested quick fix, just to see if it fixes the crash=
?
>
>
> Hannes




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 22 May 2024 08:23:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 22 04:23:58 2024
Received: from localhost ([127.0.0.1]:54347 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s9hGP-0007yO-ON
	for submit <at> debbugs.gnu.org; Wed, 22 May 2024 04:23:57 -0400
Received: from sonic311-30.consmr.mail.ir2.yahoo.com ([77.238.176.162]:35243)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ssbssa@HIDDEN>) id 1s9hGN-0007yI-33
 for 70914 <at> debbugs.gnu.org; Wed, 22 May 2024 04:23:56 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.de; s=s2048;
 t=1716366223; bh=hMjpKOOX/iofVLAmF8mVfaKP275aq/iCBzH6m9lBsn0=;
 h=Date:From:To:Cc:In-Reply-To:References:Subject:From:Subject:Reply-To;
 b=Hrq7RjurppIE2QMccB5amqzrR4PnxJvEqM1rZWs9YDrdiTUMzCQFdCavqnVhAqXrxtKXqOdZVsiFJoIRKbGf/QFOY3zkZ9lEpQl1yvC8Zkg7byeXOjEyOzoQh6HdSOsSxwR5hJt36hA4YrLcgZCKPB6PCq7byfC36tAesMKmpaSl3ebH+3MjiG7NfCBDuKh7EAGvqSRvpLMMQAFFzMezfxCdpJhIJrKbRNiwiUWtdnF+0ioZxIr/OVQVqWIo65fj1VpVJWCRwEt8YD4OiXYZg6/HRKKyv2hV4no776Dtw+2+ZCp0XdgU+wJed64sDpREJldLyYkqY6x1SEYshs0dug==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1716366223; bh=JDSCwcbP+q/NfZIwaf72g0RjODAHG1EZDuYyHxxFVlr=;
 h=X-Sonic-MF:Date:From:To:Subject:From:Subject;
 b=XmvSDrxvsfA2WMgGpY44OoEnACRnt3rVQ48ePQ5RIjnIEA+6BlgijjmtqMAGn4FgobR7WE9OtaooswowTuZCe2uo0Liucm8BFbPt+pAluNfhtxAPFy2CcbK+7I2BAG4N0Z8Jax/r49ih8xH5Kpk0L9NpjdoQJtfsmGwcTX091v9mGAZB5yVOW+F5aGiey9Uw+OVNgDupDaFwKYfc04f3st1M9f3HzoaqwCkrysSH1AXs5q8btgIlvFqqPVdPFtFnlegAjzezkqRYafCyWp9yfZFRDnFwI0UpHS3NkH9daeTT5XKf41apva9HVIdO7pHMlfx+/MDiqYljYtStRR0WqA==
X-YMail-OSG: rsArRbkVM1nCuBf5aY4gBlQfnNgWMv8dtE6DL6FwUek8KBNbGKtPRJWWy.KMXSk
 JqE5_EWhu3CJMotm_Kv.MkBOxvmOCgWlbb32CM_ptjZBWHIf6g4JPZ59gB._5ZhihCdCdhLRrcJF
 vLSsUgor2eRSktilWMUd15p5QVnyxQxQwBmDpwHjET09qXTcCr6recuE5aFmlmtKwqHzVm.dkiGv
 Cx5ogaVPiHjLF76uKC22ulzN25cZoeSkmDAO6XM7ZlOezuzvB7l2jnpSEku0xZyl.uppozmGuBqJ
 S2Svx3L7dWwHeL8l0fWumqLC15gXf0LzyN_Ug7SbQNa7QlOkoz4qO91JyorrCSAe3aOV23yNFdp_
 yHyhLmiKz6wKNJNVcG5URs2tW5MNhKJrIjKGc1IVpeDVU.NHUHUSxy6BM5g.YanshbPNLxGhkbMQ
 WOCsj6syTCxZp52b2dkh1NmVc1aiLEjO8xYW5VW9bAoeHJxallAauqUtPzIbwvVaZOKd6DSGZe9J
 uG.XQa1iscp9qyBKFPT3Ogt4TK105YnOWYKkF91PReCLXz8jbTbnMOJtGdWGTZEnvYvicyh7q4rO
 .FHxNu0Nni1esq1qxrTKxKmuyIf1g0pA.Q4m5cfxDn9BcQFlx0aMJ1632cDSZpimJBiK5OVGVXjh
 Qwp6T1T8ni07OIC2ZYaXP8mY3nve_Llifpk3L.gG7oEPjSiB3TMnbZTHSCGFxtTve_QGD0pypOQ8
 la01i6qEdfzkc3IrP86AkF_rK4hm5i50JQbOySUF3vqGq2c3dnpFYdGoBQmoFFibbbMfEDLdIRXx
 GZzINDQMXVN0htjRbstOXo4pP1LQ50EUmN.D57V2PeRyovKQ9qTV0SXR.GZ1q5.e_fvjkRBPVwmw
 1JnxsSt8k4rtm06DlHoaxBSDluhMg_kqDZ_ParS1QJcGgt8CK89oUjLWWmXPrTyA8uW__GhP8ZmA
 EUnG6pGEuv0BrEiHNlxpVmUziIWr89sLLs.ZRSxQVUsc4R984RFiQltIv.zuX1X1amHzYJQsOhdL
 grXjAMdaQjm83QS52w5lOqeRQLHFnVPKHiN4ehA0AAIDdrShqpWb__OJhqxlM.3peg8hV_Mm0ggC
 heAF56OdekkoBRPcfgcIImeCmOzc7CQrzereu.qnkJETIJzT7k3VaQSwkP9bvnIBboqY3eu7MVR1
 PIqDnmkbmhtTw2GH1NmDMa8juNsd1TBSHvohpcq3TRaNxCYxTPdnEQdSWfpXzvd1I.IK0iXheDLb
 UkxDTuQQmrqYAfCU7HqyPfV0tA.EFvAxcm9nH_oNwb7QBNUS8PDGaU4VEoMKdlqbc1cODIFyPOTP
 0lNkkpd.eoAtEl__07N7HHWcUdqtGxb0i6i0kh5x4GqLhKZz6hERPW9CvZ4WJVviOxurQGGjuCMf
 nUnCEcVAyw7sVSJd.7qNJSg8YsKn9pw1EI8lSEk0emy1iOrt5RXiIgQb8aYhOwIXEhdZ75AdP2T_
 GsLPmE9m2btW76OgEsG99HdDyZyOd6wM.AhZVgOHPSNo5uzQ0bTleTS8fIOb3JHI119H6zPtmMlo
 F8Dd5Kvl4u3qUQwIIvD95bsV7IcCaiTA0X9FK3xxfqBdDXxbOtaENXc523BZV208zTBqJL0j9OpO
 JdqFLg6jQgVSKq9Pzxc5Hz5jFqwgXd0.bYfs7T4MdTyugHcBWAftpKKR31qswMM3Lio.GGMfaFd_
 v9tHlPqSN4HtEqy6TbCAYDuDAYTSFcVJlR9avmcJ_9pocHP4jvsp3E6vv_wrHSaa6JsQ8RtD1nI7
 pgAGULXkhNMucv01p0WpOh9ozxadLqw12BxD6aW1n5xjnPDUEyDf5Jk2S_79uuvKtG9NExOgy_m8
 31j4dtX6Ohu4QIB7ylGHZeDAXHjsloQPuV30OzzZ1Z4_zJ59jZl9VPlTSCuCMYb.dQjgSCe5tV3Y
 Teb3thfLC52vHgLgIKgGzw3VByK3qR.CfEZvmDzu.fTT8xtwtioQecaujqMFZ3jxoyGRloUsXdI7
 ypNc7QkBp4u0FtDp5xG6nrMjBZDnZuXri5QKIRop8sFj25CN4KhWBZ98L8teZwFpo56J7x1X4v9p
 2ZGAxu7NzsXiRHsx10ylAeawpwtLAolq2eFAkvpJkuXCT356plqSTgWz0LDTFxKO3oFL8Z_qyN5Q
 XOzX5jP6sC5GRNfbuxhuVoZT1LEOVKYoqEaWAX5woWZoDYW9vf7tKWIHfLe2eBkhAJIWKQaQLDvj
 rxr4rjEo-
X-Sonic-MF: <ssbssa@HIDDEN>
X-Sonic-ID: 1ab6b6ec-3aa9-4228-a733-739de8682297
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic311.consmr.mail.ir2.yahoo.com with HTTP; Wed, 22 May 2024 08:23:43 +0000
Date: Wed, 22 May 2024 08:23:40 +0000 (UTC)
From: Hannes Domani <ssbssa@HIDDEN>
To: =?UTF-8?Q?Simen_Endsj=C3=B8?= <simendsjo@HIDDEN>
Message-ID: <433213011.4171485.1716366220719@HIDDEN>
In-Reply-To: <CAHkVV6HFFAGHXy9RP1GvUr7C7XuTmPKxVtp1aigZTsp0WqZmgA@HIDDEN>
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 <86bk4z81cu.fsf@HIDDEN> <554078779.3957737.1716318331280@HIDDEN>
 <CAHkVV6E3_1VwY=iiBL6cxySw-oXF2R3VzxQjDuWKhMV4i2Jusw@HIDDEN>
 <984937837.4078826.1716352322860@HIDDEN>
 <CAHkVV6GY_s0BaPK7cA5y-5QUji9PK1AucZ7ApmMc06aLmqpzqQ@HIDDEN>
 <829659206.4083070.1716354489264@HIDDEN>
 <CAHkVV6H5WcfvA=Mb639Qdo+kQuzckUBb2WLOCfxcJTtRo0u=tw@HIDDEN>
 <582535681.1158538.1716358337102@HIDDEN>
 <CAHkVV6HFFAGHXy9RP1GvUr7C7XuTmPKxVtp1aigZTsp0WqZmgA@HIDDEN>
Subject: Re: bug#70914: 29.3; Crashes often on Windows
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Mailer: WebService/1.1.22356 YMailNorrin
Content-Length: 476
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70914
Cc: Eli Zaretskii <eliz@HIDDEN>, Corwin Brust <corwin@HIDDEN>,
 "70914 <at> debbugs.gnu.org" <70914 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 Am Mittwoch, 22. Mai 2024 um 10:16:49 MESZ hat Simen Endsj=C3=B8 <simendsj=
o@HIDDEN> Folgendes geschrieben:

> Seems like conditional breakpoints crashes somehow, but I modified the
> source to put a breakpoint when we get this path.

That doesn't sound good.
Maybe you could show me how you set the conditional breakpoint, and
how it crashed, so I can take a look at this on gdb side.

And did you try my suggested quick fix, just to see if it fixes the crash?


Hannes




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 22 May 2024 08:18:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 22 04:18:05 2024
Received: from localhost ([127.0.0.1]:54308 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s9hAi-0007u9-Ma
	for submit <at> debbugs.gnu.org; Wed, 22 May 2024 04:18:05 -0400
Received: from mail-lf1-f46.google.com ([209.85.167.46]:48333)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <simendsjo@HIDDEN>) id 1s9hAe-0007tk-C8
 for 70914 <at> debbugs.gnu.org; Wed, 22 May 2024 04:18:03 -0400
Received: by mail-lf1-f46.google.com with SMTP id
 2adb3069b0e04-5241b49c0daso4130875e87.0
 for <70914 <at> debbugs.gnu.org>; Wed, 22 May 2024 01:17:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1716365808; x=1716970608; darn=debbugs.gnu.org;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:from:to:cc:subject:date
 :message-id:reply-to;
 bh=v8FKCwP7VYeCDpOXQoOABIz+d8PDce4W30VbCcd6DpA=;
 b=DpG6YpmYJoXD82kys4VPO3a5W7iRVxQ0D1nczLaOe6+X3kQED4GZdyHowYThWAa5h5
 +D9k/HtEiW7hYcmqNUXew5pCZCbXx5wbe3K0RBhYpFbUxSqAy3QwiJoN76LUqGVjcN3W
 mJzuRwvK+icbZcsKW+VtCoRMcHbhEUt7sA2hKSWsamfIuaVJYuLUNYxFApGW43r0VweH
 0cPnyGoGV2/MWEmAg9ZKmglSJLPwn+D+RAGxRrEAhM0Xt9cn1m5msFuna4KmInrqljsq
 L1+h4HaZdibljcxDGbGjwTEM6vWHGzDbebVEjbsOPKukes5jevBBo1gyuYy/uDjbbS6D
 B3Kw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1716365808; x=1716970608;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=v8FKCwP7VYeCDpOXQoOABIz+d8PDce4W30VbCcd6DpA=;
 b=H7VtUgliTCkCO+lBg/Y8XgwRIECH062Hoe0uDxkF3JiP2nAbRggrN1RkJbyqOjD7Ps
 7oVgO5lcS6n0GkKhZIad7z+uCLymgrM4etYRxhaHNh1KKtf1mGnmbFxF9MNmS9aZ/qRo
 Fn+764tPgqQnbzS+tqS0/UpgzTYYPCEHx5rDfutJQJvY6xk8XohFNNc03QRolIvbX/rP
 8yeKf1iSWTeqrALATpY6HWd+gfz5xz88+QB1tZc4NCK0o7qTx50kEcqiYNGM5EDJFedF
 lVsGLCoJFG3ZM577xpIdz1y4FHg2WKx+DFY/ZgWbFfB0y3739/Dpu5Bmvwc6ARqeBK9R
 DAfg==
X-Forwarded-Encrypted: i=1;
 AJvYcCUahUeeMbXQObf/3bp9g9voRYZQ0nJ7T3tP6Pyx9elXJj82pfB2HhUigO6tP1NaHYn4+I7penH4D2iwaC9u3ka1YVVG7L4=
X-Gm-Message-State: AOJu0Yz7zL072tAaAjY+FQQAcOJz/kBLtXdQSDGftgjceNgtfeGakXCD
 zg55hMj06kSpQmmTH16V8YxH+/KMN5HVjct8xQlDSojO6ZvIW187q/RmODecqYtqiLs4jQIBkS8
 B8GBJX2RadztBxM101AAiMvUKwsA=
X-Google-Smtp-Source: AGHT+IHiP1sbuxUEJyTUAq7RX++tx4onIhiqC7IuAQV0PRJ/0cwHbq0M/rCKz+uuu5Oi/SZ9hNJeYt1Pr/xHZ5iVaYQ=
X-Received: by 2002:a19:f50f:0:b0:523:b3f6:8fb4 with SMTP id
 2adb3069b0e04-526c08788bdmr836474e87.46.1716365808246; Wed, 22 May 2024
 01:16:48 -0700 (PDT)
MIME-Version: 1.0
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 <86bk4z81cu.fsf@HIDDEN> <554078779.3957737.1716318331280@HIDDEN>
 <CAHkVV6E3_1VwY=iiBL6cxySw-oXF2R3VzxQjDuWKhMV4i2Jusw@HIDDEN>
 <984937837.4078826.1716352322860@HIDDEN>
 <CAHkVV6GY_s0BaPK7cA5y-5QUji9PK1AucZ7ApmMc06aLmqpzqQ@HIDDEN>
 <829659206.4083070.1716354489264@HIDDEN>
 <CAHkVV6H5WcfvA=Mb639Qdo+kQuzckUBb2WLOCfxcJTtRo0u=tw@HIDDEN>
 <582535681.1158538.1716358337102@HIDDEN>
In-Reply-To: <582535681.1158538.1716358337102@HIDDEN>
From: =?UTF-8?Q?Simen_Endsj=C3=B8?= <simendsjo@HIDDEN>
Date: Wed, 22 May 2024 10:16:37 +0200
Message-ID: <CAHkVV6HFFAGHXy9RP1GvUr7C7XuTmPKxVtp1aigZTsp0WqZmgA@HIDDEN>
Subject: Re: bug#70914: 29.3; Crashes often on Windows
To: Hannes Domani <ssbssa@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70914
Cc: Eli Zaretskii <eliz@HIDDEN>, Corwin Brust <corwin@HIDDEN>,
 "70914 <at> debbugs.gnu.org" <70914 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Seems like conditional breakpoints crashes somehow, but I modified the
source to put a breakpoint when we get this path.
Here is a stack trace.

Thread 1 hit Breakpoint 1, parse_root (name=3D0x1dbad0c0 "//",
pPath=3D0xbf6710) at w32.c:2562
2562        assert(0 && "parse_root: name is \"//\"");
(gdb) bt
#0  parse_root (name=3D0x1dbad0c0 "//", pPath=3D0xbf6710) at w32.c:2562
#1  0x00007ff750e8bde9 in get_volume_info (name=3D0x1dbad0c0 "//",
pPath=3D0xbf6710) at w32.c:3484
#2  0x00007ff750e8bef8 in is_fat_volume (name=3D0x1dbad0c0 "//",
pPath=3D0xbf6710) at w32.c:3514
#3  0x00007ff750e8bf8e in map_w32_filename (name=3D0x1dbad0c0 "//",
pPath=3D0x0) at w32.c:3539
#4  0x00007ff750e8d13b in faccessat (dirfd=3D-3041965, path=3D0x1dbad0c0
"//", mode=3D8, flags=3D4) at w32.c:4135
#5  0x00007ff750cd5ec1 in file_access_p (file=3D0x1dbad0c0 "//",
amode=3D0) at fileio.c:162
#6  0x00007ff750cdbc91 in check_file_access (file=3D..., operation=3D...,
amode=3D0) at fileio.c:2893
#7  0x00007ff750cdbcde in Ffile_exists_p (filename=3D...) at fileio.c:2905
#8  0x00007ff750d68335 in eval_sub (form=3D...) at eval.c:2502
#9  0x00007ff750d60ef3 in For (args=3D...) at eval.c:349
#10 0x00007ff750d67f63 in eval_sub (form=3D...) at eval.c:2453
#11 0x00007ff750d61087 in Fif (args=3D...) at eval.c:388
#12 0x00007ff750d67f63 in eval_sub (form=3D...) at eval.c:2453
#13 0x00007ff750d613cd in Fprogn (body=3D...) at eval.c:436
#14 0x00007ff750d6abfe in funcall_lambda (fun=3D..., nargs=3D1,
arg_vector=3D0x0) at eval.c:3237
#15 0x00007ff750d69a11 in funcall_general (fun=3D..., numargs=3D1,
args=3D0x4b94bd0) at eval.c:2961
#16 0x00007ff750dcfaf1 in exec_byte_code (fun=3D..., args_template=3D514,
nargs=3D2, args=3D0x4b94bd8) at bytecode.c:811
#17 0x00007ff750d6a24a in fetch_and_exec_byte_code (fun=3D...,
args_template=3D0, nargs=3D0, args=3D0x0) at eval.c:3085
#18 0x00007ff750d6ac89 in funcall_lambda (fun=3D..., nargs=3D0,
arg_vector=3D0x0) at eval.c:3246
#19 0x00007ff750d698ef in funcall_general (fun=3D..., numargs=3D0,
args=3D0xbf7bb8) at eval.c:2949
#20 0x00007ff750d69c22 in Ffuncall (nargs=3D1, args=3D0xbf7bb0) at eval.c:2=
999
#21 0x00007ff750d68e1d in funcall_nil (nargs=3D1, args=3D0xbf7bb0) at eval.=
c:2681
#22 0x00007ff750d6939c in run_hook_with_args (nargs=3D1, args=3D0xbf7bb0,
funcall=3D0x7ff750d68dfd <funcall_nil>) at eval.c:2858
#23 0x00007ff750d68eab in Frun_hook_with_args (nargs=3D1, args=3D0xbf7bb0)
at eval.c:2723
#24 0x00007ff750d6943b in run_hook (hook=3D...) at eval.c:2871
#25 0x00007ff750d68e65 in Frun_hooks (nargs=3D4, args=3D0xbf7d88) at eval.c=
:2705
#26 0x00007ff750d6a0c6 in funcall_subr (subr=3D0x7ff751462e80
<Srun_hooks>, numargs=3D4, args=3D0xbf7d88) at eval.c:3063
#27 0x00007ff750d698a3 in funcall_general (fun=3D..., numargs=3D4,
args=3D0xbf7d88) at eval.c:2945
#28 0x00007ff750d69c22 in Ffuncall (nargs=3D5, args=3D0xbf7d80) at eval.c:2=
999
#29 0x00007ff750d68de2 in Fapply (nargs=3D2, args=3D0x4b94880) at eval.c:26=
70
#30 0x00007ff750d6a0c6 in funcall_subr (subr=3D0x7ff751462e40 <Sapply>,
numargs=3D2, args=3D0x4b94880) at eval.c:3063
#31 0x00007ff750dcfac8 in exec_byte_code (fun=3D..., args_template=3D128,
nargs=3D1, args=3D0x4b94820) at bytecode.c:809
#32 0x00007ff750d6a24a in fetch_and_exec_byte_code (fun=3D...,
args_template=3D256, nargs=3D0, args=3D0x4b946a8) at eval.c:3085
#33 0x00007ff750d6a6de in funcall_lambda (fun=3D..., nargs=3D0,
arg_vector=3D0x4b946a8) at eval.c:3157
#34 0x00007ff750d698ef in funcall_general (fun=3D..., numargs=3D0,
args=3D0x4b946a8) at eval.c:2949
#35 0x00007ff750d69c22 in Ffuncall (nargs=3D1, args=3D0x4b946a0) at eval.c:=
2999
#36 0x00007ff750d689b2 in Fapply (nargs=3D2, args=3D0x4b946a0) at eval.c:26=
23
#37 0x00007ff750d6a0c6 in funcall_subr (subr=3D0x7ff751462e40 <Sapply>,
numargs=3D2, args=3D0x4b946a0) at eval.c:3063
--Type <RET> for more, q to quit, c to continue without paging--c
#38 0x00007ff750dcfac8 in exec_byte_code (fun=3D..., args_template=3D128,
nargs=3D0, args=3D0xbf8db8) at bytecode.c:809
#39 0x00007ff750d6a24a in fetch_and_exec_byte_code (fun=3D...,
args_template=3D128, nargs=3D0, args=3D0xbf8db8) at eval.c:3085
#40 0x00007ff750d6a6de in funcall_lambda (fun=3D..., nargs=3D0,
arg_vector=3D0xbf8db8) at eval.c:3157
#41 0x00007ff750d698ef in funcall_general (fun=3D..., numargs=3D0,
args=3D0xbf8db8) at eval.c:2949
#42 0x00007ff750d69c22 in Ffuncall (nargs=3D1, args=3D0xbf8db0) at eval.c:2=
999
#43 0x00007ff750d689b2 in Fapply (nargs=3D2, args=3D0xbf8db0) at eval.c:262=
3
#44 0x00007ff750d681b1 in eval_sub (form=3D...) at eval.c:2474
#45 0x00007ff750d613cd in Fprogn (body=3D...) at eval.c:436
#46 0x00007ff750d67f63 in eval_sub (form=3D...) at eval.c:2453
#47 0x00007ff750d644ce in Funwind_protect (args=3D...) at eval.c:1301
#48 0x00007ff750d67f63 in eval_sub (form=3D...) at eval.c:2453
#49 0x00007ff750d613cd in Fprogn (body=3D...) at eval.c:436
#50 0x00007ff750d63ab5 in Flet (args=3D...) at eval.c:1026
#51 0x00007ff750d67f63 in eval_sub (form=3D...) at eval.c:2453
#52 0x00007ff750d6882c in eval_sub (form=3D...) at eval.c:2588
#53 0x00007ff750d610f8 in Fif (args=3D...) at eval.c:391
#54 0x00007ff750d67f63 in eval_sub (form=3D...) at eval.c:2453
#55 0x00007ff750d613cd in Fprogn (body=3D...) at eval.c:436
#56 0x00007ff750d6abfe in funcall_lambda (fun=3D..., nargs=3D1,
arg_vector=3D0x0) at eval.c:3237
#57 0x00007ff750d69a11 in funcall_general (fun=3D..., numargs=3D1,
args=3D0x4b94660) at eval.c:2961
#58 0x00007ff750d69c22 in Ffuncall (nargs=3D2, args=3D0x4b94658) at eval.c:=
2999
#59 0x00007ff750d689b2 in Fapply (nargs=3D3, args=3D0x4b94658) at eval.c:26=
23
#60 0x00007ff750d6a0c6 in funcall_subr (subr=3D0x7ff751462e40 <Sapply>,
numargs=3D3, args=3D0x4b94658) at eval.c:3063
#61 0x00007ff750dcfac8 in exec_byte_code (fun=3D..., args_template=3D128,
nargs=3D0, args=3D0x4b94620) at bytecode.c:809
#62 0x00007ff750d6a24a in fetch_and_exec_byte_code (fun=3D...,
args_template=3D128, nargs=3D0, args=3D0x4b94620) at eval.c:3085
#63 0x00007ff750d6a6de in funcall_lambda (fun=3D..., nargs=3D0,
arg_vector=3D0x4b94620) at eval.c:3157
#64 0x00007ff750d698ef in funcall_general (fun=3D..., numargs=3D0,
args=3D0x4b94620) at eval.c:2949
#65 0x00007ff750d69c22 in Ffuncall (nargs=3D1, args=3D0x4b94618) at eval.c:=
2999
#66 0x00007ff750d689b2 in Fapply (nargs=3D2, args=3D0x4b94618) at eval.c:26=
23
#67 0x00007ff750d6a0c6 in funcall_subr (subr=3D0x7ff751462e40 <Sapply>,
numargs=3D2, args=3D0x4b94618) at eval.c:3063
#68 0x00007ff750dcfac8 in exec_byte_code (fun=3D..., args_template=3D513,
nargs=3D1, args=3D0x4b94718) at bytecode.c:809
#69 0x00007ff750d6a24a in fetch_and_exec_byte_code (fun=3D...,
args_template=3D385, nargs=3D1, args=3D0x4b945d0) at eval.c:3085
#70 0x00007ff750d6a6de in funcall_lambda (fun=3D..., nargs=3D1,
arg_vector=3D0x4b945d0) at eval.c:3157
#71 0x00007ff750d698ef in funcall_general (fun=3D..., numargs=3D1,
args=3D0x4b945d0) at eval.c:2949
#72 0x00007ff750d69c22 in Ffuncall (nargs=3D2, args=3D0x4b945c8) at eval.c:=
2999
#73 0x00007ff750d689b2 in Fapply (nargs=3D3, args=3D0x4b945c8) at eval.c:26=
23
#74 0x00007ff750d6a0c6 in funcall_subr (subr=3D0x7ff751462e40 <Sapply>,
numargs=3D3, args=3D0x4b945c8) at eval.c:3063
#75 0x00007ff750dcfac8 in exec_byte_code (fun=3D..., args_template=3D128,
nargs=3D0, args=3D0x4b94580) at bytecode.c:809
#76 0x00007ff750d6a24a in fetch_and_exec_byte_code (fun=3D...,
args_template=3D1280, nargs=3D2, args=3D0xbfb058) at eval.c:3085
#77 0x00007ff750d6a6de in funcall_lambda (fun=3D..., nargs=3D2,
arg_vector=3D0xbfb058) at eval.c:3157
#78 0x00007ff750d698ef in funcall_general (fun=3D..., numargs=3D2,
args=3D0xbfb058) at eval.c:2949
#79 0x00007ff750d69c22 in Ffuncall (nargs=3D3, args=3D0xbfb050) at eval.c:2=
999
#80 0x00007ff750d68de2 in Fapply (nargs=3D2, args=3D0xbfb130) at eval.c:267=
0
#81 0x00007ff750d681b1 in eval_sub (form=3D...) at eval.c:2474
#82 0x00007ff750d613cd in Fprogn (body=3D...) at eval.c:436
#83 0x00007ff750d67f63 in eval_sub (form=3D...) at eval.c:2453
#84 0x00007ff750d644ce in Funwind_protect (args=3D...) at eval.c:1301
#85 0x00007ff750d67f63 in eval_sub (form=3D...) at eval.c:2453
#86 0x00007ff750d613cd in Fprogn (body=3D...) at eval.c:436
#87 0x00007ff750d63568 in FletX (args=3D...) at eval.c:958
#88 0x00007ff750d67f63 in eval_sub (form=3D...) at eval.c:2453
#89 0x00007ff750d613cd in Fprogn (body=3D...) at eval.c:436
#90 0x00007ff750d6abfe in funcall_lambda (fun=3D..., nargs=3D3,
arg_vector=3D0x0) at eval.c:3237
#91 0x00007ff750d69a11 in funcall_general (fun=3D..., numargs=3D3,
args=3D0xbfb998) at eval.c:2961
#92 0x00007ff750d69c22 in Ffuncall (nargs=3D4, args=3D0xbfb990) at eval.c:2=
999
#93 0x00007ff750d68de2 in Fapply (nargs=3D3, args=3D0x4b944c8) at eval.c:26=
70
#94 0x00007ff750d6a0c6 in funcall_subr (subr=3D0x7ff751462e40 <Sapply>,
numargs=3D3, args=3D0x4b944c8) at eval.c:3063
#95 0x00007ff750dcfac8 in exec_byte_code (fun=3D..., args_template=3D128,
nargs=3D2, args=3D0xbfc158) at bytecode.c:809
#96 0x00007ff750d6a24a in fetch_and_exec_byte_code (fun=3D...,
args_template=3D128, nargs=3D2, args=3D0xbfc158) at eval.c:3085
#97 0x00007ff750d6a6de in funcall_lambda (fun=3D..., nargs=3D2,
arg_vector=3D0xbfc158) at eval.c:3157
#98 0x00007ff750d698ef in funcall_general (fun=3D..., numargs=3D2,
args=3D0xbfc158) at eval.c:2949
#99 0x00007ff750d69c22 in Ffuncall (nargs=3D3, args=3D0xbfc150) at eval.c:2=
999
#100 0x00007ff750d68de2 in Fapply (nargs=3D2, args=3D0x4b94488) at eval.c:2=
670
#101 0x00007ff750d6a0c6 in funcall_subr (subr=3D0x7ff751462e40 <Sapply>,
numargs=3D2, args=3D0x4b94488) at eval.c:3063
#102 0x00007ff750dcfac8 in exec_byte_code (fun=3D..., args_template=3D128,
nargs=3D2, args=3D0xbfc918) at bytecode.c:809
#103 0x00007ff750d6a24a in fetch_and_exec_byte_code (fun=3D...,
args_template=3D128, nargs=3D2, args=3D0xbfc918) at eval.c:3085
#104 0x00007ff750d6a6de in funcall_lambda (fun=3D..., nargs=3D2,
arg_vector=3D0xbfc918) at eval.c:3157
#105 0x00007ff750d698ef in funcall_general (fun=3D..., numargs=3D2,
args=3D0xbfc918) at eval.c:2949
#106 0x00007ff750d69c22 in Ffuncall (nargs=3D3, args=3D0xbfc910) at eval.c:=
2999
#107 0x00007ff750d68de2 in Fapply (nargs=3D2, args=3D0x4b94448) at eval.c:2=
670
#108 0x00007ff750d6a0c6 in funcall_subr (subr=3D0x7ff751462e40 <Sapply>,
numargs=3D2, args=3D0x4b94448) at eval.c:3063
#109 0x00007ff750dcfac8 in exec_byte_code (fun=3D..., args_template=3D128,
nargs=3D2, args=3D0x4b94400) at bytecode.c:809
#110 0x00007ff750d6a24a in fetch_and_exec_byte_code (fun=3D...,
args_template=3D1025, nargs=3D4, args=3D0xbfd0d8) at eval.c:3085
#111 0x00007ff750d6a6de in funcall_lambda (fun=3D..., nargs=3D4,
arg_vector=3D0xbfd0d8) at eval.c:3157
#112 0x00007ff750d698ef in funcall_general (fun=3D..., numargs=3D4,
args=3D0xbfd0d8) at eval.c:2949
#113 0x00007ff750d69c22 in Ffuncall (nargs=3D5, args=3D0xbfd0d0) at eval.c:=
2999
#114 0x00007ff750d68de2 in Fapply (nargs=3D3, args=3D0x4b942d0) at eval.c:2=
670
#115 0x00007ff750d6a0c6 in funcall_subr (subr=3D0x7ff751462e40 <Sapply>,
numargs=3D3, args=3D0x4b942d0) at eval.c:3063
#116 0x00007ff750dcfac8 in exec_byte_code (fun=3D..., args_template=3D514,
nargs=3D2, args=3D0x4b943f8) at bytecode.c:809
#117 0x00007ff750d6a24a in fetch_and_exec_byte_code (fun=3D...,
args_template=3D642, nargs=3D5, args=3D0xbfd8a8) at eval.c:3085
#118 0x00007ff750d6a6de in funcall_lambda (fun=3D..., nargs=3D5,
arg_vector=3D0xbfd8a8) at eval.c:3157
#119 0x00007ff750d698ef in funcall_general (fun=3D..., numargs=3D5,
args=3D0xbfd8a8) at eval.c:2949
#120 0x00007ff750d69c22 in Ffuncall (nargs=3D6, args=3D0xbfd8a0) at eval.c:=
2999
#121 0x00007ff750d68de2 in Fapply (nargs=3D3, args=3D0x4b94260) at eval.c:2=
670
#122 0x00007ff750d6a0c6 in funcall_subr (subr=3D0x7ff751462e40 <Sapply>,
numargs=3D3, args=3D0x4b94260) at eval.c:3063
#123 0x00007ff750dcfac8 in exec_byte_code (fun=3D..., args_template=3D128,
nargs=3D4, args=3D0x4b94210) at bytecode.c:809
#124 0x00007ff750d6a24a in fetch_and_exec_byte_code (fun=3D...,
args_template=3D0, nargs=3D0, args=3D0x4b94138) at eval.c:3085
#125 0x00007ff750d6a6de in funcall_lambda (fun=3D..., nargs=3D0,
arg_vector=3D0x4b94138) at eval.c:3157
#126 0x00007ff750d698ef in funcall_general (fun=3D..., numargs=3D0,
args=3D0x4b94138) at eval.c:2949
#127 0x00007ff750d69c22 in Ffuncall (nargs=3D1, args=3D0x4b94130) at eval.c=
:2999
#128 0x00007ff750d689b2 in Fapply (nargs=3D2, args=3D0x4b94130) at eval.c:2=
623
#129 0x00007ff750d6a0c6 in funcall_subr (subr=3D0x7ff751462e40 <Sapply>,
numargs=3D2, args=3D0x4b94130) at eval.c:3063
#130 0x00007ff750dcfac8 in exec_byte_code (fun=3D..., args_template=3D128,
nargs=3D0, args=3D0xbfeae0) at bytecode.c:809
#131 0x00007ff750d6a24a in fetch_and_exec_byte_code (fun=3D...,
args_template=3D128, nargs=3D0, args=3D0xbfeae0) at eval.c:3085
#132 0x00007ff750d6a6de in funcall_lambda (fun=3D..., nargs=3D0,
arg_vector=3D0xbfeae0) at eval.c:3157
#133 0x00007ff750d698ef in funcall_general (fun=3D..., numargs=3D0,
args=3D0xbfeae0) at eval.c:2949
#134 0x00007ff750d69c22 in Ffuncall (nargs=3D1, args=3D0xbfead8) at eval.c:=
2999
#135 0x00007ff750d5ba35 in Ffuncall_interactively (nargs=3D1,
args=3D0xbfead8) at callint.c:250
#136 0x00007ff750d6a0c6 in funcall_subr (subr=3D0x7ff751462580
<Sfuncall_interactively>, numargs=3D1, args=3D0xbfead8) at eval.c:3063
#137 0x00007ff750d698a3 in funcall_general (fun=3D..., numargs=3D1,
args=3D0xbfead8) at eval.c:2945
#138 0x00007ff750d69c22 in Ffuncall (nargs=3D2, args=3D0xbfead0) at eval.c:=
2999
#139 0x00007ff750d689b2 in Fapply (nargs=3D3, args=3D0xbfead0) at eval.c:26=
23
#140 0x00007ff750d5bf05 in Fcall_interactively (function=3D...,
record_flag=3D..., keys=3D...) at callint.c:342
#141 0x00007ff750d69eae in funcall_subr (subr=3D0x7ff7514625c0
<Scall_interactively>, numargs=3D3, args=3D0x4b940a0) at eval.c:3042
#142 0x00007ff750dcfac8 in exec_byte_code (fun=3D...,
args_template=3D1025, nargs=3D1, args=3D0xbff410) at bytecode.c:809
#143 0x00007ff750d6a24a in fetch_and_exec_byte_code (fun=3D...,
args_template=3D1025, nargs=3D1, args=3D0xbff408) at eval.c:3085
#144 0x00007ff750d6a6de in funcall_lambda (fun=3D..., nargs=3D1,
arg_vector=3D0xbff408) at eval.c:3157
#145 0x00007ff750d698ef in funcall_general (fun=3D..., numargs=3D1,
args=3D0xbff408) at eval.c:2949
#146 0x00007ff750d69c22 in Ffuncall (nargs=3D2, args=3D0xbff400) at eval.c:=
2999
#147 0x00007ff750c71956 in call1 (fn=3D..., arg1=3D...) at lisp.h:3248
#148 0x00007ff750c75605 in command_loop_1 () at keyboard.c:1503
#149 0x00007ff750d64fc2 in internal_condition_case
(bfun=3D0x7ff750c74c50 <command_loop_1>, handlers=3D...,
hfun=3D0x7ff750c73e80 <cmd_error>) at eval.c:1474
#150 0x00007ff750c7479e in command_loop_2 (handlers=3D...) at keyboard.c:11=
33
#151 0x00007ff750d640ff in internal_catch (tag=3D...,
func=3D0x7ff750c74772 <command_loop_2>, arg=3D...) at eval.c:1197
#152 0x00007ff750c746db in command_loop () at keyboard.c:1111
#153 0x0000000000000000 in ?? ()
(gdb)

On Wed, May 22, 2024 at 8:12=E2=80=AFAM Hannes Domani <ssbssa@HIDDEN> wro=
te:
>
>  Am Mittwoch, 22. Mai 2024 um 07:57:48 MESZ hat Simen Endsj=C3=B8 <simend=
sjo@HIDDEN> Folgendes geschrieben:
>
> > >  I think (or rather hope) it will show us some large path.
> >
> > It was a bit difficult to get it crashing as it "hung" several times in=
stead of
> > crashing. But here is at last a crash:
> >
> >     get_volume_info: name=3D"d:/profiles/%s"
> >     get_volume_info: name=3D"//"
> >
> >     Thread 1 received signal SIGSEGV, Segmentation fault.
> >     [Switching to Thread 27916.0x5a7c]
> >     0x0000000000000000 in ?? ()
>
> Whoa, the result is very different from what I expected, but we found the
> culprit.
>
> @Eli
>
> Not sure where this "//" path is coming from, but parse_root() does
> not handle it correctly, it will look for 2 additional slashes after
> them for some reason (?), buf first ignore the null-delimiter with 'name+=
+',
> before the 'while ( *name )' check:
>
>   else if (IS_DIRECTORY_SEP (name[0]) && IS_DIRECTORY_SEP (name[1]))
>     {
>       int slashes =3D 2;
>
>       name +=3D 2;
>       do
>         {
>       if (IS_DIRECTORY_SEP (*name) && --slashes =3D=3D 0)
>         break;
>       name++;
>     }
>       while ( *name );
>       if (IS_DIRECTORY_SEP (name[0]))
>     name++;
>     }
>
> The 'root_len' it returns to get_volume_info() then likely overflows
> 'temp' in the following strncpy() call:
>
>       strncpy (temp, name, root_len);
>
> As a quick fix I suggest changing the if() to something like:
>
>       if (!*name || (IS_DIRECTORY_SEP (*name) && --slashes =3D=3D 0))
>
> Hannes




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 22 May 2024 06:12:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 22 02:12:38 2024
Received: from localhost ([127.0.0.1]:53660 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s9fDK-0006Y0-HM
	for submit <at> debbugs.gnu.org; Wed, 22 May 2024 02:12:38 -0400
Received: from sonic313-22.consmr.mail.ir2.yahoo.com ([77.238.179.189]:37787)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ssbssa@HIDDEN>) id 1s9fDF-0006Xm-6r
 for 70914 <at> debbugs.gnu.org; Wed, 22 May 2024 02:12:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.de; s=s2048;
 t=1716358341; bh=q/4f0UrIhre7ygLLE0Pful3jdpv32foxJXxi6RHuOKY=;
 h=Date:From:To:Cc:In-Reply-To:References:Subject:From:Subject:Reply-To;
 b=tm/D0d/WMAlHEBvjDxtMWVjPg/AMKlMUXT/2VMP4txkfhjZuHqpAXfD/J6lGGGwdLyx29P0xeojEm70q+ocX27p4N1pPqLHUnsFA+KWT3AArW9+mdchkrHUJQoT1ebyfyfpffaKgIW741r8BUmK22yxfcbbQF1NcKw3laPuQ36nMj0tCTUNzKgGJVHNmxYzoGRP8AUx3LLs/KMEWiK6WhuRbDc2iEf7Vx7KNmqNw9fROOb0Uepy2yof1z4pNYFwgjsnpNKQfyf+T8CcGdhz3NvNPzMFCzFrxOxhZbxdpDOhKrzkRW69aFQnxQvSVbxDWaZ6h0B+BoHQhAn4RTjaBLg==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1716358341; bh=OGwn5fwzWI/PXBgsZn6bfXj0T1ZBvmyN1JXbarhKD0l=;
 h=X-Sonic-MF:Date:From:To:Subject:From:Subject;
 b=LyTCxnxCZQumLFKHQm9QDUdVh2O757vtDioqkA3hCkSS8ByDARAkUZk4Mfdt9hsbocEz9+M9Iw5n7lFEEbcxh1L/ZpASOWPT/y/zhgqYrvRcF9qbxM5L9oL3CZD5rI9pqEt6yZYf4NqBvMU5m7NfEzLNwDYNRilFnj572RE2w/k2PU7Lko6L7M0PCrciZBBwOpKhqv0ebuIh+xIJ19YhPoc6f5wRgs0vqAzs02OBJvg7QrzPglefwPbbcfmCmsH/5ZWHWcDaZXmQOkO6HRCH0xhzD4tapI0MeykNiKeGvbMybk6p3893sL4rZOs+beHv60QPmFO2rZQ+NiWo833QMw==
X-YMail-OSG: qe9KPMcVM1nHqnQdsc5oENK6RYrc4Ag_Tm2vEaxeepFAlE4mIpE_r3fPad1PiCN
 c1HjHR.eXkkSHyOeokLHWBQ6IJdfVjBIlJDY9eoRZL6IVoNF33N3bYYzLrXdNIy5YU1LNA.gik06
 zIviFIlQKZy33zmm8BhAQDP01zq7f_IXUezQMoqk3GPpiXfzjoIvN6dwb0dWU5LqTdcGKQtHZ5q6
 gdPQYDQYKXfCN3W1ZXgloH2sMhMdCTeLDYpkCjZT_FlA781h8bhLQuT7QyiFmMuFI1Nl9QlZhgiM
 J.F1nQb5egO4_HhRzLYX.w0ZN2wzN_lFoQx3NMNH2igf8RQXSYL_eRrkE5yjo7ddW_PVLS9XMV8b
 3zOXx3opIpP5HScbNeh9HBzP7ZIdPU03G9CjO2TmBNRDBGlkF0a7tQtn2E16r63LdmhgomWfq6bz
 nNfySxFkh7tmpRtN4JeNT7NahVbv3_Qn88fZno7SZZcUu7jMHd4P1gOnyVdQTiVuECQaqUPglrX3
 eDoag1LnlXPkRQkwqGPtTSVeI1TWedbygcM5H1JXfTMjl4mTzelvTO.fmr6sFjiJF5L0InZXkn5v
 wrY46cMYmxXMYJTlMCNgW0nu8dfQgUdtqCY.2c3kEK6wFkcf9_VNQ4rNawszv3I4JDPdAxHCx4ZR
 TC6gczr9Y7_JQaX7X5A75sDdmkMjJFHLkzuq8f77dCJGXB2XXffn6ZspobBLockX5dDzmIlJysY1
 31oP36Rkhnk0TlZ0WyLpSGxrgJoYlV0sDw7n.zRBGix8gNzwDZcV29nFxorUcTBLWWiGZ9ahySJf
 MyForNgCsilx5ai4XBx8vW4wtuGBsJMWVXrbsOZp.2SzAqT6l7FesFRkJo6AsKtzst2ZA3xxn30.
 H3WkcRbUbtrwLQvGPB81zj1JA6Njmx9A1EAqsM5OtRMhSQU_KJ06LIxOfUUucoSq5cFDvGPZuTa_
 wig0a.pMa2NkZAGSbShw3Yrfed_a3Iny1G.nHwjr3jZsE8yF2GsPviR8Uzlf1xrQnQTVfDmFDYP2
 45PILY0dqhf8dK87S.NulGcy7B9JHSfqb4a3duma_D_8Jf5YE2kju6IFSTBV.2L85Y8la9rRiAcB
 8xUnPocegjphIbkX2Xyv__wRq0mvgrDjMgQUWrImi4P_2Bnj.Pi.YWqFVGTAFcSWf8qWf3Q1ZgN2
 .j51sc3SH7QGXZBZ8SN4BawuNksIlSuxoqNO8vUARs8oQTE2C.4xW033WcptTuhY7xGsWGk6JxZR
 vePlGOu4tfEpKOXty2bFoEYskKGEnwx4S4xz5YaDwTFBDU6oiHQWtLoscSfaS5yEPsBaOPpvp4wV
 RJZBm3IzgrMofVkxwU2iid_VrViklK3ciAUGYdtLiv48YlZHU6toJdalUz5AwSz3T2E3TgZX1MMJ
 Rd5iym98BqKv7dKVE98tYipMV4icuZHqBm3hAw8Cc5i3ynwKEUJZMQ_r55RKYef7Y8jAk1vZxT4n
 42Pre4US1L1.dobnorct3B0EjwCWWs1XkWq3Q1Lv_enraUuONJL6EzydG06E8ACtjoY2kUJmQAcz
 PFTYzFrQONprsHUKhTmxlT7j.m6Wb.TTfLFVDG0yWyenDAjoX5RAfJDjbDZzo8na8THj8hb_h4sA
 dXIrJwRH1AzfTFLQoTWwQ6mitJjc9OGiQNxdxe_J0GvIUxrAqPvUyRYsJk9AqKNRyQvbzn4YTvB7
 v9kUDfj_prD9meKFJHxNAgOisqwZ8dlVq6O.3iUIZF.NU8bYJGN4SAhcyce2sZ.w.m1E5jfEkb9i
 PV0WYmPukJfOrpwvEaWt210R3tJkdsdDsIeoWL7NYHQydhRPgYGuTRc54nKAuYPnS1hYiOlhIRO6
 xtHx61E0OjXPQbZu9fXT4y.v1qkyBlykP0KwBlAeg0g1UeEyq.nLVLwbrgGK9pjxTETMVCW6wUXz
 GSwCdOL_.NrhYdc8lbYvLz6tvVdJIFMjNPeCWbFhTScVCybV1NN7_9Ugr2MimYtz9SK_7.qJn18I
 fQiXYUooIf84W0INEufpW4YXgnxG3lbtiELt2GIY7e4nHHhQrOCKqzY8_BJ7HuF0luqUT0EbnSwo
 ze_CbBV5AoTqqzTEfj9gf.ZW1TOoH55iDwzOSg9z2zo.W3qW8O6Vg5uz4khXLso8jnXwUUwjyqxT
 GO.0Ob3vlJel0oWaAAwL5HCJnnRI_6SDQUmN1WjRLfvAhbC_KjcULGMeLRDXnyxJhUhI.QxWL3N.
 aNQ--
X-Sonic-MF: <ssbssa@HIDDEN>
X-Sonic-ID: f94b5c7d-6e50-4368-974f-043fb2879e87
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic313.consmr.mail.ir2.yahoo.com with HTTP; Wed, 22 May 2024 06:12:21 +0000
Date: Wed, 22 May 2024 06:12:17 +0000 (UTC)
From: Hannes Domani <ssbssa@HIDDEN>
To: =?UTF-8?Q?Simen_Endsj=C3=B8?= <simendsjo@HIDDEN>
Message-ID: <582535681.1158538.1716358337102@HIDDEN>
In-Reply-To: <CAHkVV6H5WcfvA=Mb639Qdo+kQuzckUBb2WLOCfxcJTtRo0u=tw@HIDDEN>
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 <86bk4z81cu.fsf@HIDDEN> <554078779.3957737.1716318331280@HIDDEN>
 <CAHkVV6E3_1VwY=iiBL6cxySw-oXF2R3VzxQjDuWKhMV4i2Jusw@HIDDEN>
 <984937837.4078826.1716352322860@HIDDEN>
 <CAHkVV6GY_s0BaPK7cA5y-5QUji9PK1AucZ7ApmMc06aLmqpzqQ@HIDDEN>
 <829659206.4083070.1716354489264@HIDDEN>
 <CAHkVV6H5WcfvA=Mb639Qdo+kQuzckUBb2WLOCfxcJTtRo0u=tw@HIDDEN>
Subject: Re: bug#70914: 29.3; Crashes often on Windows
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Mailer: WebService/1.1.22356 YMailNorrin
Content-Length: 1922
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70914
Cc: Eli Zaretskii <eliz@HIDDEN>, Corwin Brust <corwin@HIDDEN>,
 "70914 <at> debbugs.gnu.org" <70914 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 Am Mittwoch, 22. Mai 2024 um 07:57:48 MESZ hat Simen Endsj=C3=B8 <simendsj=
o@HIDDEN> Folgendes geschrieben:

> >=C2=A0 I think (or rather hope) it will show us some large path.
>
> It was a bit difficult to get it crashing as it "hung" several times inst=
ead of
> crashing. But here is at last a crash:
>
>=C2=A0=C2=A0=C2=A0=C2=A0 get_volume_info: name=3D"d:/profiles/%s"
>=C2=A0=C2=A0=C2=A0=C2=A0 get_volume_info: name=3D"//"
>
>=C2=A0=C2=A0=C2=A0=C2=A0 Thread 1 received signal SIGSEGV, Segmentation fa=
ult.
>=C2=A0=C2=A0=C2=A0=C2=A0 [Switching to Thread 27916.0x5a7c]
>=C2=A0=C2=A0=C2=A0=C2=A0 0x0000000000000000 in ?? ()

Whoa, the result is very different from what I expected, but we found the
culprit.

@Eli

Not sure where this "//" path is coming from, but parse_root() does
not handle it correctly, it will look for 2 additional slashes after
them for some reason (?), buf first ignore the null-delimiter with 'name++'=
,
before the 'while ( *name )' check:

=C2=A0 else if (IS_DIRECTORY_SEP (name[0]) && IS_DIRECTORY_SEP (name[1]))
=C2=A0=C2=A0=C2=A0 {
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 int slashes =3D 2;

=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 name +=3D 2;
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 do
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 {
=C2=A0=C2=A0 =C2=A0=C2=A0 if (IS_DIRECTORY_SEP (*name) && --slashes =3D=3D =
0)
=C2=A0=C2=A0 =C2=A0=C2=A0=C2=A0=C2=A0 break;
=C2=A0=C2=A0 =C2=A0=C2=A0 name++;
=C2=A0=C2=A0 =C2=A0}
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 while ( *name );
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 if (IS_DIRECTORY_SEP (name[0]))
=C2=A0=C2=A0 =C2=A0name++;
=C2=A0=C2=A0=C2=A0 }

The 'root_len' it returns to get_volume_info() then likely overflows
'temp' in the following strncpy() call:

=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 strncpy (temp, name, root_len);

As a quick fix I suggest changing the if() to something like:

=C2=A0=C2=A0 =C2=A0=C2=A0 if (!*name || (IS_DIRECTORY_SEP (*name) && --slas=
hes =3D=3D 0))

Hannes




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 22 May 2024 05:59:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 22 01:59:04 2024
Received: from localhost ([127.0.0.1]:53606 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s9f0C-0006Q0-39
	for submit <at> debbugs.gnu.org; Wed, 22 May 2024 01:59:04 -0400
Received: from mail-lj1-f172.google.com ([209.85.208.172]:56368)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <simendsjo@HIDDEN>) id 1s9f07-0006PX-Nu
 for 70914 <at> debbugs.gnu.org; Wed, 22 May 2024 01:59:02 -0400
Received: by mail-lj1-f172.google.com with SMTP id
 38308e7fff4ca-2e576057c06so56422721fa.0
 for <70914 <at> debbugs.gnu.org>; Tue, 21 May 2024 22:58:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1716357468; x=1716962268; darn=debbugs.gnu.org;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:from:to:cc:subject:date
 :message-id:reply-to;
 bh=BZsO+8gUGJUh17nRfzJCPy1Q78pnE1GvTEpZu7aqvDk=;
 b=hPZjppLaO32tMyO0W/muigI3pECNZsev/X36EogZejnmVAL7tFZtjmaiCehURmZwIe
 CbGYRNcNDXxOAOmZiUxk0zKYA6kK8lMCjyweY02eVbYxsm19tE6YLtith64Zeg4y16As
 adhURmw+ALfCZ8gMoc4HaYvhcEhrtu5Vowcg9IlOoOtvsjr4Rr9S+PVFfIAjsYgqnlEY
 VWlt7mEzqTNXyXtTBKBeZ0/7xyEWmI1exy9qjFktiZql8cT2XVxTEG6R4lAbZfYIECCE
 hNI56TJsikZ20B9kOrD3WUfTbxq/PLYalgf/2RQ+CfW+CnX+izn2+H6NM8nvPIuVvnyG
 vhTA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1716357468; x=1716962268;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=BZsO+8gUGJUh17nRfzJCPy1Q78pnE1GvTEpZu7aqvDk=;
 b=NwPtF3fAqkwOs5upHXrXLVnU8lv2vuYa/Yd7vnkqCemhTFP+3YpubNkoyNZPe74HPq
 +C2PX28Jovf8IJRV4JRL73eFCcyMJMx3kqoxLz+EFm4kriRCV8ELkWFEQ46+R0k7GvlS
 VYTPTfzM4diNnGd8iCRR35eNlx40ip/2+G93GbnNlPUJLiGiAo/ZUQIS1GJHcC2pgQ0S
 G0BRZorGsPtxpahSL696WrZ0of3z9PZTDmmjI3yQc53uraV2JBkyo+JS9AnUZlqN8iCA
 8NzXD2hxBBDMLj/2Xdv4ZQnm+oPbXMFSdteX5o2cmYPEpME4xZRSX1y5/8QoIyqFYan5
 qjaQ==
X-Forwarded-Encrypted: i=1;
 AJvYcCWn6elIjDfpeZ28iVdDb3oXw3UjE4PXvRik81lZw1ENdYC/5c3JT1GYZTH29N4uC931hMKRn92UMb2o3f9Zsibyfa+j+Lk=
X-Gm-Message-State: AOJu0YwIcm1ssF08JA6CQALQNA/J9467O8/U1kHhKP9cX8Y5AJyHHqBs
 v4xrMQqhj8mELMu34Z/gQnCsKQeicPnLtOpXna8Tk+G9VhJDVmtXUczrdaZrxI4qsscGZC39LhV
 bOQZRPFDZxOdM2XLjPMjzbNaCSgA=
X-Google-Smtp-Source: AGHT+IHa6tkSZ8E9Xab4+tWT1PhZCPk+mpel4Dz8QS83/FyQlz9c12YfEovjMI1HF9Fr4TQxcdvuz/EV9Cjr2aidZi0=
X-Received: by 2002:a2e:87cf:0:b0:2e5:67a8:2e5a with SMTP id
 38308e7fff4ca-2e9494c1bb3mr5244601fa.13.1716357467619; Tue, 21 May 2024
 22:57:47 -0700 (PDT)
MIME-Version: 1.0
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 <86bk4z81cu.fsf@HIDDEN> <554078779.3957737.1716318331280@HIDDEN>
 <CAHkVV6E3_1VwY=iiBL6cxySw-oXF2R3VzxQjDuWKhMV4i2Jusw@HIDDEN>
 <984937837.4078826.1716352322860@HIDDEN>
 <CAHkVV6GY_s0BaPK7cA5y-5QUji9PK1AucZ7ApmMc06aLmqpzqQ@HIDDEN>
 <829659206.4083070.1716354489264@HIDDEN>
In-Reply-To: <829659206.4083070.1716354489264@HIDDEN>
From: =?UTF-8?Q?Simen_Endsj=C3=B8?= <simendsjo@HIDDEN>
Date: Wed, 22 May 2024 07:57:36 +0200
Message-ID: <CAHkVV6H5WcfvA=Mb639Qdo+kQuzckUBb2WLOCfxcJTtRo0u=tw@HIDDEN>
Subject: Re: bug#70914: 29.3; Crashes often on Windows
To: Hannes Domani <ssbssa@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70914
Cc: Eli Zaretskii <eliz@HIDDEN>, Corwin Brust <corwin@HIDDEN>,
 "70914 <at> debbugs.gnu.org" <70914 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>  I think (or rather hope) it will show us some large path.

It was a bit difficult to get it crashing as it "hung" several times instea=
d of
crashing. But here is at last a crash:

    get_volume_info: name=3D"d:/profiles/%s"
    get_volume_info: name=3D"//"

    Thread 1 received signal SIGSEGV, Segmentation fault.
    [Switching to Thread 27916.0x5a7c]
    0x0000000000000000 in ?? ()

On Wed, May 22, 2024 at 7:08=E2=80=AFAM Hannes Domani <ssbssa@HIDDEN> wro=
te:
>
>  Am Mittwoch, 22. Mai 2024 um 06:38:36 MESZ hat Simen Endsj=C3=B8 <simend=
sjo@HIDDEN> Folgendes geschrieben:
>
> > > From reading just this source file I'm not sure emacs supports long p=
aths.
> > > How long is your path? Maybe you can show what it looks like?
> >
> > D:/profiles/system.org
>
> Then I guess it's not this path that's the problem.
> I just tried putting a breakpoint at get_volume_info and opening a .org f=
ile,
> it was hit quite a lot more than I expected, too much to handle manually.
>
> So I suggest doing something like this instead:
> ```
> (gdb) dprintf get_volume_info,"get_volume_info: name=3D\"%s\"\n",name
> Dprintf 8 at 0x7ff61af39cd0: file ../../src/w32.c, line 3476, column 1.
> (gdb) c
> Continuing.
> [Thread 12788.0x3768 exited with code 0]
> get_volume_info: name=3D"c:/Users/abc/AppData/Roaming/.emacs.d/auto-save-=
list"
> get_volume_info: name=3D"c:/Users/abc/AppData/Roaming/.emacs.d/auto-save-=
list"
> get_volume_info: name=3D"c:/Users/abc/AppData/Roaming/.emacs.d/auto-save-=
list"
> get_volume_info: name=3D"c:/src/repos/emacs.git/etc/HELLO"
> ```
>
> When you add this dprintf before opening the file, we will see the name o=
f
> the last file it was called for before the crash.
> I think (or rather hope) it will show us some large path.
>
>
> Hannes




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 22 May 2024 05:08:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 22 01:08:31 2024
Received: from localhost ([127.0.0.1]:53354 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s9eDG-0005kt-VF
	for submit <at> debbugs.gnu.org; Wed, 22 May 2024 01:08:31 -0400
Received: from sonic302-19.consmr.mail.ir2.yahoo.com ([87.248.110.82]:44464)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ssbssa@HIDDEN>) id 1s9eDA-0005kn-GZ
 for 70914 <at> debbugs.gnu.org; Wed, 22 May 2024 01:08:30 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.de; s=s2048;
 t=1716354493; bh=KZgG+1ZJv15VR73sjzAQD+AMyrYMX9oGtJqlH27i2kU=;
 h=Date:From:To:Cc:In-Reply-To:References:Subject:From:Subject:Reply-To;
 b=G//SXSRTKz6gEy+tON8jS2aG8k9Li1ZVwZdxg9jmvokW2V+bWtt0aRN3DxylUMUi2dJtqh7zL6BES10opB4o8nDSHZazskE1pigUyt7PTa1JTEGlKlqxA6eMp+APF5yOmOcjQD9QD1YM8UulhhPagp0xuJgc2gU3BoaqZx0vElkw/cJxdLHtXhQoZvypux/SuavjcnmjRsRJNZ6/pt9CuVH9cC5XVRg6C2tt3aUYuWPYdfZYNbG+AG1GjK/XKvEplRPdBWjbmAqrYDIUNJxAwMOseFFTjh8a1G0ijJ4mVPNIK0Sq1FjehHczIf7pQvLy0QtdoygM4BjxE8uTqg6V1g==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1716354493; bh=hUAebEqL7gDx16PmgWl8ePR5ihToec8+K+uVzQds57U=;
 h=X-Sonic-MF:Date:From:To:Subject:From:Subject;
 b=KPcg1C7NKx/ESBf1YnETeFiSC/aw6uJFZWKKlQA0bmSoyUdCry2N9qQq0KBBpbPERAxUGEL/7wHzkmPB8/htLfqbm758D5MsNwO3y66CwcJls4lP8kpjS7IF8XVz9dMFTc1vta3WyVawqu0Drepn8ANwh/fA/pu2w9Ne7ifNYxuMqvQ4OKcaToUM0qZw1gE0vFRwnOd1p6tObt7l/SXp0KGoQ7wurtfyx21usRO3qeYsHyxcmRzVNDP6o+hZCK9ky30mdzVXhkWreBhy75Y/5EEPAkuCtKj52h/VssyR90+FsSqjkE82EURGVTejWQfMzGMyKBPpZPQOlWioE8KnOg==
X-YMail-OSG: G.r2AlQVM1n3FlX.FEOBCI8drkS1c3_tartHpgwDDelSCVeKBZWRhNyT8mwCm7o
 AyCM5Q2PTDg2r97nQwnq0dQh5noX1Sn2eaizgaeiGJU0MVKGTbTC8P_T2uIgLvzfpqEG7IhgR7NB
 gkvyhdQxtj5rtFmO44pU1mW3F414YGmcCWwI2xJY31Rhr4tH98bYrvzQ0D.HXkaUPJls21qjrZxn
 Lva.FoNcjYnOsf1WTXv2syIu4v9kI0X0uxvTfuG6P8ZrclXzxKqcS3EsljRiQWlnkE5VLCI7Bk1y
 .X53SkvPCxyt8m9u1EC4Fy04wfdxxor2e23_WcZ3tsrhvifXCsVMDuKkBxS4NdtMKOK0fGdw_kuJ
 bwQ9A6AsjaCSfZMEnooWz5qiUagbDkPBqOyfDIPqNLswiCB69JICGBgrI46mrNpnUfOASec.Yu61
 XZ4m.DtDsdzK.Ism5fOVwVkcKOf4OKYKx14VcPLMBSI2FtiSApHvApEKVFQzgDg4L2_zmHLZZG5P
 DTP1IbyfMbQPJldUQXz.K22gssgX10__wG5ssOSzFfpRXoT23MJWEeTsS1lFjBTjFKfM2ciTBYsW
 wWM0NuVr61B4.vbRvtsoF4s3of9sH4FB56FLeniM7tBhB7nuLEpQEOZXWjxLyGHbkMQ0IFO9yPSH
 4AeNqr1fo4Edt5uqPYpSVmWmSJmJpT2BlB_rny4Za4KZnar.HlqRGzuEGi1.6FvHbh_WgE7wDbRT
 btVZao5RSM3m9LIlAd4mlpah2eTeVGB1xmlvt85COtxxsEl4xfFJ4FzcGfXPUNfnvF4d8N8NYCdT
 Byei1.jcZIK709yiqUS9P9ctBkzAY_PWnsppPsq2ACC.vqKT.D6XXRkttD5O0V1CU839TJu1gHy8
 b6V0QWDV6MesFADdR1qmXtLDpsJTgOfme4ADtu.8lkoaQHQkOfpIacQ0NOhxQ2YtH5U4hkXCj3QV
 Sbuo_znxjMpI7Xr1iUzxqq.nq2l2ZHMgIUSfrJ2eqQfUzHAUH7NaIk7ggMnwzLSMUo7CgC0cyiMk
 31.s3hEBiPs.iOwZ3yT0uDmUCtjmcGQIU9FvrjYhek35B5jA0dU5NFsGaa1uoAjUFzqgZyHgrGFk
 oLzZiFXBGU7LOi7a7eJc89QfZ7TrN2ERVeHj.FYYW9bW17MUt3xdqNoR0NysN9xatrKBEIk3JfZ7
 xGBVPFJFN1UvMbQ_JPP647qYuqXligVqe.2rvup6dbcmTZkxIhJ.egZpuSc1AKdjuaNkfaushtdE
 KgGAfwmmtCnyrCl7KaTdhaLCj0z.I3EjrDYnsJubVYEiUtqEMXP5QgqZsx0e4_OZbin2Ma3roSwm
 CyQPq04tYpbxuu94wMFn0TNRJ_SVtWD7zOVHgcUrGA8GI5W2PHMiI7TvxCSUVU2MbVdlILE7_DTn
 R8lv8_nu0nYIqwYP5Y25XBEylRb12XXVHqafg_Z8O6934RkYckNOUMjdD6OMcZPpjoQL7DyJzF8y
 Nf0KgH1xLJsj9f43rteC9_UrPop0xwbMfkVIYIWnzeGLC1PwR.wcOhLeyxyGc_92_zq7uznatcH8
 AjINRIf2V_6YYl9VN8O9A8J64hrfW7tNtKHl2b67FSkStl8gg6L7VtQjBfHcmkPWHwklGv7hRlcB
 2NTgp7U6YdZ4N7y0gE56TpsRPYjK7EB9WOyuCyP9Z2nu2NfUpOI4yIq_lp8SyyKXUo9Rns82fuoh
 K1kXCuO3b8CNkV7Yr9Brw.Rh3JgGQ23puf_9iCY6BxBccxCUZiHIysOZC24wFJs6kmOUj4rbtEMH
 C2PvVjQlBcXOLF3VV5rYiFVjX3DiXhteZSy4vB028hcRaZqb7_pQY5sQ7ZlGMpVqfgsO34L_E_xp
 uj054XhZ0llqeFgql4LIhzi_wVAfdug201fzhdsjvss5Xm.PFHgzcErOe5uVN6B6xTEfIDRA_bzl
 E5MTHxpvW75Cbs9kVS8YTqLyREnb3V43n_d1ym.vR7TBmEaI.tRH4klTOlmnyOkb6PdRReYlVujl
 rJwCLaZqGWZYPPzJyqtRN3Qjm38YO14OYGNXMKAKTA6XxqwJrUdZ7ydzg9g_3bozCngXV_NoCet4
 OvQYO3R8UZWId1zGQzs4LTq7AL63nSClCke_PD14goDPIgd_ROw8o_vqg6Rzrot39HHJUDzYOq19
 0IGe9l6THsIBEHKlJMQbw42ORTXtOMtOVYU7wZUVqGC5zDg_D.HvLg7zkWfFCHWFAhYcR051PGXJ
 GXw--
X-Sonic-MF: <ssbssa@HIDDEN>
X-Sonic-ID: 4e94a42a-fa12-47fc-a659-54dc421438db
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic302.consmr.mail.ir2.yahoo.com with HTTP; Wed, 22 May 2024 05:08:13 +0000
Date: Wed, 22 May 2024 05:08:09 +0000 (UTC)
From: Hannes Domani <ssbssa@HIDDEN>
To: =?UTF-8?Q?Simen_Endsj=C3=B8?= <simendsjo@HIDDEN>
Message-ID: <829659206.4083070.1716354489264@HIDDEN>
In-Reply-To: <CAHkVV6GY_s0BaPK7cA5y-5QUji9PK1AucZ7ApmMc06aLmqpzqQ@HIDDEN>
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 <86bk4z81cu.fsf@HIDDEN> <554078779.3957737.1716318331280@HIDDEN>
 <CAHkVV6E3_1VwY=iiBL6cxySw-oXF2R3VzxQjDuWKhMV4i2Jusw@HIDDEN>
 <984937837.4078826.1716352322860@HIDDEN>
 <CAHkVV6GY_s0BaPK7cA5y-5QUji9PK1AucZ7ApmMc06aLmqpzqQ@HIDDEN>
Subject: Re: bug#70914: 29.3; Crashes often on Windows
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Mailer: WebService/1.1.22356 YMailNorrin
Content-Length: 1250
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70914
Cc: Eli Zaretskii <eliz@HIDDEN>, Corwin Brust <corwin@HIDDEN>,
 "70914 <at> debbugs.gnu.org" <70914 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 Am Mittwoch, 22. Mai 2024 um 06:38:36 MESZ hat Simen Endsj=C3=B8 <simendsj=
o@HIDDEN> Folgendes geschrieben:

> > From reading just this source file I'm not sure emacs supports long pat=
hs.
> > How long is your path? Maybe you can show what it looks like?
>
> D:/profiles/system.org

Then I guess it's not this path that's the problem.
I just tried putting a breakpoint at get_volume_info and opening a .org fil=
e,
it was hit quite a lot more than I expected, too much to handle manually.

So I suggest doing something like this instead:
```
(gdb) dprintf get_volume_info,"get_volume_info: name=3D\"%s\"\n",name
Dprintf 8 at 0x7ff61af39cd0: file ../../src/w32.c, line 3476, column 1.
(gdb) c
Continuing.
[Thread 12788.0x3768 exited with code 0]
get_volume_info: name=3D"c:/Users/abc/AppData/Roaming/.emacs.d/auto-save-li=
st"
get_volume_info: name=3D"c:/Users/abc/AppData/Roaming/.emacs.d/auto-save-li=
st"
get_volume_info: name=3D"c:/Users/abc/AppData/Roaming/.emacs.d/auto-save-li=
st"
get_volume_info: name=3D"c:/src/repos/emacs.git/etc/HELLO"
```

When you add this dprintf before opening the file, we will see the name of
the last file it was called for before the crash.
I think (or rather hope) it will show us some large path.


Hannes




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 22 May 2024 04:37:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 22 00:37:23 2024
Received: from localhost ([127.0.0.1]:53227 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s9dj9-0005MS-9M
	for submit <at> debbugs.gnu.org; Wed, 22 May 2024 00:37:23 -0400
Received: from mail-lf1-f43.google.com ([209.85.167.43]:47292)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <simendsjo@HIDDEN>) id 1s9dj7-0005MJ-MA
 for 70914 <at> debbugs.gnu.org; Wed, 22 May 2024 00:37:22 -0400
Received: by mail-lf1-f43.google.com with SMTP id
 2adb3069b0e04-51f3a49ff7dso8088208e87.2
 for <70914 <at> debbugs.gnu.org>; Tue, 21 May 2024 21:37:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1716352570; x=1716957370; darn=debbugs.gnu.org;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:from:to:cc:subject:date:message-id:reply-to;
 bh=V8aeTetH/+H4BoSfyh9rD39IE+WjieoXH6+qn1y5u2Q=;
 b=HulcQV10Gwlj/C2EnVhpFqWpLdgAanNINQixsRg4MgqfHpwTmygrkstI3ivTBaUse4
 mkIuIEYlQnVrPb7xvkKaYbd/F9MGrGiASieNRfNesC3+evWx+mIdV4z/Rcdn5gkxROJX
 VubU+9nBAqB7uha5FUlhTgSjT9rrcqdxq7+9j1PQyPu+RIi9RDECapq0kJe4s1P8eyWU
 G+09+c8NtujYW2fc6cIwgYGXirOXviSKwVTPEYQ8irB+v43TndjwslOy6wB+coHALibL
 v9Osk/Ksp5JydUspxfOqamh2yfYQerhEA+yrL/neCscrNhvwjRT9Ce8aWZ4jvMa+KiCl
 aMdA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1716352570; x=1716957370;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=V8aeTetH/+H4BoSfyh9rD39IE+WjieoXH6+qn1y5u2Q=;
 b=J4qdj8yOYQBLKETI4OnLUcDc6AGuTpINekt60PGdNxxGgu3BkgCnc9rJbdAadb9DcT
 ofi6pWiX2wy2oPJtelI+Gu/pA/JgGl1/FhK0KpNAZtX50jBhvAkZ81yfp+Tv5dnQztqu
 TrYjUknyDB3kqDFXdAt9g9vtjB0CrE6coZZKZ2nAq8fLDb6vbY2DhVlAQpcxXZUQ210Z
 e+bofYbRp0IAyJWPz2WGorhYQUfH8qcOoB1Pal6RTavqhuMAcrkRJRzTxc5ScxyLGDTF
 DCglzF9RjHcINm43/QFDg/bp04xp+7xqPQo7rBomDUJcXgvSAJ+h7HX6iTwIEk5mLh5m
 zs3Q==
X-Forwarded-Encrypted: i=1;
 AJvYcCXORj4pbnjdOZcy/0ygX+UjGNP3jWraxNhdDI1tdF56tNU1h67DTS/fkc8xEgs7orhRP4gmS3ru4RdTTuX3MnEq4QNejKI=
X-Gm-Message-State: AOJu0Yya8AinvUaJUaWq+HfomyOxJD1yx8z9P3yaBJaFTwXef6y0vj5E
 SBjRhddmZbAkkcPD/RaulM0zLP6j1jSE0VjhzBHRH4hkY5b1EwESaX1oYei8Le0VCaveDDnjhqP
 fPi6CLhCZjO+Ry06QDDw5Suhctk0=
X-Google-Smtp-Source: AGHT+IHafkQ1+tr2TvnzbLcBRVwHfaKjFjILB5xfMxDcJ4946G1b1pbcWEHZ7MNYNTLTHpL57fe9mX3p7I/VB4njVBQ=
X-Received: by 2002:ac2:53a7:0:b0:521:533d:6367 with SMTP id
 2adb3069b0e04-526bfc02b06mr334776e87.63.1716352569924; Tue, 21 May 2024
 21:36:09 -0700 (PDT)
MIME-Version: 1.0
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 <86bk4z81cu.fsf@HIDDEN> <554078779.3957737.1716318331280@HIDDEN>
 <CAHkVV6E3_1VwY=iiBL6cxySw-oXF2R3VzxQjDuWKhMV4i2Jusw@HIDDEN>
 <984937837.4078826.1716352322860@HIDDEN>
In-Reply-To: <984937837.4078826.1716352322860@HIDDEN>
From: =?UTF-8?Q?Simen_Endsj=C3=B8?= <simendsjo@HIDDEN>
Date: Wed, 22 May 2024 06:35:58 +0200
Message-ID: <CAHkVV6GY_s0BaPK7cA5y-5QUji9PK1AucZ7ApmMc06aLmqpzqQ@HIDDEN>
Subject: Re: bug#70914: 29.3; Crashes often on Windows
To: Hannes Domani <ssbssa@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000003d63c806190379d3"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70914
Cc: Eli Zaretskii <eliz@HIDDEN>, Corwin Brust <corwin@HIDDEN>,
 70914 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000003d63c806190379d3
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

> From reading just this source file I'm not sure emacs supports long paths=
.
> How long is your path? Maybe you can show what it looks like?

D:/profiles/system.org

On Wed, May 22, 2024, 06:32 Hannes Domani <ssbssa@HIDDEN> wrote:

>  Am Dienstag, 21. Mai 2024 um 22:32:04 MESZ hat Simen Endsj=C3=B8 <
> simendsjo@HIDDEN> Folgendes geschrieben:
>
> > Look at that! I tried running it twice, and it reported the same
> location both
> > times.
> >
> > This is when opening my "system.org" file. My D: is a VHD DevDrive
> > (ReFs), but I have experiencing crashes since way before I migrated to =
a
> > DevDrive.
> >
> > I have some symlinked folders further down the tree too. And Developer
> Mode
> > enabled which allows me to register symlinks without admin rights.
> >
> > I have LongPathsEnabled, ref
> >
> https://learn.microsoft.com/en-us/windows/win32/fileio/maximum-file-path-=
limitation?tabs=3Dregistry
>
>
> >     Thread 1 received signal SIGSEGV, Segmentation fault.
> >     0x0000000000000000 in ?? ()
> >     (gdb) bt
> >     #0  0x0000000000000000 in ?? ()
> >     #1  0x0000000000000000 in ?? ()
> >     (gdb) reverse-stepi
> >     0x00007ff7beeabe9d in get_volume_info (name=3D<unavailable>,
> > pPath=3D<unavailable>) at w32.c:3502
> >     3502    }
> >             ^
> >     (gdb) bt
> >     #0  0x00007ff7beeabe9d in get_volume_info (name=3D<unavailable>,
> > pPath=3D<unavailable>) at w32.c:3502
> >     #1  0x0000000000000000 in ?? ()
> >     Backtrace stopped: not enough registers or memory available to
> > unwind further
>
> From reading just this source file I'm not sure emacs supports long paths=
.
> How long is your path? Maybe you can show what it looks like?
>
> There might be a buffer overflow happening in get_volume_info(), this
> line looks suspicious to me:
> 3488      strncpy (temp, name, root_len);
>
> If it turns out the problem is not in get_volume_info(), you might have
> to step further back with 'reverse-next' to see where it was called from.
>
>
> Hannes
>

--0000000000003d63c806190379d3
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto"><span style=3D"font-size:12.8px">&gt; From reading just t=
his source file I&#39;m not sure emacs supports long paths.</span><br style=
=3D"font-size:12.8px"><span style=3D"font-size:12.8px">&gt; How long is you=
r path? Maybe you can show what it looks like?</span><div dir=3D"auto"><spa=
n style=3D"font-size:12.8px"><br></span></div><div dir=3D"auto"><span style=
=3D"font-size:12.8px">D:/profiles/<a href=3D"http://system.org">system.org<=
/a></span></div></div><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=
=3D"gmail_attr">On Wed, May 22, 2024, 06:32 Hannes Domani &lt;<a href=3D"ma=
ilto:ssbssa@HIDDEN">ssbssa@HIDDEN</a>&gt; wrote:<br></div><blockquote c=
lass=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;=
padding-left:1ex">=C2=A0Am Dienstag, 21. Mai 2024 um 22:32:04 MESZ hat Sime=
n Endsj=C3=B8 &lt;<a href=3D"mailto:simendsjo@HIDDEN" target=3D"_blank" =
rel=3D"noreferrer">simendsjo@HIDDEN</a>&gt; Folgendes geschrieben:<br>
<br>
&gt; Look at that! I tried running it twice, and it reported the same locat=
ion both<br>
&gt; times.<br>
&gt;<br>
&gt; This is when opening my &quot;<a href=3D"http://system.org" rel=3D"nor=
eferrer noreferrer" target=3D"_blank">system.org</a>&quot; file. My D: is a=
 VHD DevDrive<br>
&gt; (ReFs), but I have experiencing crashes since way before I migrated to=
 a<br>
&gt; DevDrive.<br>
&gt;<br>
&gt; I have some symlinked folders further down the tree too. And Developer=
 Mode<br>
&gt; enabled which allows me to register symlinks without admin rights.<br>
&gt;<br>
&gt; I have LongPathsEnabled, ref<br>
&gt; <a href=3D"https://learn.microsoft.com/en-us/windows/win32/fileio/maxi=
mum-file-path-limitation?tabs=3Dregistry" rel=3D"noreferrer noreferrer" tar=
get=3D"_blank">https://learn.microsoft.com/en-us/windows/win32/fileio/maxim=
um-file-path-limitation?tabs=3Dregistry</a><br>
<br>
<br>
&gt;=C2=A0=C2=A0=C2=A0=C2=A0 Thread 1 received signal SIGSEGV, Segmentation=
 fault.<br>
&gt;=C2=A0=C2=A0=C2=A0=C2=A0 0x0000000000000000 in ?? ()<br>
&gt;=C2=A0=C2=A0=C2=A0=C2=A0 (gdb) bt<br>
&gt;=C2=A0=C2=A0=C2=A0=C2=A0 #0=C2=A0 0x0000000000000000 in ?? ()<br>
&gt;=C2=A0=C2=A0=C2=A0=C2=A0 #1=C2=A0 0x0000000000000000 in ?? ()<br>
&gt;=C2=A0=C2=A0=C2=A0=C2=A0 (gdb) reverse-stepi<br>
&gt;=C2=A0=C2=A0=C2=A0=C2=A0 0x00007ff7beeabe9d in get_volume_info (name=3D=
&lt;unavailable&gt;,<br>
&gt; pPath=3D&lt;unavailable&gt;) at w32.c:3502<br>
&gt;=C2=A0=C2=A0=C2=A0=C2=A0 3502=C2=A0=C2=A0=C2=A0 }<br>
&gt;=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=
=A0 ^<br>
&gt;=C2=A0=C2=A0=C2=A0=C2=A0 (gdb) bt<br>
&gt;=C2=A0=C2=A0=C2=A0=C2=A0 #0=C2=A0 0x00007ff7beeabe9d in get_volume_info=
 (name=3D&lt;unavailable&gt;,<br>
&gt; pPath=3D&lt;unavailable&gt;) at w32.c:3502<br>
&gt;=C2=A0=C2=A0=C2=A0=C2=A0 #1=C2=A0 0x0000000000000000 in ?? ()<br>
&gt;=C2=A0=C2=A0=C2=A0=C2=A0 Backtrace stopped: not enough registers or mem=
ory available to<br>
&gt; unwind further<br>
<br>
From reading just this source file I&#39;m not sure emacs supports long pat=
hs.<br>
How long is your path? Maybe you can show what it looks like?<br>
<br>
There might be a buffer overflow happening in get_volume_info(), this<br>
line looks suspicious to me:<br>
3488=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 strncpy (temp, name, root_len);<br>
<br>
If it turns out the problem is not in get_volume_info(), you might have<br>
to step further back with &#39;reverse-next&#39; to see where it was called=
 from.<br>
<br>
<br>
Hannes<br>
</blockquote></div>

--0000000000003d63c806190379d3--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 22 May 2024 04:32:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 22 00:32:21 2024
Received: from localhost ([127.0.0.1]:53198 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s9deG-0005Je-SP
	for submit <at> debbugs.gnu.org; Wed, 22 May 2024 00:32:21 -0400
Received: from sonic302-19.consmr.mail.ir2.yahoo.com ([87.248.110.82]:43146)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ssbssa@HIDDEN>) id 1s9deE-0005JY-JV
 for 70914 <at> debbugs.gnu.org; Wed, 22 May 2024 00:32:19 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.de; s=s2048;
 t=1716352327; bh=h8U7zVKIsShRsoUJER8DzKf2FFmnvsLERUg/iDdv3W8=;
 h=Date:From:To:Cc:In-Reply-To:References:Subject:From:Subject:Reply-To;
 b=Im+6Y8kXKR6eLWTG5zA0cuFOKPqDRA9UZmFVDeTNF7sPDfPPqrNfEaT/cfrxCO3+o44KmH5PbVrW2REPcuWeCuLTqPZeozF4nPxVPLkTvcEh1hD4CZgcitNx6ZdNkky1Gh5Q45sSwV0y+HCZO60ZYqQk8YIFQIF252Moa2h/gRhtcc62xLWIk1KWF6RbeoaGF2ZU2XE9TxjxDQQzjBvTiJ7n8teO6UXDRh72TC9vTIu3KzlOL7KVbefRUaM3BiMP7glrea7vWc2AhdYrV9igsIPyeaxGSXEEIuoOpqiaGB8unqtQDkGjrbgcCi7YMuiLR5HJzb8xOUcx8saw+Mdd0Q==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1716352327; bh=dcg0a7+vu6TEwQZ5vUy+gAhWt7NK3hZzzmDuRCxNnTO=;
 h=X-Sonic-MF:Date:From:To:Subject:From:Subject;
 b=Nlxsy7Wy2YAhJYWlcwZCyoMgSLTejsYa//V6Z3PlzUxpVe/uGHIj4oZk8GV6pT/QqR4WvhyGSHr6VGmPFZIopTu60OgAiFGGCT+QU0EhoDIQ7tRtnXbxD0gT9EGDaVFMhFzK+bS1Wv3vvPFIHIGH5QM6npGBDAO/LDMdiV7Yc7XSHm6HwuSrtOsmxv74sjOxXVeYQjElbqwLi5hpRk1A390L8QMEjzcEMucC07UrIlZGHzdcT87/uqVhsG01Vxyl7ggXpHkiP/RqV0eLR3O3yt1qU1BK7j9UnB/fFaVfAFnGOJR7o/r8J4EoMWOc5f/Eo5tiHC0VGNknXD8AuKp4FA==
X-YMail-OSG: WN4UP4AVM1mdHFDeI8syLu2.tLYreY8NNQzas_fDpR7rA01r3116qzxtnwxHnii
 .4rGoZd4DqBQq_UTNhLpZGhFLIzEHz66OXK8tamdlb4JmFHAwRqpit_a5NXPVaZpnfVDAEdqATjR
 0FtUB7LX4HSCiXal7mq64a0DpQuvA_7Kde7fpL.hqJKtxuiQA2.l.F_nwn.qcE4q3g9yqN6kSu9f
 u6qRb8wSXKTF7L.B31A_jC8pqOcEO3CWGJLnRMrN4gyWQ5.MFVnqibHbjJZGTWTwuOiI7a8Rbssr
 0bF98Wej3RbfCU0Y.3.dzgLfdyP3qy1P52FFHfga8NuRSYaALN563viqKIJDwH.7DWJc0fsWr7Cx
 iM6c_B7OjxQCVAimDOQiwfaEKSEyCv3OAIZ3FSeC._S33hVe6KehYvyxeG3Ll1o0hnPSDft2JCGI
 SbKcd_xKCnbVsfWhhIXg1B9H_GmVTPR1h1G2x0eFPNtpfoB99dq14mRoNjlKsWeime0lKHa0b_AZ
 JSTbyL7iBfZW.ZbHLYdO7LowB9851E_Od9_CQJNzOJADtfRZm3sZVYEduGdfT2KtKmSVXgrldiY3
 MqDheyPKlnNgB2nFhffXexJfrs7b58EZftUTRsfCnQLo3JUojkeLgV1.IUVRclpBact1mXEscuE5
 mrkdKa3GSCdoAPsf_7esmYMlepAhUAMiurRtr93HbD0j6q7zAjADDlj6PW4HFSifn_HiEyLT6Yvd
 mwQQfDhVpx_Lg.kHI6wB3oHLjUsOQiw8qNJaiOQqmhrxzfolb_aSIzlXXWFVABNYFaXCywF9ghHT
 IfkF31YE4yUgDO7x9t67a1vUACoewImD_0ipDPCUBaXulChEUNEFP5hMVt9dguNU1NCNQ36aV4Ci
 LXlrIM320VpY2pVYoM_9hKPsMTOpEzGcGNWIF9YZg3wOEzaUhhL76eZfvMTfjQ8LWT3O2h_dxiGY
 4msVCOIxQNVSH5KrhJ9TatReZOM_6mUI4Au3qjLFWic0YozIvF2Df_oFpejf5fKgjQaKcKkGFxes
 AkPPkqgcXtCP_yP0acKQCnf2AOD1iJ4unrjN4WN3ZU_M7SOeN9k2nzjJpE8WBXe7xjCBIAL10rng
 X7S2BXzkrI3Hgb6tv0vPO_qc9aCYqhz2OaHmzwYOSNLcsbMJJgS1ydb6_RNVZzxnq.626sF4PkEr
 .TZuTU8kSXpgf.6MvVyXqJiNEtt_AJvHkEiNtzaZCx8asRQOEKPIQnuAPC.rfJmFYl5h1.PLsVnm
 X4bwHL3ZmHhtD0CpBp7Gk36OVtg.XPkTbMHG26smtIK1HaqhcqGiFL5AnJY9RWrLE67YkLcDlQSS
 qfMH2GdJLSdv1FfiCMOBhX6FpoZqo_CcXwRvUx5uJam2keQEkulQtLVnjsNXo42tOrrGtiarT_r8
 sNRGEinPpVxqJPFaLaYRqapINguqVquGBRhUEr46hFHuVc2VaA9uXW3yAnL9O4_IsaRUvRX7p6Ub
 cLa0IovJ2ScaX9u5SLaoPp2Pz_FgijG0X6Fip8zuaLMjKFEGe7vZlaTPMYW.rNZBKeCjl75Z49EH
 Ygv.9oT06GEJfnSOI8F.ALf2m29Wf2e5KXdoslOqiw6944eAcyTaM0osLlSKYbuK9fNUeXeBZliE
 psz2d3fplYQEB.K9RcxU03kxQNvA4mem3JapngkRAZW18WjgJnu4VqQq6B1hBz0NZJphrg9z1sHt
 BXO3HXHgPNRbNcndCTPpam7gReRfSS2nddvNlpns8mqs9ftiKytihgRK8JYBAv4EMGMTiGtOujWd
 vGQKEi9Fuo4sJs8UTfmBbLNKgMz.4NtnXyd7okCMeJXxmIiZssvi0c0DELZu7fBusHbG0Ih9WT6j
 rV5P4.IUHVKUFmB0x1qotVY1UKpXsOGPr7tN0TVpKGD5wzj.6T.tpYmUBuX62YBPBaNWF6wHDJgD
 Y6_QtKU0sv6ObwYkYIOLB2QkZLrGc1FWDIY1Y6FFyTvT.2d71pNts0GQrp4Bc28zgQGBQdi8TBE6
 XBMNfbk7CFQHZzZTqLW6OGsaIOcSkO2PMA7EqF5mWnxb.Z1OU3tmL7mlWix_Qhu68QmFwe_kYPAc
 rAJijv17q9mSOi.7Kke8fmQYF1gYGIjjREz.SItSKS4udEfRknlYmuZ_SIF5txRcbtt1Maw_HBtV
 vY76zycmizjUm0OxzSdC05TwCHXNFJCMr5yfQ59v.R1cqKsQUTR5XS8BhZbBOZjuQEBRHPBirDxK
 qsR9dfzJm2XKfoYHa7ITwzbSAfGyCh.QA24JDxA--
X-Sonic-MF: <ssbssa@HIDDEN>
X-Sonic-ID: 57055d51-3401-4a6f-8239-e19fa810dddb
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic302.consmr.mail.ir2.yahoo.com with HTTP; Wed, 22 May 2024 04:32:07 +0000
Date: Wed, 22 May 2024 04:32:02 +0000 (UTC)
From: Hannes Domani <ssbssa@HIDDEN>
To: =?UTF-8?Q?Simen_Endsj=C3=B8?= <simendsjo@HIDDEN>
Message-ID: <984937837.4078826.1716352322860@HIDDEN>
In-Reply-To: <CAHkVV6E3_1VwY=iiBL6cxySw-oXF2R3VzxQjDuWKhMV4i2Jusw@HIDDEN>
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 <86bk4z81cu.fsf@HIDDEN> <554078779.3957737.1716318331280@HIDDEN>
 <CAHkVV6E3_1VwY=iiBL6cxySw-oXF2R3VzxQjDuWKhMV4i2Jusw@HIDDEN>
Subject: Re: bug#70914: 29.3; Crashes often on Windows
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Mailer: WebService/1.1.22356 YMailNorrin
Content-Length: 2056
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70914
Cc: Eli Zaretskii <eliz@HIDDEN>, "corwin@HIDDEN" <corwin@HIDDEN>,
 "70914 <at> debbugs.gnu.org" <70914 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 Am Dienstag, 21. Mai 2024 um 22:32:04 MESZ hat Simen Endsj=C3=B8 <simendsj=
o@HIDDEN> Folgendes geschrieben:

> Look at that! I tried running it twice, and it reported the same location=
 both
> times.
>
> This is when opening my "system.org" file. My D: is a VHD DevDrive
> (ReFs), but I have experiencing crashes since way before I migrated to a
> DevDrive.
>
> I have some symlinked folders further down the tree too. And Developer Mo=
de
> enabled which allows me to register symlinks without admin rights.
>
> I have LongPathsEnabled, ref
> https://learn.microsoft.com/en-us/windows/win32/fileio/maximum-file-path-=
limitation?tabs=3Dregistry


>=C2=A0=C2=A0=C2=A0=C2=A0 Thread 1 received signal SIGSEGV, Segmentation fa=
ult.
>=C2=A0=C2=A0=C2=A0=C2=A0 0x0000000000000000 in ?? ()
>=C2=A0=C2=A0=C2=A0=C2=A0 (gdb) bt
>=C2=A0=C2=A0=C2=A0=C2=A0 #0=C2=A0 0x0000000000000000 in ?? ()
>=C2=A0=C2=A0=C2=A0=C2=A0 #1=C2=A0 0x0000000000000000 in ?? ()
>=C2=A0=C2=A0=C2=A0=C2=A0 (gdb) reverse-stepi
>=C2=A0=C2=A0=C2=A0=C2=A0 0x00007ff7beeabe9d in get_volume_info (name=3D<un=
available>,
> pPath=3D<unavailable>) at w32.c:3502
>=C2=A0=C2=A0=C2=A0=C2=A0 3502=C2=A0=C2=A0=C2=A0 }
>=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 ^
>=C2=A0=C2=A0=C2=A0=C2=A0 (gdb) bt
>=C2=A0=C2=A0=C2=A0=C2=A0 #0=C2=A0 0x00007ff7beeabe9d in get_volume_info (n=
ame=3D<unavailable>,
> pPath=3D<unavailable>) at w32.c:3502
>=C2=A0=C2=A0=C2=A0=C2=A0 #1=C2=A0 0x0000000000000000 in ?? ()
>=C2=A0=C2=A0=C2=A0=C2=A0 Backtrace stopped: not enough registers or memory=
 available to
> unwind further

From reading just this source file I'm not sure emacs supports long paths.
How long is your path? Maybe you can show what it looks like?

There might be a buffer overflow happening in get_volume_info(), this
line looks suspicious to me:
3488=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 strncpy (temp, name, root_len);

If it turns out the problem is not in get_volume_info(), you might have
to step further back with 'reverse-next' to see where it was called from.


Hannes




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 21 May 2024 21:32:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 21 17:32:38 2024
Received: from localhost ([127.0.0.1]:51303 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s9X64-0006la-C2
	for submit <at> debbugs.gnu.org; Tue, 21 May 2024 17:32:38 -0400
Received: from sonic311-31.consmr.mail.ir2.yahoo.com ([77.238.176.163]:45080)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ssbssa@HIDDEN>) id 1s9UoK-0002Ty-Q0
 for 70914 <at> debbugs.gnu.org; Tue, 21 May 2024 15:06:13 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.de; s=s2048;
 t=1716318357; bh=xQ1k/n3e26w6ltwvB8mKcNTqzTc01PKmDmN5yQN6140=;
 h=Date:From:To:Cc:In-Reply-To:References:Subject:From:Subject:Reply-To;
 b=XCNymLtIENJJ6DiIPysA2bDaRMzUSplyHRSixYxWU7iXuo9ZmZ4zYjavWM6QYl/8xw5dO3U86Xg+FNqvaUFSb0Qn8hfBI6rIv0C+3L5I95CzhMQ6hzm1hUPVROLT3u5bhWBZZVt6rNv0MYmzgdfwOaAUcFaApklh7ZFK9jaqNAAZaZ68PJpQxWNbpbjaPzmTbNP2a5miTAyPN6S6KyBX4Y9+45aLnz/YboPVTuP1ddrE8/40sJS8zRMuMM2cUX1cXB78s3Rs0OaW/UEcbix2EodtNpaUEKQdfgiK/r/1SXGq4U9cc9goGnoAfE8JN7iRViHgd90KMLMtLSwRViyKPw==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1716318357; bh=jCjdpl8LeUZVtkOBB0JtotYERnXGotIZBij4g1TPVpi=;
 h=X-Sonic-MF:Date:From:To:Subject:From:Subject;
 b=IsVmtNz/3TAm7OKTB2gMUaW29DrlYnbg5Q2F6ySrKps5fca54M57UqcQgfaMAJRtUxBmQY6tmbrhnvOaH4PvZOPo/MMrabNAnXErZVcGgLO1ef5xyeghuZQpy4sm51m5epOaEHag28z072HsY6Vn1t5SLq/bF/7ETJ/AipeNK3oJN+2mjyL5j8Kr+SgGZSyvibmOQDosYnP54+cxO4aox52v/scHkA+eI4QM9MbNS80uL5rbP9IRKfBSproASfgv+i2O9up5ZyCrBvn6tnG/s59+pzvxRdNZMUygZUNXQatTpzPH2PVJz2IsCblmxLEJ905pptwQQwy8Dp4q8L3RBA==
X-YMail-OSG: i.fIuyoVM1mfzh.CgBRej2HmiiVVvg5UKeodFQiehafXzlMmtK5kSPJ0eAjjsJ7
 FBlPQRADeVFeTAEH0SE.5xH3_ZlQI1iFxUPGXMFFsvLgszXRQFFiGCD2YDSrwjTKSn7s75aYHGd8
 fi9N7ejkzTthZ8nLGZk9FEFj3R9svt5sZ0.Wuha7xoaOThyYlwW_dRQ3wY_FbGErdaIngFDHQ03H
 uA5t.cu9koiPwtVxGuLrdmr1C30FAo6CoW9VmLLQjxOrs51N3kdIgB88UW6cdaVZSEvCkvRT0d.7
 52_NCy2ma_3ORgrPW_X6qis6Sy9YR6EWFDyJROSF_fNnr.B9Ag1zZeyJVdPfVpUKIMqLr4ttP7XK
 dufH4tWe5Cd6We52A4NCE9MRX5dm.0SfBzzrVohGZOl7H9S8kXxA8_RGfY.VLstvmqD0KdKgJ6dn
 PWhYN5RTtyiIXq7kgd2EwwHFRBatfqCrk6Bn9I3dVZs6KAQDg7_A0ghbDA03SaF.vboI5HoiST_L
 KenRgz6_fIhWjur35JWmBJSKx7JwPk9vDAlv6xGThPhjBf5MZ.HLR8LxqZHbMUoy9G5CvCj95FNP
 H1GKMgq6QihwYhzjR1lQaccIySxloS_pBfJppUzwuLOkt0u06O78gn42yf6sEeyIiFSmMKmAToaf
 K2aaDgPS64F0WpedPwLs0MeW2uLZsxJiQ0wggbOUjwRI6wyq_.SsKae66PU3ptapVdLW3XBu97CA
 5FpNxqRiolMHhM1CANi3hSScwL6em_Z7.W_0sNBXmD4KnsMV6OJ45vI_q4fHt14Kq3TfVjGzPpxt
 CeiI8v.JNlbLTWWj4AiRbGY4qaqlKHAjra.grCFZNE73cOGLwcd2NAx9nAfO3TUSoFBgalUp0c5y
 Wd4QbsezSXxFxVzxjOQIe_Pm_znoz67y9AMGimtdh5MiWSgs94llaHwF.XOmxGsXChYmTEyLx2CB
 Mey776G0aWl8cPnwf4LyL1NbOdyrQHfPR2eTlJom6eleX7gDZtebuUXbQ4Vvmn6VacPMdDCPHLcS
 lZXWIZj.s8.dsoyefo3_4gXJtBVCF0q8qwDUjgjwgQUV0lpflK.WXx0auQEVB4z1jnzUML2D1Wx5
 .rkP0s77G8cI13DT_f93Mzzhpd3E5JpStKjNuyUCQJTthFrCLcEpTD8PZcsVpsdluH0ysIju.Oeh
 .wmifGbCI7yWqvwBIlYnpMDwGdRix9r4QYWAI9I2jJbVCFKLpFnZ2Kq04EtqHGA4qzcoJqx.7O_7
 P7Wqga1D3Ysf_oMdUTK0TZ.TFNpVcMyueLuBpNpHhBndBa32zDcbSnsNLzi7JLGrIGHWLkbUavvW
 BpvHwWfUugowNHL3_bnDZV.3oU8t4mDwbhpv6C84CXr.a_X8yeT.eLPC8BWEb8ZJ1fnIiRfq6W9k
 FNyEhmQvNtL9Uob5RKbS7py9muAX7mWd_doONii6le3Hu06B2Z9yza10_ClMaVYgiohdXKLHsRLh
 CBAfYM4.XBe8s22gOUMO.hUJYygqyN3iLmd4SGwLwP8benf5sBUP7EO_au7HhzTjVpAUIfwqZF_X
 i1SQJvkqknxzgc_1cXKczLLHLWxP7WwJSEttgokBDWUEahiptAX4UaicbS5kwvk2i5UX1sfbc0x3
 C0pltp_fMgOtoQxr8lS1GBLKEWfBxEJT.on12wgx6YKMRkrw36nOlmgG8hoaSIcF6GSX90sRxZb_
 hay0D1w9566vBVdAyZlNI86TSrO2XMLujSDCkYH9MPeCOk3928zGd_VB8jArDLyGzzIxohK3GWng
 DK5L_p2mxnplw6BFSaVRXMwhZCFm5SXPH._lTRk7DkadMR2tPCAO7nXQmjmAdZsLOx7TqeN.O7Dm
 8QljS96uMwYjJu8mNf.Pd6ZkPqhJrXrWLFMSWIQQ3ZFo.uE9MdGQ5s63OxXnKuogjVTUcCKdodcY
 MTzhDX6qiDptxrz03RQd9itdW9WKCFd2A3sVtqKsu.lq73fxCB7tCZN1pV0SvAIMHArNXShG2VZz
 g8Cp0xr_Quo0w6Rno3NCR2_tW70Zv5Zyx8twEwILrz4Iye1g7IoeVRva4dpxtBvc5AWJtf0sIgWW
 vksuEkkWiEPUj1fQ05BCOI0wFDQdotpYFn4gGYyiF.zsN_JKR2KCiTsq1_Bq0KTs3Jn4A0VnJxqa
 ONInZnHlHomQS5lHmH3vN2NxvHn2zdKrS2pfqQYlBLp.4WKZULTt3ILU1ttYzMmMPmN5uZ8g-
X-Sonic-MF: <ssbssa@HIDDEN>
X-Sonic-ID: 9be10cb2-e64e-49ff-a7fa-d07b5f57a571
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic311.consmr.mail.ir2.yahoo.com with HTTP; Tue, 21 May 2024 19:05:57 +0000
Date: Tue, 21 May 2024 19:05:31 +0000 (UTC)
From: Hannes Domani <ssbssa@HIDDEN>
To: =?UTF-8?Q?Simen_Endsj=C3=B8?= <simendsjo@HIDDEN>, 
 Eli Zaretskii <eliz@HIDDEN>
Message-ID: <554078779.3957737.1716318331280@HIDDEN>
In-Reply-To: <86bk4z81cu.fsf@HIDDEN>
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 <86bk4z81cu.fsf@HIDDEN>
Subject: Re: bug#70914: 29.3; Crashes often on Windows
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Mailer: WebService/1.1.22356 YMailNorrin
Content-Length: 3728
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70914
X-Mailman-Approved-At: Tue, 21 May 2024 17:32:33 -0400
Cc: "70914 <at> debbugs.gnu.org" <70914 <at> debbugs.gnu.org>,
 "corwin@HIDDEN" <corwin@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 Am Dienstag, 21. Mai 2024 um 20:31:37 MESZ hat Eli Zaretskii <eliz@HIDDEN=
> Folgendes geschrieben:

> > From: Simen Endsj=C3=B8 <simendsjo@HIDDEN>
> > Date: Tue, 21 May 2024 19:39:13 +0200
> > Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN
> >
> > > Could you please show the last few
> > > DLLs loaded by thread 1?
> >
> > Heres only Thread 1:
>
> Thanks.
>
> I'm sorry, I'm out of ideas.=C2=A0 Maybe someone else will have
> suggestions.=C2=A0 Or maybe we are lucky and someone else reports similar
> crashes with additional info.=C2=A0 I can only say that Emacs works
> flawlessly for me on Windows 11 (but it's Emacs I build myself with
> optional libraries most of which I also built myself).
>
> I asked on the GDB list for suggestions how to debug such crashes,
> maybe someone there will come up with a useful suggestion.

I'm saw it on the GDB list, and tried to reproduce a similar backtrace
with just zeros.

I came up with this:
```
// compile with -g -O1 -foptimize-sibling-calls

#include <string.h>

int other_function(int x)
{
=C2=A0 return x + 3;
}

int some_function(int size)
{
=C2=A0 int (*function_ptr)(int) =3D &other_function;
=C2=A0 memset(&function_ptr, 0, size);
=C2=A0 return function_ptr(5);
}

int main()
{
=C2=A0 int y =3D some_function(100);
=C2=A0 return y;
}
```

So when i intentionally break the stack, and make it 'jump' there with
a sibling call, I get this result in GDB:
```
C:\src\test>gcc -o no-bt.exe no-bt.c -g -O1 -foptimize-sibling-calls

C:\src\test>gdb -q no-bt.exe
Reading symbols from no-bt.exe...
(gdb) r
Starting program: C:\src\test\no-bt.exe
[New Thread 7632.0x4328]

Thread 1 received signal SIGSEGV, Segmentation fault.
0x0000000000000000 in ?? ()
(gdb) bt
#0=C2=A0 0x0000000000000000 in ?? ()
#1=C2=A0 0x0000000000000000 in ?? ()
(gdb)
```

Usually I would say it's not possible to find out anything from here,
but if you have a recent Win10, and a recent enough Intel CPU (which I
think you do from what I saw in this ticket), then you could try
out my GDB build [1] which includes some extra stuff that I haven't
upstreamed (yet).

In particular I ported 'record btrace pt' [2] to Windows.

With the same example I can do this:
```
C:\src\test>gdb -q no-bt.exe
Reading symbols from no-bt.exe...
(gdb) start
Temporary breakpoint 1 at 0x7ff7a2d2163a: file no-bt.c, line 18.
Starting program: C:\src\test\no-bt.exe
[New Thread 3924.0x3afc]

Thread 1 hit Temporary breakpoint 1, main () at no-bt.c:18
18=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 {
(gdb) record btrace pt
(gdb) c
Continuing.

Thread 1 received signal SIGSEGV, Segmentation fault.
0x0000000000000000 in ?? ()
(gdb) bt
#0=C2=A0 0x0000000000000000 in ?? ()
#1=C2=A0 0x0000000000000000 in ?? ()
(gdb) reverse-stepi
0x00007ff7a2d21637 in some_function (size=3D<optimized out>) at no-bt.c:14
14=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 return function_ptr(5);
(gdb) bt
#0=C2=A0 0x00007ff7a2d21637 in some_function (size=3D<optimized out>) at no=
-bt.c:14
#1=C2=A0 0x00007ff7a2d2164e in main () at no-bt.c:19
Backtrace stopped: not enough registers or memory available to unwind furth=
er
(gdb)
```

So with the recording it's possible to go back one instruction from the
crash, and it shows me the location it jumped from.

Note that this is not a 'full' recording, so the amount of steps
to go back is limited (though the buffer-size for that can be changed
with e.g.=C2=A0 'set record btrace pt buffer-size 65536'), and you
can NOT inspect variables while replaying the execution.

But for this kind of problem it's hopefully enough to see what the
previous instructions were.


Hannes


[1] https://github.com/ssbssa/gdb/releases
[2] https://sourceware.org/gdb/current/onlinedocs/gdb.html/Process-Record-a=
nd-Replay.html




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 21 May 2024 20:33:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 21 16:33:23 2024
Received: from localhost ([127.0.0.1]:51053 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s9WAi-00067z-3p
	for submit <at> debbugs.gnu.org; Tue, 21 May 2024 16:33:23 -0400
Received: from mail-lf1-f47.google.com ([209.85.167.47]:45210)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <simendsjo@HIDDEN>) id 1s9WAd-00067t-5S
 for 70914 <at> debbugs.gnu.org; Tue, 21 May 2024 16:33:18 -0400
Received: by mail-lf1-f47.google.com with SMTP id
 2adb3069b0e04-51f2ebbd8a7so7220645e87.2
 for <70914 <at> debbugs.gnu.org>; Tue, 21 May 2024 13:33:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1716323523; x=1716928323; darn=debbugs.gnu.org;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:from:to:cc:subject:date
 :message-id:reply-to;
 bh=Cm+Bp5Z8GOh0B2B2ZKamPzdRG4AeNVsTZGpitb+JMIo=;
 b=e/YFLpa2yDy1IFdCrUFTLzI2AyNLWQWzKTksidvboYqI7SZVyOJe+sh+88KMoXCBjX
 +YaBcazVSOsdhM5bkZBtiZqaN45IoEMpb4CQftCqe+vncmKXzXYLZrgSLLvPjWwmnEYL
 NKSZyGNSzXza8tCq/UzwQG//ogRDZgGLSAYvPFBYtLPPFD5aw4G141Fa9C1BC4sMr860
 sP21d1amu0s+fOzqR3/mFnnMnFhiHy5HlUVb9AJaRRi8ZmR2kfjVDC1POmNTbHO/NUlu
 3HFi744wl4ZUPwOVCsw2BPtFHYaIvNWmPzt8qFFofNwC/WqK7nTK5j+2EBEieZVmVO0Y
 G4ew==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1716323523; x=1716928323;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=Cm+Bp5Z8GOh0B2B2ZKamPzdRG4AeNVsTZGpitb+JMIo=;
 b=QqAVSRjvo+fq9gVqPzTIVMHKPueKRXBqCeHyO0pcEyIKgjY2s5+KcBP+B1Rilr1srH
 iwsaFlZ+Bt+pNAVKmASsnoN92zp+X5mgdNcoWVNYkARdBr4BWZTM206KKIyoboAaH8I+
 U6UENiVtC6V+qC4kdHN0yCRYQEHfde5NJHY9lq4znnXXA+neh/dyNLBGNLWkHO8dWzR0
 KZ0Gc3GV/4X2z2OiYuIy3omgqNdZGjemuhOmgkgfOmXVd46lV4pbO9LqZnLmKiLZ52MF
 Oo974Iyqe+5jopAnVJ++5ySi32YqIg/oJqwLT5xM6kcP3k3AAlX9UvyaB9Wypk7K9XuK
 Pa7g==
X-Forwarded-Encrypted: i=1;
 AJvYcCU8AVaTw7fM7q/5TdRnmicxmGNdB/E8e+ZNlpdKwDVnr+xUdG8tQ9mfjMhC2bAdyVHX/kJyCjRHajF9lFj12YgnLBZxPoE=
X-Gm-Message-State: AOJu0YzPMZmhoaDoZQ/OvP2Er0DIvbVuUofe+Ihp4kMuWHUtUV3N1kvQ
 ubGZ2covunhAnyfNzGNdlD+htleAKeaP2tZcOZB9VrImb7PX45bhEGC7LHIEkJRBBsRa1afo7F7
 RWumSKoPgguN8yrWeqBH/Xyu9bL4=
X-Google-Smtp-Source: AGHT+IEJ5H5NPz7IAET2fSYw5P8b3+eXrUWFv5/WPaWC/XSr8jbF5IZcf+Myxev+Xa+hlp/aNYGe07tBpTTK4AXmLGo=
X-Received: by 2002:a19:8c56:0:b0:51d:a87e:27e6 with SMTP id
 2adb3069b0e04-5221006e5a4mr19523949e87.67.1716323523421; Tue, 21 May 2024
 13:32:03 -0700 (PDT)
MIME-Version: 1.0
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 <86bk4z81cu.fsf@HIDDEN> <554078779.3957737.1716318331280@HIDDEN>
In-Reply-To: <554078779.3957737.1716318331280@HIDDEN>
From: =?UTF-8?Q?Simen_Endsj=C3=B8?= <simendsjo@HIDDEN>
Date: Tue, 21 May 2024 22:31:52 +0200
Message-ID: <CAHkVV6E3_1VwY=iiBL6cxySw-oXF2R3VzxQjDuWKhMV4i2Jusw@HIDDEN>
Subject: Re: bug#70914: 29.3; Crashes often on Windows
To: Hannes Domani <ssbssa@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70914
Cc: Eli Zaretskii <eliz@HIDDEN>, "corwin@HIDDEN" <corwin@HIDDEN>,
 "70914 <at> debbugs.gnu.org" <70914 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Look at that! I tried running it twice, and it reported the same location b=
oth
times.

This is when opening my "system.org" file. My D: is a VHD DevDrive
(ReFs), but I have experiencing crashes since way before I migrated to a
DevDrive.

I have some symlinked folders further down the tree too. And Developer Mode
enabled which allows me to register symlinks without admin rights.

I have LongPathsEnabled, ref
https://learn.microsoft.com/en-us/windows/win32/fileio/maximum-file-path-li=
mitation?tabs=3Dregistry

    Reading symbols from
D:\tmp\emacs-bug-70914\emacs-extra-checks-no-ucrt\simendsjo-build\bin\emacs=
.exe...
    (gdb) start --init-directory=3Dd:/.emacs.d
    warning: could not convert 'main' from the host encoding (CP65001)
to UTF-32.
    This normally should not happen, please file a bug report.
    Temporary breakpoint 1 at 0x40015d096: file emacs.c, line 1242, column =
8.
    Starting program:
D:\tmp\emacs-bug-70914\emacs-extra-checks-no-ucrt\simendsjo-build\bin\emacs=
.exe
--init-directory=3Dd:/.emacs.d
    [New Thread 6960.0x77ec]
    [New Thread 6960.0x7634]
    [New Thread 6960.0x22c8]

    Thread 1 hit Temporary breakpoint 1, main (argc=3D2, argv=3D0x1d4930)
at emacs.c:1242
    1242      bool no_loadup =3D false;
                   ^
    (gdb) record btrace pt
    (gdb) c
    Continuing.
    [New Thread 6960.0x5b54]
    [New Thread 6960.0x531c]
    [New Thread 6960.0x6934]
    [Thread 6960.0x6934 exited with code 1]
    [New Thread 6960.0x1a5c]
    [Thread 6960.0x1a5c exited with code 1]
    [New Thread 6960.0x4d10]
    [Thread 6960.0x4d10 exited with code 1]
    [New Thread 6960.0x4148]
    [Thread 6960.0x4148 exited with code 1]
    [New Thread 6960.0x715c]
    [Thread 6960.0x715c exited with code 1]
    [New Thread 6960.0x8a0]
    [New Thread 6960.0x4874]
    [Thread 6960.0x4874 exited with code 1]
    [New Thread 6960.0x6fbc]
    [Thread 6960.0x6fbc exited with code 1]
    [New Thread 6960.0x240]
    [Thread 6960.0x240 exited with code 1]
    [New Thread 6960.0x158c]
    [Thread 6960.0x158c exited with code 1]
    [New Thread 6960.0x212c]
    [New Thread 6960.0x14e4]
    [New Thread 6960.0x6558]
    [New Thread 6960.0x5614]
    [New Thread 6960.0x2010]
    [New Thread 6960.0x234]
    [Thread 6960.0x234 exited with code 1]
    [New Thread 6960.0x7258]
    [Thread 6960.0x7258 exited with code 1]
    [New Thread 6960.0x4db0]
    [Thread 6960.0x4db0 exited with code 1]
    [New Thread 6960.0x29cc]
    [Thread 6960.0x29cc exited with code 1]

    Thread 1 received signal SIGSEGV, Segmentation fault.
    0x0000000000000000 in ?? ()
    (gdb) bt
    #0  0x0000000000000000 in ?? ()
    #1  0x0000000000000000 in ?? ()
    (gdb) reverse-stepi
    0x00007ff7beeabe9d in get_volume_info (name=3D<unavailable>,
pPath=3D<unavailable>) at w32.c:3502
    3502    }
            ^
    (gdb) bt
    #0  0x00007ff7beeabe9d in get_volume_info (name=3D<unavailable>,
pPath=3D<unavailable>) at w32.c:3502
    #1  0x0000000000000000 in ?? ()
    Backtrace stopped: not enough registers or memory available to
unwind further

On Tue, May 21, 2024 at 9:05=E2=80=AFPM Hannes Domani <ssbssa@HIDDEN> wro=
te:
>
>  Am Dienstag, 21. Mai 2024 um 20:31:37 MESZ hat Eli Zaretskii <eliz@HIDDEN=
rg> Folgendes geschrieben:
>
> > > From: Simen Endsj=C3=B8 <simendsjo@HIDDEN>
> > > Date: Tue, 21 May 2024 19:39:13 +0200
> > > Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN
> > >
> > > > Could you please show the last few
> > > > DLLs loaded by thread 1?
> > >
> > > Heres only Thread 1:
> >
> > Thanks.
> >
> > I'm sorry, I'm out of ideas.  Maybe someone else will have
> > suggestions.  Or maybe we are lucky and someone else reports similar
> > crashes with additional info.  I can only say that Emacs works
> > flawlessly for me on Windows 11 (but it's Emacs I build myself with
> > optional libraries most of which I also built myself).
> >
> > I asked on the GDB list for suggestions how to debug such crashes,
> > maybe someone there will come up with a useful suggestion.
>
> I'm saw it on the GDB list, and tried to reproduce a similar backtrace
> with just zeros.
>
> I came up with this:
> ```
> // compile with -g -O1 -foptimize-sibling-calls
>
> #include <string.h>
>
> int other_function(int x)
> {
>   return x + 3;
> }
>
> int some_function(int size)
> {
>   int (*function_ptr)(int) =3D &other_function;
>   memset(&function_ptr, 0, size);
>   return function_ptr(5);
> }
>
> int main()
> {
>   int y =3D some_function(100);
>   return y;
> }
> ```
>
> So when i intentionally break the stack, and make it 'jump' there with
> a sibling call, I get this result in GDB:
> ```
> C:\src\test>gcc -o no-bt.exe no-bt.c -g -O1 -foptimize-sibling-calls
>
> C:\src\test>gdb -q no-bt.exe
> Reading symbols from no-bt.exe...
> (gdb) r
> Starting program: C:\src\test\no-bt.exe
> [New Thread 7632.0x4328]
>
> Thread 1 received signal SIGSEGV, Segmentation fault.
> 0x0000000000000000 in ?? ()
> (gdb) bt
> #0  0x0000000000000000 in ?? ()
> #1  0x0000000000000000 in ?? ()
> (gdb)
> ```
>
> Usually I would say it's not possible to find out anything from here,
> but if you have a recent Win10, and a recent enough Intel CPU (which I
> think you do from what I saw in this ticket), then you could try
> out my GDB build [1] which includes some extra stuff that I haven't
> upstreamed (yet).
>
> In particular I ported 'record btrace pt' [2] to Windows.
>
> With the same example I can do this:
> ```
> C:\src\test>gdb -q no-bt.exe
> Reading symbols from no-bt.exe...
> (gdb) start
> Temporary breakpoint 1 at 0x7ff7a2d2163a: file no-bt.c, line 18.
> Starting program: C:\src\test\no-bt.exe
> [New Thread 3924.0x3afc]
>
> Thread 1 hit Temporary breakpoint 1, main () at no-bt.c:18
> 18      {
> (gdb) record btrace pt
> (gdb) c
> Continuing.
>
> Thread 1 received signal SIGSEGV, Segmentation fault.
> 0x0000000000000000 in ?? ()
> (gdb) bt
> #0  0x0000000000000000 in ?? ()
> #1  0x0000000000000000 in ?? ()
> (gdb) reverse-stepi
> 0x00007ff7a2d21637 in some_function (size=3D<optimized out>) at no-bt.c:1=
4
> 14        return function_ptr(5);
> (gdb) bt
> #0  0x00007ff7a2d21637 in some_function (size=3D<optimized out>) at no-bt=
.c:14
> #1  0x00007ff7a2d2164e in main () at no-bt.c:19
> Backtrace stopped: not enough registers or memory available to unwind fur=
ther
> (gdb)
> ```
>
> So with the recording it's possible to go back one instruction from the
> crash, and it shows me the location it jumped from.
>
> Note that this is not a 'full' recording, so the amount of steps
> to go back is limited (though the buffer-size for that can be changed
> with e.g.  'set record btrace pt buffer-size 65536'), and you
> can NOT inspect variables while replaying the execution.
>
> But for this kind of problem it's hopefully enough to see what the
> previous instructions were.
>
>
> Hannes
>
>
> [1] https://github.com/ssbssa/gdb/releases
> [2] https://sourceware.org/gdb/current/onlinedocs/gdb.html/Process-Record=
-and-Replay.html




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 21 May 2024 20:02:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 21 16:02:27 2024
Received: from localhost ([127.0.0.1]:50910 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s9Vgo-0005nw-Mg
	for submit <at> debbugs.gnu.org; Tue, 21 May 2024 16:02:27 -0400
Received: from mail-lf1-f41.google.com ([209.85.167.41]:59491)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <simendsjo@HIDDEN>) id 1s9Vgm-0005nn-3w
 for 70914 <at> debbugs.gnu.org; Tue, 21 May 2024 16:02:25 -0400
Received: by mail-lf1-f41.google.com with SMTP id
 2adb3069b0e04-51f71e4970bso6987830e87.2
 for <70914 <at> debbugs.gnu.org>; Tue, 21 May 2024 13:02:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1716321672; x=1716926472; darn=debbugs.gnu.org;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:from:to:cc:subject:date
 :message-id:reply-to;
 bh=2TDoBB60Mx8b3YNuSNauWt9Fp4owg+0O/JFIBriI5PE=;
 b=mkYvbHxEQ1gnvA9BImHClB8c2vCVRpeUxs8PYznsa98R/bokKT8US5KdSeStY4Fs4b
 +kd8evHTAbY/sB7K6L8O+QZGGzHRuTx6QJeMPGVNM8/xrgzNlgrIVz0IKGCu+O+nyi42
 baBvG/pNbZ7Rpjh9TDV1edYWvo/q1JbMwvvuIp868u1fTwLQSwiMmTmlp5t7nMCkxCnh
 XL1/B7Lt8OzE388AzFOZJERX06YQmHq1CuJ7yj18m/8GHhx8h65Ii3IxS7f4eT+BDEQL
 9kKiXY5Ns1WPZELtBDCNDlQW4JX6lK+eoG/lCAvii99VmRxFJbZTdZaTTUbMGq1NXtML
 eZww==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1716321672; x=1716926472;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=2TDoBB60Mx8b3YNuSNauWt9Fp4owg+0O/JFIBriI5PE=;
 b=iGiz5/hQjGpTVQGZK+gAXLnXwgqPRRuiOxM6jNnu7/y7rLaJ4/OK0LCIfOFBuf+lFN
 lLlSOZh3sJ/412IRhlOPD/QwMgY5dynJ2eDwnJxnXyTDh5FDh4vl1yO9xztgHWG8nZoP
 UnMVLa/6bMASXRv752V7JNqhCrHFI/nVtVTVpuTwSXNbBefnIRdMxWkEe7quOqH94fPH
 aUv/LPsDch7oYe8xKDWJYatiABMzD8Nk5kauTHyU644zuCqzzE3T6AejdmAbK5CloIVL
 RixmQD5TaM3nihIE3QYOU+yQc472H3CehB6bPb5xwxN6dctdXjUxFxvIlPUhmI4SiGoO
 Gu3w==
X-Gm-Message-State: AOJu0YwrrWkZf3uATPCZgloQBXJARBrfByumBVHISp7AsCwR+pDJqq5N
 gctIQUO2KQJQLT5Ha2wQXEwU4Ab6sCf3Tr+BmanMDy2/rPVd45kbDQ1c3SFdyz2Z/POjUFopjk1
 aLRJurBYwDtuQaceNLptBzwKopaU=
X-Google-Smtp-Source: AGHT+IG+kBdVNxA0QHCr4SXZU+iTXpEemKsVIsAOuLAVR4NwQkK87AvjLTtP+VNsShQY9ehkOzUUs+h4izkOKkEhNR0=
X-Received: by 2002:a05:6512:3a3:b0:515:fc44:b3f7 with SMTP id
 2adb3069b0e04-524294e851fmr7397854e87.24.1716321672348; Tue, 21 May 2024
 13:01:12 -0700 (PDT)
MIME-Version: 1.0
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 <86bk4z81cu.fsf@HIDDEN>
In-Reply-To: <86bk4z81cu.fsf@HIDDEN>
From: =?UTF-8?Q?Simen_Endsj=C3=B8?= <simendsjo@HIDDEN>
Date: Tue, 21 May 2024 22:01:00 +0200
Message-ID: <CAHkVV6EtyA5RG1BS2XetmJTFgyXbyyVPp=M2rzsDQqrP7zCoNw@HIDDEN>
Subject: Re: bug#70914: 29.3; Crashes often on Windows
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70914
Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Thanks a lot for all the time you spent on this -- 10/10 support! It
sounds like there's something really off with my computer. I can further
try to reduce the configuration, but I'm afraid the resulting
configuration will still be pretty large, but maybe someone else will be
able to reproduce it too.

On Tue, May 21, 2024 at 8:29=E2=80=AFPM Eli Zaretskii <eliz@HIDDEN> wrote:
>
> > From: Simen Endsj=C3=B8 <simendsjo@HIDDEN>
> > Date: Tue, 21 May 2024 19:39:13 +0200
> > Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN
> >
> > > Could you please show the last few
> > > DLLs loaded by thread 1?
> >
> > Heres only Thread 1:
>
> Thanks.
>
> I'm sorry, I'm out of ideas.  Maybe someone else will have
> suggestions.  Or maybe we are lucky and someone else reports similar
> crashes with additional info.  I can only say that Emacs works
> flawlessly for me on Windows 11 (but it's Emacs I build myself with
> optional libraries most of which I also built myself).
>
> I asked on the GDB list for suggestions how to debug such crashes,
> maybe someone there will come up with a useful suggestion.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 21 May 2024 19:24:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 21 15:24:29 2024
Received: from localhost ([127.0.0.1]:50753 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s9V65-0002f6-Gl
	for submit <at> debbugs.gnu.org; Tue, 21 May 2024 15:24:29 -0400
Received: from eggs.gnu.org ([209.51.188.92]:56362)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1s9V62-0002ey-DR
 for 70914 <at> debbugs.gnu.org; Tue, 21 May 2024 15:24:27 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1s9V5p-0005ly-TA; Tue, 21 May 2024 15:24:14 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:References:Subject:In-Reply-To:To:From:
 Date; bh=mNjVIJPKFj/QPUH/7ntuxP7O8gTvnzWOXL5JTjaoJHY=; b=N2THv18+4T8SbYimrmkG
 UMsh6/7uEpNdd32857gDX9hHpUBUlKI9FB4r0waJATAeDvjDEMJmjQBkX2FwYc0KYxO4WiWuUaYVy
 /Cxh5ErtS8PStMOQY8MF4Lr1XWDx6fAJGJ9PlC7F1HfwEI57J6+aOu1sGKMJaoBUYD66XKcYPsdh8
 AoCZShLq8enL+jgVwdpoqm7bRdjAs8y1YWD2IsMYMYBr0+wxNe4seu9KMrYIefixF9IFxjW30ag/6
 QGxd8Bv8wD6ykQjDuOnXF+HFNgYSIODmyZkDzuQIy2XwvdOKJ7TBKaWhrFb+9EAApW9fAtFcWrJy9
 CGkBCxtp54w1LQ==;
Date: Tue, 21 May 2024 22:24:11 +0300
Message-Id: <864jar7yuc.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Hannes Domani <ssbssa@HIDDEN>
In-Reply-To: <554078779.3957737.1716318331280@HIDDEN> (message from
 Hannes Domani on Tue, 21 May 2024 19:05:31 +0000 (UTC))
Subject: Re: bug#70914: 29.3; Crashes often on Windows
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 <86bk4z81cu.fsf@HIDDEN> <554078779.3957737.1716318331280@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 70914
Cc: simendsjo@HIDDEN, corwin@HIDDEN, 70914 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Tue, 21 May 2024 19:05:31 +0000 (UTC)
> From: Hannes Domani <ssbssa@HIDDEN>
> Cc: "70914 <at> debbugs.gnu.org" <70914 <at> debbugs.gnu.org>,=20
> 	"corwin@HIDDEN" <corwin@HIDDEN>
>=20
> Thread 1 received signal SIGSEGV, Segmentation fault.
> 0x0000000000000000 in ?? ()
> (gdb) bt
> #0=A0 0x0000000000000000 in ?? ()
> #1=A0 0x0000000000000000 in ?? ()
> (gdb) reverse-stepi
> 0x00007ff7a2d21637 in some_function (size=3D<optimized out>) at no-bt.c:14
> 14=A0=A0=A0=A0=A0=A0=A0 return function_ptr(5);
> (gdb) bt
> #0=A0 0x00007ff7a2d21637 in some_function (size=3D<optimized out>) at no-=
bt.c:14
> #1=A0 0x00007ff7a2d2164e in main () at no-bt.c:19
> Backtrace stopped: not enough registers or memory available to unwind fur=
ther
> (gdb)
> ```
>=20
> So with the recording it's possible to go back one instruction from the
> crash, and it shows me the location it jumped from.

Thanks, fingers crossed for Simen to be able to use this build of GDB.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 21 May 2024 18:30:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 21 14:30:13 2024
Received: from localhost ([127.0.0.1]:50518 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s9UFY-0002B9-VA
	for submit <at> debbugs.gnu.org; Tue, 21 May 2024 14:30:13 -0400
Received: from eggs.gnu.org ([209.51.188.92]:48558)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1s9UFU-00029o-Al
 for 70914 <at> debbugs.gnu.org; Tue, 21 May 2024 14:30:11 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1s9UFJ-0003h5-1b; Tue, 21 May 2024 14:29:57 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=9Pz+/Atq0s2rDelM3b6j8rA7ZOhcDmRVOif5Lqpdyg4=; b=ZfncJ3ho+s2EjlPsKJG+
 HeMsoBSaQ1nzwpr7wl5z3z7h1koPclxDPMH2+a2hdfssBT7tTj3uIAg1zFrSnpJk6SzP00/6EfRcd
 Ddo+OmRi5UeSAmqEe0N7MpyEAAAFBNDRRJSRNCb25utyOsyeifR7p9QwRuh/VVW6npz2BhlsrZfiA
 Y6lQgnjVzWEy0JLABySR9TpObkv12Aa0bDF9xz8tKhCftpaxiZiKuWsE7UxVDcx4sF2enYQSRvxcE
 w9uIkLauejnwYfiaEtlwig9ZxPzh21tsWkJma/mihZhCctEMiGmI+8EzvYoRro3J/KLxgyR3w993S
 Q8DiFeXwt/YE8Q==;
Date: Tue, 21 May 2024 21:29:53 +0300
Message-Id: <86bk4z81cu.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Simen =?utf-8?Q?Endsj=C3=B8?= <simendsjo@HIDDEN>
In-Reply-To: <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
 (message from Simen =?utf-8?Q?Endsj=C3=B8?= on Tue, 21 May 2024 19:39:13
 +0200)
Subject: Re: bug#70914: 29.3; Crashes often on Windows
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
 <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 70914
Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Simen Endsjø <simendsjo@HIDDEN>
> Date: Tue, 21 May 2024 19:39:13 +0200
> Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN
> 
> > Could you please show the last few
> > DLLs loaded by thread 1?
> 
> Heres only Thread 1:

Thanks.

I'm sorry, I'm out of ideas.  Maybe someone else will have
suggestions.  Or maybe we are lucky and someone else reports similar
crashes with additional info.  I can only say that Emacs works
flawlessly for me on Windows 11 (but it's Emacs I build myself with
optional libraries most of which I also built myself).

I asked on the GDB list for suggestions how to debug such crashes,
maybe someone there will come up with a useful suggestion.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 21 May 2024 17:40:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 21 13:40:41 2024
Received: from localhost ([127.0.0.1]:50308 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s9TTb-0001P3-W0
	for submit <at> debbugs.gnu.org; Tue, 21 May 2024 13:40:41 -0400
Received: from mail-lj1-f178.google.com ([209.85.208.178]:46257)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <simendsjo@HIDDEN>) id 1s9TTY-0001Ox-EX
 for 70914 <at> debbugs.gnu.org; Tue, 21 May 2024 13:40:38 -0400
Received: by mail-lj1-f178.google.com with SMTP id
 38308e7fff4ca-2e564cad1f1so58548461fa.0
 for <70914 <at> debbugs.gnu.org>; Tue, 21 May 2024 10:40:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1716313165; x=1716917965; darn=debbugs.gnu.org;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:from:to:cc:subject:date
 :message-id:reply-to;
 bh=508q0Kn99QYpve3pH8zVSYbyaS5pVcwkRdMVAxfw9WE=;
 b=AKqasexWJ2LJigbdvxlUTzn3/Ce23anlneeSy4iLC5sIHFlgndeUrXDp4zptT/TO9M
 x5u5+NtwPJxklvvbBP+m7Q4q5OtHIdl08Th2lM5m52juHFT56lOPG4DLb91O3q0ZNxvt
 xHkpaR+BYIVMCjOAQ9Cs6ZrPHsZ6/IG/0uGiiLC+LZe6sd/ILet9ClF4gixqkM0ouRWA
 OexwAxDz8ehfehvHNvVPsIdMadYviK/2tfQJRgST0UPDivbWAx2pvCcgPrieXCLdwMxj
 b4MF279g53+3P+NK5f+i+qGT4dymuaJ7b/1XN9VC4ETqB05PdxBV+8w9Te7cuk2QjFzU
 xo1w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1716313165; x=1716917965;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=508q0Kn99QYpve3pH8zVSYbyaS5pVcwkRdMVAxfw9WE=;
 b=TqUd/hUk+QKcl78Zti43Vuu98nOTgAKobFI6a7KejQym6QpKQVujhD57lH8KlqIM3P
 tLqmtMz/6wdZ20AkPklyarKSbuQ5k1jy7+FfUIR34Cfm6yN76MbiA7Tg5qup2s9ZPSR/
 5w+MpAfdvCQ0RWIdtq4G8cVLRb47e6B/tY9maH4P2SOVMSe6vGdkzqshHXcexGmD6DZO
 MA5z8qe26iS2f+IP8qHvE7Yq7/XnhQOUQySHFx7r4eN8wpFN9e8JamG/8FN7SRidyrYc
 zl88rxGLBMO+meQKSS4xcb3ZGZCf+4qAlnulcQk/oZHIJcJMMcGKaGp0n9Cxsj8InK5E
 5mbw==
X-Gm-Message-State: AOJu0YxF2QO9dvXTXAVuAj3sriLflFIvxpdX770KK2JN2X8bOXGTllia
 QOyA/vaMYeA9yyvSID+OzldjL7mhiF5ks3jS40IDagqkDGyFXV/rZ7PIJX5WIm3gSFbtLRfmU/Y
 R9A5luNQwpacxG9LMxqqEzoKWTtk=
X-Google-Smtp-Source: AGHT+IFQR8k44x4c0+bP/QM56z+iR6VzZGhBeYdzJ/MEtlAnCE+/rm9JdiA0fg+CW3wYB7kztZjkzKDcg7BloFymRT0=
X-Received: by 2002:a05:6512:33d0:b0:523:9811:b0d6 with SMTP id
 2adb3069b0e04-5239811b25cmr13310220e87.15.1716313164549; Tue, 21 May 2024
 10:39:24 -0700 (PDT)
MIME-Version: 1.0
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 <86h6er8dkd.fsf@HIDDEN>
In-Reply-To: <86h6er8dkd.fsf@HIDDEN>
From: =?UTF-8?Q?Simen_Endsj=C3=B8?= <simendsjo@HIDDEN>
Date: Tue, 21 May 2024 19:39:13 +0200
Message-ID: <CAHkVV6GWQaNQCaR+WZoPg7-VYSAtELfe=UTYnbK9Vud8tiOGWQ@HIDDEN>
Subject: Re: bug#70914: 29.3; Crashes often on Windows
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70914
Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Could you please show the last few
> DLLs loaded by thread 1?

Heres only Thread 1:

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\System32\imm32.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\SYSTEM32\cryptbase.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\System32\bcryptprimitives.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\system32\uxtheme.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\SYSTEM32\cryptsp.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\system32\rsaenh.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\SYSTEM32\windows.storage.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\SYSTEM32\WinTypes.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\SYSTEM32\dwmapi.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libharfbuzz-0.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libstdc++-6.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x33fc]

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libgraphite2.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x388c]

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libbz2-1.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x1e3c]

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libpcre2-8-0.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x1e3c]

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\System32\msctf.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [New Thread 12316.0x6e08]
    [New Thread 12316.0x3d58]
    [Switching to Thread 12316.0x3d58]

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libXpm-noX4.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [New Thread 12316.0x766c]
    [Thread 12316.0x766c exited with code 1]

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libgnutls-30.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\System32\crypt32.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\SYSTEM32\ncrypt.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x1e3c]

    Thread 4 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libhogweed-6.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x1d58]

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libp11-kit-0.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x388c]

    Thread 3 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libnettle-8.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x33fc]

    Thread 2 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libidn2-0.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 2 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libffi-8.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x1e3c]

    Thread 4 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libtasn1-6.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x1d58]

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libunistring-5.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\SYSTEM32\ntasn1.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [New Thread 12316.0x52d0]
    [Thread 12316.0x52d0 exited with code 1]
    [New Thread 12316.0x695c]
    [Thread 12316.0x695c exited with code 1]

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libxml2-2.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\liblzma-5.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [New Thread 12316.0x65a8]
    [Thread 12316.0x65a8 exited with code 1]
    [New Thread 12316.0x6e50]
    [Thread 12316.0x6e50 exited with code 1]

    Thread 1 hit Catchpoint 1
      Inferior loaded
C:\WINDOWS\WinSxS\amd64_microsoft.windows.gdiplus_6595b64144ccf1df_1.1.2262=
1.3527_none_57f93980ce19a444\GdiPlus.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [New Thread 12316.0x797c]
    [New Thread 12316.0x4e8c]
    [Thread 12316.0x4e8c exited with code 1]
    [New Thread 12316.0x74e0]
    [Thread 12316.0x74e0 exited with code 1]
    [New Thread 12316.0x3fbc]
    [Thread 12316.0x3fbc exited with code 1]
    [New Thread 12316.0x506c]
    [Thread 12316.0x506c exited with code 1]

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libgobject-2.0-0.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libgio-2.0-0.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x33fc]

    Thread 2 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\SYSTEM32\dnsapi.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x388c]

    Thread 3 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\SYSTEM32\IPHLPAPI.DLL
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x1e3c]

    Thread 4 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libgmodule-2.0-0.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x1d58]

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\System32\nsi.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [New Thread 12316.0x143c]

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libgdk_pixbuf-2.0-0.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\librsvg-2-2.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x33fc]

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libpangocairo-1.0-0.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x388c]

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libfribidi-0.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x388c]

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libpangowin32-1.0-0.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x1e3c]

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\System32\psapi.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x143c]

---------------------------------------------------------------------------=
----

End here's the entire output in case you need more information:


    Reading symbols from
D:\tmp\emacs-bug-70914\emacs-extra-checks-no-ucrt\simendsjo-build\bin\emacs=
.exe...
    (gdb) catch load
    Catchpoint 1 (load)
    (gdb) commands
    Type commands for breakpoint(s) 1, one per line.
    End with a line saying just "end".
    >continue
    >end
    (gdb) run --init-directory=3Dd:/.emacs.d
    Starting program:
D:\tmp\emacs-bug-70914\emacs-extra-checks-no-ucrt\simendsjo-build\bin\emacs=
.exe
--init-directory=3Dd:/.emacs.d
    [New Thread 12316.0x33fc]
    [New Thread 12316.0x388c]
    [New Thread 12316.0x1e3c]

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\System32\imm32.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\SYSTEM32\cryptbase.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\System32\bcryptprimitives.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\system32\uxtheme.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\SYSTEM32\cryptsp.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\system32\rsaenh.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\SYSTEM32\windows.storage.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\SYSTEM32\WinTypes.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\SYSTEM32\dwmapi.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libharfbuzz-0.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libstdc++-6.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x33fc]

    Thread 2 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libglib-2.0-0.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x388c]

    Thread 3 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libfreetype-6.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x1e3c]

    Thread 4 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libgcc_s_seh-1.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x33fc]

    Thread 2 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\System32\ws2_32.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x1d58]

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libgraphite2.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x388c]

    Thread 3 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libintl-8.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x33fc]

    Thread 2 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libintl-8.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x1d58]

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libbz2-1.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x1e3c]

    Thread 4 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libbrotlidec.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x388c]

    Thread 3 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libpng16-16.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x33fc]

    Thread 2 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\zlib1.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x1d58]

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libpcre2-8-0.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x1e3c]

    Thread 4 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libiconv-2.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x388c]

    Thread 3 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libbrotlicommon.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x1d58]

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\System32\msctf.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [New Thread 12316.0x6e08]
    [New Thread 12316.0x3d58]
    [Switching to Thread 12316.0x3d58]

    Thread 6 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\SYSTEM32\kernel.appcore.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 6 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\SYSTEM32\TextInputFramework.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 6 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\System32\oleaut32.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 6 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\SYSTEM32\CoreMessaging.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 6 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\SYSTEM32\CoreUIComponents.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x1d58]

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libXpm-noX4.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [New Thread 12316.0x766c]
    [Thread 12316.0x766c exited with code 1]

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libgnutls-30.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\System32\crypt32.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\SYSTEM32\ncrypt.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x1e3c]

    Thread 4 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libhogweed-6.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x1d58]

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libp11-kit-0.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x388c]

    Thread 3 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libnettle-8.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x33fc]

    Thread 2 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libidn2-0.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 2 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libffi-8.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x1e3c]

    Thread 4 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libtasn1-6.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x1d58]

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libunistring-5.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\SYSTEM32\ntasn1.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [New Thread 12316.0x52d0]
    [Thread 12316.0x52d0 exited with code 1]
    [New Thread 12316.0x695c]
    [Thread 12316.0x695c exited with code 1]

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libxml2-2.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\liblzma-5.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [New Thread 12316.0x65a8]
    [Thread 12316.0x65a8 exited with code 1]
    [New Thread 12316.0x6e50]
    [Thread 12316.0x6e50 exited with code 1]

    Thread 1 hit Catchpoint 1
      Inferior loaded
C:\WINDOWS\WinSxS\amd64_microsoft.windows.gdiplus_6595b64144ccf1df_1.1.2262=
1.3527_none_57f93980ce19a444\GdiPlus.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [New Thread 12316.0x797c]
    [New Thread 12316.0x4e8c]
    [Thread 12316.0x4e8c exited with code 1]
    [New Thread 12316.0x74e0]
    [Thread 12316.0x74e0 exited with code 1]
    [New Thread 12316.0x3fbc]
    [Thread 12316.0x3fbc exited with code 1]
    [New Thread 12316.0x506c]
    [Thread 12316.0x506c exited with code 1]

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libgobject-2.0-0.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libgio-2.0-0.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x33fc]

    Thread 2 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\SYSTEM32\dnsapi.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x388c]

    Thread 3 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\SYSTEM32\IPHLPAPI.DLL
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x1e3c]

    Thread 4 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libgmodule-2.0-0.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x1d58]

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\System32\nsi.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [New Thread 12316.0x143c]

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libgdk_pixbuf-2.0-0.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\librsvg-2-2.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x33fc]

    Thread 2 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libcairo-2.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x388c]

    Thread 3 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libcairo-gobject-2.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x1e3c]

    Thread 4 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libpango-1.0-0.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x1d58]

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libpangocairo-1.0-0.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x388c]

    Thread 3 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\SYSTEM32\msimg32.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x33fc]

    Thread 2 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\SYSTEM32\userenv.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x1e3c]

    Thread 4 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libfontconfig-1.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x33fc]

    Thread 2 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libthai-0.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x1d58]

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libfribidi-0.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x388c]

    Thread 3 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libpixman-1-0.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x1e3c]

    Thread 4 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libexpat-1.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x388c]

    Thread 3 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libpangoft2-1.0-0.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x1d58]

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libpangowin32-1.0-0.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x1e3c]

    Thread 4 hit Catchpoint 1
      Inferior loaded C:\msys64\mingw64\bin\libdatrie-1.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x33fc]

    Thread 2 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\SYSTEM32\DWrite.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x1d58]

    Thread 1 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\System32\psapi.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x143c]

    Thread 17 "pool" hit Catchpoint 1
      Inferior loaded C:\WINDOWS\SYSTEM32\xmllite.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 17 "pool" hit Catchpoint 1
      Inferior loaded C:\WINDOWS\System32\clbcatq.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 17 "pool" hit Catchpoint 1
      Inferior loaded C:\Windows\System32\AppXDeploymentClient.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 17 "pool" hit Catchpoint 1
      Inferior loaded C:\Windows\System32\Windows.ApplicationModel.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [New Thread 12316.0x6ee8]
    [New Thread 12316.0x3990]
    [New Thread 12316.0xb88]

    Thread 17 "pool" hit Catchpoint 1
      Inferior loaded C:\Windows\System32\Windows.StateRepositoryPS.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 17 "pool" hit Catchpoint 1
      Inferior loaded C:\Windows\System32\Windows.StateRepositoryBroker.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 17 "pool" hit Catchpoint 1
      Inferior loaded C:\WINDOWS\SYSTEM32\MrmCoreR.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 17 "pool" hit Catchpoint 1
      Inferior loaded C:\WINDOWS\SYSTEM32\iertutil.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 17 "pool" hit Catchpoint 1
      Inferior loaded C:\WINDOWS\SYSTEM32\Windows.StateRepositoryCore.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 17 "pool" hit Catchpoint 1
      Inferior loaded C:\WINDOWS\SYSTEM32\profapi.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 17 "pool" hit Catchpoint 1
      Inferior loaded C:\Windows\System32\Windows.UI.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 17 "pool" hit Catchpoint 1
      Inferior loaded C:\WINDOWS\SYSTEM32\BCP47mrm.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x3990]

    Thread 19 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\SYSTEM32\cfgmgr32.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [Switching to Thread 12316.0x143c]

    Thread 17 "pool" hit Catchpoint 1
      Inferior loaded C:\Windows\System32\Windows.FileExplorer.Common.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 17 "pool" hit Catchpoint 1
      Inferior loaded C:\WINDOWS\system32\propsys.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 17 "pool" hit Catchpoint 1
      Inferior loaded C:\WINDOWS\SYSTEM32\apphelp.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 17 "pool" hit Catchpoint 1
      Inferior loaded C:\WINDOWS\system32\networkexplorer.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [New Thread 12316.0x6c7c]
    [Switching to Thread 12316.0x6c7c]

    Thread 21 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\system32\mssprxy.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 21 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\SYSTEM32\Windows.StateRepositoryClient.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [New Thread 12316.0x4634]
    [Thread 12316.0x4634 exited with code 1]
    [New Thread 12316.0x204]
    [Thread 12316.0x204 exited with code 1]
    [New Thread 12316.0x45e0]
    [Thread 12316.0x45e0 exited with code 1]
    [New Thread 12316.0x58b4]
    [Thread 12316.0x58b4 exited with code 1]

    Thread 1 received signal SIGSEGV, Segmentation fault.
    [Switching to Thread 12316.0x1d58]
    0

On Tue, May 21, 2024 at 4:06=E2=80=AFPM Eli Zaretskii <eliz@HIDDEN> wrote:
>
> > From: Simen Endsj=C3=B8 <simendsjo@HIDDEN>
> > Date: Mon, 20 May 2024 22:28:11 +0200
> > Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN
> >
> > Not sure if I understood your instructions as my output is somewhat dif=
ferent
> >
> >     Reading symbols from
> > D:\tmp\emacs-bug-70914\emacs-extra-checks-no-ucrt\simendsjo-build\bin\e=
macs.exe...
> >     (gdb) catch load
> >     Catchpoint 1 (load)
> >     (gdb) commands
> >     Type commands for breakpoint(s) 1, one per line.
> >     End with a line saying just "end".
> >     >continue
> >     >end
> >     (gdb) run --init-directory=3Dd:/.emacs.d
> >     Starting program:
> > D:\tmp\emacs-bug-70914\emacs-extra-checks-no-ucrt\simendsjo-build\bin\e=
macs.exe
> > --init-directory=3Dd:/.emacs.d
> >
> > (.. snip ..)
> >
> >     Thread 19 "pool" hit Catchpoint 1
> >       Inferior loaded C:\Windows\System32\Windows.FileExplorer.Common.d=
ll
> >     0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
> > C:\WINDOWS\SYSTEM32\ntdll.dll
> >
> >     Thread 19 "pool" hit Catchpoint 1
> >       Inferior loaded C:\WINDOWS\system32\propsys.dll
> >     0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
> > C:\WINDOWS\SYSTEM32\ntdll.dll
> >
> >     Thread 19 "pool" hit Catchpoint 1
> >       Inferior loaded C:\WINDOWS\SYSTEM32\apphelp.dll
> >     0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
> > C:\WINDOWS\SYSTEM32\ntdll.dll
> >
> >     Thread 19 "pool" hit Catchpoint 1
> >       Inferior loaded C:\WINDOWS\system32\networkexplorer.dll
> >     0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
> > C:\WINDOWS\SYSTEM32\ntdll.dll
> >     [New Thread 10032.0x6d40]
> >     [Switching to Thread 10032.0x6d40]
> >
> >     Thread 21 hit Catchpoint 1
> >       Inferior loaded C:\WINDOWS\system32\mssprxy.dll
> >     0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
> > C:\WINDOWS\SYSTEM32\ntdll.dll
> >
> >     Thread 21 hit Catchpoint 1
> >       Inferior loaded C:\WINDOWS\SYSTEM32\Windows.StateRepositoryClient=
.dll
> >     0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
> > C:\WINDOWS\SYSTEM32\ntdll.dll
> >     [New Thread 10032.0x619c]
> >     [Thread 10032.0x619c exited with code 1]
> >     [New Thread 10032.0x7688]
> >     [Thread 10032.0x7688 exited with code 1]
> >     [New Thread 10032.0x30f0]
> >     [Thread 10032.0x30f0 exited with code 1]
> >     [New Thread 10032.0x5538]
> >     [Thread 10032.0x5538 exited with code 1]
> >
> >     Thread 1 received signal SIGSEGV, Segmentation fault.
> >     [Switching to Thread 10032.0xb08]
> >     0x0000000000000000 in ?? ()
>
> Thanks.  But these are all loaded by threads other than thread 1,
> which is the Emacs's main thread.  Could you please show the last few
> DLLs loaded by thread 1?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 21 May 2024 14:06:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 21 10:06:31 2024
Received: from localhost ([127.0.0.1]:49331 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s9Q8N-0006fa-A7
	for submit <at> debbugs.gnu.org; Tue, 21 May 2024 10:06:31 -0400
Received: from eggs.gnu.org ([209.51.188.92]:46316)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1s9Q8J-0006fE-CZ
 for 70914 <at> debbugs.gnu.org; Tue, 21 May 2024 10:06:30 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1s9Q86-0004n9-VP; Tue, 21 May 2024 10:06:14 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=7CwGcw83e9nJF0mc+P2xRW7vned4Gp/mQJaNgt/8oKI=; b=B1cSt62OiLrkSeEr1/7q
 baYQZw0Ta/NOL1Wr029Ef2lArhhqySssfkmGedZtSR0l9f9h2FteicHVCj90qCvzzXKQ6PvQrtPpt
 CRpma3ArXpTSbGQIUb1DYmffGOBs+gol4pHXuJs3ITuVKWgdIDMAIwT/o0b5CIokk/ir4sY8ldVyf
 D40FRvw89ObbUygHyP42H/wXwSnDf18XA//HMETaRUuHOTrIao9DSaGHQm6hxkqOj7GKjHe1QDCDc
 sJKj0MnwrcOokUtCOIP+U4ZB5u5aQ7nwtjTqQ674zJrhUepFOd++pHmo3uKF93dUoh6uhD1/BSfP1
 UEUBNzfwCSFDJQ==;
Date: Tue, 21 May 2024 17:06:10 +0300
Message-Id: <86h6er8dkd.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Simen =?utf-8?Q?Endsj=C3=B8?= <simendsjo@HIDDEN>
In-Reply-To: <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
 (message from Simen =?utf-8?Q?Endsj=C3=B8?= on Mon, 20 May 2024 22:28:11
 +0200)
Subject: Re: bug#70914: 29.3; Crashes often on Windows
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
 <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 70914
Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Simen Endsjø <simendsjo@HIDDEN>
> Date: Mon, 20 May 2024 22:28:11 +0200
> Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN
> 
> Not sure if I understood your instructions as my output is somewhat different
> 
>     Reading symbols from
> D:\tmp\emacs-bug-70914\emacs-extra-checks-no-ucrt\simendsjo-build\bin\emacs.exe...
>     (gdb) catch load
>     Catchpoint 1 (load)
>     (gdb) commands
>     Type commands for breakpoint(s) 1, one per line.
>     End with a line saying just "end".
>     >continue
>     >end
>     (gdb) run --init-directory=d:/.emacs.d
>     Starting program:
> D:\tmp\emacs-bug-70914\emacs-extra-checks-no-ucrt\simendsjo-build\bin\emacs.exe
> --init-directory=d:/.emacs.d
> 
> (.. snip ..)
> 
>     Thread 19 "pool" hit Catchpoint 1
>       Inferior loaded C:\Windows\System32\Windows.FileExplorer.Common.dll
>     0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
> C:\WINDOWS\SYSTEM32\ntdll.dll
> 
>     Thread 19 "pool" hit Catchpoint 1
>       Inferior loaded C:\WINDOWS\system32\propsys.dll
>     0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
> C:\WINDOWS\SYSTEM32\ntdll.dll
> 
>     Thread 19 "pool" hit Catchpoint 1
>       Inferior loaded C:\WINDOWS\SYSTEM32\apphelp.dll
>     0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
> C:\WINDOWS\SYSTEM32\ntdll.dll
> 
>     Thread 19 "pool" hit Catchpoint 1
>       Inferior loaded C:\WINDOWS\system32\networkexplorer.dll
>     0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
> C:\WINDOWS\SYSTEM32\ntdll.dll
>     [New Thread 10032.0x6d40]
>     [Switching to Thread 10032.0x6d40]
> 
>     Thread 21 hit Catchpoint 1
>       Inferior loaded C:\WINDOWS\system32\mssprxy.dll
>     0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
> C:\WINDOWS\SYSTEM32\ntdll.dll
> 
>     Thread 21 hit Catchpoint 1
>       Inferior loaded C:\WINDOWS\SYSTEM32\Windows.StateRepositoryClient.dll
>     0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
> C:\WINDOWS\SYSTEM32\ntdll.dll
>     [New Thread 10032.0x619c]
>     [Thread 10032.0x619c exited with code 1]
>     [New Thread 10032.0x7688]
>     [Thread 10032.0x7688 exited with code 1]
>     [New Thread 10032.0x30f0]
>     [Thread 10032.0x30f0 exited with code 1]
>     [New Thread 10032.0x5538]
>     [Thread 10032.0x5538 exited with code 1]
> 
>     Thread 1 received signal SIGSEGV, Segmentation fault.
>     [Switching to Thread 10032.0xb08]
>     0x0000000000000000 in ?? ()

Thanks.  But these are all loaded by threads other than thread 1,
which is the Emacs's main thread.  Could you please show the last few
DLLs loaded by thread 1?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 20 May 2024 20:29:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 20 16:29:33 2024
Received: from localhost ([127.0.0.1]:44610 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s99dV-00018Z-HG
	for submit <at> debbugs.gnu.org; Mon, 20 May 2024 16:29:33 -0400
Received: from mail-lf1-f48.google.com ([209.85.167.48]:61913)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <simendsjo@HIDDEN>) id 1s99dT-00018S-ID
 for 70914 <at> debbugs.gnu.org; Mon, 20 May 2024 16:29:32 -0400
Received: by mail-lf1-f48.google.com with SMTP id
 2adb3069b0e04-51f4d2676d1so4046411e87.3
 for <70914 <at> debbugs.gnu.org>; Mon, 20 May 2024 13:29:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1716236901; x=1716841701; darn=debbugs.gnu.org;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:from:to:cc:subject:date
 :message-id:reply-to;
 bh=VGwCfEPxZw5UA1qIGe9EL5JUF1uM+UYbfMCRLYHMWCc=;
 b=BOQBEiDrTjcJzZLcm3yoFAYAAYQDE7yJssFcHfsmWbl3bzSvGApVv4MN063M38+bKc
 5i8nRIATvu16INl9HzZAmHr3KymRMrywZy0rVPN9UHeVn8gM+qgcHaW8S3JwXQQqy3dg
 jYHuTdj57Daw+3d+S5P2t77vHNC0E3YzUCEV3JgMKMwea7GRQPRzTQTSEsWJ+qAPtjHt
 Z2DtPN+4dWMkbg//tAyeWdAV4CgDNY9xg5nyMf/5aSq9BzAufBU2ZDj6u1+YJ2ZSMlRP
 7p3tUCphfQRj3dLZwjcib9S9bv2H7IDn8eGYXaP7uMqkE9oPOcFpxusVLWY8QkuYYQzU
 OoJg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1716236901; x=1716841701;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=VGwCfEPxZw5UA1qIGe9EL5JUF1uM+UYbfMCRLYHMWCc=;
 b=X7Z5aDvAf0u2Pu4INNqPkCW/odoSBY6XccljCTpyyvybb8LwoUuRxEaVoUxpCBJ1ol
 NuU+KfLuZrUIIugrNoOwI+u5ibUSCcAzvDJIas36jBH5RuLr/GMAoIc1pQTi/pVUShc8
 jY4Tszym5TlugORxmY4LDc4Ccg8gYCleW28skB4vNaSRYYQsOnh56CX4P6OvXbpq8sJT
 WJtlbCmTYv6MktQsms4jEulOVqxDBhHVufHkQ4lHvCdS6vRSPUBUsOIfG6EzcGt8aT3O
 dw36fIeMO68VN2/8UOBAL4CD2n1Orhp3+GuC/mCXZdYVcqYRM6PpGEMoqXNeczylowaK
 Xb6g==
X-Gm-Message-State: AOJu0YzOUWfHsKGd6kIxGYmhP/mEB2ekMfQ5ULqGhzs6eIM5+ZNCc3Mz
 MLzXt93GJqHD4MN88qwGWrdlycmed52IZiM5GqFDiw+TKWMgWW6lgTSZuZHMGvZ8mjcpTfFpAMn
 Ut3Vp7fgxAgO5Uo63B0RzYQCrPx0HhoBGX3c=
X-Google-Smtp-Source: AGHT+IFizAfA8hRDsIMF9TEiYdC88EA2QD12kioCMOmHUIfjOPePlDQVYqCrHDqtTo5F+IuQytn4KMpXTecPmIj80ac=
X-Received: by 2002:a05:6512:1304:b0:518:d259:8542 with SMTP id
 2adb3069b0e04-5220fb77500mr23547626e87.2.1716236900485; Mon, 20 May 2024
 13:28:20 -0700 (PDT)
MIME-Version: 1.0
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN> <86seyc8f1c.fsf@HIDDEN>
In-Reply-To: <86seyc8f1c.fsf@HIDDEN>
From: =?UTF-8?Q?Simen_Endsj=C3=B8?= <simendsjo@HIDDEN>
Date: Mon, 20 May 2024 22:28:11 +0200
Message-ID: <CAHkVV6HSrB43nUZkPsJ2wQtjza3_+wHYpFH40YcJw+g_+NfXtg@HIDDEN>
Subject: Re: bug#70914: 29.3; Crashes often on Windows
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70914
Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Not sure if I understood your instructions as my output is somewhat differe=
nt

    Reading symbols from
D:\tmp\emacs-bug-70914\emacs-extra-checks-no-ucrt\simendsjo-build\bin\emacs=
.exe...
    (gdb) catch load
    Catchpoint 1 (load)
    (gdb) commands
    Type commands for breakpoint(s) 1, one per line.
    End with a line saying just "end".
    >continue
    >end
    (gdb) run --init-directory=3Dd:/.emacs.d
    Starting program:
D:\tmp\emacs-bug-70914\emacs-extra-checks-no-ucrt\simendsjo-build\bin\emacs=
.exe
--init-directory=3Dd:/.emacs.d

(.. snip ..)

    Thread 19 "pool" hit Catchpoint 1
      Inferior loaded C:\Windows\System32\Windows.FileExplorer.Common.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 19 "pool" hit Catchpoint 1
      Inferior loaded C:\WINDOWS\system32\propsys.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 19 "pool" hit Catchpoint 1
      Inferior loaded C:\WINDOWS\SYSTEM32\apphelp.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 19 "pool" hit Catchpoint 1
      Inferior loaded C:\WINDOWS\system32\networkexplorer.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [New Thread 10032.0x6d40]
    [Switching to Thread 10032.0x6d40]

    Thread 21 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\system32\mssprxy.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll

    Thread 21 hit Catchpoint 1
      Inferior loaded C:\WINDOWS\SYSTEM32\Windows.StateRepositoryClient.dll
    0x00007fffef7cfe54 in ntdll!ZwMapViewOfSection () from
C:\WINDOWS\SYSTEM32\ntdll.dll
    [New Thread 10032.0x619c]
    [Thread 10032.0x619c exited with code 1]
    [New Thread 10032.0x7688]
    [Thread 10032.0x7688 exited with code 1]
    [New Thread 10032.0x30f0]
    [Thread 10032.0x30f0 exited with code 1]
    [New Thread 10032.0x5538]
    [Thread 10032.0x5538 exited with code 1]

    Thread 1 received signal SIGSEGV, Segmentation fault.
    [Switching to Thread 10032.0xb08]
    0x0000000000000000 in ?? ()

On Mon, May 20, 2024 at 9:22=E2=80=AFPM Eli Zaretskii <eliz@HIDDEN> wrote:
>
> > Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN
> > Date: Mon, 20 May 2024 22:00:11 +0300
> > From: Eli Zaretskii <eliz@HIDDEN>
> >
> > > From: Simen Endsj=C3=B8 <simendsjo@HIDDEN>
> > > Date: Mon, 20 May 2024 20:41:58 +0200
> > > Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN
> > >
> > > Doesn't look very fruitful
> >
> > Another idea eats dust...
>
> Here's another semi-desperate idea: maybe some DLL that is loaded just
> before the crash is the culprit.  So please say
>
>   (gdb) catch load
>   Catchpoint 2 (load)
>   (gdb) commands
>   Type commands for breakpoint(s) 2, one per line.
>   End with a line saying just "end".
>   >continue
>   >end
>   (gdb)
>
> Then run Emacs as usual -- it will show every DLL it loads in the
> console window from which you run GDB.  When it crashes, please tell
> what were the last few DLLs Emacs loaded.
>
> Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 20 May 2024 19:22:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 20 15:22:29 2024
Received: from localhost ([127.0.0.1]:44311 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s98ab-0000Jl-IP
	for submit <at> debbugs.gnu.org; Mon, 20 May 2024 15:22:29 -0400
Received: from eggs.gnu.org ([209.51.188.92]:35620)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1s98aV-0000Jd-ER
 for 70914 <at> debbugs.gnu.org; Mon, 20 May 2024 15:22:27 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1s98aJ-0004UN-ON; Mon, 20 May 2024 15:22:12 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=IEwop9dRjXLmDMgL1SCxS2fEGVNwSPVq06VUo0JoG68=; b=A4lC+rhzg8sqPxi5pZG7
 ZwzFsJEgeib0ug2hhEuLkWenFGDXodkOIQ3bTmfuGrYzgmb4Pfu01oma0G+YNhvk3YZKfZgwuElee
 yE7DTPwiB2ukFNgeTEGNNxhq80YaczvOYZpYUVCKqgPS+1pW47kikmGHNleXfveUdvXV0UlZyI61g
 huPKBzFSr/RyEB1cokoi5Mqf8HtleQg59HQPKy7RB2msnGduNi2g5gbH7kGZOSbRKv2k6NcMmAv6Q
 be+0EVyntQOLLf5Vz3y6VfBqPi4fdvOnMYPqEuGhvy0vfET+T14Y9HkaVs9itAORmOftWIaa3H5L5
 wBm4r7/HAJwL4w==;
Date: Mon, 20 May 2024 22:22:07 +0300
Message-Id: <86seyc8f1c.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: simendsjo@HIDDEN
In-Reply-To: <86v8388g1w.fsf@HIDDEN> (message from Eli Zaretskii on Mon, 20
 May 2024 22:00:11 +0300)
Subject: Re: bug#70914: 29.3; Crashes often on Windows
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 <86v8388g1w.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 70914
Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN
> Date: Mon, 20 May 2024 22:00:11 +0300
> From: Eli Zaretskii <eliz@HIDDEN>
> 
> > From: Simen Endsjø <simendsjo@HIDDEN>
> > Date: Mon, 20 May 2024 20:41:58 +0200
> > Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN
> > 
> > Doesn't look very fruitful
> 
> Another idea eats dust...

Here's another semi-desperate idea: maybe some DLL that is loaded just
before the crash is the culprit.  So please say

  (gdb) catch load
  Catchpoint 2 (load)
  (gdb) commands
  Type commands for breakpoint(s) 2, one per line.
  End with a line saying just "end".
  >continue
  >end
  (gdb)

Then run Emacs as usual -- it will show every DLL it loads in the
console window from which you run GDB.  When it crashes, please tell
what were the last few DLLs Emacs loaded.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 20 May 2024 19:02:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 20 15:02:39 2024
Received: from localhost ([127.0.0.1]:44233 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s98HP-0005oX-Kr
	for submit <at> debbugs.gnu.org; Mon, 20 May 2024 15:02:39 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41808)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1s98HM-0005oR-Up
 for 70914 <at> debbugs.gnu.org; Mon, 20 May 2024 15:02:37 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1s98F6-0008Vm-GR; Mon, 20 May 2024 15:00:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=gSO71iQjq7hrYRT8eiBY13Z/Puuf0dFIwO9LbK2mW9g=; b=dN4c8oBI2GCkraTaV/gx
 rh9b1//58MCRqE5uXSMg116QM2zoF8b8EjM2MkWunleZ0uWhTABXKnSYNgosYaJ5/19Rjg30dL3+G
 9Qa13DFm8kiPurAnBOvEDqCk6Qnoq6xELFIo+CcwGQoG3rs+vTYslQ3V6l6hZz7HRZSLCbTLsdxeF
 OStqcMVMZDBUgHjh2fTPUR+VEnXgNtc2oAaq8x9GbbGhut6quAYupQyPPhGDeqACgHnkKadrH/bsY
 APHfU9RmoaPFVnp01QovysXUr5co+s5sF1RzRwHgqFGURi2GkUYbHK8GhuJAwGTfVoBcd9ehdvd7q
 lYrCdvYDW+/Mlw==;
Date: Mon, 20 May 2024 22:00:11 +0300
Message-Id: <86v8388g1w.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Simen =?utf-8?Q?Endsj=C3=B8?= <simendsjo@HIDDEN>
In-Reply-To: <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
 (message from Simen =?utf-8?Q?Endsj=C3=B8?= on Mon, 20 May 2024 20:41:58
 +0200)
Subject: Re: bug#70914: 29.3; Crashes often on Windows
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
 <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 70914
Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Simen Endsjø <simendsjo@HIDDEN>
> Date: Mon, 20 May 2024 20:41:58 +0200
> Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN
> 
> Doesn't look very fruitful

Another idea eats dust...




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 20 May 2024 18:43:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 20 14:43:23 2024
Received: from localhost ([127.0.0.1]:44142 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s97yk-0005bv-Lo
	for submit <at> debbugs.gnu.org; Mon, 20 May 2024 14:43:23 -0400
Received: from mail-lf1-f41.google.com ([209.85.167.41]:47139)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <simendsjo@HIDDEN>) id 1s97yf-0005bn-Tl
 for 70914 <at> debbugs.gnu.org; Mon, 20 May 2024 14:43:21 -0400
Received: by mail-lf1-f41.google.com with SMTP id
 2adb3069b0e04-51f3a49ff7dso6142729e87.2
 for <70914 <at> debbugs.gnu.org>; Mon, 20 May 2024 11:43:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1716230527; x=1716835327; darn=debbugs.gnu.org;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:from:to:cc:subject:date
 :message-id:reply-to;
 bh=ytjGECvap4DM1KW9lpyuOa+flfGeGkwUiFVaw7qWFf0=;
 b=Sf3wbNqplHO7MUk1QplkEYnrNuSbfFBbQzpWjAiIItrQlBoV5MXIJznzptM8sX1p8l
 UhyFakYZ5Mp9lSrqxjEvYqc8nvJOUtej7XgyvxWA0QYbagYmJQ1PgzUNIPeRK6v3qWub
 HfEqc+noU4mxbjKXTzWyeJIZD4Xoy2ghzjN9xCXI1RAq/+VhCzae1JF0tU6TfVRaZrRo
 AuXgYQwOkilfWhFq5bXynuuIZT+4RcdMKOVzYUCC8pEdnqKpIXOpX1KM8UF960YrK+JJ
 0qv/V2XLCGio6MyS7wJ1k/VzQ5BNaegqwl0LPJQQDA03E7MSSstgiU4QPTa5K6UOvtvG
 1GZQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1716230527; x=1716835327;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=ytjGECvap4DM1KW9lpyuOa+flfGeGkwUiFVaw7qWFf0=;
 b=ZW93pplE4S6xq1gng5veuWBynsTtad80q+2I9WdRqTA0ldQmlZUfFquY9C3gai9DxG
 625fW2EjPjxAbajPoqjktce2Lu5Fkv7s+uI4OAjRGpAFJlj/3r3DfSBPEBB6DXRWa47n
 T/x7pGkST+kJdGFNfzVCrq7I2Ogi6CtWYWYGLspDpcE4jcoCCWHihcDzrNJRizNI4/Dw
 RaJC4srfrX+zd8Pz+2S5NyK0xtWKAxoc5H8Yc91DCSmj/E9U1WnKAN6cnrpcFu9ObaEq
 w+FRocQn+lXGGSXuVGP40ugVIEvNUK5ryCsvNhUEIkk8VA72AiOQPcYLo0CHK02a9+ad
 TagA==
X-Gm-Message-State: AOJu0YxvrT4GXldbPoLgKfluOlDbj2KOGNtsm3McExT2B6XROtspGh6e
 zMbFGltnCoKqrGEUk/Gzf2Wv+RXiknYHTSfr82dsqG/iUHR6gqN7qnAsCPK3j49m8C46yOEBMG6
 s2Z5OCZiKvYH3OOmyZDuZglXOuCAZVGqBDM8=
X-Google-Smtp-Source: AGHT+IGeo8iQFma+eu3V00T4KYO85DXF5EgqRcT6ie44Kz5aF+z9DeY3dqeH+k7b4fVtBsQfd9QyLgQu3hpr0OyFX7I=
X-Received: by 2002:a05:6512:33d0:b0:523:9811:b0d6 with SMTP id
 2adb3069b0e04-5239811b25cmr11570670e87.15.1716230526852; Mon, 20 May 2024
 11:42:06 -0700 (PDT)
MIME-Version: 1.0
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 <861q5w9wgv.fsf@HIDDEN>
In-Reply-To: <861q5w9wgv.fsf@HIDDEN>
From: =?UTF-8?Q?Simen_Endsj=C3=B8?= <simendsjo@HIDDEN>
Date: Mon, 20 May 2024 20:41:58 +0200
Message-ID: <CAHkVV6FiBfruxgQ2BciWcsSjPCNQYpDViBCXPJCnJRQUHE2gAQ@HIDDEN>
Subject: Re: bug#70914: 29.3; Crashes often on Windows
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70914
Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Doesn't look very fruitful

    (gdb) bt
    #0  0x0000000000000000 in ?? ()
    #1  0x0000000000000000 in ?? ()
    (gdb) p/x *(uintptr_t *)($sp + 8)
    $2 =3D 0x0
    (gdb) p/x *(uintptr_t *)($sp + 16)
    $3 =3D 0x0
    (gdb) p/x *(uintptr_t *)($sp + 24)
    $4 =3D 0x0
    (gdb) p/x *(uintptr_t *)($sp + 32)
    $5 =3D 0x0
    (gdb) p/x *(uintptr_t *)($sp + 40)
    $6 =3D 0x0
    (gdb) p/x *(uintptr_t *)($sp + 48)
    $7 =3D 0x0
    (gdb) p/x *(uintptr_t *)($sp + 56)
    $8 =3D 0x0
    (gdb) p/x *(uintptr_t *)($sp + 64)
    $9 =3D 0x0
    (gdb) p/x *(uintptr_t *)($sp + (8 * 9))
    $10 =3D 0x0
    (gdb) p/x *(uintptr_t *)($sp + (8 * 10))
    $11 =3D 0x0
    (gdb) p/x *(uintptr_t *)($sp + (8 * 11))
    $12 =3D 0x0
    (gdb) p/x *(uintptr_t *)($sp + (8 * 12))
    $13 =3D 0x0
    (gdb) p/x *(uintptr_t *)($sp + (8 * 13))
    $14 =3D 0x0
    (gdb) p/x *(uintptr_t *)($sp + (8 * 14))
    $15 =3D 0x0
    (gdb) p/x *(uintptr_t *)($sp + (8 * 15))
    $16 =3D 0x0
    (gdb) p/x *(uintptr_t *)($sp + (8 * 16))
    $17 =3D 0x0
    (gdb) p/x *(uintptr_t *)($sp + (8 * 17))
    $18 =3D 0x0
    (gdb) p/x *(uintptr_t *)($sp + (8 * 18))
    $19 =3D 0x0
    (gdb) p/x *(uintptr_t *)($sp + (8 * 19))
    $20 =3D 0x0
    (gdb) p/x *(uintptr_t *)($sp + (8 * 20))
    $21 =3D 0x0
    (gdb) p/x *(uintptr_t *)($sp + (8 * 21))
    $22 =3D 0x0
    (gdb) p/x *(uintptr_t *)($sp + (8 * 22))
    $23 =3D 0x0
    (gdb) p/x *(uintptr_t *)($sp + (8 * 23))
    $24 =3D 0x0

On Mon, May 20, 2024 at 8:20=E2=80=AFPM Eli Zaretskii <eliz@HIDDEN> wrote:
>
> > From: Simen Endsj=C3=B8 <simendsjo@HIDDEN>
> > Date: Mon, 20 May 2024 19:54:38 +0200
> > Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN
> >
> > > Please try this with a healthy Emacs process before you do it after
> > > the crash, to make sure this procedure works.  Here's my attempt to
> > > validate this technique:
> >
> > Looks like I needed a binary with debugging symbols, so I used my previ=
ous
> > build. It's as good as any other. But looks like there are two stack fr=
ames with
> > zero pointers, so the technique doesn't work?
> >
> >     Thread 1 received signal SIGSEGV, Segmentation fault.
> >     0x0000000000000000 in ?? ()
> >     (gdb) thread 1
> >     [Switching to thread 1 (Thread 19884.0x7bf8)]
> >     #0  0x0000000000000000 in ?? ()
> >     (gdb) p/x *(uintptr_t *)$sp
> >     $1 =3D 0x0
> >     (gdb) list *$
> >     (gdb) bt
> >     #0  0x0000000000000000 in ?? ()
> >     #1  0x0000000000000000 in ?? ()
> >     (gdb)
>
> There are two zeros on the stack.  Bummer.
>
> What does this produce:
>
>   (gdb) p/x *(uintptr_t *)($sp + 8)
>
> If the value is non-zero, try listing it:
>
>   (gdb) list *$
>
> If the above yields zero, try $sp+16, $sp+24, etc., until you get a
> non-zero value.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 20 May 2024 18:20:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 20 14:20:50 2024
Received: from localhost ([127.0.0.1]:44052 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s97cw-0005ON-HT
	for submit <at> debbugs.gnu.org; Mon, 20 May 2024 14:20:50 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39688)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1s97cr-0005OH-Q7
 for 70914 <at> debbugs.gnu.org; Mon, 20 May 2024 14:20:49 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1s97cg-0001Yo-Pv; Mon, 20 May 2024 14:20:34 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=Zb4rNbEkzxZLJL4R+UonudS4KxMlZ2Ru41zQ04cMxS8=; b=FkYx5kGu+fWDAZY5A07b
 33NkRmKxNwvc3ENg+F0uqQpS3BC6sdT52cxJX8oR+gazbKGT2P2HUe8Jkmz4K0nnWG97MwdlzDpEN
 Tw8EpjDYSLJDHcLXarrVUSlmWf7mht0tQtz15n6OnAJXPnpRAQ2W5fOZUuB2d7aEAXbV5TFILkfID
 39CUwt9Kz8mJWj9BAjCsQwa0Ma9UZnr64ZfnMTj0odHJoskt3X62JJNGUa2w0TegVMRPAdi5IGkOB
 o+o0RQ/aFTpLcWYBUh/NtkAPBKtpjx1zIau59j9QTuL/UqMeUMnhqfaXadQmyPMjeRKzkYIdtFx53
 PLnnNQpQ8mmNJg==;
Date: Mon, 20 May 2024 21:20:16 +0300
Message-Id: <861q5w9wgv.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Simen =?utf-8?Q?Endsj=C3=B8?= <simendsjo@HIDDEN>
In-Reply-To: <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
 (message from Simen =?utf-8?Q?Endsj=C3=B8?= on Mon, 20 May 2024 19:54:38
 +0200)
Subject: Re: bug#70914: 29.3; Crashes often on Windows
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
 <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 70914
Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Simen Endsjø <simendsjo@HIDDEN>
> Date: Mon, 20 May 2024 19:54:38 +0200
> Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN
> 
> > Please try this with a healthy Emacs process before you do it after
> > the crash, to make sure this procedure works.  Here's my attempt to
> > validate this technique:
> 
> Looks like I needed a binary with debugging symbols, so I used my previous
> build. It's as good as any other. But looks like there are two stack frames with
> zero pointers, so the technique doesn't work?
> 
>     Thread 1 received signal SIGSEGV, Segmentation fault.
>     0x0000000000000000 in ?? ()
>     (gdb) thread 1
>     [Switching to thread 1 (Thread 19884.0x7bf8)]
>     #0  0x0000000000000000 in ?? ()
>     (gdb) p/x *(uintptr_t *)$sp
>     $1 = 0x0
>     (gdb) list *$
>     (gdb) bt
>     #0  0x0000000000000000 in ?? ()
>     #1  0x0000000000000000 in ?? ()
>     (gdb)

There are two zeros on the stack.  Bummer.

What does this produce:

  (gdb) p/x *(uintptr_t *)($sp + 8)

If the value is non-zero, try listing it:

  (gdb) list *$

If the above yields zero, try $sp+16, $sp+24, etc., until you get a
non-zero value.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 20 May 2024 17:56:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 20 13:56:09 2024
Received: from localhost ([127.0.0.1]:43934 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s97Et-00054o-Os
	for submit <at> debbugs.gnu.org; Mon, 20 May 2024 13:56:09 -0400
Received: from mail-lj1-f177.google.com ([209.85.208.177]:59863)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <simendsjo@HIDDEN>) id 1s97Er-00054i-MP
 for 70914 <at> debbugs.gnu.org; Mon, 20 May 2024 13:55:58 -0400
Received: by mail-lj1-f177.google.com with SMTP id
 38308e7fff4ca-2e724bc466fso17614231fa.3
 for <70914 <at> debbugs.gnu.org>; Mon, 20 May 2024 10:55:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1716227687; x=1716832487; darn=debbugs.gnu.org;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:from:to:cc:subject:date
 :message-id:reply-to;
 bh=YNp1GyufbIrAv1GgzcjwCKWZ1s/IEyopieg4vBigbwU=;
 b=anc54Is2urWrnvmUeRToLYj05E2kGVewQII3ZEvMrJTpLZRnPtI3leGN0Qcd2fz2Ya
 BG2ZmitHE+IrsL80tsH2ikkYlSFwzlX4Gfr1nsLRCjNDG8IEgENPIp7nVM4ku64S3go7
 WgdIMppqytY2KHA2JkHVYaj4ELIWLJ2d2BCJob3WOCCJQF6pQ1NVZRgOLj8veEI+x5cm
 gT4ud0L+/iDvffKLrxfoXQQXRfPM+EiIY5IZUMe1i5O27HUNIhqiW+5Hk2V9lwSySMwn
 5qctL5Evz6F2qixiEZnntWATHNdIablTTUcIJJ0KzF4I0CWhgP1h4wgp7RaUnD8AHQkH
 4L1w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1716227687; x=1716832487;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=YNp1GyufbIrAv1GgzcjwCKWZ1s/IEyopieg4vBigbwU=;
 b=jUcPLWTOpk9tw02poVUaHqArsGOLmLTURNZD0LMrVBJ0D/K2fgRyqJDDNlacEMUNjG
 NVrUq4AYFqkHxZRMAg7t/H5e0Dd2j1MABvuXDtTRDjSFOkiJcnCWs1kGznGCE4hB5b4D
 2Sexp2f8pxkZWVQMJMbOiIzN/REiH/Pi/pCnMctJC9s3Rqb0ylji3SYbezaaXmfpuOL8
 lRV8L8b8sk3gbg0cHosSlxklmsyzNRcmCL5KNwXCrFaVa+0J2djFfp/bDaeZWXfGrrUQ
 /+K6iodKwOpemW8HVnYiUP+P13bOV4CCY2FwjUF06X/aZdRH57Ud6sW6WiYIHlWJhNBb
 PVQw==
X-Gm-Message-State: AOJu0YzQ1UbtQIGlAh1E31aIFFCU+imfa0X9DAvw4JHdy9K0Hz4xaF1P
 nInbYmZUP9ILr0diRF7FLBDPha08bbL4Gfvx0Wm0mRgTi54SxClqyrihCTigYEJ1bTfQGegBPj5
 6Ji23AeVw/reYlljf04cSvcfq+OU=
X-Google-Smtp-Source: AGHT+IFWDRr48UEy7TiAs+chjkYDqS7vLoKkEPuLCY4j1a/9YgDLI/Y8Te0LkDzSs86elr328qzAwpFZeaYSxigOn+k=
X-Received: by 2002:a19:f007:0:b0:518:9823:601a with SMTP id
 2adb3069b0e04-5220fd7bd32mr26488780e87.39.1716227686615; Mon, 20 May 2024
 10:54:46 -0700 (PDT)
MIME-Version: 1.0
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 <86bk50a938.fsf@HIDDEN>
In-Reply-To: <86bk50a938.fsf@HIDDEN>
From: =?UTF-8?Q?Simen_Endsj=C3=B8?= <simendsjo@HIDDEN>
Date: Mon, 20 May 2024 19:54:38 +0200
Message-ID: <CAHkVV6HLiVB=QttM_E5uUX_B2LueFu91eu79YtnoBSaz3ObknQ@HIDDEN>
Subject: Re: bug#70914: 29.3; Crashes often on Windows
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 70914
Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Please try this with a healthy Emacs process before you do it after
> the crash, to make sure this procedure works.  Here's my attempt to
> validate this technique:

Looks like I needed a binary with debugging symbols, so I used my previous
build. It's as good as any other. But looks like there are two stack frames=
 with
zero pointers, so the technique doesn't work?

    Thread 1 received signal SIGSEGV, Segmentation fault.
    0x0000000000000000 in ?? ()
    (gdb) thread 1
    [Switching to thread 1 (Thread 19884.0x7bf8)]
    #0  0x0000000000000000 in ?? ()
    (gdb) p/x *(uintptr_t *)$sp
    $1 =3D 0x0
    (gdb) list *$
    (gdb) bt
    #0  0x0000000000000000 in ?? ()
    #1  0x0000000000000000 in ?? ()
    (gdb)

On Mon, May 20, 2024 at 3:47=E2=80=AFPM Eli Zaretskii <eliz@HIDDEN> wrote:
>
> > From: Simen Endsj=C3=B8 <simendsjo@HIDDEN>
> > Date: Sun, 19 May 2024 20:38:24 +0200
> > Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN
> >
> > *****************************| System Information |********************=
*********
>
> Thanks.  I think, given that every other avenue of approach has
> failed, we should try the direct one: try to determine which code
> called the zero PC address.  I think the following should work for
> you, after Emacs crashes due to zero address:
>
>   (gdb) thread 1
>   (gdb) p/x *(uintptr_t *)$sp
>   $1 =3D 0x1234567887654321
>   (gdb) list *$
>
> The "0x1234567887654321" stands for some 64-bit address that GDB will
> show in your case, which is the address pointed by the stack pointer
> register.  AFAIU, that address should hold the return address of the
> function which called the "zero address", and the "list" command
> should show its source code (assuming it's some Emacs code).
>
> Please try this with a healthy Emacs process before you do it after
> the crash, to make sure this procedure works.  Here's my attempt to
> validate this technique:
>
>   gdb ./emacs.exe
>   ...
>   (gdb) break Frecursive_edit
>   Breakpoint 2 at 0x115dc2f: file emacs.c, line 2621.
>   (gdb) run -Q
>   Thread 1 hit Breakpoint 2, main (argc=3D2, argv=3D0x7ab2570) at emacs.c=
:2621
>   2621      Frecursive_edit ();
>   (gdb) si
>   Frecursive_edit () at keyboard.c:808
>   808     {
>   (gdb) p/x *(uintptr_t *)$sp
>   $4 =3D 0x76dc34
>   (gdb) list *$
>   0x76dc34 is in main (emacs.c:2622).
>   2617    #endif
>   2618
>   2619      /* Enter editor command loop.  This never returns.  */
>   2620      set_initial_minibuffer_mode ();
>   2621      Frecursive_edit ();
>   2622      eassume (false);
>   2623    }
>   2624    ^L
>   2625    /* Sort the args so we can find the most important ones
>   2626       at the beginning of argv.  */
>   (gdb)
>
> The above is in a 32-bit build of Emacs, not 64-bit build as in your
> case.  The above tells us that Frecursive_edit was called from a line
> before 2622 (since the return address on the stack is the address of
> the first function _after_ Frecursive_edit).
>
> Note that I used the "si" command (stepi) to step 1 machine
> instruction inside Frecursive_edit and stop immediately after the
> call, before the function's preamble pushes local variables onto the
> stack, so as to ensure that the stack pointer points to the return
> address.
>
> I hope using this technique we will be able to find the immediate
> caller of the "zero address".  Fingers crossed.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 20 May 2024 13:48:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 20 09:48:16 2024
Received: from localhost ([127.0.0.1]:42752 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s93N9-00054j-Ba
	for submit <at> debbugs.gnu.org; Mon, 20 May 2024 09:48:16 -0400
Received: from eggs.gnu.org ([209.51.188.92]:54662)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1s93Mw-00054H-V1
 for 70914 <at> debbugs.gnu.org; Mon, 20 May 2024 09:48:14 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1s93Mm-00079V-Qp; Mon, 20 May 2024 09:47:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=UJcL1kHnlk8QRv8Fc9VJlSMEK1kV5b4nHz8Pbpg5dJ8=; b=E7fkEzLWOV+TBPunqKzO
 Q1qEcwPAfAL+1BWNNEs+AHt/UIkIUXZs22h0MDIpxIbEdCmb/zh2IjYL/o0dSxp8usEJTD15UhOxU
 NU1td8pYwva7MSJVY5/p7VdFsl67somqd1YXEacdDMKXSzlQnLmxXZ4jHI4zFhg++8W5G868nqQ2d
 6qfgaEQCqRY7hSmh6nQBtx2Kckn94io2QzH1TTnI+8d6GAZ/Hw+tVn9qyRgLYE4WMvHdgTYEFMwCc
 O+7or17pU0va+cYTKbUL89rf8HL3BCJBEH9Y0tb+RFFV5X+8Lwhrb/bYx0VWptA8kAxVtPP++K9Fy
 1OcAVhA148crwg==;
Date: Mon, 20 May 2024 16:47:39 +0300
Message-Id: <86bk50a938.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Simen =?utf-8?Q?Endsj=C3=B8?= <simendsjo@HIDDEN>
In-Reply-To: <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
 (message from Simen =?utf-8?Q?Endsj=C3=B8?= on Sun, 19 May 2024 20:38:24
 +0200)
Subject: Re: bug#70914: 29.3; Crashes often on Windows
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
 <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 70914
Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Simen Endsjø <simendsjo@HIDDEN>
> Date: Sun, 19 May 2024 20:38:24 +0200
> Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN
> 
> *****************************| System Information |*****************************

Thanks.  I think, given that every other avenue of approach has
failed, we should try the direct one: try to determine which code
called the zero PC address.  I think the following should work for
you, after Emacs crashes due to zero address:

  (gdb) thread 1
  (gdb) p/x *(uintptr_t *)$sp
  $1 = 0x1234567887654321
  (gdb) list *$

The "0x1234567887654321" stands for some 64-bit address that GDB will
show in your case, which is the address pointed by the stack pointer
register.  AFAIU, that address should hold the return address of the
function which called the "zero address", and the "list" command
should show its source code (assuming it's some Emacs code).

Please try this with a healthy Emacs process before you do it after
the crash, to make sure this procedure works.  Here's my attempt to
validate this technique:

  gdb ./emacs.exe
  ...
  (gdb) break Frecursive_edit
  Breakpoint 2 at 0x115dc2f: file emacs.c, line 2621.
  (gdb) run -Q
  Thread 1 hit Breakpoint 2, main (argc=2, argv=0x7ab2570) at emacs.c:2621
  2621      Frecursive_edit ();
  (gdb) si
  Frecursive_edit () at keyboard.c:808
  808     {
  (gdb) p/x *(uintptr_t *)$sp
  $4 = 0x76dc34
  (gdb) list *$
  0x76dc34 is in main (emacs.c:2622).
  2617    #endif
  2618
  2619      /* Enter editor command loop.  This never returns.  */
  2620      set_initial_minibuffer_mode ();
  2621      Frecursive_edit ();
  2622      eassume (false);
  2623    }
  2624    ^L
  2625    /* Sort the args so we can find the most important ones
  2626       at the beginning of argv.  */
  (gdb)

The above is in a 32-bit build of Emacs, not 64-bit build as in your
case.  The above tells us that Frecursive_edit was called from a line
before 2622 (since the return address on the stack is the address of
the first function _after_ Frecursive_edit).

Note that I used the "si" command (stepi) to step 1 machine
instruction inside Frecursive_edit and stop immediately after the
call, before the function's preamble pushes local variables onto the
stack, so as to ensure that the stack pointer points to the return
address.

I hope using this technique we will be able to find the immediate
caller of the "zero address".  Fingers crossed.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#70914; Package emacs. Full text available.

Message received at 70914 <at> debbugs.gnu.org:


Received: (at 70914) by debbugs.gnu.org; 19 May 2024 18:39:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 19 14:39:48 2024
Received: from localhost ([127.0.0.1]:37464 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1s8lRj-0004o3-SF
	for submit <at> debbugs.gnu.org; Sun, 19 May 2024 14:39:47 -0400
Received: from mail-lj1-f171.google.com ([209.85.208.171]:56731)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <simendsjo@HIDDEN>) id 1s8lRh-0004nv-Dd
 for 70914 <at> debbugs.gnu.org; Sun, 19 May 2024 14:39:46 -0400
Received: by mail-lj1-f171.google.com with SMTP id
 38308e7fff4ca-2e716e302d8so14317531fa.1
 for <70914 <at> debbugs.gnu.org>; Sun, 19 May 2024 11:39:41 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1716143915; x=1716748715; darn=debbugs.gnu.org;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:from:to:cc:subject:date
 :message-id:reply-to;
 bh=ESn1cofNk3kNu9I/V+T7fmWzpK67Z8/z1j50yDWCoN4=;
 b=nX/xxMNjzw0LBoYjSMK/Bklq8CjZn+qiMtDJrjW3g1qPsg7k+IfxmkDasTlhZxLEaW
 ltanDgSI81/YVjr5cooC5x8O4le/3iq+PZZlT1MLrfVm7oBeXcIHhjsu0lLFRSv2FMa6
 TKj18Wn5oqh0IJX2cXRwjUZuZDXdpv4BHMrcs4mdk8/EPOqtSmWnnrLGeh1PNX17RA5s
 UXvoQ5t/PJuXcVntREGMph64cFApT8rVB80NgkYQcQueAzvst+ePrtuRtxBfdsqtlPDP
 BCxvO7L6CNvPGNCz0IJRmHAhUZ70MN0nYp7Hdg4sM7KmXJcKqF+96MhlO3J38EiZXKcF
 w0aA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1716143915; x=1716748715;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=ESn1cofNk3kNu9I/V+T7fmWzpK67Z8/z1j50yDWCoN4=;
 b=fMGPJu/+zBmctdX/+1879xXelMseOXBy6baHx8R6UsOT4k/t2WZe+KIp3v7/UOa5zA
 pjZ4u7SUIZ0+kNyys6HySCnpawF5UcStLHZ3vgbqGqABiVp8x8n5vXCIkMlDXthotnp/
 gu3awlcrxTkbtfrq7rgDI5cK4yiMiiUQMj+1Phg09foGLiHynDQUz+81domkhNMxm5mu
 SQhb6z0VOU6WKZwwldzIaXHCAU80zn5Jt5RiiotUPvB2Uo1GGYEWFPKVtm7wkqFzrglt
 q6cAD0fnaoN4hO53s6rFUxy9MbnwF9rn1AHdUr03876cZAi26lAExZo90fSWjqL4F2EO
 LoFw==
X-Gm-Message-State: AOJu0Yzw+L/KMqIoyvQ3bE2J82ZIro1zeOaL8rP7+qf8RzZWwspvGpSA
 QucOMkIcaW/+zosWHD7ql/EbaENv61rz4QUei4g399B3D7UOX9FhihK0QyJPr+fPh/EcJTKJSnV
 OQWR/LD738FktGe6hVSV1IrLiam0=
X-Google-Smtp-Source: AGHT+IG9BXNYXemNgKvvjjawNZ94oNQM9KZaIarbTjMQJf6ek5uohRNGCFfp7DMEZZ0nMuld4UkAoPsCkcN3pej7sUo=
X-Received: by 2002:ac2:58d6:0:b0:523:b371:7b78 with SMTP id
 2adb3069b0e04-523b371837dmr7038791e87.13.1716143914380; Sun, 19 May 2024
 11:38:34 -0700 (PDT)
MIME-Version: 1.0
References: <CAHkVV6Eh36SJEeN9i605CXteww63AOk3cPWW3SvUwOCtQGEZEA@HIDDEN>
 <86msouxamh.fsf@HIDDEN>
 <CAHkVV6EDCtnyA242HiRrt035mBFfM7RBNSa20jjCZ6A980bxyQ@HIDDEN>
 <86h6f0wsbv.fsf@HIDDEN>
 <CAHkVV6G+OhL5zvr8C9nvPYV_bECk9O_D+v9t3Gu-pjKdZEu54w@HIDDEN>
 <86seyjtgvd.fsf@HIDDEN>
 <CAHkVV6HEhzLiqBWyZb9ticFs-Hvp8Z1rCvdACSQq-qO_F-+g0w@HIDDEN>
 <CAHkVV6EL2fsRx7muhMPkLJD8wmQkXon9_aec782nOOjiudD3Mg@HIDDEN>
 <86ttizjdwm.fsf@HIDDEN>
 <CAHkVV6H9S0KXF1gWgF-iRBsd3q7RiQKrPJSZ6zLGWskL2eoz0g@HIDDEN>
 <CAHkVV6H6i0NdHhHYQSpTOfnFKpDeBZx6AdUAp2p1tp3j5d-A8w@HIDDEN>
 <86h6eykiuk.fsf@HIDDEN>
 <CAHkVV6F6NCquk8+UKcDt2hjp4FJUFg1AJ2tAc7F7s-=7M3bXcA@HIDDEN>
 <86cypmji2l.fsf@HIDDEN>
 <CAHkVV6Fu2JHMWAhKDZ8w1N=BgDA5907i6cMRLoupY411PSv+bg@HIDDEN>
 <865xvadhsg.fsf@HIDDEN>
 <CAHkVV6GFG6WUHdzTZjTr3vbRhhGedDbTECrvK2x+X8q16QA7Kg@HIDDEN>
 <861q5ycpv1.fsf@HIDDEN> <86ed9yb2cg.fsf@HIDDEN>
 <CAHkVV6FvRmge4byq+hniDjsQEpqs-PPue8_J-mmUCvL-EVNLKA@HIDDEN>
 <86y185ac0w.fsf@HIDDEN>
In-Reply-To: <86y185ac0w.fsf@HIDDEN>
From: =?UTF-8?Q?Simen_Endsj=C3=B8?= <simendsjo@HIDDEN>
Date: Sun, 19 May 2024 20:38:24 +0200
Message-ID: <CAHkVV6FkfRQDXQqVLqR2x5geehpZG_Ni+Zd-6=wProqG_Hp_dQ@HIDDEN>
Subject: Re: bug#70914: 29.3; Crashes often on Windows
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Debbugs-Envelope-To: 70914
Cc: 70914 <at> debbugs.gnu.org, corwin@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

*****************************| System Information |************************=
*****

Dependency Walker:       2.2.6000 (64-bit)
Operating System:        Microsoft Windows NT/2000/XP/2003/Vista based
Enterprise (64-bit)
OS Version:              6.02.9200
Processor:               Intel64 Family 6 Model 154 Stepping 3,
GenuineIntel, ~2496MHz
Number of Processors:    16, Mask: 0x000000000000FFFF
Computer Name:           REDACTED
User Name:               simend
Local Date:              Sunday, May 19, 2024
Local Time:              19:34:29 W. Europe Daylight Time (GMT+02:00)
OS Language:             0x0414: Norwegian (Bokmal)
Memory Load:             73%
Physical Memory Total:   16,830,750,720 (16052 MB)
Physical Memory Used:    12,400,410,624
Physical Memory Free:    4,430,340,096
Page File Memory Total:  37,231,845,376
Page File Memory Used:   19,602,243,584
Page File Memory Free:   17,629,601,792
Virtual Memory Total:    140,737,488,224,256
Virtual Memory Used:     4,578,955,264
Virtual Memory Free:     140,732,909,268,992
Page Size:               0x00001000 (4,096)
Allocation Granularity:  0x00010000 (65,536)
Min. App. Address:       0x0000000000010000 (65,536)
Max. App. Address:       0x00007FFFFFFEFFFF (140,737,488,289,791)

********************************| Search Order |***************************=
*****
*                                                                          =
    *
* Legend: F  File                     E  Error (path not valid)            =
    *
*                                                                          =
    *
***************************************************************************=
*****

Side-by-Side components (Windows 2000/XP/2003/Vista/+)
   [F ] c:\windows\winsxs\amd64_microsoft.windows.common-controls_6595b6414=
4ccf1df_6.0.22621.3527_none_270e469b73872a76\COMCTL32.DLL
   [F ] c:\windows\winsxs\amd64_microsoft.windows.gdiplus_6595b64144ccf1df_=
1.1.22621.3527_none_57f93980ce19a444\GDIPLUS.DLL
The system's "KnownDLLs" list
   [F ] c:\windows\system32\ADVAPI32.DLL
   [F ] c:\windows\system32\BCRYPT.DLL
   [F ] c:\windows\system32\BCRYPTPRIMITIVES.DLL
   [F ] c:\windows\system32\CLBCATQ.DLL
   [F ] c:\windows\system32\COMBASE.DLL
   [F ] c:\windows\system32\COMCTL32.DLL
   [F ] c:\windows\system32\COMDLG32.DLL
   [F ] c:\windows\system32\COML2.DLL
   [F ] c:\windows\system32\CRYPT32.DLL
   [F ] c:\windows\system32\DIFXAPI.DLL
   [F ] c:\windows\system32\GDI32.DLL
   [F ] c:\windows\system32\GDI32FULL.DLL
   [F ] c:\windows\system32\GDIPLUS.DLL
   [F ] c:\windows\system32\IMAGEHLP.DLL
   [F ] c:\windows\system32\IMM32.DLL
   [F ] c:\windows\system32\KERNEL32.DLL
   [F ] c:\windows\system32\KERNELBASE.DLL
   [F ] c:\windows\system32\MSCTF.DLL
   [F ] c:\windows\system32\MSVCP_WIN.DLL
   [F ] c:\windows\system32\MSVCRT.DLL
   [F ] c:\windows\system32\NORMALIZ.DLL
   [F ] c:\windows\system32\NSI.DLL
   [F ] c:\windows\system32\NTDLL.DLL
   [F ] c:\windows\system32\NTDLL.DLL
   [F ] c:\windows\system32\OLE32.DLL
   [F ] c:\windows\system32\OLEAUT32.DLL
   [F ] c:\windows\system32\PSAPI.DLL
   [F ] c:\windows\system32\RPCRT4.DLL
   [F ] c:\windows\system32\SECHOST.DLL
   [F ] c:\windows\system32\SETUPAPI.DLL
   [F ] c:\windows\system32\SHCORE.DLL
   [F ] c:\windows\system32\SHELL32.DLL
   [F ] c:\windows\system32\SHLWAPI.DLL
   [F ] c:\windows\system32\UCRTBASE.DLL
   [F ] c:\windows\system32\USER32.DLL
   [F ] c:\windows\system32\WIN32U.DLL
   [F ] c:\windows\system32\WINTRUST.DLL
   [F ] c:\windows\system32\WLDAP32.DLL
   [F ] c:\windows\system32\WOW64.DLL
   [F ] c:\windows\system32\WOW64BASE.DLL
   [F ] c:\windows\system32\WOW64CON.DLL
   [F ] c:\windows\system32\WOW64CPU.DLL
   [F ] c:\windows\system32\WOW64WIN.DLL
   [F ] c:\windows\system32\WS2_32.DLL
The application directory
   [  ] D:\tmp\emacs-bug-70914\emacs-extra-checks-no-ucrt\simendsjo-build\b=
in\
The 32-bit system directory
   [  ] C:\WINDOWS\system32\
The 16-bit system directory (Windows NT/2000/XP/2003/Vista/+)
   [  ] C:\WINDOWS\system\
The system's root OS directory
   [  ] C:\WINDOWS\
The application's registered "App Paths" directories
The system's "PATH" environment variable directories
   [  ] C:\msys64\mingw64\bin\
   [  ] C:\msys64\usr\local\bin\
   [  ] C:\msys64\usr\bin\
   [  ] C:\msys64\usr\bin\
   [  ] C:\Windows\System32\
   [  ] C:\Windows\
   [  ] C:\Windows\System32\Wbem\
   [  ] C:\Windows\System32\WindowsPowerShell\v1.0\
   [  ] C:\msys64\usr\bin\site_perl\
   [  ] C:\msys64\usr\bin\vendor_perl\
   [  ] C:\msys64\usr\bin\core_perl\

***************************| Module Dependency Tree |**********************=
*****
*                                                                          =
    *
* Legend: F  Forwarded Module   ?  Missing Module        6  64-bit Module  =
    *
*         D  Delay Load Module  !  Invalid Module                          =
    *
*         *  Dynamic Module     E  Import/Export Mismatch or Load Failure  =
    *
*                               ^  Duplicate Module                        =
    *
*                                                                          =
    *
***************************************************************************=
*****

[  6] EMACS.EXE
     [  6] ADVAPI32.DLL
          [ ^6] MSVCRT.DLL
          [  6] NTDLL.DLL
          [ ? ] API-MS-WIN-EVENTING-CONTROLLER-L1-1-0.DLL
          [ ? ] API-MS-WIN-EVENTING-CONSUMER-L1-1-0.DLL
          [ ? ] API-MS-WIN-EVENTING-CONSUMER-L1-1-1.DLL
          [  6] KERNELBASE.DLL
               [ ^6] NTDLL.DLL
               [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
               [D? ] EXT-MS-WIN-ADVAPI32-REGISTRY-L1-1-0.DLL
               [D? ] EXT-MS-WIN-ADVAPI32-REGISTRY-L1-1-1.DLL
               [D? ] EXT-MS-WIN-KERNEL32-APPCOMPAT-L1-1-0.DLL
               [D? ] EXT-MS-WIN-NTUSER-STRING-L1-1-0.DLL
               [D? ] EXT-MS-WIN-KERNEL32-FILE-L1-1-0.DLL
               [D? ] EXT-MS-WIN-KERNEL32-DATETIME-L1-1-0.DLL
               [D? ] EXT-MS-WIN-KERNEL32-QUIRKS-L1-1-0.DLL
               [D? ] EXT-MS-WIN-KERNEL32-QUIRKS-L1-1-1.DLL
               [D? ] EXT-MS-WIN-KERNEL32-SIDEBYSIDE-L1-1-0.DLL
               [D? ] EXT-MS-WIN-MRMCORER-RESMANAGER-L1-1-0.DLL
               [D? ] EXT-MS-WIN-GPAPI-GROUPPOLICY-L1-1-0.DLL
               [D? ] EXT-MS-WIN-NTDSAPI-ACTIVEDIRECTORYCLIENT-L1-1-0.DLL
               [D? ] EXT-MS-WIN-NTDSAPI-ACTIVEDIRECTORYCLIENT-L1-1-1.DLL
               [D? ] EXT-MS-WIN-SHELL32-SHELLCOM-L1-1-0.DLL
               [D? ] EXT-MS-WIN-ADVAPI32-NTMARTA-L1-1-0.DLL
               [D? ] EXT-MS-WIN-SECURITY-CAPAUTHZ-L1-1-1.DLL
               [D? ] EXT-MS-WIN-FECLIENT-ENCRYPTEDFILE-L1-1-0.DLL
               [D? ] EXT-MS-WIN-SECURITY-EFSWRT-L1-1-0.DLL
               [D? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
               [D? ] EXT-MS-ONECORE-APPMODEL-STATEREPOSITORY-CACHE-L1-1-0.D=
LL
               [D? ] EXT-MS-ONECORE-APPMODEL-STATEREPOSITORY-CACHE-L1-1-2.D=
LL
               [D? ] EXT-MS-ONECORE-APPMODEL-STATEREPOSITORY-CACHE-L1-1-4.D=
LL
               [D? ] API-MS-WIN-SECURITY-SDDLPARSECOND-L1-1-0.DLL
               [D? ] API-MS-WIN-SECURITY-PROVIDER-L1-1-0.DLL
               [D? ] EXT-MS-WIN-WINRT-STORAGE-WIN32BROKER-L1-1-0.DLL
               [D? ] API-MS-WIN-PRIVACY-COREPRIVACYSETTINGSSTORE-L1-1-0.DLL
               [D? ] EXT-MS-ONECORE-APPMODEL-DEPLOYMENT-INTERNAL-L1-1-0.DLL
               [D? ] EXT-MS-WIN-APPMODEL-DAXCORE-L1-1-2.DLL
               [D? ] EXT-MS-WIN-APPMODEL-DAXCORE-L1-1-0.DLL
               [D? ] EXT-MS-WIN-KERNEL32-ERRORHANDLING-L1-1-0.DLL
               [D? ] EXT-MS-WIN-KERNEL32-REGISTRY-L1-1-0.DLL
               [D? ] EXT-MS-WIN-KERNELBASE-PROCESSTHREAD-L1-1-2.DLL
               [D? ] EXT-MS-WIN-KERNELBASE-PROCESSTHREAD-L1-1-0.DLL
               [D? ] EXT-MS-WIN-KERNELBASE-PROCESSTHREAD-L1-1-1.DLL
               [D? ] EXT-MS-WIN-ADVAPI32-NPUSERNAME-L1-1-0.DLL
               [D? ] EXT-MS-WIN-APPXDEPLOYMENTCLIENT-APPXDEPLOY-L1-1-0.DLL
               [D? ] EXT-MS-ONECORE-APPMODEL-STATEREPOSITORY-INTERNAL-L1-1-=
4.DLL
               [D? ] EXT-MS-ONECORE-APPMODEL-STATEREPOSITORY-INTERNAL-L1-1-=
6.DLL
               [D? ] EXT-MS-ONECORE-APPMODEL-STATEREPOSITORY-INTERNAL-L1-1-=
3.DLL
               [D? ]
EXT-MS-WIN-APPXDEPLOYMENTCLIENT-APPXDEPLOYONECORE-L1-1-0.DLL
               [D? ] API-MS-WIN-CORE-PSM-APP-L1-1-0.DLL
               [D? ] EXT-MS-WIN-CNG-RNG-L1-1-1.DLL
               [D? ] EXT-MS-WIN-WINRT-DEVICE-ACCESS-L1-1-0.DLL
               [D? ] EXT-MS-WIN-APPMODEL-APPEXECUTIONALIAS-L1-1-2.DLL
               [D? ] EXT-MS-WIN-APPMODEL-APPEXECUTIONALIAS-L1-1-0.DLL
               [D? ] EXT-MS-WIN-APPMODEL-APPEXECUTIONALIAS-L1-1-3.DLL
               [D? ] EXT-MS-WIN-APPMODEL-APPEXECUTIONALIAS-L1-1-1.DLL
               [D? ] API-MS-WIN-SECURITY-ISOLATIONPOLICY-L1-2-0.DLL
          [  6] SECHOST.DLL
               [ ? ] API-MS-WIN-CORE-CRT-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-CRT-L2-1-0.DLL
               [ ^6] NTDLL.DLL
               [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.DLL
               [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
               [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-WOW64-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-IO-L1-1-0.DLL
               [ ^6] BCRYPT.DLL
               [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
               [D^6] RPCRT4.DLL
               [D^6] CRYPTBASE.DLL
               [D 6] USERENV.DLL
                    [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                    [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
                    [ ^6] RPCRT4.DLL
                    [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PSAPI-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                    [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                    [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-FILE-L2-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PATH-L1-1-0.DLL
                    [ ? ] API-MS-WIN-SECURITY-GROUPPOLICY-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-KERNEL32-PRIVATE-L1-1-1.DLL
                    [ ^6] NTDLL.DLL
                    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
                    [D? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
                    [D^6] SSPICLI.DLL
                    [D^6] IPHLPAPI.DLL
                    [D^6] DNSAPI.DLL
                    [D 6] NETUTILS.DLL
                         [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                         [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                         [ ^6] NTDLL.DLL
                         [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-HEAP-OBSOLETE-L1-1-0.DLL
                    [D 6] LOGONCLI.DLL
                         [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL
                         [ ^6] RPCRT4.DLL
                         [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                         [ ? ] API-MS-WIN-EVENTING-CLASSICPROVIDER-L1-1-0.D=
LL
                         [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                         [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PERFCOUNTERS-L1-1-0.DLL
                         [ ^6] NTDLL.DLL
                         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
                         [D^6] NETUTILS.DLL
                         [D? ] API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DLL
                         [D? ] API-MS-WIN-SERVICE-MANAGEMENT-L2-1-0.DLL
                         [D^6] WS2_32.DLL
                         [D? ] API-MS-WIN-SERVICE-WINSVC-L1-1-0.DLL
                         [D^6] DNSAPI.DLL
                         [D 6] WLDAP32.DLL
                              [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.D=
LL
                              [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DL=
L
                              [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DL=
L
                              [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                              [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                              [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DL=
L
                              [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-1.DLL
                              [ ? ] API-MS-WIN-CORE-REALTIME-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.D=
LL
                              [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                              [ ? ]
API-MS-WIN-CORE-LOCALIZATION-OBSOLETE-L1-2-0.DLL
                              [ ? ] API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.=
DLL
                              [ ? ] API-MS-WIN-CORE-PERFCOUNTERS-L1-1-0.DLL
                              [ ^6] NTDLL.DLL
                              [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                              [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                              [D^6] DSPARSE.DLL
                              [D^6] LOGONCLI.DLL
                              [D^6] NETUTILS.DLL
                              [D^6] SSPICLI.DLL
                              [D^6] CRYPT32.DLL
                                   [F^6] DPAPI.DLL
                              [D? ] API-MS-WIN-SECURITY-LSAPOLICY-L1-1-0.DL=
L
                         [D? ] API-MS-WIN-SECURITY-LSAPOLICY-L1-1-0.DLL
                         [D? ] EXT-MS-WIN-SMBSHARE-BROWSERCLIENT-L1-1-0.DLL
                         [D^6] CRYPTSP.DLL
                    [D^6] PROFAPI.DLL
                    [D? ] API-MS-WIN-SECURITY-PROVIDER-L1-1-0.DLL
                    [D? ] EXT-MS-WIN-PROFILE-USERENV-L1-1-0.DLL
                    [D? ] EXT-MS-WIN-PROFILE-USERENV-L1-1-1.DLL
                    [D 6] CLDAPI.DLL
                         [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL
                         [ ^6] NTDLL.DLL
                         [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                         [ ? ] API-MS-WIN-CORE-REALTIME-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-FILE-L2-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-IO-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-FILE-L1-2-0.DLL
                         [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-1.DLL
                         [ ? ] API-MS-WIN-CORE-PSAPI-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-STRING-L2-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                         [D^6] BCRYPT.DLL
                         [D 6] FLTLIB.DLL
                              [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL
                              [ ^6] NTDLL.DLL
                              [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-FILE-L1-2-0.DLL
                              [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DL=
L
                              [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DL=
L
                              [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.D=
LL
                              [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.D=
LL
                              [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                         [D 6] AEPIC.DLL
                              [ ^6] MSVCRT.DLL
                              [ ^6] NTDLL.DLL
                              [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DL=
L
                              [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DL=
L
                              [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                              [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.D=
LL
                              [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                              [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-WINRT-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                              [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                              [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-1.=
DLL
                              [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-1.DLL
                              [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DL=
L
                              [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-VERSION-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-VERSION-L1-1-1.DLL
                              [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.DLL
                              [ ? ] API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DL=
L
                              [ ? ] API-MS-WIN-SERVICE-WINSVC-L1-1-0.DLL
                              [ ? ] API-MS-WIN-SERVICE-MANAGEMENT-L2-1-0.DL=
L
                              [ ? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-COM-L1-1-1.DLL
                              [ ? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-1.DLL
                              [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.D=
LL
                              [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-REALTIME-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                              [ ? ]
API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-PATH-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-IO-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-SHLWAPI-LEGACY-L1-1-0.D=
LL
                              [ ? ] API-MS-WIN-CORE-COMMANDLINETOARGV-L1-1-=
0.DLL
                              [ ? ] API-MS-WIN-CORE-FEATURESTAGING-L1-1-0.D=
LL
                              [ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-STRING-L2-1-1.DLL
                              [ ? ]
API-MS-WIN-EVENTING-CLASSICPROVIDER-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-SIDEBYSIDE-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-1.DLL
                              [ ? ] API-MS-WIN-CORE-FILE-L2-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                              [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                              [D^6] RPCRT4.DLL
                              [D? ] API-MS-WIN-CORE-REGISTRY-L2-1-0.DLL
                              [D? ] API-MS-WIN-SHCORE-TASKPOOL-L1-1-0.DLL
                              [D? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
                              [D? ] API-MS-WIN-SHCORE-PATH-L1-1-0.DLL
                              [D^6] OLEAUT32.DLL
                              [D? ] API-MS-WIN-SECURITY-CRYPTOAPI-L1-1-0.DL=
L
                              [D? ] API-MS-WIN-SECURITY-PROVIDER-L1-1-0.DLL
                              [D? ] EXT-MS-WIN-APPCOMPAT-AEINV-L1-1-0.DLL
                              [D 6] BCP47LANGS.DLL
                                   [ ^6] MSVCP_WIN.DLL
                                   [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL
                                   [ ^6] KERNELBASE.DLL
                                   [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                   [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                   [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.=
DLL
                                   [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-=
0.DLL
                                   [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-=
0.DLL
                                   [ ? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-0=
.DLL
                                   [ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                   [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DL=
L
                                   [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                   [ ^6] NTDLL.DLL
                                   [ ? ]
API-MS-WIN-CORE-LOCALIZATION-PRIVATE-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DL=
L
                                   [ ? ]
API-MS-WIN-STATESEPARATION-HELPERS-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.=
DLL
                                   [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                                   [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0=
.DLL
                                   [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DL=
L
                                   [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.D=
LL
                                   [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.D=
LL
                                   [D? ] EXT-MS-WIN-NTUSER-MESSAGE-L1-1-1.D=
LL
                                   [D? ]
EXT-MS-WIN-KERNEL32-LOCALIZATION-L1-1-0.DLL
                                   [D? ] API-MS-WIN-CORE-WINRT-STRING-L1-1-=
0.DLL
                                   [D? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DL=
L
                                   [D? ] EXT-MS-WIN-KERNEL32-PACKAGE-L1-1-0=
.DLL
                                   [D^6] PROFAPI.DLL
                              [D? ] API-MS-WIN-SECURITY-CAPABILITY-L1-1-0.D=
LL
                         [D? ] API-MS-WIN-CORE-SYSINFO-L2-1-0.DLL
               [D? ] API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL
               [D? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
               [D? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-0.DLL
               [D? ] API-MS-WIN-CORE-WINRT-L1-1-0.DLL
               [D? ] API-MS-WIN-SECURITY-BASE-PRIVATE-L1-1-1.DLL
               [D? ] API-MS-WIN-APPMODEL-IDENTITY-L1-2-0.DLL
               [D? ] EXT-MS-WIN-EVENTING-RUNDOWN-L1-1-0.DLL
               [D? ] EXT-MS-WIN-SECURITY-CHAMBERS-L1-1-0.DLL
          [ ? ] API-MS-WIN-SERVICE-CORE-L1-1-0.DLL
          [ ? ] API-MS-WIN-SERVICE-CORE-L1-1-1.DLL
          [ ? ] API-MS-WIN-SERVICE-CORE-L1-1-2.DLL
          [ ? ] API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DLL
          [ ? ] API-MS-WIN-SERVICE-MANAGEMENT-L2-1-0.DLL
          [ ? ] API-MS-WIN-SERVICE-PRIVATE-L1-1-4.DLL
          [ ? ] API-MS-WIN-SERVICE-PRIVATE-L1-1-2.DLL
          [ ? ] API-MS-WIN-SERVICE-PRIVATE-L1-1-3.DLL
          [ ? ] API-MS-WIN-SERVICE-PRIVATE-L1-1-0.DLL
          [ ? ] API-MS-WIN-SERVICE-WINSVC-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-NAMEDPIPE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
          [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
          [ ? ] API-MS-WIN-SECURITY-BASE-PRIVATE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-1.DLL
          [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-2.DLL
          [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-SYSINFO-L1-2-0.DLL
          [ ^6] KERNEL32.DLL
               [F^6] NTDLL.DLL
               [F? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
          [  6] RPCRT4.DLL
               [ ^6] NTDLL.DLL
               [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-2.DLL
               [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-IO-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
               [ ? ] API-MS-WIN-CORE-MISC-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-NAMEDPIPE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-THREADPOOL-LEGACY-L1-1-0.DLL
               [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
               [ ^6] KERNELBASE.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
               [D? ] EXT-MS-WIN-CORE-WINRT-REMOTE-L1-1-0.DLL
               [D? ] EXT-MS-WIN-RPC-SSL-L1-1-0.DLL
               [D? ] API-MS-WIN-SECURITY-LSALOOKUP-L1-1-0.DLL
               [D^6] SSPICLI.DLL
               [D 6] WS2_32.DLL
                    [ ? ] API-MS-WIN-CORE-CRT-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-CRT-L2-1-0.DLL
                    [ ^6] NTDLL.DLL
                    [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                    [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-WOW64-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-IO-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                    [ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL
                    [ ^6] RPCRT4.DLL
                    [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
                    [D? ] API-MS-WIN-SERVICE-WINSVC-L1-1-0.DLL
                    [D? ] API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DLL
                    [D 6] NSI.DLL
                         [ ^6] NTDLL.DLL
                         [ ? ] API-MS-WIN-CORE-IO-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                    [D? ] EXT-MS-WIN-RTCORE-NTUSER-WINDOW-EXT-L1-1-0.DLL
               [D 6] IPHLPAPI.DLL
                    [ ? ] API-MS-WIN-CORE-CRT-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-CRT-L2-1-0.DLL
                    [ ^6] NTDLL.DLL
                    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                    [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                    [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                    [ ? ] API-MS-WIN-EVENTING-CLASSICPROVIDER-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-IO-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                    [D^6] NSI.DLL
                    [D 6] WINNSI.DLL
                         [ ? ] API-MS-WIN-CORE-CRT-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-CRT-L2-1-0.DLL
                         [ ^6] NTDLL.DLL
                         [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-THREADPOOL-LEGACY-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-THREADPOOL-PRIVATE-L1-1-0.DL=
L
                         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                         [D^6] NSI.DLL
                         [D^6] RPCRT4.DLL
                    [D 6] DHCPCSVC.DLL
                         [ ? ] API-MS-WIN-CORE-CRT-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-CRT-L2-1-0.DLL
                         [ ^6] NTDLL.DLL
                         [ ^6] RPCRT4.DLL
                         [ ? ] API-MS-WIN-DOWNLEVEL-KERNEL32-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-IO-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-HEAP-OBSOLETE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
                         [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                         [D^6] WS2_32.DLL
                         [D^6] NSI.DLL
                         [D? ] API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DLL
                         [D? ] EXT-MS-WIN32-SUBSYSTEM-QUERY-L1-1-0.DLL
                         [D^6] IPHLPAPI.DLL
                    [D 6] DHCPCSVC6.DLL
                         [ ? ] API-MS-WIN-CORE-CRT-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-CRT-L2-1-0.DLL
                         [ ^6] NTDLL.DLL
                         [ ^6] RPCRT4.DLL
                         [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DL=
L
                         [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                         [D^6] IPHLPAPI.DLL
                         [D^6] WS2_32.DLL
                         [D? ] EXT-MS-WIN32-SUBSYSTEM-QUERY-L1-1-0.DLL
                    [D 6] DNSAPI.DLL
                         [ ? ] API-MS-WIN-CORE-CRT-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-CRT-L2-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                         [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYSINFO-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DL=
L
                         [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-1.DLL
                         [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.DLL
                         [ ^6] NTDLL.DLL
                         [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-2.DLL
                         [ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
                         [D? ] API-MS-WIN-SECURITY-LSALOOKUP-L1-1-0.DLL
                         [D^6] IPHLPAPI.DLL
                         [D^6] WS2_32.DLL
                         [D^6] RPCRT4.DLL
                         [D 6] WINHTTP.DLL
                              [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL
                              [ ^6] NTDLL.DLL
                              [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                              [ ? ]
API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.D=
LL
                              [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DL=
L
                              [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                              [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.D=
LL
                              [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DL=
L
                              [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                              [ ? ] API-MS-WIN-SECURITY-CREDENTIALS-L1-1-0.=
DLL
                              [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                              [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                              [ ? ] API-MS-WIN-CORE-SYSINFO-L1-2-0.DLL
                              [ ? ] API-MS-WIN-CORE-WOW64-L1-1-1.DLL
                              [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-1.DLL
                              [ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-IO-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-STRING-L2-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-THREADPOOL-LEGACY-L1-1-=
0.DLL
                              [ ? ] API-MS-WIN-CORE-SHLWAPI-OBSOLETE-L1-1-0=
.DLL
                              [ ? ]
API-MS-WIN-CORE-LOCALIZATION-OBSOLETE-L1-2-0.DLL
                              [ ? ] API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.=
DLL
                              [ ? ] API-MS-WIN-CORE-HEAP-OBSOLETE-L1-1-0.DL=
L
                              [ ? ] API-MS-WIN-CORE-URL-L1-1-0.DLL
                              [ ? ]
API-MS-WIN-CORE-WINDOWSERRORREPORTING-L1-1-0.DLL
                              [ ? ]
API-MS-WIN-CORE-THREADPOOL-PRIVATE-L1-1-0.DLL
                              [ ? ] API-MS-WIN-SERVICE-PRIVATE-L1-1-0.DLL
                              [ ^6] KERNELBASE.DLL
                              [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DL=
L
                              [ ? ] API-MS-WIN-CORE-REALTIME-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-2.DL=
L
                              [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                              [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-DATETIME-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
                              [D? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
                              [D^6] RPCRT4.DLL
                              [D^6] DNSAPI.DLL
                              [D^6] WS2_32.DLL
                              [D? ] API-MS-WIN-SERVICE-CORE-L1-1-0.DLL
                              [D? ] API-MS-WIN-SERVICE-CORE-L1-1-4.DLL
                              [D? ] API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DL=
L
                              [D? ] API-MS-WIN-SERVICE-WINSVC-L1-1-0.DLL
                              [D? ] API-MS-WIN-POWER-SETTING-L1-1-0.DLL
                              [D? ] API-MS-WIN-POWER-BASE-L1-1-0.DLL
                              [D^6] CRYPT32.DLL
                                   [F^6] DPAPI.DLL
                              [D^6] SSPICLI.DLL
                              [D 6] WEBSOCKET.DLL
                                   [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL
                                   [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                   [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-=
0.DLL
                                   [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-=
0.DLL
                                   [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                   [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DL=
L
                                   [ ^6] BCRYPT.DLL
                                   [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0=
.DLL
                                   [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.=
DLL
                                   [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                                   [ ^6] NTDLL.DLL
                              [D^6] CRYPTBASE.DLL
                              [D^6] IPHLPAPI.DLL
                              [D? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
                              [D 6] WEBIO.DLL
                                   [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL
                                   [ ^6] NTDLL.DLL
                                   [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                   [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0=
.DLL
                                   [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                   [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                   [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                                   [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                   [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-=
0.DLL
                                   [ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DL=
L
                                   [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-=
0.DLL
                                   [ ? ]
API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
                                   [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-2.DLL
                                   [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.=
DLL
                                   [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DL=
L
                                   [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DL=
L
                                   [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                   [ ? ]
API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL
                                   [ ? ]
API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                   [ ^6] KERNELBASE.DLL
                                   [ ? ] API-MS-WIN-CORE-SYSINFO-L1-2-0.DLL
                                   [ ? ] API-MS-WIN-CORE-IO-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.D=
LL
                                   [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.D=
LL
                                   [ ? ]
API-MS-WIN-CORE-THREADPOOL-LEGACY-L1-1-0.DLL
                                   [D^6] IPHLPAPI.DLL
                                   [D^6] CRYPT32.DLL
                                   [D^6] WS2_32.DLL
                                   [D 6] HTTPAPI.DLL
                                        [ ? ] API-MS-WIN-CORE-CRT-L1-1-0.DL=
L
                                        [ ? ] API-MS-WIN-CORE-CRT-L2-1-0.DL=
L
                                        [ ^6] NTDLL.DLL
                                        [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                        [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0=
.DLL
                                        [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.D=
LL
                                        [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                                        [ ? ]
API-MS-WIN-CORE-HEAP-OBSOLETE-L1-1-0.DLL
                                        [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                        [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-=
0.DLL
                                        [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.=
DLL
                                        [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.=
DLL
                                        [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-=
0.DLL
                                        [ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.D=
LL
                                        [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                        [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                        [D? ]
API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
                                        [D? ]
API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DLL
                                        [D? ]
API-MS-WIN-SERVICE-WINSVC-L1-1-0.DLL
                                   [D 6] SCHANNEL.DLL
                                        [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0=
.DLL
                                        [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0=
.DLL
                                        [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.=
DLL
                                        [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.D=
LL
                                        [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                        [ ? ]
API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                                        [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                                        [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                        [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                                        [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0=
.DLL
                                        [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0=
.DLL
                                        [ ? ] API-MS-WIN-CORE-WOW64-L1-1-1.=
DLL
                                        [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.=
DLL
                                        [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.=
DLL
                                        [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                        [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                        [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                                        [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-=
0.DLL
                                        [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-=
0.DLL
                                        [ ? ]
API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                                        [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.=
DLL
                                        [ ? ]
API-MS-WIN-EVENTING-CLASSICPROVIDER-L1-1-0.DLL
                                        [ ? ]
API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                                        [ ? ] API-MS-WIN-CORE-PSAPI-L1-1-0.=
DLL
                                        [ ? ]
API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                                        [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.D=
LL
                                        [ ? ]
API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                                        [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.D=
LL
                                        [ ? ] API-MS-WIN-CORE-STRING-L1-1-0=
.DLL
                                        [ ? ]
API-MS-WIN-SERVICE-PRIVATE-L1-1-0.DLL
                                        [ ? ]
API-MS-WIN-CORE-THREADPOOL-PRIVATE-L1-1-0.DLL
                                        [ ? ]
API-MS-WIN-CORE-THREADPOOL-LEGACY-L1-1-0.DLL
                                        [ ? ]
API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL
                                        [ ^6] NTDLL.DLL
                                        [ ? ] API-MS-WIN-CRT-TIME-L1-1-0.DL=
L
                                        [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                        [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                        [ ? ]
API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
                                        [D^6] NCRYPT.DLL
                                        [D^6] CRYPT32.DLL
                                        [D? ]
API-MS-WIN-SECURITY-CREDENTIALS-L1-1-0.DLL
                                        [D^6] SSPICLI.DLL
                                        [D^6] BCRYPT.DLL
                                        [D? ]
API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
                                        [D^6] USERENV.DLL
                                        [D 6] SAMSRV.DLL
                                             [ ? ]
API-MS-WIN-CRT-STRING-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                                             [ ^6] NTDLL.DLL
                                             [ ? ]
API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-STRING-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-SECURITY-LSALOOKUP-L1-1-1.DLL
                                             [ ? ]
API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-FILE-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                             [ ^6] BCRYPT.DLL
                                             [ ? ]
API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-CONSOLE-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                                             [ ? ]
API-MS-WIN-CORE-PSAPI-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-PRIVATEPROFILE-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-SERVICE-MANAGEMENT-L2-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-2-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-EVENTING-CLASSICPROVIDER-L1-1-0.DLL
                                             [ ^6] CRYPT32.DLL
                                             [ ? ]
API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                                             [ ^6] LSASRV.DLL
                                             [ ? ]
API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-EVENTING-CONTROLLER-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                             [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                             [D 6] NETLOGON.DLL
                                                  [ ? ]
API-MS-WIN-CRT-STRING-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                                                  [  6] GMSACLIENT.DLL
                                                       [ ? ]
API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CRT-STRING-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-FILE-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-EVENTING-CLASSICPROVIDER-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                                                       [ ^6] NTDLL.DLL
                                                       [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                                       [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                                       [D^6] WLDAP32.DLL
                                                       [D^6] RPCRT4.DLL
                                                       [D^6] DNSAPI.DLL
                                                       [D^6] BCRYPT.DLL
                                                       [D^6] NETUTILS.DLL
                                                  [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-FILE-L1-1-0.DLL
                                                  [ ^6] RPCRT4.DLL
                                                  [ ? ]
API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-IO-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-FILE-L2-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-STRING-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-2.DLL
                                                  [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                                                  [ ? ]
API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-2-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-SECURITY-ACTIVEDIRECTORYCLIENT-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-PERFCOUNTERS-L1-1-0.DLL
                                                  [ ^6] SAMSRV.DLL
                                                  [ ? ]
API-MS-WIN-SECURITY-ACTIVEDIRECTORYCLIENT-L1-1-1.DLL
                                                  [ ? ]
API-MS-WIN-CORE-THREADPOOL-PRIVATE-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-THREADPOOL-LEGACY-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL
                                                  [ ^6] LSASRV.DLL
                                                  [ ^6] LSASS.EXE
                                                  [ ^6] NTDLL.DLL
                                                  [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                                  [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
                                                  [D^6] NETUTILS.DLL
                                                  [D^6] DNSAPI.DLL
                                                  [D? ]
API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DLL
                                                  [D^6] WS2_32.DLL
                                                  [D^6] WLDAP32.DLL
                                                  [D^6] IPHLPAPI.DLL
                                                  [D^6] AUTHZ.DLL
                                                  [D? ]
API-MS-WIN-SERVICE-CORE-L1-1-0.DLL
                                                  [D^6] BCRYPT.DLL
                                                  [D^6] CRYPT32.DLL
                                                  [D^6] CRYPTBASE.DLL
                                                  [D^6] LOGONCLI.DLL
                                                  [D^6] SRVCLI.DLL
                                                  [D? ]
API-MS-WIN-SERVICE-MANAGEMENT-L2-1-0.DLL
                                                  [D? ]
API-MS-WIN-SERVICE-WINSVC-L1-1-0.DLL
                                                  [D? ]
API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
                                                  [D? ]
API-MS-WIN-POWER-SETTING-L1-1-0.DLL
                                                  [D^6] USERENV.DLL
                                                  [D? ]
API-MS-WIN-SECURITY-LSALOOKUP-L2-1-0.DLL
                                                  [D^6] SSPICLI.DLL
                                                  [D^6] SAMCLI.DLL
                                                  [D^6] CRYPTSP.DLL
                                                  [D? ]
API-MS-WIN-SERVICE-PRIVATE-L1-1-0.DLL
                                                  [D? ]
API-MS-WIN-SECURITY-LSAPOLICY-L1-1-0.DLL
                                                  [D? ]
API-MS-WIN-EVENTLOG-LEGACY-L1-1-0.DLL
                                                  [D? ]
EXT-MS-WIN-BRANDING-WINBRAND-L1-1-0.DLL
                                                  [D? ]
EXT-MS-WIN-NTDSA-ACTIVEDIRECTORYSERVER-L1-1-0.DLL
                                                  [D? ]
EXT-MS-WIN-SECUR32-TRANSLATENAME-L1-1-0.DLL
                                                  [D^6] CRYPTDLL.DLL
                                             [D? ]
API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
                                             [D^6] RPCRT4.DLL
                                             [D 6] CRYPTDLL.DLL
                                                  [ ? ]
API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CRT-STRING-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                                                  [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-STRING-L1-1-0.DLL
                                                  [ ^6] NTDLL.DLL
                                                  [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                                  [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                                  [D^6] BCRYPT.DLL
                                             [D? ]
API-MS-WIN-SECURITY-SDDL-ANSI-L1-1-0.DLL
                                             [D? ]
API-MS-WIN-SECURITY-LSAPOLICY-L1-1-0.DLL
                                             [D^6] DNSAPI.DLL
                                             [D? ]
API-MS-WIN-CORE-REGISTRY-L2-1-0.DLL
                                             [D^6] WS2_32.DLL
                                             [D^6] USERENV.DLL
                                             [D? ]
API-MS-WIN-SECURITY-SYSTEMFUNCTIONS-L1-1-0.DLL
                                             [D^6] CRYPTBASE.DLL
                                             [D? ]
API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DLL
                                             [D^6] DSPARSE.DLL
                                             [D? ] EXT-MS-WIN-LAPS-L1-1-0.D=
LL
                                             [D 6] SETUPCL.DLL
                                                  [ ^6] NTDLL.DLL
                                             [D^6] CRYPTSP.DLL
                                        [D^6] CRYPTSP.DLL
                                        [D? ]
EXT-MS-WIN-NTDSA-ACTIVEDIRECTORYSERVER-L1-1-0.DLL
                                        [D 6] LSASRV.DLL
                                             [ ? ]
API-MS-WIN-CRT-STRING-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                                             [  6] LSAADT.DLL
                                                  [ ? ]
API-MS-WIN-CRT-STRING-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                                                  [ ^6] LSASRV.DLL
                                                  [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                                  [ ? ]
API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
                                                  [ ^6] RPCRT4.DLL
                                                  [ ? ]
API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                                                  [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                                                  [ ^6] NTDLL.DLL
                                                  [ ? ]
API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-FILE-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-DATETIME-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                                  [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                                  [D? ]
API-MS-WIN-EVENTLOG-LEGACY-L1-1-0.DLL
                                                  [D? ]
EXT-MS-WIN-WEVTAPI-EVENTLOG-L1-1-3.DLL
                                                  [D? ]
EXT-MS-WIN-WEVTAPI-EVENTLOG-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                                             [ ? ]
API-MS-WIN-CORE-PSAPI-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-STRING-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                             [ ? ]
API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-MEMORY-L1-1-1.DLL
                                             [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-FILE-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-FILE-L2-1-0.DLL
                                             [ ? ] API-MS-WIN-CORE-IO-L1-1-=
0.DLL
                                             [ ? ] API-MS-WIN-CORE-IO-L1-1-=
1.DLL
                                             [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-2.DLL
                                             [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-1.DLL
                                             [ ? ]
API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-EVENTING-CLASSICPROVIDER-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-CONSOLE-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-2-0.DLL
                                             [ ? ]
API-MS-WIN-SECURITY-BASE-L1-2-0.DLL
                                             [ ? ]
API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-THREADPOOL-LEGACY-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-PRIVATEPROFILE-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-KERNEL32-PRIVATE-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-SECURITY-GROUPPOLICY-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-THREADPOOL-PRIVATE-L1-1-0.DLL
                                             [ ^6] NTDLL.DLL
                                             [ ? ]
API-MS-WIN-CORE-PERFCOUNTERS-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-STATESEPARATION-HELPERS-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-DATETIME-L1-1-0.DLL
                                             [ ^6] MSVCP_WIN.DLL
                                             [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                             [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                             [D^6] WLDP.DLL
                                             [D^6] FVEAPI.DLL
                                             [D^6] WINTRUST.DLL
                                             [D 6] VBSAPI.DLL
                                                  [ ^6] MSVCRT.DLL
                                                  [ ^6] NTDLL.DLL
                                                  [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-1.DLL
                                                  [ ? ]
API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-2-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-2-1.DLL
                                                  [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                                                  [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-SECURITY-LSALOOKUP-L2-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-FILE-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                                  [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                                  [D 6] DRVSTORE.DLL
                                                       [ ^6] MSVCRT.DLL
                                                       [ ^6] NTDLL.DLL
                                                       [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-STRING-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-FILE-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-2-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-FILE-L2-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-HEAP-OBSOLETE-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-LOCALIZATION-OBSOLETE-L1-2-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-WOW64-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-IO-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-FILE-L1-2-0.DLL
                                                       [ ? ]
API-MS-WIN-EVENTING-CLASSICPROVIDER-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                                       [D^6] BCRYPT.DLL
                                                       [D^6] CRYPT32.DLL
                                                       [D^6] WINTRUST.DLL
                                                       [D^6] RPCRT4.DLL
                                                       [D? ]
API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                                                       [D? ]
API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                                                       [D? ]
API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DLL
                                                       [D? ]
API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
                                                       [D? ]
API-MS-WIN-CORE-VERSION-L1-1-0.DLL
                                                       [D? ]
API-MS-WIN-SECURITY-PROVIDER-L1-1-0.DLL
                                                       [D? ]
API-MS-WIN-SERVICE-MANAGEMENT-L2-1-0.DLL
                                                       [D? ]
API-MS-WIN-SERVICE-WINSVC-L1-1-0.DLL
                                                       [D? ]
API-MS-WIN-SECURITY-CRYPTOAPI-L1-1-0.DLL
                                                       [D? ]
API-MS-WIN-CORE-REGISTRY-L2-1-0.DLL
                                                  [D^6] IMAGEHLP.DLL
                                                  [D^6] BCD.DLL
                                             [D^6] DNSAPI.DLL
                                             [D? ]
API-MS-WIN-SECURITY-CREDENTIALS-L1-1-0.DLL
                                             [D^6] RPCRT4.DLL
                                             [D? ]
API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
                                             [D^6] BCRYPT.DLL
                                             [D^6] CRYPT32.DLL
                                             [D^6] NCRYPT.DLL
                                             [D^6] DSPARSE.DLL
                                             [D^6] USERENV.DLL
                                             [D^6] CRYPTBASE.DLL
                                             [D^6] LOGONCLI.DLL
                                             [D^6] NETUTILS.DLL
                                             [D^6] SSPICLI.DLL
                                             [D^6] WS2_32.DLL
                                             [D^6] IPHLPAPI.DLL
                                             [D? ]
API-MS-WIN-SERVICE-WINSVC-L1-1-0.DLL
                                             [D? ]
API-MS-WIN-SERVICE-CORE-L1-1-0.DLL
                                             [D^6] AUTHZ.DLL
                                             [D^6] WLDAP32.DLL
                                             [D? ]
EXT-MS-WIN-AUTHZ-CLAIMPOLICIES-L1-1-0.DLL
                                             [D? ]
EXT-MS-WIN-BIOMETRICS-WINBIO-CORE-L1-1-0.DLL
                                             [D? ]
EXT-MS-WIN-FIREWALLAPI-WEBPROXY-L1-1-0.DLL
                                             [D? ]
EXT-MS-WIN-FIREWALLAPI-WEBPROXY-L1-1-1.DLL
                                             [D? ]
EXT-MS-WIN-NETPROVISION-NETPROVFW-L1-1-0.DLL
                                             [D? ]
EXT-MS-WIN-SECUR32-TRANSLATENAME-L1-1-0.DLL
                                             [D? ]
EXT-MS-WIN-SECURITY-NGC-LOCAL-L1-1-0.DLL
                                             [D? ]
EXT-MS-WIN-SECURITY-VAULTCLI-L1-1-0.DLL
                                             [D? ]
EXT-MS-WIN-SESSION-WINSTA-L1-1-0.DLL
                                             [D? ]
API-MS-WIN-SECURITY-CREDENTIALS-L2-1-0.DLL
                                             [D? ]
API-MS-WIN-SECURITY-CREDENTIALS-L2-1-1.DLL
                                             [D? ]
API-MS-WIN-SECURITY-LSALOOKUP-L1-1-0.DLL
                                             [D? ]
API-MS-WIN-SECURITY-LSALOOKUP-L1-1-1.DLL
                                             [D? ]
API-MS-WIN-SECURITY-LSAPOLICY-L1-1-0.DLL
                                             [D? ]
API-MS-WIN-SECURITY-SDDLPARSECOND-L1-1-0.DLL
                                             [D? ]
API-MS-WIN-SERVICE-PRIVATE-L1-1-0.DLL
                                             [D? ]
EXT-MS-WIN-SAMSRV-ACCOUNTSTORE-L1-1-0.DLL
                                             [D? ]
EXT-MS-WIN-SECURITY-LSAADT-L1-1-0.DLL
                                             [D? ]
EXT-MS-WIN-SECURITY-LSAADTPRIV-L1-1-0.DLL
                                             [D? ]
EXT-MS-WIN-SECURITY-LSAAUDITRPC-L1-1-0.DLL
                                             [D? ] EXT-MS-WIN-LAPS-L1-1-0.D=
LL
                                             [D^6] CRYPTNGC.DLL
                                             [D^6] CRYPTSP.DLL
                                             [D^6] MSASN1.DLL
                                             [D 6] LSASS.EXE
                                                  [ ? ]
API-MS-WIN-CORE-CRT-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-CRT-L2-1-0.DLL
                                                  [ ^6] NTDLL.DLL
                                                  [ ^6] RPCRT4.DLL
                                                  [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-IO-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-HEAP-OBSOLETE-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-WINDOWSERRORREPORTING-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                                  [D 6] SSPISRV.DLL
                                                       [ ? ]
API-MS-WIN-CORE-CRT-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-CRT-L2-1-0.DLL
                                                       [ ^6] NTDLL.DLL
                                                       [ ^6] RPCRT4.DLL
                                                       [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-UTIL-L1-1-0.DLL
                                             [D^6] FIREWALLAPI.DLL
                                             [D^6] MPR.DLL
                                             [D^6] CRYPTDLL.DLL
                                             [D^6] MDMREGISTRATION.DLL
                                             [D? ]
API-MS-WIN-EVENTING-CONTROLLER-L1-1-0.DLL
                                             [D? ]
API-MS-WIN-SECURITY-CAPABILITY-L1-1-0.DLL
                                        [D^6] RPCRT4.DLL
                                   [D^6] SSPICLI.DLL
                                   [D? ]
API-MS-WIN-SECURITY-CREDENTIALS-L1-1-0.DLL
                                   [D^6] NRTAPI.DLL
                                   [D 6] TOKENBINDING.DLL
                                        [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0=
.DLL
                                        [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0=
.DLL
                                        [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.=
DLL
                                        [ ? ]
API-MS-WIN-EVENTING-CLASSICPROVIDER-L1-1-0.DLL
                                        [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-=
0.DLL
                                        [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                        [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-=
0.DLL
                                        [ ? ]
API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                                        [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                        [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.=
DLL
                                        [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                        [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                                        [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                                        [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.=
DLL
                                        [ ? ]
API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                                        [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.D=
LL
                                        [ ? ]
API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                                        [ ? ]
API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                                        [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0=
.DLL
                                        [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.D=
LL
                                        [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                        [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                        [ ^6] NTDLL.DLL
                                        [D? ]
API-MS-WIN-SHELL-SHELLFOLDERS-L1-1-0.DLL
                                        [D? ]
API-MS-WIN-SECURITY-CAPABILITY-L1-1-0.DLL
                                        [D^6] TBS.DLL
                                        [D^6] BCRYPT.DLL
                                        [D? ] API-MS-WIN-CORE-COM-L1-1-0.DL=
L
                                        [D? ]
API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
                                        [D^6] NCRYPT.DLL
                                        [D^6] RPCRT4.DLL
                              [D^6] NSI.DLL
                              [D^6] DHCPCSVC.DLL
                              [D? ] EXT-MS-WIN-FIREWALLAPI-WEBPROXY-L1-1-0.=
DLL
                              [D 6] NRTAPI.DLL
                                   [ ^6] NTDLL.DLL
                                   [ ? ] API-MS-WIN-CORE-IO-L1-1-0.DLL
                                   [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                   [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                   [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                   [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                              [D^6] WINTRUST.DLL
                              [D 6] OLEAUT32.DLL
                                   [  6] MSVCP_WIN.DLL
                                        [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.=
DLL
                                        [ ? ] API-MS-WIN-CRT-LOCALE-L1-1-0.=
DLL
                                        [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0=
.DLL
                                        [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0=
.DLL
                                        [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.=
DLL
                                        [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.D=
LL
                                        [ ? ] API-MS-WIN-CORE-FILE-L1-2-0.D=
LL
                                        [ ? ] API-MS-WIN-CORE-FILE-L2-1-0.D=
LL
                                        [ ? ] API-MS-WIN-CORE-STRING-L1-1-0=
.DLL
                                        [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                        [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0=
.DLL
                                        [ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.D=
LL
                                        [ ? ]
API-MS-WIN-CORE-HEAP-OBSOLETE-L1-1-0.DLL
                                        [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                                        [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.=
DLL
                                        [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                        [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                        [ ? ] API-MS-WIN-CORE-SYSINFO-L1-2-=
0.DLL
                                        [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                                        [ ? ]
API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                                        [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-1-0.DLL
                                        [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-=
0.DLL
                                        [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-=
0.DLL
                                        [ ? ]
API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                                        [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.=
DLL
                                        [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                        [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                        [D? ]
API-MS-WIN-CORE-WINRT-ERROR-L1-1-0.DLL
                                        [D? ]
API-MS-WIN-CORE-WINRT-ERROR-L1-1-1.DLL
                                        [D? ] API-MS-WIN-CORE-COM-L1-1-0.DL=
L
                                   [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                                   [ ^6] NTDLL.DLL
                                   [  6] COMBASE.DLL
                                        [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.=
DLL
                                        [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0=
.DLL
                                        [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0=
.DLL
                                        [ ^6] RPCRT4.DLL
                                        [ ^6] NTDLL.DLL
                                        [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.=
DLL
                                        [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                        [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-2.DLL
                                        [ ? ] API-MS-WIN-CORE-FIBERS-L1-1-0=
.DLL
                                        [ ? ] API-MS-WIN-CORE-FIBERS-L1-1-1=
.DLL
                                        [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.D=
LL
                                        [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0=
.DLL
                                        [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.D=
LL
                                        [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.D=
LL
                                        [ ? ]
API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                                        [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                        [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                                        [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0=
.DLL
                                        [ ? ]
API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                                        [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                        [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                                        [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-=
0.DLL
                                        [ ? ]
API-MS-WIN-CORE-REALTIME-L1-1-0.DLL
                                        [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                                        [ ? ] API-MS-WIN-CORE-STRING-L1-1-0=
.DLL
                                        [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.=
DLL
                                        [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.=
DLL
                                        [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-1.=
DLL
                                        [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-=
0.DLL
                                        [ ? ] API-MS-WIN-CORE-SYSINFO-L1-2-=
0.DLL
                                        [ ? ]
API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                                        [ ? ]
API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
                                        [ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.D=
LL
                                        [ ? ] API-MS-WIN-CORE-WOW64-L1-1-1.=
DLL
                                        [ ? ]
API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                                        [ ? ]
API-MS-WIN-SECURITY-BASE-L1-2-0.DLL
                                        [ ? ]
API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                                        [ ? ]
API-MS-WIN-CORE-HEAP-OBSOLETE-L1-1-0.DLL
                                        [ ? ]
API-MS-WIN-CORE-PRIVATEPROFILE-L1-1-0.DLL
                                        [ ? ]
API-MS-WIN-CORE-SIDEBYSIDE-L1-1-0.DLL
                                        [ ? ]
API-MS-WIN-CORE-WINDOWSERRORREPORTING-L1-1-0.DLL
                                        [ ? ] API-MS-WIN-CORE-QUIRKS-L1-1-0=
.DLL
                                        [ ^6] KERNELBASE.DLL
                                        [ ? ] API-MS-WIN-CORE-PATH-L1-1-0.D=
LL
                                        [ ? ]
API-MS-WIN-CORE-PROCESSSNAPSHOT-L1-1-0.DLL
                                        [ ? ]
API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
                                        [ ? ] API-MS-WIN-CORE-FILE-L2-1-0.D=
LL
                                        [ ? ]
API-MS-WIN-CORE-SHLWAPI-LEGACY-L1-1-0.DLL
                                        [ ? ]
API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL
                                        [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                        [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                        [D^6] BCRYPT.DLL
                                        [D^6] BCRYPTPRIMITIVES.DLL
                                        [D^6] CRYPT32.DLL
                                        [D^6] OLEAUT32.DLL
                                        [D 6] CFGMGR32.DLL
                                             [ ? ]
API-MS-WIN-CORE-CRT-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-CRT-L2-1-0.DLL
                                             [ ^6] NTDLL.DLL
                                             [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                             [ ? ] API-MS-WIN-CORE-IO-L1-1-=
0.DLL
                                             [ ? ]
API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-STRING-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-WOW64-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                                             [ ? ]
API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-UTIL-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-FILE-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                             [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                             [D? ]
API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
                                             [D^6] RPCRT4.DLL
                                        [D^6] WS2_32.DLL
                                        [D? ]
API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
                                        [D? ] API-MS-WIN-SERVICE-CORE-L1-1-=
0.DLL
                                        [D? ]
API-MS-WIN-SERVICE-WINSVC-L1-1-0.DLL
                                        [D? ]
API-MS-WIN-SECURITY-LSALOOKUP-L1-1-0.DLL
                                        [D? ]
API-MS-WIN-CORE-WINRT-PROPERTYSETPRIVATE-L1-1-1.DLL
                                        [D? ]
EXT-MS-WIN-RTCORE-NTUSER-SYNCH-EXT-L1-1-0.DLL
                                        [D? ]
EXT-MS-WIN-RTCORE-NTUSER-WINDOW-EXT-L1-1-0.DLL
                                        [D? ] EXT-MS-WIN-NTUSER-MISC-L1-1-0=
.DLL
                                        [D? ]
EXT-MS-WIN-NTUSER-PRIVATE-L1-1-0.DLL
                                        [D? ]
EXT-MS-WIN-NTUSER-WINDOWSTATION-L1-1-0.DLL
                                        [D? ] EXT-MS-WIN-GDI-DC-L1-2-0.DLL
                                        [D? ] EXT-MS-WIN-GDI-DRAW-L1-1-0.DL=
L
                                        [D? ] EXT-MS-WIN-GDI-METAFILE-L1-1-=
0.DLL
                                        [D? ]
EXT-MS-WIN-RTCORE-GDI-OBJECT-L1-1-0.DLL
                                        [D? ] EXT-MS-WIN-COM-CLBCATQ-L1-1-0=
.DLL
                                        [D? ] EXT-MS-WIN-COM-OLE32-L1-1-1.D=
LL
                                        [D? ] EXT-MS-WIN-COM-OLE32-L1-1-0.D=
LL
                                        [D? ] EXT-MS-WIN-COM-OLE32-L1-1-5.D=
LL
                                        [D? ] EXT-MS-WIN-COM-OLE32-L1-1-3.D=
LL
                                        [D? ] EXT-MS-WIN-COM-COML2-L1-1-1.D=
LL
                                        [D? ] EXT-MS-WIN-ADVAPI32-MSI-L1-1-=
0.DLL
                                        [D? ]
EXT-MS-WIN-KERNEL32-PACKAGE-L1-1-0.DLL
                                        [D? ]
EXT-MS-WIN-KERNEL32-PACKAGE-L1-1-2.DLL
                                        [D? ]
EXT-MS-WIN-KERNEL32-PACKAGE-CURRENT-L1-1-0.DLL
                                        [D? ]
EXT-MS-WIN-APPMODEL-STATE-EXT-L1-2-0.DLL
                                        [D? ]
EXT-MS-WIN-ADVAPI32-PSM-APP-L1-1-0.DLL
                                        [D? ]
EXT-MS-WIN-COM-PSMREGISTER-L1-1-0.DLL
                                        [D? ]
EXT-MS-WIN-SESSION-USERMGR-L1-1-0.DLL
                                        [D? ]
EXT-MS-WIN-CORE-WINRT-REMOTE-L1-1-0.DLL
                                        [D? ]
EXT-MS-WIN-COM-APARTMENTRESTRICTION-L1-1-0.DLL
                                        [D? ]
EXT-MS-WIN-COM-SUSPENDRESILIENCY-L1-1-0.DLL
                                        [D? ]
API-MS-WIN-SHCORE-STREAM-L1-1-0.DLL
                                        [D? ]
API-MS-WIN-CORE-DEBUG-MINIDUMP-L1-1-0.DLL
                                        [D^6] USERENV.DLL
                                        [D 6] WER.DLL
                                             [ ? ]
API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CRT-STRING-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                                             [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                                             [ ^6] NTDLL.DLL
                                             [ ? ]
API-MS-WIN-OOBE-NOTIFICATION-L1-1-0.DLL
                                             [  6] DIAGNOSTICDATASETTINGS.D=
LL
                                                  [ ? ]
API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CRT-STRING-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                                                  [ ? ]
API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                                                  [ ^6] NTDLL.DLL
                                                  [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                                  [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                                  [D? ]
API-MS-WIN-PRIVACY-COREPRIVACYSETTINGSSTORE-L1-1-0.DLL
                                                  [D^6] NETAPI32.DLL
                                                       [F^6] DSREG.DLL
                                             [ ? ]
API-MS-WIN-CORE-SIDEBYSIDE-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-WINDOWSERRORREPORTING-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                             [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                             [ ? ] API-MS-WIN-CORE-IO-L1-1-=
0.DLL
                                             [ ? ]
API-MS-WIN-CORE-UTIL-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL
                                             [ ? ]
API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-FILE-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-STRING-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-PROCESSSNAPSHOT-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-WOW64-L1-1-1.DLL
                                             [ ? ]
API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-3.DLL
                                             [ ? ]
API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-CONSOLE-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-FILE-L2-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-PSAPI-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-FILE-L2-1-2.DLL
                                             [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-2-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-FILE-L1-2-4.DLL
                                             [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-1.DLL
                                             [ ? ]
API-MS-WIN-CORE-REALTIME-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-1.DLL
                                             [ ^6] RPCRT4.DLL
                                             [ ? ]
API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-VERSION-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-PATH-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-SHLWAPI-LEGACY-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-TOOLHELP-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-PROCESSTOPOLOGY-OBSOLETE-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-LOCALIZATION-OBSOLETE-L1-2-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-FILE-L1-2-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-WOW64-L1-1-0.DLL
                                             [D? ]
EXT-MS-WIN-NTUSER-MESSAGE-L1-1-0.DLL
                                             [D? ]
EXT-MS-WIN-NTUSER-SYNCH-L1-1-0.DLL
                                             [D? ]
EXT-MS-WIN-NTUSER-WINDOW-L1-1-0.DLL
                                             [D? ]
EXT-MS-WIN-NTUSER-WINDOWCLASS-L1-1-0.DLL
                                             [D? ]
EXT-MS-WIN-WER-XBOX-L1-1-0.DLL
                                             [D? ]
EXT-MS-WIN-WER-XBOX-L1-1-4.DLL
                                             [D? ]
EXT-MS-WIN-WER-XBOX-L1-1-3.DLL
                                             [D? ] EXT-MS-WIN-WER-UI-L1-1-0=
.DLL
                                             [D? ]
EXT-MS-WIN-DESKTOPAPPX-L1-1-3.DLL
                                             [D 6] DBGHELP.DLL
                                                  [ ? ]
API-MS-WIN-CRT-STRING-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CRT-TIME-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CRT-LOCALE-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-FILE-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-MISC-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-STRING-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-UTIL-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-COM-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                                                  [ ^6] NTDLL.DLL
                                                  [ ^6] OLEAUT32.DLL
                                                  [ ? ]
API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-LOCALREGISTRY-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-IO-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-THREADPOOL-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-2-0.DLL
                                                  [D^6] RPCRT4.DLL
                                                  [F 6] DBGCORE.DLL
                                                       [ ? ]
API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CRT-STRING-L1-1-0.DLL
                                                       [ ^6] NTDLL.DLL
                                                       [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-MISC-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                       [ ^6] RPCRT4.DLL
                                                       [ ? ]
API-MS-WIN-CORE-LOCALREGISTRY-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-FILE-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-STRING-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                                             [D? ]
API-MS-WIN-APPMODEL-RUNTIME-L1-1-0.DLL
                                             [D? ]
API-MS-WIN-SHELL-SHELLFOLDERS-L1-1-0.DLL
                                             [D 6] NETAPI32.DLL
                                                  [ ^6] MSVCRT.DLL
                                                  [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-STRING-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                                  [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-HEAP-OBSOLETE-L1-1-0.DLL
                                                  [ ^6] NTDLL.DLL
                                                  [ ? ]
API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
                                                  [D^6] SSPICLI.DLL
                                                  [D 6] WKSCLI.DLL
                                                       [ ? ]
API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CRT-STRING-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                                       [ ^6] RPCRT4.DLL
                                                       [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                                                       [ ? ]
API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
                                                       [ ^6] NTDLL.DLL
                                                       [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                                       [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
                                                       [D^6] BCRYPT.DLL
                                                       [D^6] NETUTILS.DLL
                                                       [D^6] CRYPTBASE.DLL
                                                       [D? ]
EXT-MS-WIN-DOMAINJOIN-NETJOIN-L1-1-0.DLL
                                                       [D? ]
API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DLL
                                                       [D? ]
API-MS-WIN-SERVICE-WINSVC-L1-1-0.DLL
                                                  [D 6] SRVCLI.DLL
                                                       [ ? ]
API-MS-WIN-CRT-STRING-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                                                       [ ^6] RPCRT4.DLL
                                                       [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                                                       [ ^6] NTDLL.DLL
                                                       [ ? ]
API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                                       [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
                                                       [D^6] NETUTILS.DLL
                                                       [D^6] WKSCLI.DLL
                                                       [D? ]
API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DLL
                                                       [D? ]
API-MS-WIN-SERVICE-WINSVC-L1-1-0.DLL
                                                  [D^6] NETUTILS.DLL
                                                  [D? ]
API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DLL
                                                  [D? ]
API-MS-WIN-SERVICE-CORE-L1-1-1.DLL
                                                  [D? ]
API-MS-WIN-SERVICE-WINSVC-L1-1-0.DLL
                                                  [D? ]
EXT-MS-WIN-SMBSHARE-BROWSERCLIENT-L1-1-0.DLL
                                                  [F 6] DSREG.DLL
                                                       [ ? ]
API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CRT-STRING-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                                                       [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                                       [ ^6] MSVCP_WIN.DLL
                                                       [ ? ]
API-MS-WIN-CRT-TIME-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL
                                                       [ ? ]
API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                                                       [ ^6] NTDLL.DLL
                                                       [ ? ]
API-MS-WIN-CORE-SHLWAPI-OBSOLETE-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-STRING-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-1.DLL
                                                       [ ? ]
API-MS-WIN-CORE-FILE-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-CONSOLE-L1-2-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-FILE-L1-2-4.DLL
                                                       [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                                       [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                                       [ ? ]
API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
                                                       [D 6] CRYPTNGC.DLL
                                                            [ ^6] MSVCP_WIN=
.DLL
                                                            [ ? ]
API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CRT-STRING-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                                            [ ? ]
API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                                                            [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-2-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-PSAPI-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-FILE-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-STRING-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-HEAP-OBSOLETE-L1-1-0.DLL
                                                            [ ^6] NTDLL.DLL
                                                            [ ? ]
API-MS-WIN-STATESEPARATION-HELPERS-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                                            [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL
                                                            [D^6] NCRYPT.DL=
L
                                                            [D^6] RPCRT4.DL=
L
                                                            [D^6] CRYPT32.D=
LL
                                                            [D? ]
API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
                                                            [D^6] BCRYPT.DL=
L
                                                            [D? ]
API-MS-WIN-CORE-COM-L1-1-0.DLL
                                                            [D 6] DEVOBJ.DL=
L
                                                                 [ ? ]
API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CRT-STRING-L1-1-0.DLL
                                                                 [ ^6] NTDL=
L.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-DEVICES-CONFIG-L1-1-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL
                                                                 [ ^6]
CFGMGR32.DLL
                                                                 [ ? ]
API-MS-WIN-DEVICES-QUERY-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-STRING-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-FILE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-FILE-L2-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-IO-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                                                 [D 6]
DEVRTL.DLL

[ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL

[ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL

[ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL

[ ^6] NTDLL.DLL

[ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL

[ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-FILE-L2-1-0.DLL

[ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-IO-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                                            [D? ]
API-MS-WIN-SECURITY-LSALOOKUP-L1-1-2.DLL
                                                            [D? ]
EXT-MS-WIN-DEVMGMT-POLICY-L1-1-0.DLL
                                                            [D? ]
EXT-MS-WIN-BIOMETRICS-WINBIO-CORE-L1-1-0.DLL
                                                            [D? ]
EXT-MS-WIN-SESSION-WINSTA-L1-1-0.DLL
                                                            [D^6] TBS.DLL
                                                            [D 6]
TPMCOREPROVISIONING.DLL
                                                                 [ ^6]
MSVCP_WIN.DLL
                                                                 [ ? ]
API-MS-WIN-CRT-STRING-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                                                                 [ ^6] NTDL=
L.DLL
                                                                 [ ^6]
CRYPT32.DLL
                                                                 [ ^6]
NCRYPT.DLL

[F^6] BCRYPT.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-STRING-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-COM-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL
                                                                 [ ^6]
RPCRT4.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-WINRT-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                                 [ ^6]
WINHTTP.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
                                                                 [ ^6]
OLEAUT32.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DATETIME-L1-1-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-FILE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-FILE-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-FILE-L2-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-STATESEPARATION-HELPERS-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-IO-L1-1-1.DLL
                                                                 [ ^6]
DEVOBJ.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-IO-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                                                 [ ^6] UMPD=
C.DLL
                                                                 [D^6]
BCRYPT.DLL
                                                                 [D^6] TBS.=
DLL
                                                                 [D? ]
EXT-MS-WIN-SESSION-USERTOKEN-L1-1-0.DLL
                                                                 [D? ]
EXT-MS-WIN-SESSION-WTSAPI32-L1-1-0.DLL
                                                                 [D 6]
POLICYMANAGER.DLL

[  6] MSVCP110_WIN.DLL

    [ ^6] MSVCRT.DLL

    [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL

[ ^6] MSVCRT.DLL

[ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL

[ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYSINFO-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL

[ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-DATETIME-L1-1-1.DLL

[ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-HEAP-OBSOLETE-L1-1-0.DLL

[ ^6] NTDLL.DLL

[ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL

[ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-IO-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-FILE-L2-1-0.DLL

[ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL

[ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL

[D^6] OLEAUT32.DLL

[D? ] API-MS-WIN-CORE-COM-L1-1-0.DLL

[D^6] RPCRT4.DLL

[D? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL

[D? ] API-MS-WIN-CORE-REGISTRY-L2-1-0.DLL

[D^6] XMLLITE.DLL

[D? ] EXT-MS-WIN-SESSION-USERMGR-L1-1-0.DLL

[D? ] EXT-MS-WIN-SESSION-USERTOKEN-L1-1-0.DLL

[D? ] API-MS-WIN-SHCORE-STREAM-L1-1-0.DLL

[D? ] EXT-MS-WIN-SHELL32-SHELLFOLDERS-L1-1-0.DLL

[D 6] DMENTERPRISEDIAGNOSTICS.DLL

    [ ^6] MSVCRT.DLL

    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

    [ ^6] OLEAUT32.DLL

    [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-COM-L1-1-0.DLL

    [ ? ] API-MS-WIN-EVENTING-CLASSICPROVIDER-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

    [ ^6] NTDLL.DLL

    [ ? ] API-MS-WIN-EVENTING-CONTROLLER-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-FILE-L2-1-0.DLL

    [ ? ] API-MS-WIN-EVENTING-CONSUMER-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-FILE-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-WOW64-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-VERSION-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL

    [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL

    [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-FILE-L2-1-2.DLL

    [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL

    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL

    [D^6] BCRYPT.DLL

    [D? ] EXT-MS-WIN-DEVMGMT-DM-L1-1-1.DLL

[D? ] EXT-MS-WIN-SESSION-WTSAPI32-L1-1-0.DLL
                                                                 [D? ]
EXT-MS-WIN-NTUSER-MESSAGE-L1-1-0.DLL
                                                                 [D? ]
EXT-MS-WIN-RTCORE-NTUSER-CURSOR-L1-1-0.DLL
                                                                 [D? ]
EXT-MS-WIN-NTUSER-SYNCH-L1-1-0.DLL
                                                                 [D^6]
CERTENROLL.DLL
                                                                 [D? ]
EXT-MS-WIN-SHELL32-SHELLFOLDERS-L1-1-0.DLL
                                                                 [D^6]
PROFAPI.DLL
                                                                 [D? ]
EXT-MS-WIN-WEVTAPI-EVENTLOG-L1-1-0.DLL
                                                       [D 6] CERTENROLL.DLL
                                                            [ ^6] MSVCRT.DL=
L
                                                            [ ? ]
API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                                            [ ? ]
API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-UTIL-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-STRING-L2-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-STRING-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-FILE-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-DATETIME-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-CONSOLE-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL
                                                            [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                                                            [ ? ]
API-MS-WIN-CORE-PSAPI-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-FILE-L1-2-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-2.DLL
                                                            [ ? ]
API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-URL-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-SECURITY-ACTIVEDIRECTORYCLIENT-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-ATOMS-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-SHLWAPI-LEGACY-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-THREADPOOL-LEGACY-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-LOCALIZATION-OBSOLETE-L1-2-0.DLL
                                                            [ ^6] NTDLL.DLL
                                                            [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                                            [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
                                                            [D 6] CERTCA.DL=
L
                                                                 [ ^6]
MSVCRT.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-FILE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-STRING-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-STRING-L2-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-CONSOLE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PSAPI-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-FILE-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DATETIME-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-UTIL-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SHLWAPI-LEGACY-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL
                                                                 [ ^6] NTDL=
L.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-2.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LOCALIZATION-OBSOLETE-L1-2-0.DLL
                                                                 [D^6]
CRYPTNET.DLL
                                                                 [D^6]
CRYPT32.DLL
                                                                 [D^6]
NCRYPT.DLL
                                                                 [D? ]
API-MS-WIN-CORE-COM-L1-1-0.DLL
                                                                 [D^6]
OLEAUT32.DLL
                                                                 [D^6]
RPCRT4.DLL
                                                                 [D? ]
API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-SECURITY-LSALOOKUP-L2-1-0.DLL
                                                                 [D^6]
BCRYPT.DLL
                                                                 [D^6]
SSPICLI.DLL
                                                                 [D^6]
WLDAP32.DLL
                                                                 [D 6] AUTH=
Z.DLL

[ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL

[ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL

[ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

[ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYSINFO-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL

[ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL

[ ^6] NTDLL.DLL

[ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL

[ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL

[D^6] RPCRT4.DLL

[D? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL

[D^6] WLDAP32.DLL

[D^6] SSPICLI.DLL

[D^6] DSROLE.DLL

[D^6] NETUTILS.DLL

[D^6] LOGONCLI.DLL

[D? ] API-MS-WIN-SECURITY-LSALOOKUP-L2-1-0.DLL

[D? ] EXT-MS-WIN-AUTHZ-REMOTE-L1-1-0.DLL

[D? ] API-MS-WIN-SECURITY-LSALOOKUP-L1-1-0.DLL

[D? ] API-MS-WIN-SECURITY-SDDLPARSECOND-L1-1-0.DLL

[D^6] SAMLIB.DLL
                                                                 [D^6]
CRYPTSP.DLL
                                                                 [D? ]
API-MS-WIN-SECURITY-LSAPOLICY-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-SECURITY-LOGON-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-SECURITY-PROVIDER-L1-1-0.DLL
                                                            [D 6]
CRYPTTPMEKSVC.DLL
                                                                 [ ^6]
MSVCRT.DLL
                                                                 [ ^6]
CRYPT32.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-FILE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                                                 [ ^6]
RPCRT4.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HEAP-OBSOLETE-L1-1-0.DLL
                                                                 [ ^6]
OLEAUT32.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-COM-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                                                 [D^6]
NCRYPT.DLL
                                                            [D 6] CRYPTNET.=
DLL
                                                                 [ ^6]
MSVCRT.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                                 [ ^6]
CRYPT32.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-FILE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-STRING-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PSAPI-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DATETIME-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-URL-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SHLWAPI-OBSOLETE-L1-1-0.DLL
                                                                 [ ^6] NTDL=
L.DLL
                                                                 [ ? ]
API-MS-WIN-SECURITY-BASE-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LOCALIZATION-OBSOLETE-L1-2-0.DLL
                                                                 [D^6]
IPHLPAPI.DLL
                                                                 [D^6]
WLDAP32.DLL
                                                                 [D^6]
CRYPTBASE.DLL
                                                                 [D^6]
WINHTTP.DLL
                                                                 [D? ]
API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
                                                                 [D^6]
PROFAPI.DLL
                                                            [D 6]
TWINAPI.APPCORE.DLL
                                                                 [ ? ]
API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CRT-STRING-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-UTIL-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-EVENTING-CLASSICPROVIDER-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-QUIRKS-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-3.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-STRING-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-3.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PSAPI-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-THREADPOOL-LEGACY-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SHLWAPI-OBSOLETE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PSM-KEY-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-APIQUERY-L2-1-0.DLL
                                                                 [ ^6]
COMBASE.DLL
                                                                 [ ^6] NTDL=
L.DLL
                                                                 [ ^6]
MSVCP_WIN.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL
                                                                 [D^6]
RMCLIENT.DLL
                                                                 [D 6] WLDP=
.DLL

[ ^6] MSVCRT.DLL

[ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

[ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

[ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-VERSION-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-PSAPI-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-IO-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYSINFO-L1-2-3.DLL

[ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-1.DLL

[ ? ] API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-WINRT-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

[ ^6] NTDLL.DLL

[ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL

[ ? ] API-MS-WIN-DOWNLEVEL-ADVAPI32-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL

[ ^6] OLEAUT32.DLL

[ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL

[D? ] API-MS-WIN-CORE-COM-L1-1-0.DLL

[D? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL

[D^6] CRYPT32.DLL

[D? ] API-MS-WIN-SECURITY-LSALOOKUP-L2-1-0.DLL

[D^6] DEVOBJ.DLL

[D^6] WINTRUST.DLL

[D 6] FVEAPI.DLL

    [ ^6] MSVCRT.DLL

    [ ^6] NTDLL.DLL

    [ ? ] API-MS-WIN-EVENTING-CLASSICPROVIDER-L1-1-0.DLL

    [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

    [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-IO-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-SYSINFO-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-FILE-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL

    [ ? ] API-MS-WIN-CORE-DATETIME-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-COM-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-PATH-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-1.DLL

    [ ^6] WS2_32.DLL

    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL

    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-HEAP-OBSOLETE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL

    [D 6] BCD.DLL

         [ ^6] NTDLL.DLL

    [D^6] TBS.DLL

    [D^6] BCRYPT.DLL

    [D^6] NCRYPT.DLL

    [D^6] CRYPT32.DLL

    [D 6] FVECERTS.DLL

         [ ^6] MSVCRT.DLL

         [ ^6] NTDLL.DLL

         [ ^6] CRYPT32.DLL

         [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

         [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL

         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL

         [D^6] BCRYPT.DLL

         [D^6] NCRYPT.DLL

         [D^6] CRYPTSP.DLL

    [D^6] PROFAPI.DLL

    [D^6] SAMCLI.DLL

    [D^6] CRYPTSP.DLL

    [D^6] WINTRUST.DLL

    [D? ] EXT-MS-WIN-REINFO-QUERY-L1-1-0.DLL

    [D? ] EXT-MS-WIN-DEVMGMT-POLICY-L1-1-0.DLL

    [D? ] EXT-MS-WIN-SECUR32-TRANSLATENAME-L1-1-0.DLL

    [D? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL

    [D? ] EXT-MS-WIN-FECLIENT-ENCRYPTEDFILE-L1-1-3.DLL

    [D^6] DSREG.DLL

    [D 6] FVESKYBACKUP.DLL

         [ ^6] MSVCRT.DLL

         [ ^6] NTDLL.DLL

         [ ? ] API-MS-WIN-EVENTING-CLASSICPROVIDER-L1-1-0.DLL

         [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-COM-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

         [ ^6] WINHTTP.DLL

         [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL

         [ ^6] RPCRT4.DLL

         [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-WINRT-L1-1-0.DLL

         [ ^6] FVEAPI.DLL

         [ ^6] DSREG.DLL

         [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL

         [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

         [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

         [ ? ] API-MS-WIN-CORE-URL-L1-1-0.DLL

    [D^6] TPMCOREPROVISIONING.DLL

    [D 6] VIRTDISK.DLL

         [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL

         [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL

         [ ? ] API-MS-WIN-EVENTING-CLASSICPROVIDER-L1-1-0.DLL

         [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

         [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-IO-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-FILE-L2-1-0.DLL

         [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL

         [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

         [ ^6] NTDLL.DLL

         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL

         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL

         [D^6] FLTLIB.DLL

         [D? ] EXT-MS-WIN-CNG-RNG-L1-1-1.DLL

    [D? ] API-MS-WIN-SECURITY-PROVIDER-L1-1-0.DLL

    [D^6] RPCRT4.DLL

    [D? ] API-MS-WIN-EVENTING-CONTROLLER-L1-1-0.DLL

    [D? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL

    [D^6] LOGONCLI.DLL

    [D^6] NETUTILS.DLL

    [D? ] API-MS-WIN-DEVICES-CONFIG-L1-1-1.DLL

    [D^6] OLEAUT32.DLL

    [D^6] IPHLPAPI.DLL

    [D? ] API-MS-WIN-SERVICE-PRIVATE-L1-1-0.DLL

    [D^6] DEVOBJ.DLL

    [D? ] API-MS-WIN-SECURITY-LSAPOLICY-L1-1-0.DLL

    [D? ] EXT-MS-WIN-ADSI-ACTIVEDS-L1-1-0.DLL

[D? ] EXT-MS-WIN-KERNEL32-PACKAGE-L1-1-0.DLL

[D? ] EXT-MS-WIN-KERNEL32-PACKAGE-L1-1-2.DLL

[D? ] API-MS-WIN-APPMODEL-UNLOCK-L1-1-0.DLL

[D? ] API-MS-WIN-STATESEPARATION-HELPERS-L1-1-0.DLL

[D? ] EXT-MS-WIN32-SUBSYSTEM-QUERY-L1-1-0.DLL

[D^6] RPCRT4.DLL

[D? ] API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DLL

[D? ] API-MS-WIN-SERVICE-WINSVC-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-CORE-COM-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-CORE-WINRT-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-CORE-WINRT-ERROR-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-CORE-COM-L1-1-1.DLL
                                                                 [D? ]
API-MS-WIN-CORE-WINRT-ERROR-L1-1-1.DLL
                                                                 [D^6]
RPCRT4.DLL
                                                                 [D^6]
OLEAUT32.DLL
                                                                 [D? ]
API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
                                                                 [D^6]
USERENV.DLL
                                                                 [D^6]
BCRYPT.DLL
                                                                 [D? ]
API-MS-WIN-SHCORE-OBSOLETE-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-CORE-WINRT-PROPERTYSETPRIVATE-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-CORE-WINRT-PROPERTYSETPRIVATE-L1-1-1.DLL
                                                                 [D? ]
EXT-MS-WIN-COM-OLE32-L1-1-1.DLL
                                                                 [D? ]
EXT-MS-WIN-COM-PSMREGISTER-L1-1-0.DLL
                                                                 [D? ]
EXT-MS-WIN-COM-SUSPENDRESILIENCY-L1-1-0.DLL
                                                                 [D? ]
EXT-MS-WIN-DEVMGMT-POLICY-L1-1-0.DLL
                                                                 [D? ]
EXT-MS-WIN-MRMCORER-RESMANAGER-L1-1-0.DLL
                                                                 [D? ]
EXT-MS-WIN-NTUSER-ROTATIONMANAGER-L1-1-0.DLL
                                                                 [D? ]
EXT-MS-WIN-NTUSER-UICONTEXT-EXT-L1-1-0.DLL
                                                                 [D? ]
EXT-MS-WIN-OLE32-BINDCTX-L1-1-0.DLL
                                                                 [D? ]
EXT-MS-WIN-SESSION-USERMGR-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-CORE-WINRT-REGISTRATION-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-SECURITY-LSAPOLICY-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-SECURITY-CAPABILITY-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-APPMODEL-IDENTITY-L1-2-0.DLL
                                                                 [D? ]
API-MS-WIN-APPMODEL-UNLOCK-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-RTCORE-NTUSER-PRIVATE-L1-1-7.DLL
                                                                 [D? ]
API-MS-WIN-RTCORE-NTUSER-PRIVATE-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-RTCORE-NTUSER-PRIVATE-L1-1-9.DLL
                                                                 [D? ]
API-MS-WIN-RTCORE-NTUSER-WINDOW-L1-1-0.DLL
                                                                 [D? ]
EXT-MS-WIN-APPMODEL-DEPLOYMENT-L1-1-0.DLL
                                                                 [D? ]
EXT-MS-WIN-RTCORE-NTUSER-IAM-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-APPMODEL-RUNTIME-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-APPMODEL-RUNTIME-L1-1-1.DLL
                                                                 [D? ]
EXT-MS-WIN-APPMODEL-USERCONTEXT-L1-1-0.DLL
                                                                 [D? ]
EXT-MS-WIN-GAMING-DEVICEFAMILY-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-SHCORE-COMHELPERS-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-SHCORE-REGISTRY-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-SHCORE-STREAM-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-SHCORE-TASKPOOL-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-SHCORE-THREAD-L1-1-0.DLL
                                                                 [D? ]
EXT-MS-WIN-UI-VIEWMANAGEMENT-L1-1-0.DLL
                                                                 [D? ]
EXT-MS-WIN-RTCORE-MINUSER-PRIVATE-EXT-L1-1-2.DLL
                                                                 [D? ]
API-MS-WIN-CORE-WINDOWSERRORREPORTING-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-CORE-WINRT-ROBUFFER-L1-1-0.DLL
                                                                 [D? ]
EXT-MS-WIN32-SUBSYSTEM-QUERY-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-APPMODEL-ADVERTISINGID-L1-1-0.DLL
                                                                 [D 6]
COREMESSAGING.DLL

[ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL

[ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL

[ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL

[ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL

[ ^6] MSVCP_WIN.DLL

[ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-SYNCH-L1-2-1.DLL

[ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-IO-L1-1-0.DLL

[ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-2.DLL

[ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL

[ ^6] NTDLL.DLL

[D^6] COMBASE.DLL

[D? ] EXT-MS-WIN-RTCORE-NTUSER-INTEGRATION-L1-1-0.DLL

[D? ] EXT-MS-WIN-RTCORE-NTUSER-WINDOW-EXT-L1-1-0.DLL

[D? ] EXT-MS-WIN-RTCORE-NTUSER-SYNCH-EXT-L1-1-0.DLL

[D? ] API-MS-WIN-SECURITY-ACCESSHLPR-L1-1-0.DLL

[D? ] API-MS-WIN-SECURITY-CAPABILITY-L1-1-0.DLL

[D? ] EXT-MS-WIN-RTCORE-MINUSER-PRIVATE-EXT-L1-1-1.DLL

[D? ] API-MS-WIN-SERVICE-CORE-L1-1-0.DLL

[D? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL

[D^6] WS2_32.DLL

[D? ] API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DLL

[D? ] API-MS-WIN-SERVICE-WINSVC-L1-1-0.DLL

[D? ] API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL

[D? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-0.DLL

[D? ] API-MS-WIN-CORE-COM-L1-1-0.DLL

[D? ] API-MS-WIN-CORE-WINRT-L1-1-0.DLL

[D? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-1.DLL

[D? ] API-MS-WIN-CORE-COM-L1-1-1.DLL

[D^6] RPCRT4.DLL
                                                                 [D 6]
COREUICOMPONENTS.DLL

[ ^6] MSVCRT.DLL

[ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-CONSOLE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-COM-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL

[ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL

[ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-WINRT-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-QUIRKS-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL

[ ? ] API-MS-WIN-CORE-DEBUG-L1-1-1.DLL

[ ? ] API-MS-WIN-CORE-LOCALIZATION-OBSOLETE-L1-2-0.DLL

[ ^6] NTDLL.DLL

[ ^6] COREMESSAGING.DLL

[ ? ] API-MS-WIN-RO-TYPERESOLUTION-L1-1-1.DLL

[ ? ] API-MS-WIN-NTUSER-SYSPARAMS-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL

[ ? ] API-MS-WIN-CORE-SYNCH-L1-2-1.DLL

[ ? ] API-MS-WIN-CORE-THREADPOOL-LEGACY-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYSINFO-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-1.DLL

[ ? ] API-MS-WIN-CORE-STRING-L2-1-1.DLL

[ ? ] API-MS-WIN-CORE-COM-L1-1-1.DLL

[ ? ] API-MS-WIN-RTCORE-NTUSER-SHELL-L1-1-0.DLL

[D? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL

[D? ] API-MS-WIN-SECURITY-PROVIDER-L1-1-0.DLL

[D? ] API-MS-WIN-APPMODEL-RUNTIME-L1-1-1.DLL

[D? ] API-MS-WIN-APPMODEL-RUNTIME-L1-1-0.DLL

[D? ] API-MS-WIN-CORE-WINRT-ROBUFFER-L1-1-0.DLL

[D? ] API-MS-WIN-RTCORE-NTUSER-PRIVATE-L1-1-4.DLL

[D? ] EXT-MS-WIN-RTCORE-NTUSER-WINDOW-EXT-L1-1-0.DLL

[D? ] API-MS-WIN-SECURITY-ACCESSHLPR-L1-1-0.DLL

[D? ] API-MS-WIN-SECURITY-CAPABILITY-L1-1-0.DLL

[D? ] EXT-MS-WIN-SECURITY-CHAMBERS-L1-1-0.DLL

[D? ] API-MS-WIN-COREUI-SECRUNTIME-L1-1-0.DLL

[D? ] EXT-MS-ONECORE-ORIENTATION-L1-1-0.DLL

[D? ] EXT-MS-WIN-SESSION-USERMGR-L1-1-0.DLL

[D^6] RPCRT4.DLL

[D? ] API-MS-WIN-SERVICE-CORE-L1-1-0.DLL

[D? ] EXT-MS-WIN-MININPUT-INPUTHOST-L1-1-0.DLL

[D 6] SHCORE.DLL

    [ ^6] MSVCP_WIN.DLL

    [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL

    [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL

    [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

    [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL

    [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL

    [ ? ] API-MS-WIN-CORE-SHLWAPI-OBSOLETE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL

    [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-COMMANDLINETOARGV-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-SHLWAPI-LEGACY-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-WOW64-L1-1-1.DLL

    [ ^6] NTDLL.DLL

    [ ? ] API-MS-WIN-CORE-SYSINFO-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-STRING-L2-1-1.DLL

    [ ? ] API-MS-WIN-CORE-LARGEINTEGER-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-QUIRKS-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-IO-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-FILE-L2-1-0.DLL

    [ ? ] API-MS-WIN-CORE-FILE-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-THREADPOOL-LEGACY-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-ATOMS-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-2.DLL

    [ ? ] API-MS-WIN-CORE-VERSION-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL

    [ ? ] API-MS-WIN-CORE-LOCALIZATION-OBSOLETE-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-PATH-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL

    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL

    [D? ] API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL

    [D? ] API-MS-WIN-CORE-COM-L1-1-0.DLL

    [D? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-0.DLL

    [D^6] OLEAUT32.DLL

    [D? ] API-MS-WIN-CORE-COM-L1-1-1.DLL

    [D? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL

    [D^6] MPR.DLL

    [D? ] API-MS-WIN-CORE-WINRT-L1-1-0.DLL

    [D? ] API-MS-WIN-CORE-WINRT-ROBUFFER-L1-1-0.DLL

    [D^6] RPCRT4.DLL

    [D^6] WKSCLI.DLL

    [D^6] NETUTILS.DLL

    [D? ] API-MS-WIN-NTUSER-SYSPARAMS-L1-1-0.DLL

    [D? ] API-MS-WIN-GDI-DPIINFO-L1-1-0.DLL

    [D? ] API-MS-WIN-RTCORE-NTUSER-SYNCH-L1-1-0.DLL

    [D? ] API-MS-WIN-RTCORE-NTUSER-WINDOW-L1-1-0.DLL

    [D? ] API-MS-WIN-SHELL-CHANGENOTIFY-L1-1-0.DLL

    [D? ] EXT-MS-WIN-COM-OLE32-L1-1-0.DLL

    [D? ] EXT-MS-WIN-DEVMGMT-POLICY-L1-1-0.DLL

    [D? ] EXT-MS-WIN-NTUSER-KEYBOARD-L1-1-0.DLL

    [D? ] EXT-MS-WIN-RTCORE-NTUSER-CURSOR-L1-1-0.DLL

    [D? ] EXT-MS-WIN-RTCORE-NTUSER-DPI-L1-1-0.DLL

    [D? ] EXT-MS-WIN-RTCORE-NTUSER-DPI-L1-2-1.DLL

    [D? ] EXT-MS-WIN-RTCORE-NTUSER-DPI-L1-2-0.DLL

    [D? ] EXT-MS-WIN-RTCORE-NTUSER-SYSPARAMS-L1-1-0.DLL

    [D? ] EXT-MS-WIN-RTCORE-NTUSER-WINDOW-EXT-L1-1-0.DLL

    [D? ] EXT-MS-WIN-SHELL-DIRECTORY-L1-1-0.DLL

    [D? ] EXT-MS-WIN-APPMODEL-VIEWSCALEFACTOR-L1-1-0.DLL

    [D? ] EXT-MS-WIN-IMM-L1-1-0.DLL

    [D 6] FAULTREP.DLL

         [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL

         [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

         [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

         [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

         [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL

         [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL

         [ ^6] NTDLL.DLL

         [ ^6] KERNELBASE.DLL

         [ ? ] API-MS-WIN-CORE-WINDOWSERRORREPORTING-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL

         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-PSAPI-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-COM-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL

         [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL

         [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-FILE-L1-2-4.DLL

         [ ? ] API-MS-WIN-CORE-FILE-L2-1-0.DLL

         [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL

         [ ? ] API-MS-WIN-CORE-WOW64-L1-1-1.DLL

         [ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-1.DLL

         [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-3.DLL

         [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-PROCESSSNAPSHOT-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-WINRT-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-1.DLL

         [ ? ] API-MS-WIN-CORE-WOW64-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-1.DLL

         [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL

         [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

         [ ? ] API-MS-WIN-CORE-VERSION-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-TOOLHELP-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-LOCALIZATION-OBSOLETE-L1-2-0.DLL

         [D^6] RMCLIENT.DLL

         [D? ] API-MS-WIN-SHELL-SHELLFOLDERS-L1-1-0.DLL

         [D? ] EXT-MS-WIN-KERNEL32-PACKAGE-L1-1-0.DLL

         [D? ] EXT-MS-WIN-NTUSER-GUI-L1-3-0.DLL

         [D? ] EXT-MS-WIN-NTUSER-MESSAGE-L1-1-0.DLL

         [D? ] EXT-MS-WIN-NTUSER-UICONTEXT-EXT-L1-1-0.DLL

         [D? ] EXT-MS-WIN-NTUSER-WINDOW-L1-1-0.DLL

         [D? ] EXT-MS-WIN-NTUSER-WINDOWSTATION-L1-1-0.DLL

         [D? ] EXT-MS-WIN-SESSION-USERTOKEN-L1-1-0.DLL

         [D? ] EXT-MS-WIN-WER-XBOX-L1-1-2.DLL

         [D? ] API-MS-WIN-SERVICE-PRIVATE-L1-1-0.DLL

         [D^6] DBGHELP.DLL

              [F^6] DBGCORE.DLL

         [D^6] WER.DLL

         [D? ] EXT-MS-WIN-APPCOMPAT-AEPIC-L1-1-0.DLL

         [D? ] EXT-MS-WIN-IMM-L1-1-0.DLL

         [D^6] DIAGNOSTICDATASETTINGS.DLL

         [D? ] EXT-MS-WIN-SESSION-USERMGR-L1-1-0.DLL

         [D^6] SSPICLI.DLL

         [D^6] RPCRT4.DLL

         [D^6] OLEAUT32.DLL

         [D? ] API-MS-WIN-SECURITY-LSALOOKUP-L2-1-0.DLL

         [D? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL

         [D^6] USERENV.DLL

         [D? ] API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DLL

         [D^6] BCRYPT.DLL

         [D? ] API-MS-WIN-CORE-REGISTRY-L2-1-0.DLL

         [D? ] API-MS-WIN-SHCORE-OBSOLETE-L1-1-0.DLL

         [D? ] API-MS-WIN-SECURITY-TRUSTEE-L1-1-0.DLL

    [D^6] COMBASE.DLL

[D? ] API-MS-WIN-SECURITY-LSALOOKUP-L2-1-0.DLL

[D? ] EXT-MS-WIN-RTCORE-MINUSER-PRIVATE-EXT-L1-1-0.DLL

[D? ] EXT-MS-WIN-RTCORE-MINUSER-INTERNAL-L1-1-0.DLL

[D? ] API-MS-WIN-RTCORE-NTUSER-PRIVATE-L1-1-2.DLL

[D? ] API-MS-WIN-RTCORE-NTUSER-PRIVATE-L1-1-7.DLL

[D? ] EXT-MS-WIN-RTCORE-GDI-DEVCAPS-L1-1-0.DLL

[D? ] EXT-MS-WIN-RTCORE-NTUSER-DC-ACCESS-L1-1-0.DLL

[D? ] EXT-MS-ONECORE-SHELLCHROMEAPI-L1-1-0.DLL

[D? ] EXT-MS-WIN-APPMODEL-VIEWSCALEFACTOR-L1-1-0.DLL
                                                                 [D 6] DCOM=
P.DLL

[ ^6] WIN32U.DLL

[ ^6] MSVCP_WIN.DLL

[ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL

[ ? ] API-MS-WIN-CRT-MATH-L1-1-0.DLL

[ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL

[ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

[ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-COM-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYSINFO-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL

[ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-3.DLL

[ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-2.DLL

[ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-WINRT-L1-1-0.DLL

[ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-COM-L1-1-1.DLL

[ ? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-1.DLL

[ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL

[ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYNCH-L1-2-1.DLL

[ ^6] NTDLL.DLL

[ ? ] API-MS-WIN-APPMODEL-UNLOCK-L1-1-0.DLL

[ ? ] API-MS-WIN-RTCORE-NTUSER-PRIVATE-L1-1-0.DLL

[ ? ] API-MS-WIN-RTCORE-NTUSER-PRIVATE-L1-1-7.DLL

[ ? ] API-MS-WIN-RTCORE-NTUSER-PRIVATE-L1-1-9.DLL

[ ? ] API-MS-WIN-RTCORE-NTUSER-PRIVATE-L1-1-11.DLL

[ ? ] API-MS-WIN-STATESEPARATION-HELPERS-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-VERSION-L1-1-1.DLL

[ ? ] API-MS-WIN-CORE-VERSION-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-PSAPI-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL

[ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL

[D^6] COREMESSAGING.DLL

[D? ] EXT-MS-WIN-RTCORE-NTUSER-SYSPARAMS-L1-1-0.DLL

[D^6] OLEAUT32.DLL

[D^6] BCRYPT.DLL

[D? ] API-MS-WIN-SHCORE-TASKPOOL-L1-1-0.DLL

[D? ] API-MS-WIN-RTCORE-NTUSER-WINDOW-L1-1-0.DLL

[D? ] EXT-MS-WIN-RTCORE-MINUSER-INPUT-L1-1-1.DLL

[D 6] D2D1.DLL

    [ ^6] MSVCRT.DLL

    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

    [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

    [ ^6] NTDLL.DLL

    [ ? ] API-MS-WIN-CORE-HEAP-OBSOLETE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL

    [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL

    [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-WINDOWSERRORREPORTING-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL

    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL

    [D? ] EXT-MS-WIN-DIRECT2D-DESKTOP-L1-1-0.DLL

    [D? ] EXT-MS-WIN-GDI-DC-L1-2-0.DLL

    [D? ] EXT-MS-WIN-GDI-DC-CREATE-L1-1-0.DLL

    [D? ] EXT-MS-WIN-RTCORE-GDI-DEVCAPS-L1-1-0.DLL

    [D? ] EXT-MS-WIN-GDI-DRAW-L1-1-0.DLL

    [D? ] EXT-MS-WIN-RTCORE-GDI-OBJECT-L1-1-0.DLL

    [D? ] EXT-MS-WIN-RTCORE-NTUSER-DC-ACCESS-L1-1-0.DLL

    [D? ] EXT-MS-WIN-NTUSER-WINDOW-L1-1-0.DLL

    [D^6] XMLLITE.DLL

    [D^6] CRYPT32.DLL

    [D? ] API-MS-WIN-CORE-COM-L1-1-0.DLL

    [D^6] CABINET.DLL

    [D? ] EXT-MS-WIN-GDI-FONT-L1-1-0.DLL

    [D? ] EXT-MS-WIN-RTCORE-GDI-RGN-L1-1-0.DLL

    [D? ] EXT-MS-WIN-NTUSER-GUI-L1-1-0.DLL

    [D? ] EXT-MS-WIN-NTUSER-RECTANGLE-EXT-L1-1-0.DLL

    [D 6] D3D12.DLL

         [ ^6] MSVCP_WIN.DLL

         [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL

         [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

         [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL

         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

         [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL

         [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-PSAPI-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL

         [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL

         [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL

[D 6] D3D11.DLL

    [ ^6] MSVCP_WIN.DLL

    [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL

    [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL

    [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL

    [ ^6] NTDLL.DLL

    [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-PSAPI-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL

    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL

    [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-VERSION-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-QUIRKS-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL

    [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-1.DLL

    [ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.DLL

    [ ^6] DXGI.DLL

    [ ^6] KERNELBASE.DLL

    [ ^6] WIN32U.DLL

    [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL

    [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-1.DLL

    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL

    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL

    [D? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL

    [D? ] API-MS-WIN-SECURITY-LSALOOKUP-ANSI-L2-1-0.DLL

    [D? ] API-MS-WIN-CORE-COM-L1-1-0.DLL

    [D? ] API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL

    [D? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-0.DLL

    [D? ] EXT-MS-WIN-RTCORE-NTUSER-DC-ACCESS-L1-1-0.DLL

    [D? ] EXT-MS-WIN-DXCORE-L1-1-0.DLL

    [D? ] EXT-MS-WIN-DXCORE-INTERNAL-L1-1-0.DLL

    [D? ] EXT-MS-WIN-DX-D3DKMT-DXCORE-L1-1-0.DLL

    [D? ] EXT-MS-WIN-DX-D3DKMT-DXCORE-L1-1-3.DLL

    [D? ] EXT-MS-WIN-DX-D3DKMT-GDI-L1-1-0.DLL

    [D? ] EXT-MS-WIN-GDI-DC-L1-2-0.DLL

    [D? ] EXT-MS-WIN-GDI-DC-CREATE-L1-1-0.DLL

    [D? ] EXT-MS-WIN-GDI-DRAW-L1-1-0.DLL

    [D? ] EXT-MS-WIN-RTCORE-GDI-OBJECT-L1-1-0.DLL

    [D? ] EXT-MS-WIN-GDI-RENDER-L1-1-0.DLL

    [D? ] EXT-MS-WIN-RTCORE-GDI-RGN-L1-1-0.DLL

    [D? ] EXT-MS-ONECORE-DCOMP-L1-1-0.DLL

    [D? ] API-MS-WIN-RTCORE-NTUSER-WINDOW-L1-1-0.DLL

    [D? ] API-MS-WIN-NTUSER-SYSPARAMS-L1-1-0.DLL

    [D? ] EXT-MS-WIN-NTUSER-UICONTEXT-EXT-L1-1-0.DLL

    [D? ] EXT-MS-MF-PAL-L2-1-0.DLL

    [D 6] D3D11ON12.DLL

         [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL

         [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-COM-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

         [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL

         [ ^6] D3D12.DLL

         [ ^6] DXGI.DLL

         [ ? ] API-MS-WIN-NTUSER-RECTANGLE-L1-1-0.DLL

         [ ^6] MSVCP_WIN.DLL

         [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL

         [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL

         [ ^6] NTDLL.DLL

         [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL

         [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-SYNCH-ANSI-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

         [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-1.DLL

         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL

         [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL

         [D? ] EXT-MS-WIN-DXCORE-L1-1-0.DLL

    [D 6] D3DSCACHE.DLL

         [ ^6] MSVCP_WIN.DLL

         [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL

         [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

         [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

         [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

         [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-COM-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

         [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-FILE-L2-1-0.DLL

         [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL

         [ ? ] API-MS-WIN-CORE-FILE-L1-2-0.DLL

         [ ? ] API-MS-WIN-CORE-IO-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL

         [ ? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL

         [ ^6] USERENV.DLL

         [ ? ] API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-WINRT-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL

         [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL

         [ ^6] NTDLL.DLL

         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL

         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL

         [D? ] API-MS-WIN-CORE-SHLWAPI-LEGACY-L1-1-0.DLL

         [D? ] EXT-MS-WIN-SHELL32-SHELLFOLDERS-L1-1-0.DLL

         [D? ] API-MS-WIN-CORE-PSM-APP-L1-1-0.DLL

[D 6] DXGI.DLL

    [ ^6] MSVCP_WIN.DLL

    [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL

    [ ? ] API-MS-WIN-CRT-MATH-L1-1-0.DLL

    [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL

    [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL

    [ ^6] NTDLL.DLL

    [ ^6] WIN32U.DLL

    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

    [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL

    [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-1.DLL

    [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-2.DLL

    [ ? ] API-MS-WIN-CORE-VERSION-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL

    [ ? ] API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-QUIRKS-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-PSAPI-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-ATOMS-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL

    [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL

    [ ^6] KERNELBASE.DLL

    [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL

    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL

    [D? ] EXT-MS-WIN-DWMAPIDXGI-EXT-L1-1-0.DLL

    [D? ] EXT-MS-ONECORE-DCOMP-L1-1-0.DLL

    [D? ] EXT-MS-WIN-NTUSER-RECTANGLE-EXT-L1-1-0.DLL

    [D? ] EXT-MS-WIN-RTCORE-NTUSER-SYSPARAMS-L1-1-0.DLL

    [D? ] EXT-MS-WIN-NTUSER-UICONTEXT-EXT-L1-1-0.DLL

    [D? ] EXT-MS-WIN-GDI-DC-CREATE-L1-1-0.DLL

    [D? ] EXT-MS-WIN-GDI-DC-L1-2-0.DLL

    [D? ] EXT-MS-WIN-RTCORE-GDI-DEVCAPS-L1-1-0.DLL

    [D? ] EXT-MS-WIN-GDI-DRAW-L1-1-0.DLL

    [D? ] EXT-MS-WIN-GDI-DRAW-L1-1-1.DLL

    [D? ] EXT-MS-WIN-RTCORE-GDI-OBJECT-L1-1-0.DLL

    [D? ] EXT-MS-WIN-RTCORE-GDI-RGN-L1-1-0.DLL

    [D? ] EXT-MS-WIN-RTCORE-NTUSER-DC-ACCESS-L1-1-0.DLL

    [D? ] EXT-MS-WIN-NTUSER-MESSAGE-L1-1-0.DLL

    [D? ] EXT-MS-WIN-RTCORE-NTUSER-CURSOR-L1-1-0.DLL

    [D? ] EXT-MS-WIN-NTUSER-WINDOW-L1-1-0.DLL

    [D? ] EXT-MS-WIN-NTUSER-WINDOW-L1-1-1.DLL

    [D? ] EXT-MS-WIN-NTUSER-WINDOWCLASS-L1-1-0.DLL

    [D? ] EXT-MS-WIN-NTUSER-MISC-L1-2-0.DLL

    [D? ] EXT-MS-WIN-NTUSER-KEYBOARD-L1-1-0.DLL

    [D? ] EXT-MS-WIN-NTUSER-GUI-L1-1-0.DLL

    [D? ] EXT-MS-WIN-NTUSER-PRIVATE-L1-1-1.DLL

    [D? ] EXT-MS-WIN-RTCORE-NTUSER-DPI-L1-1-0.DLL

    [D? ] API-MS-WIN-RTCORE-NTUSER-SYNCH-L1-1-0.DLL

    [D? ] API-MS-WIN-DX-D3DKMT-L1-1-0.DLL

    [D? ] API-MS-WIN-DX-D3DKMT-L1-1-1.DLL

    [D? ] API-MS-WIN-DX-D3DKMT-L1-1-7.DLL

    [D? ] API-MS-WIN-DX-D3DKMT-L1-1-3.DLL

    [D? ] API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DLL

    [D? ] API-MS-WIN-SERVICE-WINSVC-L1-1-0.DLL

    [D? ] API-MS-WIN-RTCORE-NTUSER-PRIVATE-L1-1-7.DLL

    [D? ] API-MS-WIN-CORE-WINRT-L1-1-0.DLL

    [D? ] API-MS-WIN-DX-D3DKMT-L1-1-4.DLL

    [D? ] API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL

    [D? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-0.DLL

    [D? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-1.DLL

    [D? ] API-MS-WIN-CORE-COM-L1-1-0.DLL

    [D? ] API-MS-WIN-GDI-DPIINFO-L1-1-0.DLL

    [D? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL

    [D? ] EXT-MS-MF-PAL-L2-1-0.DLL

    [D^6] DCOMP.DLL

    [D? ] EXT-MS-WIN-DX-DXDBHELPER-L1-1-0.DLL

    [D? ] EXT-MS-WIN-DX-DXDBHELPER-L1-1-2.DLL

    [D? ] EXT-MS-WIN-DX-DXDBHELPER-L1-1-1.DLL

    [D? ] EXT-MS-WIN-DWMAPIDXGI-EXT-L1-1-1.DLL

[D 6] WUCEFFECTS.DLL

    [ ^6] MSVCP_WIN.DLL

    [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL

    [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL

    [ ? ] API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-COM-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-WINRT-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-3.DLL

    [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-2.DLL

    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL

    [ ? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL

    [ ^6] NTDLL.DLL

    [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL

    [ ^6] OLEAUT32.DLL

    [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL

[D? ] EXT-MS-WIN-RTCORE-NTUSER-DPI-L1-1-0.DLL

[F^6] WIN32U.DLL
                                                                 [D 6]
CONTACTACTIVATION.DLL

[ ^6] MSVCRT.DLL

[ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-COM-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-WINRT-L1-1-0.DLL

[ ? ] API-MS-WIN-SHCORE-STREAM-WINRT-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL

[  6] USERDATATYPEHELPERUTIL.DLL

    [ ^6] MSVCRT.DLL

    [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL

    [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL

    [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL

    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL

    [D? ] API-MS-WIN-SHELL-SHDIRECTORY-L1-1-0.DLL

    [D? ] API-MS-WIN-CORE-COM-L1-1-0.DLL

    [D? ] EXT-MS-WIN-SHELL32-SHELLFOLDERS-L1-1-0.DLL

    [D 6] DSCLIENT.DLL

         [ ^6] MSVCRT.DLL

         [ ? ] API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

         [ ? ] API-MS-WIN-SERVICE-PRIVATE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL

         [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

         [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

         [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL

         [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

         [ ^6] RPCRT4.DLL

         [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

         [ ? ] API-MS-WIN-SECURITY-ACCESSHLPR-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

         [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-SERVICE-PRIVATE-L1-1-0.DLL
                                                                 [D? ]
EXT-MS-WIN-DESKTOPAPPX-L1-1-0.DLL
                                                            [D^6] OLEAUT32.=
DLL
                                                            [D? ]
API-MS-WIN-CORE-COM-L1-1-0.DLL
                                                            [D? ]
API-MS-WIN-CORE-WINRT-ERROR-L1-1-0.DLL
                                                            [D? ]
API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL
                                                            [D^6] CRYPT32.D=
LL
                                                                 [F^6] DPAP=
I.DLL
                                                            [D^6] BCRYPT.DL=
L
                                                            [D^6] SSPICLI.D=
LL
                                                            [D^6] LOGONCLI.=
DLL
                                                            [D^6] NETUTILS.=
DLL
                                                            [D^6] NCRYPT.DL=
L
                                                            [D? ]
API-MS-WIN-CORE-WINRT-L1-1-0.DLL
                                                            [D^6] WLDAP32.D=
LL
                                                            [D^6] DSPARSE.D=
LL
                                                            [D^6] RPCRT4.DL=
L
                                                            [D? ]
API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
                                                            [D? ]
API-MS-WIN-SECURITY-LSALOOKUP-L2-1-0.DLL
                                                            [D? ]
API-MS-WIN-SECURITY-CREDENTIALS-L1-1-0.DLL
                                                            [D 6] DSROLE.DL=
L
                                                                 [ ? ]
API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CRT-STRING-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                                                                 [ ^6]
RPCRT4.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                                                                 [ ^6] NTDL=
L.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-CORE-REGISTRY-PRIVATE-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-SECURITY-LSAPOLICY-L1-1-0.DLL
                                                            [D? ]
API-MS-WIN-CORE-WINRT-ERROR-L1-1-1.DLL
                                                            [D^6] USERENV.D=
LL
                                                            [D^6] CRYPTSP.D=
LL
                                                            [D^6] PROFAPI.D=
LL
                                                            [D? ]
API-MS-WIN-SECURITY-LOGON-L1-1-0.DLL
                                                            [D? ]
API-MS-WIN-EVENTLOG-LEGACY-L1-1-0.DLL
                                                            [D? ]
EXT-MS-WIN-SECURITY-CREDUI-L1-1-0.DLL
                                                            [D? ]
EXT-MS-WIN-SECURITY-CRYPTUI-L1-1-0.DLL
                                                            [D? ]
EXT-MS-WIN-WLAN-SCARD-L1-1-0.DLL
                                                            [D? ]
EXT-MS-WIN-NTUSER-DIALOGBOX-L1-1-0.DLL
                                                            [D? ]
EXT-MS-WIN-NTUSER-MESSAGE-L1-1-0.DLL
                                                            [D? ]
EXT-MS-WIN-NTUSER-PRIVATE-L1-1-1.DLL
                                                            [D? ]
EXT-MS-WIN-NTUSER-UICONTEXT-EXT-L1-1-0.DLL
                                                            [D? ]
EXT-MS-WIN-NTUSER-WINDOW-L1-1-2.DLL
                                                            [D? ]
EXT-MS-WIN-NTUSER-WINDOW-L1-1-0.DLL
                                                            [D? ]
EXT-MS-WIN-RTCORE-NTUSER-CURSOR-L1-1-0.DLL
                                                            [D? ]
EXT-MS-WIN-OLE32-BINDCTX-L1-1-0.DLL
                                                            [D? ]
API-MS-WIN-CORE-WINRT-ROBUFFER-L1-1-0.DLL
                                                            [D? ]
API-MS-WIN-APPMODEL-IDENTITY-L1-2-0.DLL
                                                            [D? ]
API-MS-WIN-APPMODEL-RUNTIME-L1-1-0.DLL
                                                            [D? ]
EXT-MS-WIN-SECURITY-CHAMBERS-L1-1-0.DLL
                                                            [D? ]
EXT-MS-WIN-SESSION-WINSTA-L1-1-0.DLL
                                                            [D^6] DPAPI.DLL
                                                            [D 6] VAULTCLI.=
DLL
                                                                 [ ^6]
MSVCRT.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-EVENTING-CLASSICPROVIDER-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-UTIL-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-SECURITY-BASE-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HEAP-OBSOLETE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                                                 [D^6]
RPCRT4.DLL
                                                                 [D? ]
API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-SERVICE-WINSVC-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-CORE-COM-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-CORE-WINRT-ERROR-L1-1-0.DLL
                                                                 [D^6]
BCRYPT.DLL
                                                                 [D? ]
API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-CORE-WINRT-ERROR-L1-1-1.DLL
                                                                 [D? ]
API-MS-WIN-CORE-WINRT-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-CORE-COM-L1-1-1.DLL
                                                                 [D? ]
API-MS-WIN-CORE-WINRT-PROPERTYSETPRIVATE-L1-1-1.DLL
                                                            [D 6] NTDSAPI.D=
LL
                                                                 [ ^6]
MSVCRT.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                                                 [ ^6]
RPCRT4.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-STRING-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                                                 [ ^6]
WS2_32.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-SECURITY-ACTIVEDIRECTORYCLIENT-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-SECURITY-ACTIVEDIRECTORYCLIENT-L1-1-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL
                                                                 [ ^6] NTDL=
L.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                                                 [D 6]
W32TOPL.DLL

[ ^6] MSVCRT.DLL

[ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL

[ ^6] NTDLL.DLL
                                                                 [D^6]
WLDAP32.DLL
                                                                 [D^6]
LOGONCLI.DLL
                                                                 [D^6]
NETUTILS.DLL
                                                                 [D^6]
DSPARSE.DLL
                                                                 [D? ]
API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
                                                                 [D^6]
SSPICLI.DLL
                                                                 [D^6]
DNSAPI.DLL
                                                            [D 6]
WEBSERVICES.DLL
                                                                 [ ^6] NTDL=
L.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-STRING-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LOCALIZATION-OBSOLETE-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-REALTIME-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-IO-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-FILE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-NAMEDPIPE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-IO-L1-1-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-2.DLL
                                                                 [D^6]
RPCRT4.DLL
                                                                 [D^6]
CRYPTBASE.DLL
                                                                 [D? ]
API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
                                                            [D 6] WININET.D=
LL
                                                                 [ ^6]
MSVCRT.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-STRING-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-FILE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-EVENTING-CLASSICPROVIDER-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DATETIME-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-STRING-L2-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-WOW64-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-IO-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-FILE-L2-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-FILE-L2-1-2.DLL
                                                                 [ ? ]
API-MS-WIN-SECURITY-APPCONTAINER-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-REALTIME-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-FILE-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-2.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SHLWAPI-LEGACY-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-THREADPOOL-LEGACY-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-REGISTRY-L2-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-STRINGANSI-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SHLWAPI-OBSOLETE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LOCALIZATION-OBSOLETE-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HEAP-OBSOLETE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-URL-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-HTTP-TIME-L1-1-0.DLL
                                                                 [ ^6] NTDL=
L.DLL
                                                                 [ ^6]
KERNELBASE.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
                                                                 [D 6]
SRPAPI.DLL

[ ^6] MSVCRT.DLL

[ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-IO-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

[ ^6] NTDLL.DLL

[ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

[ ^6] KERNELBASE.DLL

[ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL

[ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL

[D? ] API-MS-WIN-CORE-REGISTRY-L2-1-0.DLL

[D^6] CRYPT32.DLL

[D^6] AUTHZ.DLL

[D? ] API-MS-WIN-NTUSER-SYSPARAMS-L1-1-0.DLL

[D? ] API-MS-WIN-APPMODEL-RUNTIME-L1-1-0.DLL

[D? ] API-MS-WIN-APPMODEL-RUNTIME-L1-1-1.DLL

[D^6] WINTRUST.DLL

[D^6] BCRYPT.DLL

[D? ] API-MS-WIN-APPMODEL-RUNTIME-INTERNAL-L1-1-7.DLL

[D? ] EXT-MS-WIN-SECURITY-CAPAUTHZ-L1-1-0.DLL

[D? ] EXT-MS-WIN-SECURITY-CHAMBERS-L1-1-0.DLL
                                                                 [D^6]
HTTPAPI.DLL
                                                                 [D^6]
NRTAPI.DLL
                                                                 [D^6]
OLEAUT32.DLL
                                                                 [D^6]
RPCRT4.DLL
                                                                 [D? ]
API-MS-WIN-CORE-COM-L1-1-0.DLL
                                                                 [D^6]
CRYPT32.DLL

[F^6] DPAPI.DLL
                                                                 [D^6]
SSPICLI.DLL
                                                                 [D^6]
WINHTTP.DLL
                                                                 [D^6]
BCRYPT.DLL
                                                                 [D^6]
WS2_32.DLL
                                                                 [D? ]
API-MS-WIN-SECURITY-CREDENTIALS-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
                                                                 [D^6]
USERENV.DLL
                                                                 [D? ]
API-MS-WIN-SECURITY-BASE-L1-2-0.DLL
                                                                 [D^6]
IPHLPAPI.DLL
                                                                 [D? ]
API-MS-WIN-CORE-MARSHAL-L1-1-0.DLL
                                                                 [D? ]
EXT-MS-WIN-KERNEL32-PACKAGE-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-NETWORKING-INTERFACECONTEXTS-L1-1-0.DLL
                                                                 [D? ]
EXT-MS-WIN-NTUSER-UICONTEXT-EXT-L1-1-0.DLL
                                                                 [D? ]
EXT-MS-WIN-NTUSER-WINDOW-L1-1-0.DLL
                                                                 [D? ]
EXT-MS-WIN-NTUSER-WINDOWCLASS-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-APPMODEL-RUNTIME-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-APPMODEL-RUNTIME-L1-1-1.DLL
                                                                 [D? ]
API-MS-WIN-SHCORE-REGISTRY-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-SHCORE-UNICODEANSI-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-SHELL-SHELLFOLDERS-L1-1-0.DLL
                                                                 [D? ]
EXT-MS-WIN-RAS-RASAPI32-L1-1-0.DLL
                                                                 [D? ]
EXT-MS-WIN-SECURITY-CREDUI-L1-1-0.DLL
                                                                 [D? ]
EXT-MS-WIN-SECURITY-CRYPTUI-L1-1-0.DLL
                                                                 [D? ]
EXT-MS-WIN-SECURITY-CRYPTUI-L1-1-1.DLL
                                                                 [D 6] ESEN=
T.DLL

[ ^6] MSVCRT.DLL

[ ^6] NTDLL.DLL

[ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-SYSINFO-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-MEMORY-L1-1-1.DLL

[ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL

[ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-IO-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL

[ ? ] API-MS-WIN-CORE-CONSOLE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-DATETIME-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-FILE-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-FILE-L2-1-0.DLL

[ ? ] API-MS-WIN-CORE-FILE-L2-1-1.DLL

[ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-CONSOLE-L2-1-0.DLL

[ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-3.DLL

[ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-2.DLL

[ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-PRIVATEPROFILE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-THREADPOOL-LEGACY-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-WINDOWSERRORREPORTING-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL

[ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL

[D^6] CRYPTSP.DLL
                                                                 [D 6]
IERTUTIL.DLL

[ ^6] MSVCRT.DLL

[ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

[ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYSINFO-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL

[ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-QUIRKS-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL

[ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-PSAPI-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-VERSION-L1-1-1.DLL

[ ? ] API-MS-WIN-CORE-VERSION-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-1.DLL

[ ? ] API-MS-WIN-CORE-REGISTRY-L2-1-0.DLL

[ ? ] API-MS-WIN-CORE-SHLWAPI-LEGACY-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SHLWAPI-OBSOLETE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-TOOLHELP-L1-1-0.DLL

[ ^6] NTDLL.DLL

[ ^6] KERNELBASE.DLL

[ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-2.DLL

[ ? ] API-MS-WIN-CORE-PATH-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-FILE-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL

[ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-WOW64-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-STRING-L2-1-0.DLL

[ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL

[ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL

[ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-HEAP-OBSOLETE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-NORMALIZATION-L1-1-0.DLL

[D? ] API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL

[D? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-0.DLL

[D? ] API-MS-WIN-CORE-COM-L1-1-0.DLL

[D^6] OLEAUT32.DLL

[D? ] API-MS-WIN-CORE-WINRT-L1-1-0.DLL

[D? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL

[D^6] USERENV.DLL

[D^6] BCRYPT.DLL

[D^6] PROFAPI.DLL

[D? ] API-MS-WIN-RTCORE-NTUSER-WINDOW-L1-1-0.DLL

[D? ] API-MS-WIN-APPMODEL-RUNTIME-L1-1-0.DLL

[D? ] API-MS-WIN-APPMODEL-RUNTIME-L1-1-1.DLL

[D? ] EXT-MS-WIN-NTUSER-WINDOW-L1-1-0.DLL

[D? ] EXT-MS-WIN-RTCORE-NTUSER-SYSPARAMS-L1-1-0.DLL

[D^6] IMAGEHLP.DLL

[D^6] XMLLITE.DLL

[D^6] WINTRUST.DLL

[D^6] POLICYMANAGER.DLL

[D? ] API-MS-WIN-SHELL-SHELLFOLDERS-L1-1-0.DLL

[D 6] DBGENG.DLL

    [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL

    [ ? ] API-MS-WIN-CRT-HEAP-L1-1-0.DLL

    [ ? ] API-MS-WIN-CRT-ENVIRONMENT-L1-1-0.DLL

    [ ? ] API-MS-WIN-CRT-STDIO-L1-1-0.DLL

    [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL

    [ ? ] API-MS-WIN-CRT-TIME-L1-1-0.DLL

    [ ? ] API-MS-WIN-CRT-CONVERT-L1-1-0.DLL

    [ ? ] API-MS-WIN-CRT-LOCALE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CRT-UTILITY-L1-1-0.DLL

    [ ? ] API-MS-WIN-CRT-FILESYSTEM-L1-1-0.DLL

    [ ? ] API-MS-WIN-CRT-MATH-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

    [ ^6] RPCRT4.DLL

    [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-MISC-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-LOCALREGISTRY-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-IO-L1-1-0.DLL

    [ ? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-FIBERS-L1-1-0.DLL

    [  6] DBGMODEL.DLL

         [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL

         [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL

         [ ? ] API-MS-WIN-CRT-STDIO-L1-1-0.DLL

         [ ^6] NTDLL.DLL

         [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-FIBERS-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

         [ ^6] OLEAUT32.DLL

         [ ? ] API-MS-WIN-CRT-HEAP-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-MISC-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL

         [ ? ] API-MS-WIN-CRT-MATH-L1-1-0.DLL

    [ ^6] BCRYPT.DLL

    [ ^6] DBGHELP.DLL

    [ ^6] NTDLL.DLL

    [ ^6] XMLLITE.DLL

    [ ^6] OLEAUT32.DLL

    [ ? ] API-MS-WIN-CRT-PROCESS-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL

    [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-1.DLL

    [D^6] USER32.DLL

    [D^6] WS2_32.DLL

    [D^6] IPHLPAPI.DLL

    [D? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL

    [D? ] API-MS-WIN-CORE-COM-L1-1-0.DLL

    [D? ] API-MS-WIN-EVENTING-CONSUMER-L1-1-0.DLL

    [D? ] API-MS-WIN-EVENTING-TDH-L1-1-0.DLL

    [D 6] WINDOWSPERFORMANCERECORDERCONTROL.DLL

         [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL

         [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL

         [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL

         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

         [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

         [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-PROCESSTOPOLOGY-OBSOLETE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL

         [ ? ] API-MS-WIN-EVENTING-CONTROLLER-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-FILE-L1-2-0.DLL

         [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL

         [ ? ] API-MS-WIN-EVENTING-CLASSICPROVIDER-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-SHLWAPI-LEGACY-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL

         [ ? ] API-MS-WIN-CORE-SYSINFO-L1-2-0.DLL

         [ ? ] API-MS-WIN-CORE-WOW64-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-HEAP-OBSOLETE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL

         [ ^6] NTDLL.DLL

         [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

         [ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-VERSION-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL

         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL

         [D^6] OLEAUT32.DLL

         [D? ] API-MS-WIN-CORE-COM-L1-1-0.DLL

         [D? ] API-MS-WIN-EVENTING-CONSUMER-L1-1-0.DLL

         [D? ] API-MS-WIN-EVENTING-LEGACY-L1-1-0.DLL

         [D^6] BCRYPT.DLL

         [D^6] XMLLITE.DLL

         [D? ] API-MS-WIN-SHCORE-STREAM-L1-1-0.DLL

[D^6] CRYPT32.DLL

[D^6] RPCRT4.DLL

[D? ] API-MS-WIN-SECURITY-PROVIDER-L1-1-0.DLL

[D? ] API-MS-WIN-EVENTLOG-LEGACY-L1-1-0.DLL

[D? ] API-MS-WIN-SHCORE-OBSOLETE-L1-1-0.DLL

[D^6] CRYPTSP.DLL
                                                                 [D 6]
URLMON.DLL

[ ^6] MSVCRT.DLL

[ ^6] IERTUTIL.DLL

[ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SHLWAPI-LEGACY-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SHLWAPI-OBSOLETE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

[ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-STRINGANSI-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-PATH-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-STRING-L2-1-0.DLL

[ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL

[ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL

[ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-FILE-L1-2-2.DLL

[ ? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-VERSION-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-REGISTRYUSERSPECIFIC-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-ATOMS-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-URL-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-PRIVATEPROFILE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL

[ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-2-0.DLL

[ ? ] API-MS-WIN-HTTP-TIME-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-FILE-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-THREADPOOL-LEGACY-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-WOW64-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-2.DLL

[ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-2.DLL

[ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-DATETIME-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-HEAP-OBSOLETE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-FILE-L2-1-0.DLL

[ ^6] NTDLL.DLL

[ ^6] SRVCLI.DLL

[ ^6] NETUTILS.DLL

[ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYSINFO-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-1.DLL

[ ? ] API-MS-WIN-CORE-SYNCH-L1-2-1.DLL

[ ? ] API-MS-WIN-CORE-LOCALIZATION-OBSOLETE-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-COMMANDLINETOARGV-L1-1-0.DLL

[ ? ] API-MS-WIN-STATESEPARATION-HELPERS-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SIDEBYSIDE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL

[ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-IO-L1-1-0.DLL

[D? ] WPAXHOLDER.DLL

[D 6] FIREWALLAPI.DLL

    [ ^6] MSVCRT.DLL

    [ ^6] RPCRT4.DLL

    [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-STRING-L2-1-0.DLL

    [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL

    [ ^6] NTDLL.DLL

    [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

    [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-VERSION-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL

    [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL

    [ ? ] API-MS-WIN-SECURITY-BASE-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

    [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

    [ ? ] API-MS-WIN-EVENTING-CLASSICPROVIDER-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL

    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL

    [D^6] OLEAUT32.DLL

    [D? ] API-MS-WIN-CORE-COM-MIDLPROXYSTUB-L1-1-0.DLL

    [D? ] API-MS-WIN-CORE-COM-L1-1-0.DLL

    [D^6] IPHLPAPI.DLL

    [D^6] WS2_32.DLL

    [D? ] API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DLL

    [D? ] API-MS-WIN-SERVICE-WINSVC-L1-1-0.DLL

    [D? ] API-MS-WIN-SERVICE-MANAGEMENT-L2-1-0.DLL

    [D? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL

    [D? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-0.DLL

    [D? ] API-MS-WIN-CORE-WINRT-ERRORPRIVATE-L1-1-0.DLL

    [D 6] FWBASE.DLL

         [ ^6] MSVCRT.DLL

         [ ^6] NTDLL.DLL

         [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

         [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-THREADPOOL-PRIVATE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-THREADPOOL-LEGACY-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

         [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-STRING-L2-1-1.DLL

         [ ? ] API-MS-WIN-CORE-SHLWAPI-LEGACY-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

         [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL

         [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL

         [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL

         [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

         [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL

         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL

         [D? ] API-MS-WIN-SECURITY-LSALOOKUP-L1-1-0.DLL

         [D^6] RPCRT4.DLL

         [D? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL

         [D^6] WS2_32.DLL

         [D? ] API-MS-WIN-CORE-COM-L1-1-0.DLL

         [D^6] CRYPT32.DLL

         [D^6] DNSAPI.DLL

         [D? ] EXT-MS-WIN-SHELL-EMBEDDEDMODE-L1-1-0.DLL

    [D 6] FWPOLICYIOMGR.DLL

         [ ^6] MSVCRT.DLL

         [ ^6] NTDLL.DLL

         [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

         [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

         [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL

         [ ? ] API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL

         [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

         [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL

         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL

         [D^6] OLEAUT32.DLL

         [D? ] API-MS-WIN-CORE-COM-L1-1-0.DLL

         [D? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL

         [D^6] WS2_32.DLL

         [D^6] FWBASE.DLL

    [D^6] DNSAPI.DLL

    [D? ] EXT-MS-WIN-DEVMGMT-POLICY-L1-1-0.DLL

[D? ] API-MS-WIN-RTCORE-NTUSER-CLIPBOARD-L1-1-0.DLL

[D? ] API-MS-WIN-CORE-COM-L1-1-0.DLL

[D? ] API-MS-WIN-RTCORE-NTUSER-WINDOW-L1-1-0.DLL

[D^6] PROPSYS.DLL

[D? ] API-MS-WIN-SHCORE-OBSOLETE-L1-1-0.DLL

[D^6] OLEAUT32.DLL

[D? ] EXT-MS-WIN-SHELL32-SHELLFOLDERS-L1-1-0.DLL

[D? ] API-MS-WIN-SHCORE-STREAM-L1-1-0.DLL

[D^6] XMLLITE.DLL

[D? ] API-MS-WIN-CORE-REGISTRY-L2-1-0.DLL

[D? ] API-MS-WIN-SHELL-CHANGENOTIFY-L1-1-0.DLL

[D? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL

[D^6] CRYPT32.DLL

    [F^6] DPAPI.DLL

[D^6] WS2_32.DLL

[D? ] API-MS-WIN-SHLWAPI-WINRT-STORAGE-L1-1-1.DLL

[D? ] API-MS-WIN-SHCORE-REGISTRY-L1-1-0.DLL

[D? ] API-MS-WIN-SHCORE-COMHELPERS-L1-1-0.DLL

[D? ] API-MS-WIN-CORE-COM-L2-1-1.DLL

[D? ] API-MS-WIN-RTCORE-NTUSER-SYNCH-L1-1-0.DLL

[D? ] API-MS-WIN-NTUSER-SYSPARAMS-L1-1-0.DLL

[D? ] API-MS-WIN-SHCORE-UNICODEANSI-L1-1-0.DLL

[D? ] API-MS-WIN-SECURITY-SYSTEMFUNCTIONS-L1-1-0.DLL

[D^6] SSPICLI.DLL

[D^6] MPR.DLL

[D^6] IMAGEHLP.DLL

[D? ] API-MS-WIN-SECURITY-LSAPOLICY-L1-1-0.DLL

[D? ] API-MS-WIN-APPMODEL-RUNTIME-L1-1-0.DLL

[D? ] API-MS-WIN-CORE-WINRT-L1-1-0.DLL

[D? ] API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL

[D^6] WINTRUST.DLL

[D^6] WININET.DLL

[D? ] API-MS-WIN-OLE32-IE-L1-1-0.DLL

[D? ] API-MS-WIN-SHLWAPI-IE-L1-1-0.DLL

[D? ] EXT-MS-WIN-OLE32-IE-EXT-L1-1-0.DLL

[D? ] EXT-MS-WIN-APPCOMPAT-APPHELP-L1-1-0.DLL

[D? ] EXT-MS-WIN-COM-OLE32-L1-1-0.DLL

[D? ] EXT-MS-WIN-GDI-DC-L1-2-0.DLL

[D? ] EXT-MS-WIN-GDI-DEVCAPS-L1-1-0.DLL

[D? ] EXT-MS-WIN-GDI-FONT-L1-1-0.DLL

[D? ] EXT-MS-WIN-GDI-FONT-L1-1-2.DLL

[D? ] EXT-MS-WIN-NTUSER-DC-ACCESS-EXT-L1-1-0.DLL

[D? ] EXT-MS-WIN-NTUSER-DIALOGBOX-L1-1-0.DLL

[D? ] EXT-MS-WIN-NTUSER-DIALOGBOX-L1-1-1.DLL

[D? ] EXT-MS-WIN-NTUSER-DRAW-L1-1-0.DLL

[D? ] EXT-MS-WIN-NTUSER-GUI-L1-1-0.DLL

[D? ] EXT-MS-WIN-NTUSER-KEYBOARD-L1-1-0.DLL

[D? ] EXT-MS-WIN-NTUSER-MISC-L1-1-0.DLL

[D? ] EXT-MS-WIN-NTUSER-MOUSE-L1-1-0.DLL

[D? ] EXT-MS-WIN-NTUSER-WINDOW-L1-1-3.DLL

[D? ] EXT-MS-WIN-NTUSER-WINDOW-L1-1-0.DLL

[D? ] EXT-MS-WIN-NTUSER-WINDOW-L1-1-2.DLL

[D? ] EXT-MS-WIN-NTUSER-WINDOWSTATION-L1-1-0.DLL

[D? ] EXT-MS-WIN-OLE32-BINDCTX-L1-1-0.DLL

[D? ] EXT-MS-WIN-RTCORE-GDI-OBJECT-L1-1-0.DLL

[D? ] EXT-MS-WIN-APPMODEL-SHELLEXECUTE-L1-1-0.DLL

[D? ] EXT-MS-WIN-SHELL-SHLWAPI-L1-1-0.DLL

[D? ] EXT-MS-WINDOWSCORE-DEVICEINFO-L1-1-0.DLL

[D? ] API-MS-WIN-SECURITY-ISOLATEDCONTAINER-L1-1-0.DLL
                                                                 [D^6]
WINTRUST.DLL
                                                                 [D^6]
TOKENBINDING.DLL
                                                                 [D? ]
API-MS-WIN-POWER-SETTING-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-POWER-BASE-L1-1-0.DLL
                                                            [D^6] WINTRUST.=
DLL
                                                            [D? ]
API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DLL
                                                            [D? ]
API-MS-WIN-SERVICE-MANAGEMENT-L2-1-0.DLL
                                                            [D? ]
API-MS-WIN-SERVICE-WINSVC-L1-1-0.DLL
                                                            [D? ]
API-MS-WIN-SERVICE-PRIVATE-L1-1-0.DLL
                                                            [D? ]
API-MS-WIN-SHELL-SHELLFOLDERS-L1-1-0.DLL
                                                            [D? ]
EXT-MS-WIN-COM-OLE32-L1-1-1.DLL
                                                       [D 6] WEBAUTHN.DLL
                                                            [ ^6] MSVCP_WIN=
.DLL
                                                            [ ? ]
API-MS-WIN-CRT-STRING-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-1.DLL
                                                            [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                                            [ ^6] BCRYPT.DL=
L
                                                            [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-STRING-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-FILE-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                                                            [ ? ]
API-MS-WIN-CORE-PSAPI-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-IO-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-REALTIME-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-REGISTRY-L2-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-HEAP-OBSOLETE-L1-1-0.DLL
                                                            [ ^6] NTDLL.DLL
                                                            [ ? ]
API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                                            [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-DATETIME-L1-1-0.DLL
                                                            [ ^6] OLEAUT32.=
DLL
                                                            [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL
                                                            [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-2-0.DLL
                                                            [D 6] NOISE.DLL
                                                                 [ ^6]
MSVCP_WIN.DLL
                                                                 [ ? ]
API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CRT-STRING-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                                                 [D^6]
BCRYPT.DLL
                                                            [D? ]
API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
                                                            [D? ]
API-MS-WIN-CORE-COM-L1-1-0.DLL
                                                            [D^6] CRYPT32.D=
LL
                                                                 [F^6] DPAP=
I.DLL
                                                            [D^6] RPCRT4.DL=
L
                                                            [D^6] CABINET.D=
LL
                                                            [D^6] NCRYPT.DL=
L
                                                            [D^6] WINHTTP.D=
LL
                                                            [D? ]
API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL
                                                            [D? ]
API-MS-WIN-CORE-WINRT-L1-1-0.DLL
                                                            [D? ]
API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                                                            [D^6] CRYPTBASE=
.DLL
                                                            [D? ]
API-MS-WIN-CORE-WINRT-ERROR-L1-1-0.DLL
                                                            [D? ]
API-MS-WIN-CORE-WINRT-ERROR-L1-1-1.DLL
                                                            [D? ]
API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DLL
                                                            [D? ]
API-MS-WIN-SERVICE-MANAGEMENT-L2-1-0.DLL
                                                            [D? ]
API-MS-WIN-SERVICE-WINSVC-L1-1-0.DLL
                                                            [D? ]
API-MS-WIN-SERVICE-PRIVATE-L1-1-0.DLL
                                                            [D^6] DEVOBJ.DL=
L
                                                            [D? ]
EXT-MS-WIN-SESSION-WINSTA-L1-1-0.DLL
                                                            [D? ]
EXT-MS-WIN-SESSION-WTSAPI32-L1-1-0.DLL
                                                            [D? ]
EXT-MS-WIN-SESSION-WTSAPI32-L1-1-1.DLL
                                                            [D? ]
EXT-MS-WIN-NTUSER-WINDOW-L1-1-0.DLL
                                                            [D? ]
EXT-MS-WIN-SECURITY-WINSCARD-L1-1-0.DLL
                                                            [D? ]
EXT-MS-WIN-SECURITY-WINSCARD-L1-1-1.DLL
                                                            [D 6] CREDUI.DL=
L
                                                                 [ ^6]
MSVCRT.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                                 [ ^6] NTDL=
L.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-STRING-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
                                                                 [D? ]
EXT-MS-WIN-SECURITY-CREDUI-INTERNAL-L1-1-0.DLL
                                                                 [D^6]
NETUTILS.DLL
                                                                 [D? ]
API-MS-WIN-SECURITY-CREDENTIALS-L1-1-0.DLL
                                                                 [D^6]
CRYPT32.DLL
                                                                 [D^6]
SSPICLI.DLL
                                                                 [D? ]
API-MS-WIN-CORE-COM-L1-1-0.DLL
                                                                 [D^6]
DNSAPI.DLL
                                                                 [D^6]
NCRYPT.DLL
                                                                 [D? ]
API-MS-WIN-SECURITY-CREDENTIALS-L2-1-1.DLL
                                                                 [D^6]
CRYPTSP.DLL
                                                                 [D? ]
API-MS-WIN-SECURITY-CREDENTIALS-L2-1-0.DLL
                                                            [D 6] HID.DLL
                                                                 [ ^6]
MSVCRT.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-IO-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                                                 [ ^6] NTDL=
L.DLL
                                                            [D^6] TBS.DLL
                                                            [D^6] CRYPTNGC.=
DLL
                                                            [D^6] DSREG.DLL
                                                            [D^6] WINTRUST.=
DLL
                                                            [D? ]
API-MS-WIN-SECURITY-CAPABILITY-L1-1-0.DLL
                                                            [D? ]
API-MS-WIN-CORE-WINRT-ROBUFFER-L1-1-0.DLL
                                                            [D? ]
API-MS-WIN-SHCORE-STREAM-L1-1-0.DLL
                                                            [D^6] D2D1.DLL
                                                       [D 6] NGCRECOVERY.DL=
L
                                                            [ ^6] MSVCP_WIN=
.DLL
                                                            [ ? ]
API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CRT-STRING-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                                            [ ^6] WINHTTP.D=
LL
                                                            [ ? ]
API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                                            [ ^6] RPCRT4.DL=
L
                                                            [ ? ]
API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-WINRT-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                                            [ ^6] CRYPT32.D=
LL
                                                            [ ^6] BCRYPT.DL=
L
                                                            [ ? ]
API-MS-WIN-CORE-COM-L1-1-0.DLL
                                                            [ ^6] NTDLL.DLL
                                                            [ ? ]
API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                                                            [ ^6] NCRYPT.DL=
L
                                                            [ ? ]
API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                                                            [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-SECURITY-LSALOOKUP-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-SECURITY-LSAPOLICY-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-FILE-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-SECURITY-LSALOOKUP-L1-1-2.DLL
                                                            [ ? ]
API-MS-WIN-STATESEPARATION-HELPERS-L1-1-0.DLL
                                                            [ ^6] UMPDC.DLL
                                                            [ ? ]
API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                                            [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                                            [D? ]
EXT-MS-WIN-SESSION-USERTOKEN-L1-1-0.DLL
                                                            [D^6] CRYPTNGC.=
DLL
                                                            [D^6] DSREG.DLL
                                                       [D 6] MDMREGISTRATIO=
N.DLL
                                                            [ ^6] MSVCRT.DL=
L
                                                            [ ^6] NTDLL.DLL
                                                            [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-SHLWAPI-LEGACY-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-1.DLL
                                                            [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-STRING-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-FILE-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-FILE-L1-2-4.DLL
                                                            [ ? ]
API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-IO-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-2-0.DLL
                                                            [ ^6] RPCRT4.DL=
L
                                                            [ ^6]
MSVCP110_WIN.DLL
                                                            [ ? ]
API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                                            [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                                            [D? ]
EXT-MS-WIN-DEVMGMT-DM-L1-1-2.DLL
                                                            [D? ]
EXT-MS-WIN-RTCORE-NTUSER-WINDOW-EXT-L1-1-0.DLL
                                                            [D? ]
EXT-MS-WIN-RTCORE-NTUSER-SYNCH-EXT-L1-1-0.DLL
                                                            [D? ]
EXT-MS-WIN-RTCORE-NTUSER-CURSOR-L1-1-0.DLL
                                                            [D 6] DMCMNUTIL=
S.DLL
                                                                 [ ? ]
API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CRT-STRING-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-COM-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                                                                 [ ^6] NTDL=
L.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-FILE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SHLWAPI-LEGACY-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PATH-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SHLWAPI-OBSOLETE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-FILE-L2-1-2.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-2-0.DLL
                                                                 [ ^6]
NCRYPT.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-WINRT-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-STRING-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
                                                                 [ ^6]
MSVCP_WIN.DLL
                                                                 [ ^6]
BCRYPT.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                                                 [ ^6] TBS.=
DLL
                                                                 [D^6]
PROPSYS.DLL
                                                                 [D? ]
API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
                                                                 [D^6]
CRYPT32.DLL

[F^6] DPAPI.DLL
                                                                 [D^6]
RPCRT4.DLL
                                                                 [D? ]
API-MS-WIN-SECURITY-CRYPTOAPI-L1-1-0.DLL
                                                                 [D^6]
OLEAUT32.DLL
                                                                 [D^6]
WINHTTP.DLL
                                                                 [D? ]
API-MS-WIN-SECURITY-LSALOOKUP-L1-1-2.DLL
                                                                 [D^6] DSRE=
G.DLL
                                                                 [D^6]
WININET.DLL
                                                                 [D? ]
AZUREATTESTMANAGER.DLL
                                                                 [D? ]
AZUREATTESTNORMAL.DLL
                                                                 [D? ]
EXT-MS-WIN-SESSION-WTSAPI32-L1-1-0.DLL
                                                                 [D? ]
EXT-MS-WIN-SESSION-USERTOKEN-L1-1-0.DLL
                                                                 [D? ]
EXT-MS-WIN-DEVMGMT-DM-L1-1-0.DLL
                                                                 [D? ]
EXT-MS-WIN-SESSION-USERMGR-L1-1-0.DLL
                                                                 [D? ]
EXT-MS-WIN-RTCORE-NTUSER-WINDOW-EXT-L1-1-0.DLL
                                                                 [D? ]
EXT-MS-WIN-SHELL32-SHELLFOLDERS-L1-1-0.DLL
                                                                 [D? ]
EXT-MS-WIN-WWAN-WWAPI-L1-1-0.DLL
                                                                 [D? ]
EXT-MS-WIN-WWAN-WWAPI-L1-1-1.DLL
                                                            [D 6] OMADMAPI.=
DLL
                                                                 [ ^6]
MSVCP110_WIN.DLL
                                                                 [ ^6]
MSVCRT.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-COM-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                                 [ ^6] NTDL=
L.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                                                                 [D^6]
CRYPT32.DLL
                                                                 [D^6]
OLEAUT32.DLL
                                                                 [D? ]
API-MS-WIN-CORE-WINRT-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL
                                                                 [D^6]
RPCRT4.DLL
                                                                 [D? ]
API-MS-WIN-POWER-SETTING-L1-1-0.DLL
                                                                 [D^6]
BCRYPT.DLL
                                                                 [D? ]
API-MS-WIN-CORE-REGISTRY-L2-1-0.DLL
                                                                 [D^6]
CRYPTSP.DLL
                                                                 [D^6]
DMCMNUTILS.DLL
                                                                 [D 6] IRI.=
DLL

[ ^6] MSVCRT.DLL

[ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
                                                                 [D 6]
DMPUSHPROXY.DLL

[ ^6] MSVCRT.DLL

[ ^6] RPCRT4.DLL

[ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

[ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

[ ? ] API-MS-WIN-SECURITY-ACCESSHLPR-L1-1-0.DLL

[ ? ] API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DLL

[ ? ] API-MS-WIN-SERVICE-MANAGEMENT-L2-1-0.DLL

[ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                                                 [D 6]
DMENROLLENGINE.DLL

[ ^6] MSVCP110_WIN.DLL

[ ^6] MSVCRT.DLL

[ ^6] NTDLL.DLL

[ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

[ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL

[ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-WINRT-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-COM-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-1.DLL

[ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-STRING-L2-1-0.DLL

[ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-FILE-L1-2-4.DLL

[ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-IO-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYSINFO-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL

[ ? ] API-MS-WIN-CORE-PATH-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-FILE-L2-1-0.DLL

[ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL

[ ? ] API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-URL-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-APIQUERY-L2-1-0.DLL

[ ? ] API-MS-WIN-STATESEPARATION-HELPERS-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL

[ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL

[ ^6] PROFAPI.DLL

[D^6] CRYPT32.DLL

[D^6] OMADMAPI.DLL

[D^6] POLICYMANAGER.DLL

[D^6] OLEAUT32.DLL

[D^6] RPCRT4.DLL

[D^6] BCRYPT.DLL

[D^6] NCRYPT.DLL

[D^6] WINHTTP.DLL

[D? ] API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DLL

[D? ] API-MS-WIN-SERVICE-MANAGEMENT-L2-1-0.DLL

[D^6] CRYPTXML.DLL

[D^6] DMXMLHELPUTILS.DLL

[D^6] CRYPTSP.DLL

[D^6] DEVOBJ.DLL

[D? ] EXT-MS-WIN-DEVMGMT-DM-L1-1-2.DLL

[D? ] EXT-MS-WIN-DEVMGMT-DM-L1-1-0.DLL

[D? ] API-MS-WIN-CORE-REGISTRY-L2-1-0.DLL

[D^6] DMCMNUTILS.DLL

[D 6] UNENROLLHOOK.DLL

    [ ^6] ENTERPRISERESOURCEMANAGER.DLL

    [ ^6] MSVCRT.DLL

    [ ^6] NTDLL.DLL

    [ ^6] OLEAUT32.DLL

    [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-COM-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

    [ ^6] RPCRT4.DLL

    [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL

    [ ^6] DMCMNUTILS.DLL

[D 6] ENTERPRISERESOURCEMANAGER.DLL

    [ ^6] MSVCP110_WIN.DLL

    [ ^6] MSVCRT.DLL

    [ ^6] NTDLL.DLL

    [ ^6] OLEAUT32.DLL

    [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

    [ ^6] RPCRT4.DLL

    [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-COM-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-REGISTRY-L2-1-0.DLL

    [ ? ] API-MS-WIN-CORE-SHLWAPI-OBSOLETE-L1-1-0.DLL

    [ ^6] DMCMNUTILS.DLL

    [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL

    [D^6] DMENROLLENGINE.DLL

[D 6] EDPCSP.DLL

    [ ^6] MSVCP110_WIN.DLL

    [ ^6] MSVCRT.DLL

    [ ^6] DMCMNUTILS.DLL

    [ ^6] POLICYMANAGER.DLL

    [ ^6] NTDLL.DLL

    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

    [ ^6] OLEAUT32.DLL

    [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-COM-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

    [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL

    [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL

    [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL

    [ ^6] RPCRT4.DLL

    [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL

    [D^6] CRYPT32.DLL

    [D? ] EXT-MS-WIN-SESSION-WTSAPI32-L1-1-0.DLL

    [D 6] EFSUTIL.DLL

         [ ^6] MSVCRT.DLL

         [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

         [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

         [ ^6] CRYPT32.DLL

         [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

         [ ^6] NCRYPT.DLL

         [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL

         [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL

         [ ^6] BCRYPT.DLL

         [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

         [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL

         [ ? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

         [ ^6] DSROLE.DLL

         [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

         [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL

         [ ^6] NTDLL.DLL

         [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL

         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL

         [D? ] API-MS-WIN-SECURITY-LSALOOKUP-L1-1-0.DLL

         [D^6] CRYPTSP.DLL

         [D^6] NTDSAPI.DLL

         [D? ] EXT-MS-WIN-SECURITY-WINSCARD-L1-1-0.DLL

    [D 6] FECLIENT.DLL

         [ ^6] MSVCRT.DLL

         [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

         [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-WINRT-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL

         [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL

         [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL

         [ ? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL

         [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-1.DLL

         [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL

         [ ^6] BCRYPT.DLL

         [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

         [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

         [ ^6] RPCRT4.DLL

         [ ^6] OLEAUT32.DLL

         [ ? ] API-MS-WIN-CORE-COM-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-1.DLL

         [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-PRIVATEPROFILE-L1-1-0.DLL

         [ ? ] API-MS-WIN-STATESEPARATION-HELPERS-L1-1-0.DLL

         [ ^6] NTDLL.DLL

         [ ^6] IERTUTIL.DLL

         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL

         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL

         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL

         [ ? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL

         [D 6] EFSCORE.DLL

              [ ^6] MSVCRT.DLL

              [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

              [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

              [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

              [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

              [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL

              [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

              [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

              [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

              [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

              [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL

              [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL

              [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

              [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL

              [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

              [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL

              [ ? ] API-MS-WIN-CORE-COM-L1-1-0.DLL

              [ ? ] API-MS-WIN-CORE-IO-L1-1-0.DLL

              [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL

              [ ^6] CRYPT32.DLL

                   [F^6] DPAPI.DLL

              [ ? ] API-MS-WIN-CORE-WINRT-L1-1-0.DLL

              [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL

              [ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL

              [ ^6] NCRYPT.DLL

              [ ^6] AUTHZ.DLL

              [ ^6] BCRYPT.DLL

              [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL

              [ ^6] USERENV.DLL

              [ ^6] NETUTILS.DLL

              [ ^6] DSROLE.DLL

              [ ^6] SSPICLI.DLL

              [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-1.DLL

              [ ? ] API-MS-WIN-CORE-FILE-L2-1-0.DLL

              [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL

              [ ? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL

              [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-1.DLL

              [ ? ] API-MS-WIN-CORE-FILE-L1-2-0.DLL

              [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL

              [ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.DLL

              [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

              [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL

              [ ^6] OLEAUT32.DLL

              [ ? ] API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL

              [ ? ] API-MS-WIN-POWER-BASE-L1-1-0.DLL

              [ ^6] WINHTTP.DLL

              [ ? ] API-MS-WIN-CORE-PATH-L1-1-0.DLL

              [ ? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL

              [ ? ] API-MS-WIN-CORE-THREADPOOL-LEGACY-L1-1-0.DLL

              [ ? ] API-MS-WIN-CORE-SHLWAPI-LEGACY-L1-1-0.DLL

              [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL

              [ ? ] API-MS-WIN-APPMODEL-RUNTIME-L1-1-0.DLL

              [ ? ] API-MS-WIN-STATESEPARATION-HELPERS-L1-1-0.DLL

              [ ^6] PROFAPI.DLL

              [ ^6] NTDLL.DLL

              [ ^6] IERTUTIL.DLL

              [ ? ] API-MS-WIN-SERVICE-PRIVATE-L1-1-0.DLL

              [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-1.DLL

              [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL

              [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL

              [D^6] CRYPTBASE.DLL

              [D^6] RPCRT4.DLL

              [D^6] LOGONCLI.DLL

              [D^6] SAMCLI.DLL

              [D^6] SRVCLI.DLL

              [D? ] EXT-MS-WIN-EDPUTIL-POLICY-L1-1-0.DLL

              [D? ] EXT-MS-WIN-EDPUTIL-POLICY-L1-1-1.DLL

              [D? ] EXT-MS-WIN-SESSION-WTSAPI32-L1-1-0.DLL

              [D? ] EXT-MS-WIN-SESSION-USERTOKEN-L1-1-0.DLL

              [D? ] EXT-MS-WIN-SESSION-USERMGR-L1-1-0.DLL

              [D? ] API-MS-WIN-SECURITY-LSALOOKUP-L1-1-0.DLL

              [D? ] API-MS-WIN-SECURITY-LSALOOKUP-L1-1-2.DLL

              [D? ] EXT-MS-WIN-SECURITY-EFS-L1-1-0.DLL

              [D? ] EXT-MS-WIN-DEVMGMT-POLICY-L1-1-0.DLL

              [D? ] EXT-MS-WIN-FECLIENT-ENCRYPTEDFILE-L1-1-2.DLL

              [D? ] EXT-MS-WIN-FECLIENT-ENCRYPTEDFILE-L1-1-0.DLL

              [D? ] EXT-MS-WIN-FECLIENT-ENCRYPTEDFILE-L1-1-1.DLL

              [D? ] EXT-MS-WIN-FVEAPI-QUERY-L1-1-0.DLL

              [D? ] API-MS-WIN-CORE-FEATURESTAGING-L1-1-0.DLL

              [D? ] API-MS-WIN-APPMODEL-STATE-L1-2-0.DLL

              [D^6] CRYPTNGC.DLL

              [D^6] CRYPTSP.DLL

              [D^6] EFSUTIL.DLL

              [D 6] EDPAUDITAPI.DLL

                   [ ^6] MSVCRT.DLL

                   [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

                   [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

                   [ ? ] API-MS-WIN-EVENTING-CONSUMER-L1-1-0.DLL

                   [ ? ] API-MS-WIN-EVENTING-CONTROLLER-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

                   [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

                   [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

                   [ ? ] API-MS-WIN-EVENTING-TDH-L1-1-0.DLL

                   [ ^6] NTDLL.DLL

                   [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-COM-L1-1-0.DLL

                   [ ? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL

                   [ ^6] WS2_32.DLL

                   [ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL

                   [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.DLL

                   [D^6] FECLIENT.DLL

              [D 6] WINMSIPC.DLL

                   [ ^6] MSVCRT.DLL

                   [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

                   [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

                   [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

                   [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-COM-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

                   [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL

                   [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL

                   [ ? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-VERSION-L1-1-0.DLL

                   [ ^6] BCRYPT.DLL

                   [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-SYSINFO-L1-2-0.DLL

                   [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-REGISTRY-L2-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL

                   [ ^6] NETUTILS.DLL

                   [ ? ] API-MS-WIN-RTCORE-NTUSER-WINDOW-L1-1-0.DLL

                   [ ? ] API-MS-WIN-SECURITY-CRYPTOAPI-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-2.DLL

                   [ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL

                   [ ? ] EXT-MS-WIN-SHELL32-SHELLFOLDERS-L1-1-0.DLL

                   [ ^6] WLDAP32.DLL

                   [ ^6] LOGONCLI.DLL

                   [ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.DLL

                   [ ^6] DNSAPI.DLL

                   [ ? ] API-MS-WIN-CORE-URL-L1-1-0.DLL

                   [D^6] CRYPT32.DLL

                   [D^6] OLEAUT32.DLL

                   [D^6] WINHTTP.DLL

                   [D^6] WININET.DLL

              [D 6] WINIPCFILE.DLL

                   [ ^6] MSVCRT.DLL

                   [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

                   [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

                   [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-COM-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

                   [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

                   [ ? ] API-MS-WIN-SECURITY-CRYPTOAPI-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-COM-L2-1-1.DLL

                   [ ? ] API-MS-WIN-CORE-FILE-L2-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-FILE-L2-1-2.DLL

                   [ ? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-FILE-L1-2-4.DLL

                   [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL

                   [ ? ] API-MS-WIN-SECURITY-PROVIDER-L1-1-0.DLL

                   [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL

                   [ ? ] API-MS-WIN-SECURITY-LSALOOKUP-L2-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-VERSION-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-SYSINFO-L1-2-0.DLL

                   [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-REGISTRY-L2-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-SHLWAPI-OBSOLETE-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.DLL

                   [D^6] WINMSIPC.DLL

                   [D^6] CRYPT32.DLL

                   [D^6] OLEAUT32.DLL

              [D 6] WEVTAPI.DLL

                   [ ^6] MSVCP_WIN.DLL

                   [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL

                   [ ^6] NTDLL.DLL

                   [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

                   [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

                   [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

                   [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL

                   [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL

                   [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

                   [ ? ]
API-MS-WIN-EVENTING-CLASSICPROVIDER-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-FILE-L2-1-0.DLL

                   [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL

                   [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL

                   [D^6] RPCRT4.DLL

                   [D? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL

                   [D^6] BCRYPT.DLL

              [D^6] USER32.DLL

              [D^6] DSREG.DLL

         [D^6] VAULTCLI.DLL

         [D^6] CRYPT32.DLL

              [F^6] DPAPI.DLL

         [D^6] USERENV.DLL

         [D^6] CRYPTBASE.DLL

         [D? ] EXT-MS-WIN-SESSION-USERMGR-L1-1-0.DLL

         [D? ] API-MS-WIN-CORE-PSM-APP-L1-1-0.DLL

         [D^6] EFSUTIL.DLL

         [D^6] MPR.DLL

         [D? ] EXT-MS-WIN-DEVMGMT-POLICY-L1-1-0.DLL

         [D? ] API-MS-WIN-SERVICE-MANAGEMENT-L2-1-0.DLL

         [D? ] API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DLL

[D^6] DMENTERPRISEDIAGNOSTICS.DLL

[D^6] FVEAPI.DLL

[D 6] POLICYMANAGERPRECHECK.DLL

    [ ^6] MSVCP110_WIN.DLL

    [ ^6] MSVCRT.DLL

    [ ^6] NTDLL.DLL

    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL

    [ ? ] API-MS-WIN-EVENTING-CLASSICPROVIDER-L1-1-0.DLL

    [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-1.DLL

    [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL

    [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL

    [ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL

    [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-2.DLL

    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL

    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL

    [D? ] API-MS-WIN-CORE-COM-L1-1-0.DLL

    [D? ] API-MS-WIN-SERVICE-MANAGEMENT-L2-1-0.DLL

    [D? ] API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DLL

    [D^6] OLEAUT32.DLL

    [D? ] API-MS-WIN-SECURITY-LSALOOKUP-L2-1-0.DLL

    [D? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL

    [D? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL

    [D? ] API-MS-WIN-SECURITY-LSAPOLICY-L1-1-0.DLL

    [D^6] AUTHZ.DLL

    [D^6] SAMCLI.DLL

    [D^6] NETUTILS.DLL

    [D? ] API-MS-WIN-SECURITY-AUDIT-L1-1-0.DLL

    [D^6] SAMLIB.DLL

    [D^6] POLICYMANAGER.DLL

    [D? ] EXT-MS-WIN-BIOMETRICS-WINBIO-CORE-L1-1-0.DLL

    [D? ] EXT-MS-WIN-BIOMETRICS-WINBIO-CORE-L1-1-1.DLL

    [D^6] RPCRT4.DLL

    [D? ] API-MS-WIN-NTUSER-SYSPARAMS-L1-1-0.DLL

    [D? ] API-MS-WIN-SERVICE-WINSVC-L1-1-0.DLL

    [D^6] USER32.DLL

[D? ] EXT-MS-WIN-CI-MANAGEMENT-L1-1-0.DLL

[D? ] EXT-MS-WIN-CI-MANAGEMENT-L1-1-3.DLL

[D^6] DSREG.DLL

[D^6] USERENV.DLL
                                                                 [D 6]
DECLAREDCONFIGURATION.DLL

[ ^6] MSVCRT.DLL

[ ^6] RPCRT4.DLL

[ ? ] API-MS-WIN-SERVICE-MANAGEMENT-L2-1-0.DLL

[ ? ] API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL

[ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL

[ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                            [D^6] CRYPT32.D=
LL
                                                            [D 6] CRYPTXML.=
DLL
                                                                 [ ^6] NTDL=
L.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-STRING-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LOCALIZATION-OBSOLETE-L1-2-0.DLL
                                                                 [ ^6]
WEBSERVICES.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                                                 [D^6]
NCRYPT.DLL
                                                                 [D^6]
BCRYPT.DLL
                                                                 [D^6]
CRYPTSP.DLL
                                                            [D? ]
API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL
                                                            [D? ]
API-MS-WIN-CORE-COM-L1-1-0.DLL
                                                            [D? ]
API-MS-WIN-CORE-WINRT-L1-1-0.DLL
                                                            [D^6] OLEAUT32.=
DLL
                                                            [D^6] NCRYPT.DL=
L
                                                            [D^6] WINHTTP.D=
LL
                                                            [D? ]
API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
                                                            [D 6]
DMXMLHELPUTILS.DLL
                                                                 [ ^6]
MSVCRT.DLL
                                                                 [ ^6]
CRYPT32.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                                 [ ^6]
OLEAUT32.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-COM-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-STRING-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                                 [ ^6]
XMLLITE.DLL
                                                            [D^6] DEVOBJ.DL=
L
                                                            [D^6] DSREG.DLL
                                                            [D? ]
EXT-MS-WIN-DEVMGMT-DM-L1-1-0.DLL
                                                       [D^6] CRYPT32.DLL
                                                       [D? ]
API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
                                                       [D^6] RPCRT4.DLL
                                                       [D^6] SSPICLI.DLL
                                                       [D? ]
API-MS-WIN-SECURITY-LSALOOKUP-L2-1-0.DLL
                                                       [D? ]
API-MS-WIN-CORE-COM-L1-1-0.DLL
                                                       [D? ]
API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL
                                                       [D? ]
API-MS-WIN-CORE-WINRT-L1-1-0.DLL
                                                       [D 6] SAMCLI.DLL
                                                            [ ? ]
API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CRT-STRING-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                                            [ ? ]
API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                                                            [ ^6] NTDLL.DLL
                                                            [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                                            [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                                            [D^6] DNSAPI.DL=
L
                                                            [D^6] LOGONCLI.=
DLL
                                                            [D^6] NETUTILS.=
DLL
                                                            [D^6] SSPICLI.D=
LL
                                                            [D? ]
API-MS-WIN-SECURITY-LSAPOLICY-L1-1-0.DLL
                                                            [D^6] SAMLIB.DL=
L
                                                       [D? ]
API-MS-WIN-SECURITY-CRYPTOAPI-L1-1-0.DLL
                                                       [D^6] NCRYPT.DLL
                                                       [D^6] WINHTTP.DLL
                                                       [D^6] WKSCLI.DLL
                                                       [D^6] NETUTILS.DLL
                                                       [D^6] WLDAP32.DLL
                                                       [D? ]
API-MS-WIN-SECURITY-LSALOOKUP-L1-1-2.DLL
                                                       [D^6] OLEAUT32.DLL
                                                       [D? ]
API-MS-WIN-RTCORE-NTUSER-WINDOW-L1-1-0.DLL
                                                       [D? ]
API-MS-WIN-CORE-WINRT-ERROR-L1-1-0.DLL
                                                       [D? ]
API-MS-WIN-CORE-WINRT-ERROR-L1-1-1.DLL
                                                       [D? ]
API-MS-WIN-RTCORE-NTUSER-SYNCH-L1-1-0.DLL
                                                       [D? ]
API-MS-WIN-NTUSER-SYSPARAMS-L1-1-0.DLL
                                                       [D 6] PROPSYS.DLL
                                                            [ ? ]
API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CRT-STRING-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-SHLWAPI-OBSOLETE-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-STRING-L1-1-0.DLL
                                                            [ ^6] NTDLL.DLL
                                                            [ ? ]
API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-LOCALIZATION-OBSOLETE-L1-2-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-DATETIME-L1-1-2.DLL
                                                            [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-PATH-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-SHLWAPI-LEGACY-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-STRING-L2-1-0.DLL
                                                            [ ? ]
API-MS-WIN-STATESEPARATION-HELPERS-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-DATETIME-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-FILE-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-PSAPI-L1-1-0.DLL
                                                            [ ^6] RPCRT4.DL=
L
                                                            [ ? ]
API-MS-WIN-CORE-WINRT-ERROR-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-WOW64-L1-1-1.DLL
                                                            [ ? ]
API-MS-WIN-CORE-WOW64-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-ATOMS-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                                                            [ ? ]
API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-2.DLL
                                                            [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                                            [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                                            [D? ]
API-MS-WIN-CORE-COM-L1-1-0.DLL
                                                            [D? ]
API-MS-WIN-SHCORE-COMHELPERS-L1-1-0.DLL
                                                            [D? ]
API-MS-WIN-CORE-COM-PRIVATE-L1-1-0.DLL
                                                            [D? ]
API-MS-WIN-SHCORE-REGISTRY-L1-1-0.DLL
                                                            [D^6] OLEAUT32.=
DLL
                                                            [D? ]
API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL
                                                            [D? ]
API-MS-WIN-SHCORE-TASKPOOL-L1-1-0.DLL
                                                            [D? ]
API-MS-WIN-CORE-WINRT-L1-1-0.DLL
                                                            [D? ]
API-MS-WIN-SHCORE-STREAM-L1-1-0.DLL
                                                            [D? ]
API-MS-WIN-SHCORE-OBSOLETE-L1-1-0.DLL
                                                            [D? ]
API-MS-WIN-SHCORE-UNICODEANSI-L1-1-0.DLL
                                                            [D? ]
API-MS-WIN-SHCORE-SYSINFO-L1-1-0.DLL
                                                            [D^6] XMLLITE.D=
LL
                                                            [D? ]
API-MS-WIN-SECURITY-CRYPTOAPI-L1-1-0.DLL
                                                            [D 6] ICU.DLL
                                                                 [ ? ]
API-MS-WIN-CRT-STRING-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-STRING-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-2.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-FILE-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L2-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DATETIME-L1-1-1.DLL
                                                                 [ ^6]
MSVCP_WIN.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                                                 [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                                                 [D? ]
API-MS-WIN-CORE-COM-L1-1-0.DLL
                                                            [D? ]
API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
                                                            [D^6] PROFAPI.D=
LL
                                                            [D? ]
API-MS-WIN-SHLWAPI-WINRT-STORAGE-L1-1-1.DLL
                                                            [D? ]
API-MS-WIN-SHELL-NAMESPACE-L1-1-0.DLL
                                                            [D? ]
API-MS-WIN-CORE-COM-L2-1-1.DLL
                                                            [D? ]
API-MS-WIN-RTCORE-NTUSER-PRIVATE-L1-1-0.DLL
                                                            [D? ]
API-MS-WIN-RTCORE-NTUSER-WINDOW-L1-1-0.DLL
                                                            [D? ]
EXT-MS-ONECORE-APPMODEL-STATEREPOSITORY-INTERNAL-L1-1-3.DLL
                                                            [D? ]
EXT-MS-WIN-ELS-ELSCORE-L1-1-0.DLL
                                                            [D^6] BCP47LANG=
S.DLL
                                                            [D^6] SHCORE.DL=
L
                                                            [D? ]
API-MS-WIN-CORE-COM-MIDLPROXYSTUB-L1-1-0.DLL
                                                       [D^6] LOGONCLI.DLL
                                                       [D 6] TBS.DLL
                                                            [ ^6] MSVCRT.DL=
L
                                                            [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                                                            [ ^6] NTDLL.DLL
                                                            [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-FILE-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                            [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                                            [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                                            [D^6] BCRYPT.DL=
L
                                                       [D? ]
EXT-MS-WIN-SECUR32-TRANSLATENAME-L1-1-0.DLL
                                                       [D? ]
EXT-MS-WIN-SESSION-WINSTA-L1-1-0.DLL
                                                       [D? ]
EXT-MS-WIN-SHELL-SHELL32-L1-2-0.DLL
                                                       [D? ]
EXT-MS-WIN-RTCORE-NTUSER-CURSOR-L1-1-0.DLL
                                                       [D? ]
EXT-MS-WIN-WEVTAPI-EVENTLOG-L1-1-0.DLL
                                                       [D? ]
EXT-MS-WIN-WEVTAPI-EVENTLOG-L1-1-2.DLL
                                                       [D? ]
EXT-MS-WIN-SECURITY-NGC-LOCAL-L1-1-0.DLL
                                             [D^6] SSPICLI.DLL
                                             [D^6] CRYPTSP.DLL
                                             [D? ]
API-MS-WIN-SERVICE-MANAGEMENT-L2-1-0.DLL
                                             [D? ]
API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DLL
                                             [D? ]
API-MS-WIN-CORE-COM-L1-1-0.DLL
                                             [D^6] BCRYPT.DLL
                                             [D^6] USERENV.DLL
                                             [D? ]
API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
                                             [D^6] WINHTTP.DLL
                                             [D^6] OLEAUT32.DLL
                                             [D? ]
API-MS-WIN-CORE-WINRT-L1-1-0.DLL
                                             [D? ]
API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL
                                             [D^6] CRYPT32.DLL
                                             [D^6] CABINET.DLL
                                             [D? ]
API-MS-WIN-SECURITY-PROVIDER-L1-1-0.DLL
                                             [D? ]
API-MS-WIN-CORE-REGISTRY-L2-1-0.DLL
                                             [D 6] UMPDC.DLL
                                                  [ ? ]
API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CRT-STRING-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                                                  [ ? ]
API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-PSAPI-L1-1-0.DLL
                                                  [ ^6] NTDLL.DLL
                                                  [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                                  [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
                                                  [D? ]
EXT-MS-WIN-RESOURCEMANAGER-CRM-L1-2-0.DLL
                                             [D? ]
EXT-MS-WIN-KERNEL32-PACKAGE-L1-1-0.DLL
                                             [D? ]
EXT-MS-WIN-NTUSER-WINDOWSTATION-L1-1-0.DLL
                                             [D? ]
EXT-MS-WIN-SESSION-USERTOKEN-L1-1-0.DLL
                                             [D? ]
EXT-MS-WIN-WER-XBOX-L1-1-2.DLL
                                             [D 6] XMLLITE.DLL
                                                  [ ^6] MSVCRT.DLL
                                                  [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                                                  [ ? ]
API-MS-WIN-CORE-STRING-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                                  [ ? ]
API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                                             [D? ]
EXT-MS-WIN-APPCOMPAT-AEPIC-L1-1-0.DLL
                                             [D? ]
EXT-MS-WIN-SESSION-USERMGR-L1-1-0.DLL
                                             [D? ]
API-MS-WIN-EVENTING-CONTROLLER-L1-1-0.DLL
                                             [D? ]
API-MS-WIN-EVENTING-LEGACY-L1-1-0.DLL
                                        [D 6] RMCLIENT.DLL
                                             [ ^6] MSVCRT.DLL
                                             [ ? ]
API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                             [ ? ]
API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-UTIL-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-PSM-KEY-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-PSM-KEY-L1-1-3.DLL
                                             [ ? ]
API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-3.DLL
                                             [ ? ]
API-MS-WIN-CORE-QUIRKS-L1-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                                             [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                                             [ ? ]
API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                                             [ ^6] NTDLL.DLL
                                             [D? ]
API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL
                                             [D? ]
API-MS-WIN-CORE-COM-L1-1-0.DLL
                                             [D? ]
API-MS-WIN-CORE-WINRT-ERROR-L1-1-0.DLL
                                             [D^6] RPCRT4.DLL
                                             [D? ]
EXT-MS-WIN-COM-PSMREGISTER-L1-1-0.DLL
                                             [D? ]
API-MS-WIN-APPMODEL-RUNTIME-L1-1-1.DLL
                                             [D? ]
API-MS-WIN-APPMODEL-STATE-L1-2-0.DLL
                                             [D? ]
API-MS-WIN-CORE-PSM-RTIMER-L1-1-1.DLL
                                             [D? ]
EXT-MS-WIN-RESOURCEMANAGER-CRM-PRIVATE-EXT-L1-1-0.DLL
                                             [D? ]
EXT-MS-WIN-SYSMAIN-PLMAPI-L1-1-0.DLL
                                             [D? ]
EXT-MS-WIN-HOSTACTIVITYMANAGER-HAM-PRIVATE-EXT-L1-1-0.DLL
                                             [D? ]
API-MS-WIN-CORE-WINRT-ERROR-L1-1-1.DLL
                                             [D? ]
API-MS-WIN-CORE-COM-L1-1-1.DLL
                                        [D? ]
EXT-MS-ONECORE-APPMODEL-STATEREPOSITORY-CACHE-L1-1-0.DLL
                                        [D? ]
EXT-MS-ONECORE-APPMODEL-STATEREPOSITORY-CACHE-L1-1-2.DLL
                                        [D? ]
EXT-MS-WIN-RO-TYPERESOLUTION-L1-1-0.DLL
                                   [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                   [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DL=
L
                                   [ ? ] API-MS-WIN-CORE-WOW64-L1-1-1.DLL
                                   [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DL=
L
                                   [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-=
0.DLL
                                   [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                   [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                   [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                   [ ? ]
API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-WOW64-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                   [ ? ]
API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-2-0.DLL
                                   [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.=
DLL
                                   [ ^6] RPCRT4.DLL
                                   [ ? ] API-MS-WIN-CORE-LOCALIZATION-L2-1-=
0.DLL
                                   [ ? ] API-MS-WIN-CORE-DATETIME-L1-1-0.DL=
L
                                   [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                   [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                                   [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0=
.DLL
                                   [ ? ]
API-MS-WIN-CORE-KERNEL32-PRIVATE-L1-1-0.DLL
                                   [ ? ]
API-MS-WIN-CORE-LOCALIZATION-PRIVATE-L1-1-0.DLL
                                   [ ^6] KERNELBASE.DLL
                                   [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.D=
LL
                                   [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.D=
LL
                                   [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DL=
L
                                   [D? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
                                   [D? ] API-MS-WIN-CORE-WINRT-STRING-L1-1-=
0.DLL
                                   [D? ]
EXT-MS-WIN-OLE32-OLEAUTOMATION-L1-1-0.DLL
                                   [D? ] EXT-MS-WIN-SXS-OLEAUTOMATION-L1-1-=
0.DLL
                              [D? ] API-MS-WIN-CORE-REGISTRY-L2-1-0.DLL
                              [D? ]
API-MS-WIN-NETWORKING-INTERFACECONTEXTS-L1-1-0.DLL
                         [D^6] CRYPTBASE.DLL
                         [D^6] CRYPT32.DLL
                         [D? ] API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DLL
                         [D? ] API-MS-WIN-SERVICE-WINSVC-L1-1-0.DLL
                         [D? ] API-MS-WIN-SERVICE-MANAGEMENT-L2-1-0.DLL
                         [D? ] API-MS-WIN-SERVICE-PRIVATE-L1-1-0.DLL
                         [D^6] NSI.DLL
                         [D^6] DHCPCSVC6.DLL
                         [D? ] EXT-MS-WIN-NETWORKING-WCMAPI-L1-1-0.DLL
                    [D^6] WS2_32.DLL
                    [D? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
               [D? ] EXT-MS-WIN-AUTHZ-CONTEXT-L1-1-0.DLL
               [D? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
               [D^6] BCRYPTPRIMITIVES.DLL
          [ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
          [ ? ] API-MS-WIN-SECURITY-AUDIT-L1-1-1.DLL
          [ ? ] API-MS-WIN-SECURITY-AUDIT-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
          [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-PCW-L1-1-0.DLL
          [D 6] CRYPTSP.DLL
               [ ^6] NTDLL.DLL
               [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
               [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-DATETIME-L1-1-1.DLL
               [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
               [D^6] BCRYPT.DLL
               [D^6] CRYPTBASE.DLL
               [D^6] NTASN1.DLL
               [D? ] API-MS-WIN-SERVICE-PRIVATE-L1-1-0.DLL
          [D 6] WINTRUST.DLL
               [ ^6] MSVCRT.DLL
               [ ? ] API-MS-WIN-CORE-VERSION-PRIVATE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL
               [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-VERSION-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-IO-L1-1-0.DLL
               [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-DATETIME-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
               [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
               [ ^6] RPCRT4.DLL
               [ ? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL
               [ ^6] NTDLL.DLL
               [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
               [D^6] MSASN1.DLL
               [D^6] CRYPTSP.DLL
               [D^6] CRYPT32.DLL
               [D^6] BCRYPT.DLL
               [D? ] API-MS-WIN-SECURITY-LSALOOKUP-L2-1-0.DLL
               [D? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
               [D? ] EXT-MS-WIN-ADVAPI32-SAFER-L1-1-0.DLL
               [D^6] USER32.DLL
               [D 6] IMAGEHLP.DLL
                    [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                    [ ^6] NTDLL.DLL
                    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-MISC-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-LOCALREGISTRY-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                    [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                    [D^6] DBGHELP.DLL
               [D? ] API-MS-WIN-SERVICE-PRIVATE-L1-1-0.DLL
               [D? ] API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DLL
               [D? ] API-MS-WIN-SERVICE-MANAGEMENT-L2-1-0.DLL
               [D? ] API-MS-WIN-SERVICE-WINSVC-L1-1-0.DLL
          [D 6] CRYPTBASE.DLL
               [ ^6] NTDLL.DLL
               [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
               [D^6] RPCRT4.DLL
               [D^6] BCRYPTPRIMITIVES.DLL
          [D 6] SSPICLI.DLL
               [ ? ] API-MS-WIN-CORE-CRT-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-CRT-L2-1-0.DLL
               [ ^6] NTDLL.DLL
               [ ^6] RPCRT4.DLL
               [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
               [D^6] CRYPTBASE.DLL
               [D? ] API-MS-WIN-SECURITY-LSALOOKUP-L1-1-0.DLL
          [D^6] USER32.DLL
          [D 6] CRYPT32.DLL
               [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
               [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
               [ ? ] API-MS-WIN-CORE-VERSION-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
               [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PSAPI-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL
               [ ? ] API-MS-WIN-CORE-DATETIME-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-FILE-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-THREADPOOL-PRIVATE-L1-1-0.DLL
               [ ? ] API-MS-WIN-SECURITY-GROUPPOLICY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-THREADPOOL-LEGACY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-OBSOLETE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LOCALIZATION-OBSOLETE-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL
               [ ^6] NTDLL.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
               [D? ] API-MS-WIN-POWER-SETTING-L1-1-0.DLL
               [D? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
               [D^6] RPCRT4.DLL
               [D? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
               [D? ] API-MS-WIN-SECURITY-BASE-L1-2-0.DLL
               [D 6] NCRYPT.DLL
                    [ ^6] NTDLL.DLL
                    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                    [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                    [ ? ] API-MS-WIN-EVENTING-CLASSICPROVIDER-L1-1-0.DLL
                    [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                    [ ? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                    [ ? ] API-MS-WIN-EVENTING-OBSOLETE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-DATETIME-L1-1-1.DLL
                    [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                    [D^6] BCRYPT.DLL
                    [D^6] CRYPTSP.DLL
                    [D 6] NTASN1.DLL
                         [ ^6] NTDLL.DLL
                         [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
                    [D? ] API-MS-WIN-SERVICE-PRIVATE-L1-1-0.DLL
               [D^6] BCRYPT.DLL
               [D^6] SSPICLI.DLL
               [D? ] API-MS-WIN-SECURITY-BASE-L1-2-1.DLL
               [D^6] CRYPTSP.DLL
               [D? ] API-MS-WIN-CORE-REGISTRY-PRIVATE-L1-1-0.DLL
               [D 6] PROFAPI.DLL
                    [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                    [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                    [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                    [ ^6] NTDLL.DLL
                    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
                    [D? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
                    [D^6] SSPICLI.DLL
                    [D^6] RPCRT4.DLL
                    [D? ] API-MS-WIN-SECURITY-LSALOOKUP-L1-1-0.DLL
                    [D? ] EXT-MS-WIN-PROFILE-EXTENDER-L1-1-0.DLL
                    [D? ] API-MS-WIN-APPMODEL-RUNTIME-L1-1-1.DLL
                    [D? ] API-MS-WIN-APPMODEL-RUNTIME-INTERNAL-L1-1-2.DLL
               [D 6] MSASN1.DLL
                    [ ^6] NTDLL.DLL
                    [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL
               [D 6] DPAPI.DLL
                    [ ^6] NTDLL.DLL
                    [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                    [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                    [D^6] RPCRT4.DLL
                    [D^6] CRYPTBASE.DLL
                    [D 6] SAMLIB.DLL
                         [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-EVENTING-CLASSICPROVIDER-L1-1-0.D=
LL
                         [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                         [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                         [ ? ] API-MS-WIN-EVENTING-OBSOLETE-L1-1-0.DLL
                         [ ^6] NTDLL.DLL
                         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                         [D^6] BCRYPT.DLL
                         [D^6] CRYPTBASE.DLL
                         [D^6] RPCRT4.DLL
                         [D^6] DNSAPI.DLL
                         [D 6] DSPARSE.DLL
                              [ ^6] MSVCRT.DLL
                              [ ? ]
API-MS-WIN-EVENTING-CLASSICPROVIDER-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DL=
L
                              [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                              [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.D=
LL
                              [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DL=
L
                              [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                              [ ^6] RPCRT4.DLL
                              [ ^6] NTDLL.DLL
                         [D? ] API-MS-WIN-SECURITY-LSAPOLICY-L1-1-0.DLL
                         [D^6] CRYPTSP.DLL
               [D 6] CABINET.DLL
                    [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                    [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL
                    [ ^6] NTDLL.DLL
                    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                    [D? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
               [D? ] API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DLL
               [D? ] API-MS-WIN-SERVICE-MANAGEMENT-L2-1-0.DLL
               [D? ] API-MS-WIN-SERVICE-WINSVC-L1-1-0.DLL
               [D? ] API-MS-WIN-SERVICE-PRIVATE-L1-1-0.DLL
          [D 6] BCRYPT.DLL
               [ ^6] NTDLL.DLL
               [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
               [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
               [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PSAPI-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-XSTATE-L2-1-0.DLL
               [ ? ] API-MS-WIN-CORE-THREADPOOL-PRIVATE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-THREADPOOL-LEGACY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
               [D 6] BCRYPTPRIMITIVES.DLL
                    [ ^6] NTDLL.DLL
                    [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                    [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL
                    [ ? ] API-MS-WIN-CORE-IO-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-XSTATE-L2-1-0.DLL
          [D? ] API-MS-WIN-SECURITY-LSALOOKUP-L1-1-0.DLL
          [D? ] API-MS-WIN-SECURITY-CREDENTIALS-L1-1-0.DLL
          [D? ] API-MS-WIN-SECURITY-CREDENTIALS-L2-1-0.DLL
          [D? ] API-MS-WIN-SECURITY-PROVIDER-L1-1-0.DLL
          [D? ] API-MS-WIN-DEVICES-CONFIG-L1-1-1.DLL
     [  6] COMCTL32.DLL
          [ ^6] MSVCRT.DLL
          [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
          [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
          [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-STRING-L2-1-0.DLL
          [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
          [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
          [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL
          [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
          [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-DATETIME-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-2.DLL
          [ ? ] API-MS-WIN-CORE-LOCALIZATION-L2-1-0.DLL
          [ ? ] API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-LOCALIZATION-OBSOLETE-L1-2-0.DLL
          [ ? ] API-MS-WIN-CORE-ATOMS-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-LARGEINTEGER-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-HEAP-OBSOLETE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-SIDEBYSIDE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-SHLWAPI-LEGACY-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-URL-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-CALENDAR-L1-1-0.DLL
          [ ^6] NTDLL.DLL
          [ ^6] KERNEL32.DLL
          [ ^6] GDI32.DLL
          [ ^6] USER32.DLL
               [F^6] NTDLL.DLL
          [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-1.DLL
          [ ? ] API-MS-WIN-CORE-PATH-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-1.DLL
          [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
          [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
          [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
          [D? ] API-MS-WIN-SHCORE-COMHELPERS-L1-1-0.DLL
          [D? ] API-MS-WIN-SHCORE-STREAM-L1-1-0.DLL
          [D? ] API-MS-WIN-SHCORE-REGISTRY-L1-1-0.DLL
          [D^6] SHCORE.DLL
          [D 6] UXTHEME.DLL
               [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
               [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL
               [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
               [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
               [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-STRING-L2-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SIDEBYSIDE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-ATOMS-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-REGISTRYUSERSPECIFIC-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SHLWAPI-OBSOLETE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LOCALIZATION-OBSOLETE-L1-2-0.DLL
               [ ^6] NTDLL.DLL
               [ ^6] GDI32.DLL
               [ ^6] USER32.DLL
                    [F^6] NTDLL.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
               [D? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
               [D? ] API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL
               [D? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
               [D^6] CRYPTSP.DLL
               [D^6] DWMAPI.DLL
               [D^6] WINDOWSCODECS.DLL
          [D? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
          [D^6] OLEAUT32.DLL
          [D? ] API-MS-WIN-CORE-WINRT-L1-1-0.DLL
          [D? ] API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL
          [D? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-1.DLL
          [D? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-0.DLL
          [D? ] EXT-MS-WIN-USP10-L1-1-0.DLL
          [D 6] SHLWAPI.DLL
               [ ^6] NTDLL.DLL
               [ ^6] MSVCRT.DLL
               [ ? ] API-MS-WIN-CORE-STRING-L2-1-1.DLL
               [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
               [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-STRING-L2-1-0.DLL
               [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PATH-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-VERSION-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-IO-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL
               [ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.DLL
               [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-URL-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-REGISTRYUSERSPECIFIC-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SIDEBYSIDE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SHLWAPI-LEGACY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-THREADPOOL-LEGACY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SHLWAPI-OBSOLETE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-STRINGANSI-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LOCALIZATION-OBSOLETE-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-VERSIONANSI-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-OBSOLETE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PRIVATEPROFILE-L1-1-0.DLL
               [ ^6] KERNELBASE.DLL
               [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
               [D^6] MPR.DLL
               [D^6] SHELL32.DLL
                    [FE6] SHLWAPI.DLL
               [D^6] PROPSYS.DLL
               [D? ] API-MS-WIN-SHCORE-REGISTRY-L1-1-1.DLL
               [D? ] API-MS-WIN-SHCORE-REGISTRY-L1-1-0.DLL
               [D? ] API-MS-WIN-SHCORE-THREAD-L1-1-0.DLL
               [D? ] API-MS-WIN-SHCORE-COMHELPERS-L1-1-0.DLL
               [D? ] API-MS-WIN-SHCORE-STREAM-L1-1-0.DLL
               [D? ] API-MS-WIN-SHCORE-UNICODEANSI-L1-1-0.DLL
               [D? ] API-MS-WIN-SHCORE-PATH-L1-1-0.DLL
               [D? ] API-MS-WIN-SHCORE-OBSOLETE-L1-1-0.DLL
               [D? ] API-MS-WIN-SHCORE-SYSINFO-L1-1-0.DLL
               [D^6] SHCORE.DLL
               [D^6] USERENV.DLL
               [D? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
               [D^6] OLEAUT32.DLL
               [D? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-0.DLL
               [D? ] API-MS-WIN-CORE-REGISTRY-L2-1-0.DLL
               [D? ] EXT-MS-WIN-ADVAPI32-SAFER-L1-1-0.DLL
               [D? ] EXT-MS-WIN-NTUSER-WINDOWCLASS-L1-1-0.DLL
               [D? ] EXT-MS-WIN-RTCORE-GDI-DEVCAPS-L1-1-0.DLL
               [D 6] MSILTCFG.DLL
                    [ ^6] MSVCRT.DLL
                    [ ^6] KERNEL32.DLL
                         [F^6] NTDLL.DLL
                    [ ^6] ADVAPI32.DLL
                    [  6] VERSION.DLL
                         [ ^6] MSVCRT.DLL
                         [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-VERSION-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-VERSION-L1-1-1.DLL
                         [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL
                         [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-VERSIONANSI-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-VERSIONANSI-L1-1-1.DLL
                         [ ? ] API-MS-WIN-CORE-VERSION-PRIVATE-L1-1-0.DLL
                         [ ^6] KERNELBASE.DLL
                         [ ^6] NTDLL.DLL
                         [ ^6] KERNEL32.DLL
               [D 6] APPHELP.DLL
                    [ ^6] NTDLL.DLL
                    [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-APPCOMPAT-L1-1-1.DLL
                    [ ? ] API-MS-WIN-CORE-APPCOMPAT-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                    [ ^6] KERNEL32.DLL
                         [F^6] NTDLL.DLL
                         [F^6] KERNELBASE.DLL
                    [ ? ] API-MS-WIN-CORE-FILE-L1-2-4.DLL
                    [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL
                    [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-LOCALIZATION-OBSOLETE-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
                    [D? ] EXT-MS-WIN32-SUBSYSTEM-QUERY-L1-1-0.DLL
               [D 6] MRMCORER.DLL
                    [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                    [ ^6] KERNELBASE.DLL
                    [ ? ] API-MS-WIN-CORE-LOCALIZATION-PRIVATE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                    [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
                    [ ^6] NTDLL.DLL
                    [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-FILE-L1-2-4.DLL
                    [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-FEATURESTAGING-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                    [ ^6] MSVCP_WIN.DLL
                    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL
                    [D^6] BCP47MRM.DLL
                    [D? ] EXT-MS-WIN-RTCORE-NTUSER-SYSCOLORS-L1-1-0.DLL
                    [D? ] EXT-MS-WIN-RTCORE-NTUSER-SYSPARAMS-L1-1-0.DLL
                    [D? ] EXT-MS-WIN-RESOURCES-DEPLOYMENT-L1-1-0.DLL
                    [D^6] PROFAPI.DLL
                    [D^6] RPCRT4.DLL
                    [D? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-0.DLL
                    [D? ] API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL
                    [D? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
                    [D? ] API-MS-WIN-SHCORE-STREAM-L1-1-0.DLL
                    [D? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                    [D? ] API-MS-WIN-SECURITY-PROVIDER-L1-1-0.DLL
                    [D? ] API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DLL
                    [D? ] API-MS-WIN-SECURITY-CAPABILITY-L1-1-0.DLL
                    [D? ] API-MS-WIN-CORE-WINRT-L1-1-0.DLL
                    [D? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
                    [D? ] API-MS-WIN-SECURITY-BASE-L1-2-0.DLL
                    [D^6] OLEAUT32.DLL
                    [D? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-1.DLL
                    [D? ] API-MS-WIN-SHCORE-TASKPOOL-L1-1-0.DLL
                    [D? ] API-MS-WIN-SHCORE-STREAM-WINRT-L1-1-0.DLL
                    [D? ] API-MS-WIN-CORE-COM-L1-1-1.DLL
                    [D^6] SHCORE.DLL
                    [D^6] IERTUTIL.DLL
                    [D? ] EXT-MS-WIN-RESOURCES-LANGUAGEOVERLAY-L1-1-6.DLL
                    [D? ]
EXT-MS-ONECORE-APPMODEL-STATEREPOSITORY-CACHE-L1-1-0.DLL
                    [D? ]
EXT-MS-ONECORE-APPMODEL-STATEREPOSITORY-CACHE-L1-1-2.DLL
               [D^6] ADVAPI32.DLL
               [D^6] GDI32.DLL
               [D^6] OLE32.DLL
               [D 6] SETUPAPI.DLL
                    [ ^6] MSVCRT.DLL
                    [ ^6] NTDLL.DLL
                    [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL
                    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SHLWAPI-LEGACY-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-DATETIME-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYSINFO-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-FILE-L2-1-2.DLL
                    [ ? ] API-MS-WIN-CORE-FILE-L2-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PRIVATEPROFILE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-VERSION-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SIDEBYSIDE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-1.DLL
                    [ ? ] API-MS-WIN-CORE-WOW64-L1-1-1.DLL
                    [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PRIVATEPROFILE-L1-1-1.DLL
                    [ ? ] API-MS-WIN-CORE-LOCALIZATION-OBSOLETE-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                    [ ^6] KERNEL32.DLL
                    [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                    [ ? ] API-MS-WIN-EVENTING-CLASSICPROVIDER-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-APIQUERY-L2-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
                    [D? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
                    [D? ] API-MS-WIN-CORE-STRING-L2-1-0.DLL
                    [D^6] DEVOBJ.DLL
                    [D^6] CFGMGR32.DLL
                    [D? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                    [D? ] API-MS-WIN-NTUSER-SYSPARAMS-L1-1-0.DLL
                    [D? ] API-MS-WIN-RTCORE-NTUSER-WINDOW-L1-1-0.DLL
                    [D? ] API-MS-WIN-DEVICES-CONFIG-L1-1-1.DLL
                    [D? ] API-MS-WIN-CORE-REGISTRY-L2-1-0.DLL
                    [D? ] API-MS-WIN-CORE-STRINGANSI-L1-1-0.DLL
                    [D? ] API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DLL
                    [D? ] API-MS-WIN-SERVICE-MANAGEMENT-L2-1-0.DLL
                    [D? ] API-MS-WIN-SERVICE-WINSVC-L1-1-0.DLL
                    [D? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                    [D? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
                    [D? ] API-MS-WIN-SECURITY-PROVIDER-L1-1-0.DLL
                    [D^6] CABINET.DLL
                    [D^6] CRYPT32.DLL
                    [D^6] WINTRUST.DLL
                    [D? ] API-MS-WIN-RTCORE-NTUSER-SYNCH-L1-1-0.DLL
                    [D? ] EXT-MS-WIN-SHELL32-SHELLFOLDERS-L1-1-0.DLL
                    [D? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
                    [D^6] USERENV.DLL
                    [D? ] API-MS-WIN-SHELL-CHANGENOTIFY-L1-1-0.DLL
                    [D? ] API-MS-WIN-CORE-SHUTDOWN-L1-1-0.DLL
                    [D^6] RPCRT4.DLL
                    [D^6] MPR.DLL
                    [D^6] GDI32.DLL
                    [D^6] ADVAPI32.DLL
                    [D^6] DEVRTL.DLL
                    [D^6] USER32.DLL
                    [D 6] SCECLI.DLL
                         [ ^6] MSVCRT.DLL
                         [ ^6] RPCRT4.DLL
                         [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DL=
L
                         [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
                         [ ? ] API-MS-WIN-EVENTING-CLASSICPROVIDER-L1-1-0.D=
LL
                         [ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL
                         [ ? ] API-MS-WIN-CORE-DATETIME-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                         [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYSINFO-L1-2-0.DLL
                         [ ^6] OLEAUT32.DLL
                         [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-FILE-L2-1-2.DLL
                         [ ? ] API-MS-WIN-EVENTING-CONTROLLER-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-FILE-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-THREADPOOL-LEGACY-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PRIVATEPROFILE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-LOCALIZATION-OBSOLETE-L1-2-0=
.DLL
                         [ ? ] API-MS-WIN-CORE-PRIVATEPROFILE-L1-1-1.DLL
                         [ ^6] NTDLL.DLL
                         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
                         [D^6] DSROLE.DLL
                         [D^6] USERENV.DLL
                         [D? ] API-MS-WIN-SERVICE-MANAGEMENT-L2-1-0.DLL
                         [D? ] API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DLL
                         [D? ] API-MS-WIN-SERVICE-CORE-L1-1-1.DLL
                         [D? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
                         [D? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
                         [D^6] AUTHZ.DLL
                         [D^6] SAMCLI.DLL
                         [D? ] API-MS-WIN-SECURITY-LSAPOLICY-L1-1-0.DLL
                         [D? ] API-MS-WIN-EVENTLOG-LEGACY-L1-1-0.DLL
                         [D? ] API-MS-WIN-SECURITY-PROVIDER-L1-1-0.DLL
                         [D? ] EXT-MS-WIN-SETUPAPI-INF-L1-1-0.DLL
                         [D? ] EXT-MS-WIN-SETUPAPI-INF-L1-1-1.DLL
                    [D^6] SERVICINGCOMMON.DLL
                    [D^6] DRVSTORE.DLL
                    [D? ] EXT-MS-WIN-PRINTER-WINSPOOL-L1-1-1.DLL
                    [D? ] EXT-MS-WIN-DRIVER-SETUP-L1-1-0.DLL
                    [D? ] EXT-MS-WIN-COM-OLE32-L1-1-0.DLL
                    [D? ] EXT-MS-WIN-SHELL-SHELL32-L1-2-1.DLL
                    [D? ] EXT-MS-WIN-SHELL-SHLWAPI-L1-2-0.DLL
                    [D? ] EXT-MS-WIN-UXTHEME-THEMES-L1-1-0.DLL
                    [D 6] SPFILEQ.DLL
                         [ ^6] MSVCRT.DLL
                         [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-VERSION-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                         [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-FILE-L2-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                         [ ^6] NTDLL.DLL
                         [ ? ] API-MS-WIN-CORE-FILE-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DL=
L
                         [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-IO-L1-1-0.DLL
                    [D 6] SPINF.DLL
                         [ ^6] MSVCRT.DLL
                         [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYSINFO-L1-2-0.DLL
                         [ ^6] NTDLL.DLL
                         [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DL=
L
                         [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                    [D? ] API-MS-WIN-SECURITY-LSALOOKUP-L2-1-0.DLL
                    [D? ] API-MS-WIN-CORE-IO-L1-1-0.DLL
                    [D^6] BCRYPT.DLL
               [D^6] USER32.DLL
                    [F^6] NTDLL.DLL
          [D 6] DWMAPI.DLL
               [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
               [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL
               [ ^6] NTDLL.DLL
               [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL
               [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-3.DLL
               [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-2.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL
               [ ^6] WIN32U.DLL
               [ ^6] USER32.DLL
               [ ^6] GDI32.DLL
               [ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
               [D? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
               [D? ] EXT-MS-WIN-RTCORE-NTUSER-DPI-L1-2-0.DLL
               [D^6] DCOMP.DLL
          [D 6] IMM32.DLL
               [ ^6] NTDLL.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
               [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
               [ ? ] API-MS-WIN-SECURITY-BASE-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-WOW64-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-OBSOLETE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PRIVATEPROFILE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-APPCOMPAT-L1-1-0.DLL
               [ ^6] WIN32U.DLL
               [D^6] USER32.DLL
                    [F^6] NTDLL.DLL
               [D? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
               [D? ] API-MS-WIN-CORE-COM-PRIVATE-L1-1-0.DLL
               [D^6] GDI32.DLL
               [D^6] MSCTF.DLL
          [D^6] OLE32.DLL
          [D 6] OLEACC.DLL
               [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
               [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
               [ ^6] NTDLL.DLL
               [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
               [ ^6] RPCRT4.DLL
               [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-STRING-L2-1-0.DLL
               [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
               [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL
               [ ? ] API-MS-WIN-CORE-PSAPI-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-THREADPOOL-LEGACY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-OBSOLETE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-ATOMS-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
               [D^6] OLEAUT32.DLL
               [D? ] API-MS-WIN-CORE-COM-MIDLPROXYSTUB-L1-1-0.DLL
               [D? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
               [D^6] USER32.DLL
                    [F^6] NTDLL.DLL
               [D^6] GDI32.DLL
               [D^6] OLE32.DLL
                    [F^6] COMBASE.DLL
               [D^6] DWMAPI.DLL
          [D^6] SHELL32.DLL
          [D 6] WINDOWSCODECS.DLL
               [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
               [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-MARSHAL-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-COM-MIDLPROXYSTUB-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
               [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
               [ ? ] API-MS-WIN-CRT-MATH-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PATH-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
               [ ^6] NTDLL.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-OBSOLETE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
               [ ? ] API-MS-WIN-CORE-NORMALIZATION-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-STRINGANSI-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LARGEINTEGER-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
               [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
               [D^6] OLEAUT32.DLL
               [D^6] RPCRT4.DLL
               [D^6] BCRYPT.DLL
               [D? ] API-MS-WIN-BASE-UTIL-L1-1-0.DLL
               [D? ] EXT-MS-WIN-RTCORE-NTUSER-DC-ACCESS-L1-1-0.DLL
               [D? ] EXT-MS-WIN-NTUSER-GUI-L1-1-0.DLL
               [D? ] EXT-MS-WIN-NTUSER-MISC-L1-1-0.DLL
               [D? ] EXT-MS-WIN-GDI-DC-CREATE-L1-1-0.DLL
               [D? ] EXT-MS-WIN-GDI-DC-L1-2-0.DLL
               [D? ] EXT-MS-WIN-RTCORE-GDI-DEVCAPS-L1-1-0.DLL
               [D? ] EXT-MS-WIN-GDI-DRAW-L1-1-0.DLL
               [D? ] EXT-MS-WIN-RTCORE-GDI-OBJECT-L1-1-0.DLL
          [D^6] WINMM.DLL
          [D 6] DUSER.DLL
               [ ^6] MSVCRT.DLL
               [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-ATOMS-L1-1-0.DLL
               [ ^6] NTDLL.DLL
               [ ^6] USER32.DLL
                    [F^6] NTDLL.DLL
               [ ^6] GDI32.DLL
                    [F^6] WIN32U.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL
               [D^6] UXTHEME.DLL
               [D^6] GDIPLUS.DLL
               [D^6] D3D11.DLL
               [D^6] DXGI.DLL
               [D? ] EXT-MS-WIN-SYSMAIN-PFSAPI-L1-1-0.DLL
          [D? ] API-MS-WIN-SHCORE-SCALING-L1-1-1.DLL
          [D? ] API-MS-WIN-SHCORE-SCALING-L1-1-0.DLL
     [  6] COMDLG32.DLL
          [ ^6] MSVCP_WIN.DLL
          [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL
          [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
          [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
          [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL
          [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
          [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
          [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-STRING-L2-1-0.DLL
          [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
          [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
          [ ? ] API-MS-WIN-CORE-PATH-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-COM-L1-1-1.DLL
          [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-1.DLL
          [ ^6] RPCRT4.DLL
          [ ? ] API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL
          [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-PSAPI-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-WINRT-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-1.DLL
          [ ? ] API-MS-WIN-CORE-VERSION-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-1.DLL
          [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
          [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
          [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
          [ ^6] NTDLL.DLL
          [ ? ] API-MS-WIN-SHCORE-SCALING-L1-1-1.DLL
          [ ^6] USER32.DLL
               [F^6] NTDLL.DLL
          [ ? ] API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-LOCALIZATION-OBSOLETE-L1-2-0.DLL
          [ ? ] API-MS-WIN-SHCORE-UNICODEANSI-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-SHLWAPI-OBSOLETE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-SHLWAPI-LEGACY-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-HEAP-OBSOLETE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-LARGEINTEGER-L1-1-0.DLL
          [ ? ] API-MS-WIN-SHCORE-OBSOLETE-L1-1-0.DLL
          [ ? ] API-MS-WIN-SHCORE-STREAM-L1-1-0.DLL
          [ ? ] API-MS-WIN-SHCORE-COMHELPERS-L1-1-0.DLL
          [ ? ] API-MS-WIN-SHELL-SHELLCOM-L1-1-0.DLL
          [ ? ] API-MS-WIN-STATESEPARATION-HELPERS-L1-1-0.DLL
          [ ? ] API-MS-WIN-SHCORE-REGISTRY-L1-1-0.DLL
          [ ? ] API-MS-WIN-SHCORE-PATH-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-URL-L1-1-0.DLL
          [ ? ] API-MS-WIN-SHCORE-THREAD-L1-1-0.DLL
          [ ^6] SHLWAPI.DLL
               [FE6] SHCORE.DLL
          [ ^6] GDI32.DLL
          [ ^6] COMCTL32.DLL
          [ ^6] SHELL32.DLL
          [ ^6] KERNEL32.DLL
          [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
          [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
          [D^6] CLDAPI.DLL
          [D^6] MPR.DLL
          [D^6] OLEAUT32.DLL
          [D 6] DFSCLI.DLL
               [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
               [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
               [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
               [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
               [ ^6] RPCRT4.DLL
               [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
               [ ^6] NTDLL.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
               [D? ] API-MS-WIN-SECURITY-LSALOOKUP-L2-1-0.DLL
               [D^6] WLDAP32.DLL
               [D? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
               [D^6] NETUTILS.DLL
               [D^6] DSROLE.DLL
               [D^6] LOGONCLI.DLL
               [D? ] API-MS-WIN-CORE-REGISTRY-PRIVATE-L1-1-0.DLL
          [D^6] NETUTILS.DLL
          [D? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
          [D^6] WKSCLI.DLL
          [D^6] DSROLE.DLL
          [D^6] LOGONCLI.DLL
          [D? ] EXT-MS-WIN-EDPUTIL-POLICY-L1-1-0.DLL
          [D? ] EXT-MS-WIN-EDPUTIL-POLICY-L1-1-1.DLL
          [D? ] EXT-MS-WIN-SECURITY-EFSWRT-L1-1-0.DLL
          [D^6] DWMAPI.DLL
          [D? ] API-MS-WIN-CORE-REGISTRY-L2-1-0.DLL
          [D? ] EXT-MS-WIN32-SUBSYSTEM-QUERY-L1-1-0.DLL
          [D^6] OLE32.DLL
          [D^6] ACTIVEDS.DLL
          [D^6] IMM32.DLL
          [D 6] PRINTUI.DLL
               [ ^6] MSVCRT.DLL
               [ ^6] NTDLL.DLL
               [ ? ] API-MS-WIN-CORE-DATETIME-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-DATETIME-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL
               [ ? ] API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-OBSOLETE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SHLWAPI-OBSOLETE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PRIVATEPROFILE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LOCALIZATION-OBSOLETE-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
               [ ^6] ADVAPI32.DLL
                    [F^6] NTDLL.DLL
               [ ^6] USER32.DLL
                    [F^6] NTDLL.DLL
               [ ^6] GDI32.DLL
               [ ^6] WINSPOOL.DRV
               [ ^6] SETUPAPI.DLL
               [ ^6] SHELL32.DLL
               [ ^6] SHLWAPI.DLL
               [  6] PUIAPI.DLL
                    [ ^6] MSVCRT.DLL
                    [ ^6] NTDLL.DLL
                    [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL
                    [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-SHLWAPI-OBSOLETE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-HEAP-OBSOLETE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                    [ ^6] USER32.DLL
                         [F^6] NTDLL.DLL
                    [ ^6] WINSPOOL.DRV
                    [ ^6] SHLWAPI.DLL
                    [ ^6] KERNEL32.DLL
                         [F^6] NTDLL.DLL
                    [D^6] OLE32.DLL
                         [F? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
                    [D^6] OLEAUT32.DLL
                    [D^6] ACTIVEDS.DLL
                    [D^6] SHELL32.DLL
               [ ^6] KERNEL32.DLL
                    [F^6] NTDLL.DLL
               [D^6] OLE32.DLL
                    [F? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
               [D^6] OLEAUT32.DLL
               [D^6] ACTIVEDS.DLL
                    [F^6] ADSLDPC.DLL
               [D^6] CFGMGR32.DLL
               [D^6] MPR.DLL
               [D 6] ACLUI.DLL
                    [ ^6] MSVCRT.DLL
                    [ ^6] SHELL32.DLL
                    [ ^6] SHLWAPI.DLL
                         [FE6] SHCORE.DLL
                    [ ^6] ADVAPI32.DLL
                         [F^6] NTDLL.DLL
                    [ ^6] GDI32.DLL
                    [ ^6] KERNEL32.DLL
                         [F^6] NTDLL.DLL
                         [F? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                    [ ^6] NTDLL.DLL
                    [ ^6] NTDSAPI.DLL
                    [ ^6] OLE32.DLL
                         [F? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
                    [ ^6] OLEAUT32.DLL
                    [ ^6] USER32.DLL
                         [F^6] NTDLL.DLL
                    [ ^6] XMLLITE.DLL
                    [D^6] UXTHEME.DLL
                    [D? ] API-MS-WIN-SECURITY-SDDLPARSECOND-L1-1-0.DLL
                    [D? ] API-MS-WIN-SECURITY-SDDLPARSECOND-L1-1-1.DLL
                    [D^6] DSROLE.DLL
                    [D^6] DSPARSE.DLL
                    [D^6] AUTHZ.DLL
                    [D^6] LOGONCLI.DLL
                    [D^6] NETUTILS.DLL
                    [D^6] SAMCLI.DLL
                    [D^6] SECUR32.DLL
                    [D^6] DUI70.DLL
                    [D^6] DUSER.DLL
               [D^6] WTSAPI32.DLL
               [D^6] PRINT.PRINTSUPPORT.SOURCE.DLL
               [D? ] API-MS-WIN-SHCORE-OBSOLETE-L1-1-0.DLL
               [D^6] COMCTL32.DLL
               [D^6] IPHLPAPI.DLL
               [D^6] SSPICLI.DLL
               [D^6] WS2_32.DLL
               [D^6] SECUR32.DLL
               [D^6] DSROLE.DLL
               [D^6] LOGONCLI.DLL
               [D^6] NETUTILS.DLL
               [D^6] NTDSAPI.DLL
               [D^6] CRYPT32.DLL
          [D^6] WINSPOOL.DRV
          [D^6] UXTHEME.DLL
          [D 6] FMS.DLL
               [ ^6] MSVCRT.DLL
               [ ^6] KERNEL32.DLL
                    [F^6] NTDLL.DLL
                    [F? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
               [ ^6] ADVAPI32.DLL
                    [F^6] NTDLL.DLL
               [ ^6] USER32.DLL
               [ ^6] SHLWAPI.DLL
               [ ^6] GDI32.DLL
               [ ^6] BCP47LANGS.DLL
               [D^6] XMLLITE.DLL
          [D^6] URLMON.DLL
          [D^6] PROPSYS.DLL
          [D^6] DUI70.DLL
     [  6] GDI32.DLL
          [ ^6] NTDLL.DLL
          [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
          [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
          [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
          [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
          [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
          [ ^6] WIN32U.DLL
          [ ? ] API-MS-WIN-GDI-INTERNAL-UAP-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
          [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
          [D? ] EXT-MS-WIN-GDI-DC-L1-2-1.DLL
          [D? ] EXT-MS-WIN-GDI-DC-L1-2-0.DLL
          [D? ] EXT-MS-WIN-GDI-DC-CREATE-L1-1-0.DLL
          [D? ] EXT-MS-WIN-GDI-DRAW-L1-1-3.DLL
          [D? ] EXT-MS-WIN-GDI-DRAW-L1-1-2.DLL
          [D? ] EXT-MS-WIN-GDI-DRAW-L1-1-1.DLL
          [D? ] EXT-MS-WIN-GDI-DRAW-L1-1-0.DLL
          [D? ] EXT-MS-WIN-GDI-FONT-L1-1-2.DLL
          [D? ] EXT-MS-WIN-GDI-FONT-L1-1-0.DLL
          [D? ] EXT-MS-WIN-GDI-FONT-L1-1-1.DLL
          [D? ] EXT-MS-WIN-GDI-FONT-L1-1-3.DLL
          [D? ] EXT-MS-WIN-GDI-METAFILE-L1-1-2.DLL
          [D? ] EXT-MS-WIN-GDI-METAFILE-L1-1-1.DLL
          [D? ] EXT-MS-WIN-GDI-METAFILE-L1-1-0.DLL
          [D? ] EXT-MS-WIN-GDI-PATH-L1-1-0.DLL
          [D? ] EXT-MS-WIN-GDI-PRINT-L1-1-0.DLL
          [D? ] EXT-MS-WIN-GDI-PRIVATE-L1-1-0.DLL
          [D? ] EXT-MS-WIN-GDI-WCS-L1-1-0.DLL
          [D? ] EXT-MS-WIN-GDI-CLIPPING-L1-1-0.DLL
          [D? ] EXT-MS-WIN-GDI-INTERNAL-UAP-INIT-L1-1-0.DLL
          [D? ] EXT-MS-WIN-GDI-INTERNAL-DESKTOP-L1-1-0.DLL
          [D? ] EXT-MS-WIN-GDI-INTERNAL-DESKTOP-L1-1-1.DLL
          [D? ] EXT-MS-WIN-GDI-INTERNAL-DESKTOP-L1-1-3.DLL
          [D? ] EXT-MS-WIN-GDI-INTERNAL-DESKTOP-L1-1-2.DLL
          [D? ] EXT-MS-WIN-GDI-INTERNAL-DESKTOP-L1-1-4.DLL
          [D? ] EXT-MS-WIN-GDI-EDGEGDI-L1-1-0.DLL
     [  6] LIBGMP-10.DLL
          [ ^6] KERNEL32.DLL
               [F^6] NTDLL.DLL
          [ ^6] MSVCRT.DLL
     [  6] KERNEL32.DLL
          [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-2-2.DLL
          [ ^6] NTDLL.DLL
          [ ^6] KERNELBASE.DLL
          [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-3.DLL
          [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-2.DLL
          [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
          [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
          [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-1.DLL
          [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-2.DLL
          [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-1.DLL
          [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
          [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-FILE-L1-2-0.DLL
          [ ? ] API-MS-WIN-CORE-FILE-L1-2-2.DLL
          [ ? ] API-MS-WIN-CORE-FILE-L1-2-4.DLL
          [ ? ] API-MS-WIN-CORE-FILE-L1-2-1.DLL
          [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-IO-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-IO-L1-1-1.DLL
          [ ? ] API-MS-WIN-CORE-JOB-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-THREADPOOL-LEGACY-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-THREADPOOL-PRIVATE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-LARGEINTEGER-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-3.DLL
          [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-2.DLL
          [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
          [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL
          [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L2-1-0.DLL
          [ ? ] API-MS-WIN-CORE-NAMEDPIPE-L1-2-2.DLL
          [ ? ] API-MS-WIN-CORE-NAMEDPIPE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-NAMEDPIPE-L1-2-1.DLL
          [ ? ] API-MS-WIN-CORE-DATETIME-L1-1-1.DLL
          [ ? ] API-MS-WIN-CORE-DATETIME-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-DATETIME-L1-1-2.DLL
          [ ? ] API-MS-WIN-CORE-SYSINFO-L1-2-0.DLL
          [ ? ] API-MS-WIN-CORE-SYSINFO-L1-2-1.DLL
          [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-SYSINFO-L1-2-3.DLL
          [ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
          [ ? ] API-MS-WIN-CORE-PROCESSSNAPSHOT-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-2-0.DLL
          [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-1.DLL
          [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-3.DLL
          [ ? ] API-MS-WIN-CORE-FIBERS-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
          [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
          [ ? ] API-MS-WIN-SECURITY-BASE-L1-2-0.DLL
          [ ? ] API-MS-WIN-SECURITY-APPCONTAINER-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-COMM-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-REALTIME-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-WOW64-L1-1-1.DLL
          [ ? ] API-MS-WIN-CORE-WOW64-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-WOW64-L1-1-3.DLL
          [ ? ] API-MS-WIN-CORE-SYSTEMTOPOLOGY-L1-1-1.DLL
          [ ? ] API-MS-WIN-CORE-SYSTEMTOPOLOGY-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-PROCESSTOPOLOGY-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-NAMESPACE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-FILE-L2-1-2.DLL
          [ ? ] API-MS-WIN-CORE-FILE-L2-1-0.DLL
          [ ? ] API-MS-WIN-CORE-FILE-L2-1-1.DLL
          [ ? ] API-MS-WIN-CORE-FILE-L2-1-3.DLL
          [ ? ] API-MS-WIN-CORE-XSTATE-L2-1-0.DLL
          [ ? ] API-MS-WIN-CORE-XSTATE-L2-1-1.DLL
          [ ? ] API-MS-WIN-CORE-XSTATE-L2-1-2.DLL
          [ ? ] API-MS-WIN-CORE-LOCALIZATION-L2-1-0.DLL
          [ ? ] API-MS-WIN-CORE-NORMALIZATION-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-HEAP-OBSOLETE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-FIBERS-L2-1-0.DLL
          [ ? ] API-MS-WIN-CORE-FIBERS-L2-1-1.DLL
          [ ? ] API-MS-WIN-CORE-LOCALIZATION-PRIVATE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-SIDEBYSIDE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-APPCOMPAT-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-WINDOWSERRORREPORTING-L1-1-1.DLL
          [ ? ] API-MS-WIN-CORE-WINDOWSERRORREPORTING-L1-1-2.DLL
          [ ? ] API-MS-WIN-CORE-WINDOWSERRORREPORTING-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-WINDOWSERRORREPORTING-L1-1-3.DLL
          [ ? ] API-MS-WIN-CORE-CONSOLE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-CONSOLE-L1-2-0.DLL
          [ ? ] API-MS-WIN-CORE-CONSOLE-L1-2-1.DLL
          [ ? ] API-MS-WIN-CORE-CONSOLE-L2-1-0.DLL
          [ ? ] API-MS-WIN-CORE-CONSOLE-L2-2-0.DLL
          [ ? ] API-MS-WIN-CORE-CONSOLE-L3-2-0.DLL
          [ ? ] API-MS-WIN-CORE-PSAPI-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-PSAPI-ANSI-L1-1-0.DLL
          [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
          [ ? ] API-MS-WIN-CORE-APPCOMPAT-L1-1-1.DLL
          [D? ] EXT-MS-WIN-OOBE-QUERY-L1-1-0.DLL
          [D? ] EXT-MS-WIN-PACKAGEVIRTUALIZATIONCONTEXT-L1-1-0.DLL
          [D^6] RPCRT4.DLL
          [F^6] NTDLL.DLL
          [F? ] API-MS-WIN-CORE-NAMEDPIPE-L1-2-1.DLL
     [  6] MPR.DLL
          [ ^6] NTDLL.DLL
          [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
          [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
          [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
          [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-CONSOLE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
          [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
          [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-1.DLL
          [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
          [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
          [D^6] SSPICLI.DLL
          [D? ] EXT-MS-WIN-MPR-MULTIPLEPROVIDERROUTER-L1-1-0.DLL
     [  6] MSVCRT.DLL
          [ ^6] NTDLL.DLL
          [ ? ] API-MS-WIN-CORE-CONSOLE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-CONSOLE-L1-2-0.DLL
          [ ? ] API-MS-WIN-CORE-DATETIME-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-FIBERS-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
          [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
          [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-NAMEDPIPE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
          [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.DLL
          [ ^6] KERNELBASE.DLL
          [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
     [  6] OLE32.DLL
          [ ^6] MSVCP_WIN.DLL
          [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL
          [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
          [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
          [ ^6] NTDLL.DLL
          [ ^6] KERNELBASE.DLL
          [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
          [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-WOW64-L1-1-1.DLL
          [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
          [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
          [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-STRING-L2-1-0.DLL
          [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL
          [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
          [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
          [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
          [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-1.DLL
          [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-PSAPI-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-FILE-L1-2-4.DLL
          [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-2-0.DLL
          [ ? ] API-MS-WIN-CORE-WOW64-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-KERNEL32-PRIVATE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-HEAP-OBSOLETE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-STRINGANSI-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-ATOMS-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-THREADPOOL-LEGACY-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-SIDEBYSIDE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-1.DLL
          [ ^6] GDI32.DLL
          [ ^6] USER32.DLL
               [F^6] NTDLL.DLL
          [ ^6] COMBASE.DLL
          [ ? ] API-MS-WIN-CORE-PSM-KEY-L1-1-0.DLL
          [ ^6] KERNEL32.DLL
               [F^6] NTDLL.DLL
          [ ? ] API-MS-WIN-CORE-QUIRKS-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
          [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
          [D^6] OLEAUT32.DLL
          [D? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
          [D^6] MPR.DLL
          [D^6] RPCRT4.DLL
          [D? ] API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL
          [D? ] API-MS-WIN-CORE-COM-MIDLPROXYSTUB-L1-1-0.DLL
          [D? ] API-MS-WIN-CORE-WINRT-L1-1-0.DLL
          [D? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-0.DLL
          [D? ] API-MS-WIN-CORE-COM-L1-1-2.DLL
          [D? ] API-MS-WIN-CORE-COM-PRIVATE-L1-1-0.DLL
          [D? ] API-MS-WIN-CORE-COM-PRIVATE-L1-3-1.DLL
          [D? ] API-MS-WIN-CORE-COM-PRIVATE-L1-3-0.DLL
          [D? ] API-MS-WIN-CORE-COM-PRIVATE-L1-1-1.DLL
          [D? ] API-MS-WIN-CORE-SHLWAPI-LEGACY-L1-1-0.DLL
          [D? ] API-MS-WIN-EVENTLOG-LEGACY-L1-1-0.DLL
          [D? ] API-MS-WIN-CORE-REGISTRY-L2-1-0.DLL
          [D? ] API-MS-WIN-CORE-MARSHAL-L1-1-0.DLL
          [D 6] COML2.DLL
               [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
               [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-COM-PRIVATE-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-COM-PRIVATE-L1-1-0.DLL
               [ ^6] NTDLL.DLL
               [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-FILE-L1-2-4.DLL
               [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-IO-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
               [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-STRING-L2-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-OBSOLETE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL
               [ ^6] MSVCP_WIN.DLL
               [ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL
               [ ^6] BCRYPTPRIMITIVES.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
               [D? ] EXT-MS-WIN-KERNEL32-FILE-L1-1-0.DLL
               [D^6] OLEAUT32.DLL
          [D^6] ADVAPI32.DLL
          [D^6] SHELL32.DLL
          [D 6] SERVICINGCOMMON.DLL
               [ ^6] KERNEL32.DLL
                    [F^6] NTDLL.DLL
               [ ^6] NTDLL.DLL
               [D^6] ADVAPI32.DLL
               [D^6] OLE32.DLL
                    [F? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
               [D^6] BCRYPT.DLL
          [D^6] WTDCCM.DLL
          [D? ] EXT-MS-WIN-SXS-OLEAUTOMATION-L1-1-0.DLL
          [D? ] EXT-MS-WIN32-SUBSYSTEM-QUERY-L1-1-0.DLL
          [D? ] API-MS-WIN-CORE-COM-L2-1-1.DLL
          [D? ] EXT-MS-WIN-EDPUTIL-POLICY-L1-1-0.DLL
          [D? ] EXT-MS-WIN-FECLIENT-ENCRYPTEDFILE-L1-1-0.DLL
          [D? ] API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DLL
          [D? ] API-MS-WIN-SERVICE-WINSVC-L1-1-0.DLL
          [D? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
          [D? ] API-MS-WIN-CORE-COM-PRIVATE-L1-2-0.DLL
          [F? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
     [  6] LIBWINPTHREAD-1.DLL
          [ ^6] KERNEL32.DLL
               [F^6] NTDLL.DLL
          [ ^6] MSVCRT.DLL
     [  6] SHELL32.DLL
          [ ^6] MSVCP_WIN.DLL
          [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL
          [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
          [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
          [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
          [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL
          [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-STRING-L2-1-0.DLL
          [ ? ] API-MS-WIN-CORE-FILE-L2-1-0.DLL
          [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
          [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
          [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
          [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
          [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-PSAPI-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-PATH-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-FILE-L1-2-0.DLL
          [ ? ] API-MS-WIN-CORE-IO-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-DATETIME-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-SYSINFO-L1-2-0.DLL
          [ ? ] API-MS-WIN-CORE-STRING-L2-1-1.DLL
          [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-1.DLL
          [ ? ] API-MS-WIN-CORE-FILE-L2-1-2.DLL
          [ ? ] API-MS-WIN-CORE-FILE-L1-2-1.DLL
          [ ? ] API-MS-WIN-CORE-FILE-L1-2-4.DLL
          [ ? ] API-MS-WIN-CORE-WOW64-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-WOW64-L1-1-1.DLL
          [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-2.DLL
          [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
          [ ? ] API-MS-WIN-CORE-REALTIME-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-LOCALIZATION-L2-1-0.DLL
          [ ? ] API-MS-WIN-CORE-IO-L1-1-1.DLL
          [ ? ] API-MS-WIN-CORE-VERSION-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-SYSINFO-L1-2-3.DLL
          [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-1.DLL
          [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
          [ ? ] API-MS-WIN-EVENTING-CLASSICPROVIDER-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-SHLWAPI-OBSOLETE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-STRINGANSI-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-HEAP-OBSOLETE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-LOCALIZATION-OBSOLETE-L1-2-0.DLL
          [ ? ] API-MS-WIN-CORE-PRIVATEPROFILE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-ATOMS-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-SHLWAPI-LEGACY-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-1.DLL
          [ ? ] API-MS-WIN-CORE-THREADPOOL-LEGACY-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-2.DLL
          [ ? ] API-MS-WIN-CORE-URL-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-REGISTRYUSERSPECIFIC-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-KERNEL32-PRIVATE-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-SIDEBYSIDE-L1-1-0.DLL
          [ ? ] API-MS-WIN-SHELL-SHELLCOM-L1-1-0.DLL
          [ ^6] KERNELBASE.DLL
          [ ^6] USER32.DLL
               [F^6] NTDLL.DLL
          [ ^6] NTDLL.DLL
          [ ^6] GDI32.DLL
          [ ? ] API-MS-WIN-STATESEPARATION-HELPERS-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-JOB-L2-1-0.DLL
          [ ? ] API-MS-WIN-CRT-TIME-L1-1-0.DLL
          [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
          [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
          [D? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
          [D? ] API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL
          [D? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-0.DLL
          [D^6] OLEAUT32.DLL
          [D^6] USERENV.DLL
          [D? ] API-MS-WIN-CORE-COM-L1-1-1.DLL
          [D^6] RPCRT4.DLL
          [D? ] API-MS-WIN-CORE-WINRT-L1-1-0.DLL
          [D^6] MPR.DLL
          [D^6] SSPICLI.DLL
          [D^6] SAMCLI.DLL
          [D^6] NETUTILS.DLL
          [D? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
          [D^6] IPHLPAPI.DLL
          [D? ] API-MS-WIN-SECURITY-LSALOOKUP-L2-1-0.DLL
          [D^6] SRVCLI.DLL
          [D^6] CRYPT32.DLL
          [D? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-1.DLL
          [D^6] WKSCLI.DLL
          [D? ] API-MS-WIN-POWER-BASE-L1-1-0.DLL
          [D^6] WS2_32.DLL
          [D? ] API-MS-WIN-DEVICES-CONFIG-L1-1-1.DLL
          [D? ] API-MS-WIN-CORE-COM-L1-1-2.DLL
          [D^6] BCRYPT.DLL
          [D? ] API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DLL
          [D? ] API-MS-WIN-SERVICE-WINSVC-L1-1-0.DLL
          [D? ] API-MS-WIN-SHCORE-OBSOLETE-L1-1-0.DLL
          [D? ] API-MS-WIN-CORE-REGISTRY-L2-1-0.DLL
          [D? ] API-MS-WIN-SECURITY-PROVIDER-L1-1-0.DLL
          [D? ] API-MS-WIN-SECURITY-LSALOOKUP-L1-1-0.DLL
          [D? ] API-MS-WIN-CORE-COM-PRIVATE-L1-1-0.DLL
          [D? ] API-MS-WIN-DEVICES-QUERY-L1-1-0.DLL
          [D? ] API-MS-WIN-SECURITY-LSAPOLICY-L1-1-0.DLL
          [D^6] DEVOBJ.DLL
          [D^6] CRYPTSP.DLL
          [D? ] API-MS-WIN-SHCORE-REGISTRY-L1-1-0.DLL
          [D? ] API-MS-WIN-SHCORE-UNICODEANSI-L1-1-0.DLL
          [D? ] API-MS-WIN-SHCORE-PATH-L1-1-0.DLL
          [D? ] API-MS-WIN-SHCORE-STREAM-L1-1-0.DLL
          [D? ] API-MS-WIN-SHCORE-THREAD-L1-1-0.DLL
          [D? ] API-MS-WIN-SHCORE-COMHELPERS-L1-1-0.DLL
          [D? ] API-MS-WIN-SHCORE-REGISTRY-L1-1-1.DLL
          [D? ] API-MS-WIN-SHCORE-TASKPOOL-L1-1-0.DLL
          [D? ] API-MS-WIN-SHCORE-SYSINFO-L1-1-0.DLL
          [D? ] API-MS-WIN-SHCORE-STREAM-WINRT-L1-1-0.DLL
          [D? ] API-MS-WIN-SHCORE-SCALING-L1-1-1.DLL
          [D^6] SHCORE.DLL
          [D? ] API-MS-WIN-STORAGE-EXPORTS-INTERNAL-L1-1-0.DLL
          [D? ] API-MS-WIN-STORAGE-EXPORTS-EXTERNAL-L1-1-0.DLL
          [D? ] API-MS-WIN-STORAGE-EXPORTS-EXTERNAL-L1-1-2.DLL
          [D? ] API-MS-WIN-WINRT-SEARCH-FOLDER-L1-1-1.DLL
          [D? ] API-MS-WIN-WINRT-SEARCH-FOLDER-L1-1-0.DLL
          [D? ] API-MS-WIN-SHLWAPI-IE-L1-1-0.DLL
          [D^6] SHLWAPI.DLL
          [D? ] EXT-MS-ONECORE-APPDEFAULTS-L1-1-0.DLL
          [D? ] EXT-MS-ONECORE-APPMODEL-STATEREPOSITORY-INTERNAL-L1-1-3.DLL
          [D? ] API-MS-WIN-SHELL-CHANGENOTIFY-L1-1-0.DLL
          [D? ] API-MS-WIN-SHELL-CHANGENOTIFY-L1-1-1.DLL
          [D? ] API-MS-WIN-SHELL-SHELLFOLDERS-L1-1-0.DLL
          [D? ] EXT-MS-WIN-SEARCH-FOLDER-L1-1-1.DLL
          [D? ] EXT-MS-WIN-DOMAINJOIN-NETJOIN-L1-1-0.DLL
          [D? ] EXT-MS-WIN-COM-OLE32-L1-1-1.DLL
          [D? ] EXT-MS-WIN-COM-OLE32-L1-1-5.DLL
          [D? ] EXT-MS-WIN-COM-OLE32-L1-1-0.DLL
          [D? ] EXT-MS-WIN-COM-OLE32-L1-1-3.DLL
          [D? ] EXT-MS-WIN-COM-OLE32-L1-1-4.DLL
          [D? ] EXT-MS-WIN-COM-STA-L1-1-0.DLL
          [D? ] EXT-MS-WIN-OLE32-BINDCTX-L1-1-0.DLL
          [D? ] EXT-MS-WIN32-SUBSYSTEM-QUERY-L1-1-0.DLL
          [D^6] OLE32.DLL
          [D^6] ADVAPI32.DLL
          [D^6] WINMM.DLL
          [D^6] MSILTCFG.DLL
          [D 6] DEVMGR.DLL
               [ ^6] MSVCRT.DLL
               [ ^6] NTDLL.DLL
               [ ^6] KERNEL32.DLL
                    [F? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                    [F^6] NTDLL.DLL
               [ ^6] USER32.DLL
                    [F^6] NTDLL.DLL
               [ ^6] OLE32.DLL
                    [F? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
               [ ^6] ADVAPI32.DLL
                    [F^6] NTDLL.DLL
               [ ^6] GDI32.DLL
               [ ^6] SETUPAPI.DLL
                    [F^6] CFGMGR32.DLL
                    [F^6] DEVRTL.DLL
               [  6] NEWDEV.DLL
                    [ ^6] MSVCRT.DLL
                    [ ^6] NTDLL.DLL
                    [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SIDEBYSIDE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                    [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                    [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                    [ ? ] API-MS-WIN-EVENTING-CLASSICPROVIDER-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SHLWAPI-LEGACY-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL
                    [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-WOW64-L1-1-1.DLL
                    [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-WOW64-L1-1-0.DLL
                    [ ? ] API-MS-WIN-SHCORE-OBSOLETE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-DEVICES-CONFIG-L1-1-1.DLL
                    [ ? ] API-MS-WIN-CORE-SYSINFO-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-WINRT-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                    [  6] WOFUTIL.DLL
                         [ ^6] MSVCRT.DLL
                         [ ^6] NTDLL.DLL
                         [ ? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-1.DLL
                         [ ? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-IO-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-FILE-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                         [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYSINFO-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-PSAPI-L1-1-0.DLL
                    [ ^6] KERNEL32.DLL
                         [F^6] NTDLL.DLL
                    [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                    [ ^6] DEVRTL.DLL
                    [D? ] API-MS-WIN-DEVICES-QUERY-L1-1-0.DLL
                    [D? ] API-MS-WIN-SECURITY-PROVIDER-L1-1-0.DLL
                    [D^6] CFGMGR32.DLL
                    [D^6] GDI32.DLL
                    [D^6] WININET.DLL
                    [D^6] DRVSTORE.DLL
                    [D^6] USER32.DLL
                    [D^6] SETUPAPI.DLL
                         [F^6] DEVRTL.DLL
                    [D^6] SHELL32.DLL
                    [D? ] EXT-MS-WIN-COM-STA-L1-1-0.DLL
                    [D? ] EXT-MS-WIN-COM-OLE32-L1-1-0.DLL
                    [D? ] EXT-MS-WIN-COM-OLE32-L1-1-5.DLL
                    [D? ] EXT-MS-WIN-DRIVER-SETUP-L1-1-0.DLL
                    [D? ] EXT-MS-WIN-DRIVER-SETUP-WU-L1-1-0.DLL
                    [D? ] EXT-MS-WIN-DRIVER-SETUP-WU-L1-1-1.DLL
                    [D? ] EXT-MS-WIN-SHELL-SHLWAPI-L1-2-0.DLL
                    [D? ] EXT-MS-WIN-UXTHEME-THEMES-L1-1-0.DLL
               [ ^6] VERSION.DLL
               [ ^6] SHELL32.DLL
               [ ^6] SHLWAPI.DLL
               [ ^6] UXTHEME.DLL
               [ ^6] WEVTAPI.DLL
               [ ? ] API-MS-WIN-DEVICES-QUERY-L1-1-0.DLL
               [D^6] DRVSTORE.DLL
               [D^6] APPHELP.DLL
          [D^6] DWMAPI.DLL
          [D^6] URLMON.DLL
          [D^6] WININET.DLL
          [D 6] SECUR32.DLL
               [ ^6] NTDLL.DLL
               [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
               [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
               [ ? ] API-MS-WIN-SECURITY-ACTIVEDIRECTORYCLIENT-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
               [D^6] DSPARSE.DLL
               [D^6] LOGONCLI.DLL
               [D^6] NETUTILS.DLL
               [D? ] API-MS-WIN-SECURITY-LSAPOLICY-L1-1-0.DLL
          [D^6] OLEACC.DLL
          [D^6] DSREG.DLL
          [D 6] DAVHLPR.DLL
               [ ^6] MSVCRT.DLL
               [ ^6] NTDLL.DLL
               [ ^6] KERNEL32.DLL
                    [F^6] NTDLL.DLL
               [D? ] API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DLL
               [D? ] API-MS-WIN-SERVICE-MANAGEMENT-L2-1-0.DLL
               [D? ] API-MS-WIN-SERVICE-WINSVC-L1-1-0.DLL
               [D^6] NETUTILS.DLL
          [D 6] CSCAPI.DLL
               [ ^6] MSVCRT.DLL
               [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-OBSOLETE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
               [ ^6] NTDLL.DLL
               [ ? ] API-MS-WIN-CORE-PATH-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
               [D? ] API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DLL
               [D? ] API-MS-WIN-SERVICE-MANAGEMENT-L2-1-0.DLL
          [D^6] UXTHEME.DLL
          [D 6] NTSHRUI.DLL
               [ ^6] MSVCP_WIN.DLL
               [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
               [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
               [ ^6] SHCORE.DLL
               [ ^6] SHELL32.DLL
               [ ^6] SHLWAPI.DLL
               [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
               [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PATH-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL
               [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-COM-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-WINRT-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-1.DLL
               [ ^6] SSPICLI.DLL
               [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
               [ ? ] API-MS-WIN-SECURITY-BASE-PRIVATE-L1-1-0.DLL
               [ ? ] API-MS-WIN-SECURITY-LSAPOLICY-L1-1-0.DLL
               [ ? ] API-MS-WIN-SECURITY-ACTIVEDIRECTORYCLIENT-L1-1-0.DLL
               [ ? ] API-MS-WIN-SECURITY-LSALOOKUP-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SIDEBYSIDE-L1-1-0.DLL
               [ ? ] API-MS-WIN-SECURITY-LSALOOKUP-L1-1-1.DLL
               [ ? ] API-MS-WIN-STORAGE-EXPORTS-INTERNAL-L1-1-0.DLL
               [ ^6] NTDLL.DLL
               [ ^6] GDI32.DLL
               [ ^6] KERNEL32.DLL
               [ ^6] PROPSYS.DLL
               [ ^6] USER32.DLL
                    [F^6] NTDLL.DLL
               [ ? ] API-MS-WIN-STATESEPARATION-HELPERS-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
               [D^6] UXTHEME.DLL
               [D^6] NETUTILS.DLL
               [D^6] SRVCLI.DLL
               [D? ] API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DLL
               [D? ] API-MS-WIN-SERVICE-WINSVC-L1-1-0.DLL
               [D? ] API-MS-WIN-SERVICE-MANAGEMENT-L2-1-0.DLL
               [D^6] OLEAUT32.DLL
               [D? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
               [D? ] API-MS-WIN-SECURITY-LSALOOKUP-L2-1-0.DLL
               [D^6] USERENV.DLL
               [D? ] API-MS-WIN-POWER-SETTING-L1-1-0.DLL
               [D? ] API-MS-WIN-POWER-BASE-L1-1-0.DLL
               [D^6] LOGONCLI.DLL
               [D^6] SAMCLI.DLL
               [D 6] ACTIVEDS.DLL
                    [ ^6] MSVCRT.DLL
                    [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                    [ ^6] NTDLL.DLL
                    [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                    [  6] ADSLDPC.DLL
                         [ ^6] MSVCRT.DLL
                         [ ^6] WLDAP32.DLL
                         [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                         [ ^6] NTDLL.DLL
                         [ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DL=
L
                         [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                         [D^6] WS2_32.DLL
                         [D^6] USERENV.DLL
                         [D? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                         [D^6] SSPICLI.DLL
                         [D? ] API-MS-WIN-SECURITY-LSAPOLICY-L1-1-0.DLL
                         [D^6] WKSCLI.DLL
                         [D^6] NETUTILS.DLL
                         [D^6] LOGONCLI.DLL
                         [D? ] API-MS-WIN-SECURITY-LSALOOKUP-L2-1-0.DLL
                         [D? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                         [D^6] CRYPT32.DLL
                              [F^6] DPAPI.DLL
                         [D? ] EXT-MS-WIN-SECURITY-CREDUI-L1-1-1.DLL
                         [D? ] EXT-MS-WIN-ADVAPI32-LSA-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                    [D^6] OLEAUT32.DLL
                    [D? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
                    [D? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                    [D? ] API-MS-WIN-SECURITY-PROVIDER-L1-1-0.DLL
                    [D^6] SRVCLI.DLL
                    [D^6] NETUTILS.DLL
                    [D? ] API-MS-WIN-CORE-REGISTRY-L2-1-0.DLL
                    [D? ] API-MS-WIN-SECURITY-LSAPOLICY-L1-1-0.DLL
                    [D? ] API-MS-WIN-SECURITY-LOGON-L1-1-1.DLL
                    [D? ] API-MS-WIN-SECURITY-LSALOOKUP-L2-1-0.DLL
                    [D? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
                    [D? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                    [D^6] CRYPT32.DLL
                         [F^6] DPAPI.DLL
                    [D? ] EXT-MS-WIN-COM-OLE32-L1-1-0.DLL
                    [D? ] EXT-MS-WIN-COM-OLE32-L1-1-1.DLL
                    [D? ] API-MS-WIN-OLE32-IE-L1-1-0.DLL
                    [D? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
               [D^6] ADVAPI32.DLL
               [D^6] NTDSAPI.DLL
               [D^6] OLE32.DLL
               [D^6] SECUR32.DLL
               [D^6] WINSPOOL.DRV
          [D^6] EFSUTIL.DLL
          [D 6] POWRPROF.DLL
               [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
               [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL
               [ ^6] NTDLL.DLL
               [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
               [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
               [ ^6] RPCRT4.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LOCALIZATION-PRIVATE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
               [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-REALTIME-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
               [D 6] WMICLNT.DLL
                    [ ^6] NTDLL.DLL
                    [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-LOCALIZATION-OBSOLETE-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-IO-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                    [D? ] API-MS-WIN-DEVICES-CONFIG-L1-1-1.DLL
               [D? ] API-MS-WIN-DEVICES-QUERY-L1-1-0.DLL
               [D? ] API-MS-WIN-SERVICE-PRIVATE-L1-1-0.DLL
               [D^6] UMPDC.DLL
          [D 6] SHDOCVW.DLL
               [ ^6] SHELL32.DLL
               [ ^6] SHLWAPI.DLL
                    [FE6] SHCORE.DLL
               [ ^6] MSVCRT.DLL
               [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL
               [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
               [ ? ] API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
               [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-WINRT-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-VERSION-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-VERSION-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
               [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-SIDEBYSIDE-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL
               [ ? ] API-MS-WIN-SHCORE-TASKPOOL-L1-1-0.DLL
               [ ^6] NTDLL.DLL
               [ ^6] GDI32.DLL
               [ ^6] USER32.DLL
                    [F^6] NTDLL.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
               [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
               [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
               [D^6] OLEAUT32.DLL
               [D^6] CRYPT32.DLL
               [D? ] EXT-MS-WIN32-SUBSYSTEM-QUERY-L1-1-0.DLL
               [D^6] WLDP.DLL
               [D^6] WINTRUST.DLL
               [D^6] URLMON.DLL
               [D 6] TWINAPI.DLL
                    [ ^6] MSVCRT.DLL
                    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                    [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.DLL
                    [ ? ] API-MS-WIN-EVENTING-CLASSICPROVIDER-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                    [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-1.DLL
                    [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-ATOMS-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-THREADPOOL-LEGACY-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-LOCALIZATION-OBSOLETE-L1-2-0.DLL
                    [ ^6] NTDLL.DLL
                    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYSINFO-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL
                    [D? ] API-MS-WIN-SHCORE-THREAD-L1-1-0.DLL
                    [D? ] API-MS-WIN-SHCORE-TASKPOOL-L1-1-0.DLL
                    [D? ] API-MS-WIN-SHCORE-SCALING-L1-1-0.DLL
                    [D? ] API-MS-WIN-SHCORE-COMHELPERS-L1-1-0.DLL
                    [D? ] API-MS-WIN-SHCORE-STREAM-L1-1-0.DLL
                    [D? ] API-MS-WIN-SHCORE-SCALING-L1-1-1.DLL
                    [D? ] API-MS-WIN-SHCORE-STREAM-WINRT-L1-1-0.DLL
                    [D? ] API-MS-WIN-SHCORE-REGISTRY-L1-1-0.DLL
                    [D^6] SHCORE.DLL
                    [D^6] TWINAPI.APPCORE.DLL
                    [D^6] SHLWAPI.DLL
                    [D? ] API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL
                    [D? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-0.DLL
                    [D? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
                    [D? ] API-MS-WIN-CORE-COM-L1-1-1.DLL
                    [D? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-1.DLL
                    [D? ] API-MS-WIN-CORE-WINRT-L1-1-0.DLL
                    [D^6] OLEAUT32.DLL
                    [D? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
                    [D? ] API-MS-WIN-APPMODEL-RUNTIME-L1-1-0.DLL
                    [D? ] API-MS-WIN-SECURITY-CAPABILITY-L1-1-0.DLL
                    [D? ] EXT-MS-WIN32-SUBSYSTEM-QUERY-L1-1-0.DLL
                    [D^6] BCP47LANGS.DLL
                    [D^6] COMBASE.DLL
                    [D^6] GDI32.DLL
                    [D^6] IMM32.DLL
                    [D^6] USER32.DLL
                         [F^6] NTDLL.DLL
                    [D 6] TEXTINPUTFRAMEWORK.DLL
                         [ ^6] MSVCRT.DLL
                         [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                         [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-3.DLL
                         [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-2.DLL
                         [ ^6] OLEAUT32.DLL
                         [ ^6] RPCRT4.DLL
                         [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                         [ ^6] NTDLL.DLL
                         [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                         [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                         [ ? ] API-MS-WIN-CORE-WINRT-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PSAPI-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL
                         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-1.DLL
                         [D? ] API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL
                         [D? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-0.DLL
                         [D^6] COREUICOMPONENTS.DLL
                         [D^6] COREMESSAGING.DLL
                         [D? ] EXT-MS-WIN-TSF-MSCTF-L1-1-0.DLL
                         [D? ] EXT-MS-WIN-TSF-MSCTF-L1-1-1.DLL
                         [D? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
                         [D? ] API-MS-WIN-SECURITY-CAPABILITY-L1-1-0.DLL
                         [D? ] API-MS-WIN-COREUI-SECRUNTIME-L1-1-0.DLL
                         [D? ] EXT-MS-WIN-NTUSER-WINDOWSTATION-L1-1-0.DLL
                         [D? ] API-MS-WIN-RTCORE-NTUSER-WINDOW-L1-1-0.DLL
                         [D? ] EXT-MS-WIN-MININPUT-INPUTHOST-L1-1-0.DLL
                         [D? ] EXT-MS-WIN-NTUSER-PRIVATE-L1-3-1.DLL
                         [D? ] EXT-MS-WIN-NTUSER-PRIVATE-L1-2-0.DLL
                         [D? ] EXT-MS-WIN-NTUSER-KEYBOARD-L1-1-0.DLL
                         [D? ] EXT-MS-WIN-NTUSER-KEYBOARD-L1-3-1.DLL
                         [D? ] API-MS-WIN-RTCORE-NTUSER-PRIVATE-L1-1-9.DLL
                         [D? ] EXT-MS-WIN-RTCORE-NTUSER-DPI-L1-2-0.DLL
                         [D? ] EXT-MS-WIN-NTUSER-WINDOW-L1-1-0.DLL
                         [D? ] EXT-MS-WIN32-SUBSYSTEM-QUERY-L1-1-0.DLL
                         [D? ] EXT-MS-WIN-DWMAPI-EXT-L1-1-0.DLL
                         [D? ] EXT-MS-WIN-RTCORE-NTUSER-PRIVATE-L1-1-1.DLL
                         [D? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
                         [D? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-1.DLL
                         [D? ] API-MS-WIN-SECURITY-SDDL-L1-1-0.DLL
               [D 6] CRYPTUI.DLL
                    [ ^6] MSVCRT.DLL
                    [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                    [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                    [ ^6] BCRYPT.DLL
                    [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL
                    [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DLL
                    [ ^6] CRYPT32.DLL
                    [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-DATETIME-L1-1-1.DLL
                    [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-PSAPI-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-DATETIME-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-UTIL-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                    [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                    [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-VERSION-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SIDEBYSIDE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-SHLWAPI-LEGACY-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL
                    [ ? ] API-MS-WIN-CORE-HEAP-OBSOLETE-L1-1-0.DLL
                    [ ^6] GDI32.DLL
                    [ ^6] USER32.DLL
                         [F^6] NTDLL.DLL
                    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                    [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                    [D^6] OLEAUT32.DLL
                    [D? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
                    [D^6] RPCRT4.DLL
                    [D^6] LOGONCLI.DLL
                    [D^6] NETUTILS.DLL
                    [D^6] NCRYPT.DLL
                    [D^6] CRYPTSP.DLL
                    [D^6] CERTCA.DLL
                    [D^6] DPAPI.DLL
                    [D^6] CREDUI.DLL
                    [D^6] OLE32.DLL
                    [D^6] SHELL32.DLL
                    [D^6] SHLWAPI.DLL
                    [D^6] WER.DLL
                    [D^6] WININET.DLL
                    [D^6] WINTRUST.DLL
               [D^6] OLE32.DLL
               [D^6] PROPSYS.DLL
               [D^6] WININET.DLL
               [D? ] EXT-MS-WIN-APPCOMPAT-AEPIC-L1-1-0.DLL
               [D? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
               [FE6] IEFRAME.DLL
                    [ ^6] SHLWAPI.DLL
                    [ ^6] MSVCRT.DLL
                    [ ^6] KERNEL32.DLL
                         [F^6] KERNELBASE.DLL
                         [F^6] NTDLL.DLL
                         [F? ] API-MS-WIN-CORE-FILE-L1-2-2.DLL
                         [F? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                         [F? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                    [ ? ] API-MS-WIN-DOWNLEVEL-ADVAPI32-L1-1-0.DLL
                    [ ? ] API-MS-WIN-DOWNLEVEL-USER32-L1-1-0.DLL
                    [ ? ] API-MS-WIN-DOWNLEVEL-SHLWAPI-L1-1-0.DLL
                    [ ? ] API-MS-WIN-DOWNLEVEL-VERSION-L1-1-0.DLL
                    [ ? ] API-MS-WIN-DOWNLEVEL-NORMALIZ-L1-1-0.DLL
                    [ ^6] NTDLL.DLL
                    [ ^6] ADVAPI32.DLL
                         [F^6] NTDLL.DLL
                    [ ^6] GDI32.DLL
                    [ ^6] USER32.DLL
                         [F^6] NTDLL.DLL
                    [ ^6] OLE32.DLL
                         [F? ] API-MS-WIN-CORE-COM-L1-1-2.DLL
                         [F^6] COMBASE.DLL
                         [F? ] API-MS-WIN-CORE-COM-L1-1-1.DLL
                         [F? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
                    [ ^6] OLEAUT32.DLL
                    [ ^6] SHELL32.DLL
                    [ ^6] IERTUTIL.DLL
                    [ ^6] RPCRT4.DLL
                    [ ^6] VERSION.DLL
                    [ ? ] API-MS-WIN-STATESEPARATION-HELPERS-L1-1-0.DLL
                    [ ^6] KERNELBASE.DLL
                    [ ^6] USERENV.DLL
                    [ ^6] WINHTTP.DLL
                    [D^6] MSIMG32.DLL
                    [D? ] API-MS-WIN-DOWNLEVEL-OLE32-L1-1-0.DLL
                    [D? ] API-MS-WIN-DOWNLEVEL-SHLWAPI-L2-1-0.DLL
                    [D? ] API-MS-WIN-DOWNLEVEL-ADVAPI32-L2-1-0.DLL
                    [D? ] API-MS-WIN-DOWNLEVEL-SHELL32-L1-1-0.DLL
                    [D^6] CRYPT32.DLL
                         [F^6] DPAPI.DLL
                    [D^6] CRYPTUI.DLL
                    [D^6] SECUR32.DLL
                         [F^6] SSPICLI.DLL
                    [D^6] WINMM.DLL
                    [D^6] MPR.DLL
                    [D 6] OCCACHE.DLL
                         [ ^6] MSVCRT.DLL
                         [ ^6] USER32.DLL
                         [ ^6] NTDLL.DLL
                         [ ^6] KERNEL32.DLL
                              [F^6] NTDLL.DLL
                              [F^6] KERNELBASE.DLL
                         [ ^6] ADVAPI32.DLL
                         [ ^6] SHLWAPI.DLL
                         [ ^6] COMCTL32.DLL
                         [ ^6] SHELL32.DLL
                         [ ^6] IERTUTIL.DLL
                         [D^6] OLE32.DLL
                              [F? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
                         [D^6] OLEAUT32.DLL
                         [D^6] VERSION.DLL
                         [D 6] IEADVPACK.DLL
                              [ ^6] MSVCRT.DLL
                              [ ^6] USER32.DLL
                              [ ^6] GDI32.DLL
                              [ ^6] KERNEL32.DLL
                                   [F^6] NTDLL.DLL
                              [ ^6] ADVAPI32.DLL
                              [ ^6] OLE32.DLL
                                   [F? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
                              [ ^6] VERSION.DLL
                              [ ^6] SETUPAPI.DLL
                              [ ^6] SHLWAPI.DLL
                         [D^6] URLMON.DLL
                    [D^6] OLEACC.DLL
                    [D 6] MLANG.DLL
                         [ ^6] MSVCRT.DLL
                         [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL
                         [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-VERSION-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-STRING-L2-1-1.DLL
                         [ ? ] API-MS-WIN-CORE-KERNEL32-LEGACY-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SHLWAPI-LEGACY-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-STRING-OBSOLETE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-STRINGANSI-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-LOCALIZATION-OBSOLETE-L1-2-0=
.DLL
                         [ ? ] API-MS-WIN-CORE-SHLWAPI-OBSOLETE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                         [D^6] OLEAUT32.DLL
                         [D? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
                         [D? ] EXT-MS-WIN-GDI-DC-L1-2-0.DLL
                         [D? ] EXT-MS-WIN-GDI-FONT-L1-1-0.DLL
                         [D? ] EXT-MS-WIN-RTCORE-GDI-DEVCAPS-L1-1-0.DLL
                         [D? ] EXT-MS-WIN-RTCORE-GDI-OBJECT-L1-1-0.DLL
                         [D? ] EXT-MS-WIN-RTCORE-NTUSER-DC-ACCESS-L1-1-0.DL=
L
                    [D^6] WINTRUST.DLL
                    [D^6] IMM32.DLL
                    [D 6] MSI.DLL
                         [ ^6] MSVCRT.DLL
                         [ ^6] NTDLL.DLL
                         [ ^6] ADVAPI32.DLL
                              [F^6] NTDLL.DLL
                         [ ^6] KERNEL32.DLL
                              [F^6] NTDLL.DLL
                              [F? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.D=
LL
                         [ ^6] USER32.DLL
                              [F^6] NTDLL.DLL
                         [ ^6] SHELL32.DLL
                         [ ^6] GDI32.DLL
                         [ ^6] RPCRT4.DLL
                         [ ^6] OLE32.DLL
                              [F^6] COMBASE.DLL
                              [F? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
                         [ ^6] BCRYPT.DLL
                         [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                    [D^6] WININET.DLL
                    [D 6] MSHTML.DLL
                         [ ^6] MSVCRT.DLL
                         [ ^6] KERNEL32.DLL
                              [F^6] NTDLL.DLL
                              [F? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                              [F^6] KERNELBASE.DLL
                         [ ? ] API-MS-WIN-DOWNLEVEL-ADVAPI32-L1-1-0.DLL
                         [ ? ] API-MS-WIN-DOWNLEVEL-VERSION-L1-1-0.DLL
                         [ ? ] API-MS-WIN-DOWNLEVEL-SHLWAPI-L1-1-0.DLL
                         [ ? ] API-MS-WIN-DOWNLEVEL-USER32-L1-1-0.DLL
                         [ ^6] GDI32.DLL
                         [ ^6] USER32.DLL
                              [F^6] NTDLL.DLL
                         [ ^6] IERTUTIL.DLL
                         [ ^6] NTDLL.DLL
                         [ ^6] RPCRT4.DLL
                         [ ? ] API-MS-WIN-CORE-PATH-L1-1-0.DLL
                         [ ^6] SSPICLI.DLL
                         [ ? ] API-MS-WIN-CORE-QUIRKS-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-1-0.DL=
L
                         [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROCESSENVIRONMENT-L1-2-0.DL=
L
                         [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-1.DLL
                         [ ? ] API-MS-WIN-CORE-STRING-L2-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-1.DLL
                         [ ? ] API-MS-WIN-CORE-SYSINFO-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-FILE-L2-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-DATETIME-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-HEAP-L2-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                         [ ? ] API-MS-WIN-POWER-BASE-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-REALTIME-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-PSAPI-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-1.DLL
                         [ ? ] API-MS-WIN-CORE-DATETIME-L1-1-2.DLL
                         [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                         [ ^6] WINHTTP.DLL
                         [ ? ] API-MS-WIN-CORE-WOW64-L1-1-0.DLL
                         [ ^6] WKSCLI.DLL
                         [ ^6] NETUTILS.DLL
                         [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                         [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                         [ ? ] API-MS-WIN-CORE-CONSOLE-L2-1-0.DLL
                         [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                         [ ^6] KERNELBASE.DLL
                         [ ? ] API-MS-WIN-DOWNLEVEL-SHELL32-L1-1-0.DLL
                         [D? ] API-MS-WIN-APPMODEL-RUNTIME-L1-1-0.DLL
                         [D? ] API-MS-WIN-DOWNLEVEL-OLE32-L1-1-0.DLL
                         [D? ] API-MS-WIN-DOWNLEVEL-SHLWAPI-L2-1-0.DLL
                         [D? ] API-MS-WIN-DOWNLEVEL-ADVAPI32-L2-1-0.DLL
                         [D? ] EXT-MS-WIN-GDI-GDIPLUS-L1-1-0.DLL
                         [D^6] OLE32.DLL
                              [F? ] API-MS-WIN-CORE-COM-L1-1-2.DLL
                              [F? ] API-MS-WIN-CORE-COM-L1-1-1.DLL
                              [F? ] API-MS-WIN-CORE-COM-L1-1-0.DLL
                         [D? ] API-MS-WIN-SHCORE-STREAM-WINRT-L1-1-0.DLL
                         [D? ] API-MS-WIN-SHCORE-TASKPOOL-L1-1-0.DLL
                         [D? ] API-MS-WIN-DWMAPI-L1-1-0.DLL
                         [D^6] SHLWAPI.DLL
                              [FE6] SHCORE.DLL
                         [D^6] COMCTL32.DLL
                         [D^6] COMDLG32.DLL
                         [D? ] EXT-MS-ONECORE-HLINK-L1-1-0.DLL
                         [D^6] SHELL32.DLL
                         [D^6] UXTHEME.DLL
                         [D? ] EXT-MS-WIN-PRINTER-PRNTVPT-L1-1-0.DLL
                         [D^6] WINSPOOL.DRV
                         [D^6] WINMM.DLL
                         [D^6] ADVAPI32.DLL
                              [F^6] NTDLL.DLL
                         [D^6] WININET.DLL
                         [D? ] API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL
                         [D^6] MSISO.DLL
                         [D^6] URLMON.DLL
                         [D 6] MSLS31.DLL
                              [ ^6] MSVCRT.DLL
                              [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                              [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.D=
LL
                              [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DL=
L
                         [D^6] PROPSYS.DLL
                         [D^6] WINDOWSCODECS.DLL
                         [D^6] IEAPFLTR.DLL
                         [D^6] XMLLITE.DLL
                         [D^6] D2D1.DLL
                         [D^6] DXGI.DLL
                         [D 6] DWRITE.DLL
                              [ ^6] MSVCRT.DLL
                              [ ^6] NTDLL.DLL
                              [ ? ] API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DL=
L
                              [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                              [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.D=
LL
                              [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DL=
L
                              [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-0.DLL
                              [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.DLL
                              [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-FILE-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-ERRORHANDLING-L1-1-2.DL=
L
                              [ ^6] RPCRT4.DLL
                              [ ? ] API-MS-WIN-CORE-MEMORY-L1-1-0.DLL
                              [ ? ] API-MS-WIN-EVENTING-PROVIDER-L1-1-0.DLL
                              [ ? ] API-MS-WIN-SECURITY-BASE-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-TIMEZONE-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-2.DLL
                              [ ? ]
API-MS-WIN-CORE-WINDOWSERRORREPORTING-L1-1-0.DLL
                              [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.DLL
                              [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.DLL
                              [D 6] TEXTSHAPING.DLL
                                   [ ^6] MSVCRT.DLL
                                   [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                   [ ? ] API-MS-WIN-CORE-SYNCH-L1-2-0.DLL
                                   [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                   [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.=
DLL
                                   [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.=
DLL
                                   [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-=
0.DLL
                                   [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                              [D? ] API-MS-WIN-SERVICE-MANAGEMENT-L1-1-0.DL=
L
                              [D? ] API-MS-WIN-SERVICE-MANAGEMENT-L2-1-0.DL=
L
                              [D? ] EXT-MS-WIN-GDI-DC-L1-2-0.DLL
                              [D? ] EXT-MS-WIN-RTCORE-GDI-DEVCAPS-L1-1-0.DL=
L
                              [D? ] EXT-MS-WIN-GDI-DC-CREATE-L1-1-0.DLL
                              [D? ] EXT-MS-WIN-GDI-DRAW-L1-1-0.DLL
                              [D? ] EXT-MS-WIN-GDI-FONT-L1-1-0.DLL
                              [D? ] EXT-MS-WIN-RTCORE-GDI-OBJECT-L1-1-0.DLL
                              [D? ] EXT-MS-WIN-GDI-PATH-L1-1-0.DLL
                              [D? ] EXT-MS-WIN-RTCORE-GDI-RGN-L1-1-0.DLL
                              [D? ]
EXT-MS-WIN-RTCORE-NTUSER-SYSPARAMS-L1-1-0.DLL
                              [D^6] WININET.DLL
                              [D 6] BCP47MRM.DLL
                                   [ ^6] MSVCP_WIN.DLL
                                   [ ? ] API-MS-WIN-CRT-RUNTIME-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CRT-PRIVATE-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CRT-STRING-L1-1-0.DLL
                                   [ ? ]
API-MS-WIN-CORE-LIBRARYLOADER-L1-2-0.DLL
                                   [ ? ] API-MS-WIN-CORE-SYNCH-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-HEAP-L1-1-0.DLL
                                   [ ? ]
API-MS-WIN-CORE-ERRORHANDLING-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-THREADPOOL-L1-2-0.=
DLL
                                   [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-LOCALIZATION-L1-2-=
0.DLL
                                   [ ? ] API-MS-WIN-CORE-DEBUG-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-HANDLE-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-RTLSUPPORT-L1-1-0.=
DLL
                                   [ ? ]
API-MS-WIN-CORE-PROCESSTHREADS-L1-1-1.DLL
                                   [ ? ] API-MS-WIN-CORE-PROFILE-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-SYSINFO-L1-1-0.DLL
                                   [ ? ] API-MS-WIN-CORE-INTERLOCKED-L1-1-0=
.DLL
                                   [ ^6] KERNELBASE.DLL
                                   [ ? ] API-MS-WIN-CORE-REGISTRY-L1-1-0.DL=
L
                                   [ ? ] API-MS-WIN-CORE-STRING-L1-1-0.DLL
                                   [ ^6] NTDLL.DLL
                                   [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-1.D=
LL
                                   [ ? ] API-MS-WIN-CORE-DELAYLOAD-L1-1-0.D=
LL
                                   [D? ] API-MS-WIN-CORE-WINRT-STRING-L1-1-=
0.DLL
                                   [D^6] PROFAPI.DLL
                         [D^6] D3D11.DLL
                         [D^6] IMGUTIL.DLL
                         [D^6] DIAGNOSTICDATASETTINGS.DLL
                         [D^6] SRPAPI.DLL
                         [D^6] OLEAUT32.DLL
                         [D? ] API-MS-WIN-CORE-WINRT-L1-1-0.DLL
                         [D^6] CRYPT32.DLL
                         [D? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-1.DLL
                         [D? ] API-MS-WIN-CORE-WINRT-ERROR-L1-1-0.DLL
                         [D^6] MPR.DLL
                         [D^6] USERENV.DLL
                         [D^6] NCRYPT.DLL
                         [D^6] BCRYPT.DLL
                         [D^6] FIREWALLAPI.DLL
                         [D? ] EXT-MS-WIN-SECURITY-EFS-L1-1-0.DLL
                         [D? ] API-MS-WIN-CORE-APIQUERY-L1-1-0.DLL
                         [D? ] API-MS-WIN-SHCORE-SCA